GNU logs - #36477, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] Add Guix System cross-compilation support
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 02 Jul 2019 15:19:02 +0000
Resent-Message-ID: <handler.36477.B.156208070730470 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN 
Received: via spool by submit <at> debbugs.gnu.org id=B.156208070730470
          (code B ref -1); Tue, 02 Jul 2019 15:19:02 +0000
Received: (at submit) by debbugs.gnu.org; 2 Jul 2019 15:18:27 +0000
Received: from localhost ([127.0.0.1]:47667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiKY7-0007vN-Ga
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:18:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:44187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKY6-0007vF-1R
 for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:18:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33018)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKY3-00084y-5U
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKXz-0002g5-UM
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:21 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:52964)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1hiKXz-0002bI-8x
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:19 -0400
Received: by mail-wm1-x32d.google.com with SMTP id s3so1236075wms.2
 for <guix-patches@HIDDEN>; Tue, 02 Jul 2019 08:18:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=r2LVYRNATN+Dv+uBxov/oTK6C0VHRn6FTdtWKpZeeuA=;
 b=hYvDK6bbaSs1Lcx6sGcpwrXbK7euQP/pWrZJCz9tdcol2blH3iEIgnuS4DjclYUNh/
 ytJNRcG6lL8kbR+3ZJkoCSD5HB/W//Rna1MvwpjQLVvo1zUpABgMZrT8si8VS0LM7a2f
 dFERZblPA4RYnm8T/1hseoQXwSvOGCdpVOQtNwEgRdg19o31k18H69c+41Cy99J5YeHi
 1Bj27z53AsrxVTvpLqWgXgj19f4YLy4nezrkSH0yO/QhPiKgsioCQttkTyjv4J3UxrL0
 vUPwokoYEmcqgFOiJugP73xC5k3sgod0Y7bpNgfUVg6vr1fgPGH+Ks9HJMLuQuPT1i6X
 EDXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=r2LVYRNATN+Dv+uBxov/oTK6C0VHRn6FTdtWKpZeeuA=;
 b=LCPKHq9MpXtQoAcre3kAQy8ci0kTc/E2MKbmVxecZqdkv4hShXL6Dg21w/bC/47Ms2
 SQ1sMGZvdrn4G3Lod/clVjqi+1xyw2xYI2UE9IUHFGTARlxCFii2o3qWOOtZdUTBNMTe
 TyeIH5T6oCMefBWBrqqBAJE0G/mJi6Y84xV3ZZy9AbqhSmJcBZ7BnHtkCyoqkFyiM7N5
 H4JVJQCsb2I1Xwykyj3tcOs8mWIxXFXfC9FesMN9wQFnJXNq2f9SSUBzLprsptbar5RM
 CBtsD8t3H+e0dqKo8opAL11Jlrr2QXLSRIwUIu0ZjT0A/f/2ZGPnrmCqTNq9YKzJzlqa
 GpLg==
X-Gm-Message-State: APjAAAUn/ulVGUoJ9KABKHRSSukhXTkqsQK7BYHZuYVFxXJ72BeDlsow
 pQPQjqkJL0d37KCOnZvz70Dqc8js
X-Google-Smtp-Source: APXvYqzD380/v8MLiE/S7KkVLN940cgilFadZKgEwg6fS2oXf0wYaKucaSB+S7Ebl4y/bvQXSa5oJw==
X-Received: by 2002:a7b:c0d0:: with SMTP id s16mr3901512wmh.141.1562080697104; 
 Tue, 02 Jul 2019 08:18:17 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id h84sm3099231wmf.43.2019.07.02.08.18.16
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 02 Jul 2019 08:18:16 -0700 (PDT)
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Tue, 02 Jul 2019 17:18:13 +0200
Message-ID: <87zhlwmpmy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32d
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hey Guix,

I'm currently working on adding --target support to guix system
command. The main obstacle is that cross-compilation is broken on many
packages because of small errors in package definitions (inputs vs
native-inputs).

I created a branch on savannah called "wip-cross-system" to centralize
this work. Feel free to have a look / review some of the patches there!

Thanks,

Mathieu




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: bug#36477: Acknowledgement (Add Guix System cross-compilation
 support)
Message-ID: <handler.36477.B.156208070730470.ack <at> debbugs.gnu.org>
References: <87zhlwmpmy.fsf@HIDDEN>
X-Gnu-PR-Message: ack 36477
X-Gnu-PR-Package: guix-patches
Reply-To: 36477 <at> debbugs.gnu.org
Date: Tue, 02 Jul 2019 15:19:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 36477 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36477: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36477
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 00/31] Fix cross-compilation issues
References: <87zhlwmpmy.fsf@HIDDEN>
In-Reply-To: <87zhlwmpmy.fsf@HIDDEN>
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:03 +0000
Resent-Message-ID: <handler.36477.B36477.156257997318308 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997318308
          (code B ref 36477); Mon, 08 Jul 2019 10:00:03 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:33 +0000
Received: from localhost ([127.0.0.1]:57773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQm-0004l6-Dt
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:54887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQk-0004kg-5A
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:30 -0400
Received: by mail-wm1-f68.google.com with SMTP id p74so12043854wme.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id;
 bh=b4e2Xv5u+qdpGz7dILZu4dWkMbADSsUIxL69fwTNXm4=;
 b=a3cqAFfl7QcmGAWDKK16rCWEoPIJcjoRC4Gwv3LBDu1MDNAPrj+nNHQuoYXv8e/ET/
 p3QhS+aksO+Q2vLwQFM7z7m2eNjSSMWveAd7uYsmCrn9QXEeHf18iYeKMSz0tUlVsAsO
 U00fS5btIcBiTchbb9tD4FdrusAqZY5HJ/+/Y38Q9kig1TyEoHnhQF7OERtL+BJKHOxc
 7GAi51cB2GF+lLwt0VgJNZEK5qbtJht/CzD8UencTni1hpds1Exxz8Z748BfCN+Xk12M
 j12gHN2BS4cxD67bn31uoUIIjY87hNaIxKgA7L1AAq/X77Dnbu+23ntVBCFDYWN18Qpb
 ta4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id;
 bh=b4e2Xv5u+qdpGz7dILZu4dWkMbADSsUIxL69fwTNXm4=;
 b=YieREgVjo/kUm1DecvvE71ykT/SylV09Ppl06k+5qLqtakWBUasoQSAT6HdM1saQXP
 Z510OkpwhoSdZYlK2rLRK2soNvhUKiiRrL/r189KrmSz/N1wP3e5aED5EnL4Dbao+sF8
 /H/79ohRbzKsgHJ+lkzupw3janDUVH5v1wEbavMikj1VY1zGDkCey0rwPrI0NM+IlHPx
 OgZrujEgR8KRBuh+INvDyoiBQ+IlSQ+WfsbRd8T0LfIBxtZFzwPUuQ/AoFQCjbTlYSSo
 YAfiKMlVJQdAkdsC3qitqDfxSAffz36NAaGzNUtRQMjnfPC/k0mTBCvDjWBLnkNJBE/5
 3seA==
X-Gm-Message-State: APjAAAXRWH8wBJYJQBVlhOGjEoUcS8yv62lV3B7Kyt+v1NlOCp8kGbMO
 rW9DuP8tjIdGb0fMz1xXCyH+dilJ
X-Google-Smtp-Source: APXvYqyYgHII85m6+MWPWLKhYu0SzOtsPmUSS6Zb8fT1/MTE2Sa7MknoV1oLFyyS1EXtsBq9v+mA/A==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15641223wmg.33.1562579963843; 
 Mon, 08 Jul 2019 02:59:23 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.22
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:22 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:42 +0200
Message-Id: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Here's a batch of cross-compilation related patches.
 They can be seen on wip-cross-system branch of savannah. Some of them cause
 mass-rebuilds so I guess this serie is targeting core-updates. Thanks, 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: local.mk]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello,

Here's a batch of cross-compilation related patches. They can be seen on
wip-cross-system branch of savannah. Some of them cause mass-rebuilds so I
guess this serie is targeting core-updates.

Thanks,

Mathieu

Mathieu Othacehe (30):
  gnu: perl: Fix cross-compilation.
  gnu: python: Fix cross compilation.
  gnu: tcl: Fix cross-compilation.
  gnu: tk: Fix cross-compilation.
  gnu: libxslt: Fix cross-compilation.
  gnu: xorg: Fix cross-compilation of multiple packages.
  gnu: libgpg-error: Fix cross compilation.
  gnu: python: Fix cross-compilation.
  gnu: http-parser: Fix cross-compilation.
  gnu: openssl: Fix cross-compilation.
  gnu: texinfo: Fix cross-compilation.
  gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
  gnu: libgit2: Fix cross compilation.
  gnu: ath9k-htc-firmware: Fix cross compilation.
  gnu: libpaper: Fix aarch64 cross-compilation.
  gnu: groff: Fix cross compilation.
  gnu: bc: Fix cross-compilation.
  gnu: indent: Fix aarch64 cross-compilation.
  gnu: libsamplerate: Fix aarch64 cross-compilation.
  gnu: mit-krb5: Fix cross-compilation.
  gnu: cyrus-sasl: Fix cross-compilation.
  gnu: help2man: Fix cross-compilation.
  gnu: xmlto: Fix cross-compilation.
  gnu: libarchive: Fix cross-compilation.
  gnu: tcsh: Fix cross-compilation.
  gnu: pkg-config: Fix cross-compilation.
  gnu: mkfontdir: Fix aarch64 cross-compilation.
  gnu: alsa-utils: Fix cross-compilation.
  gnu: icu4c: Fix cross-compilation.
  gnu: glibc-utf8-locales: Fix cross-compilation.

Pierre-Moana Levesque (1):
  gnu: texinfo-5: Fix cross-compilation.

 gnu/local.mk                                  |   3 +
 gnu/packages/algebra.scm                      |  15 +-
 gnu/packages/backup.scm                       |  31 ++--
 gnu/packages/base.scm                         |   4 +-
 gnu/packages/cmake.scm                        |   2 +-
 gnu/packages/code.scm                         |  21 ++-
 gnu/packages/commencement.scm                 |  11 +-
 gnu/packages/cyrus-sasl.scm                   |  17 +-
 gnu/packages/firmware.scm                     |   5 +-
 gnu/packages/ghostscript.scm                  |  19 ++
 gnu/packages/gnupg.scm                        |  22 +++
 gnu/packages/groff.scm                        |  40 +++-
 gnu/packages/icu4c.scm                        |  33 +++-
 gnu/packages/kerberos.scm                     |  23 ++-
 gnu/packages/linux.scm                        |   7 +-
 gnu/packages/man.scm                          |   2 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
 .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 ++
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 +++++++++++++++
 gnu/packages/perl.scm                         |   7 +-
 gnu/packages/pkg-config.scm                   |  11 +-
 gnu/packages/pulseaudio.scm                   |  22 ++-
 gnu/packages/python.scm                       |  40 +++-
 gnu/packages/shells.scm                       |   9 +
 gnu/packages/tcl.scm                          |  28 ++-
 gnu/packages/texinfo.scm                      |  28 ++-
 gnu/packages/tls.scm                          |  59 ++++--
 gnu/packages/version-control.scm              |  16 +-
 gnu/packages/web.scm                          |  13 +-
 gnu/packages/xml.scm                          |   7 +-
 gnu/packages/xorg.scm                         |  44 ++++-
 33 files changed, 794 insertions(+), 94 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 01/31] gnu: perl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:04 +0000
Resent-Message-ID: <handler.36477.B36477.156257997318315 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997318315
          (code B ref 36477); Mon, 08 Jul 2019 10:00:04 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:33 +0000
Received: from localhost ([127.0.0.1]:57776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQm-0004lF-UL
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:32985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQl-0004kh-4c
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: by mail-wr1-f54.google.com with SMTP id n9so16360095wru.0
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=bZtLnWDsJ02d582NKeamkLcDJxvVVaeMDDaBTtcoNCE=;
 b=YZv1Lm8NHsIJ4QJhBXZy3mcLe16ntmhv2F6HiNh9x63C+n6xsa9mH5q6FXVh4XVmmL
 psNSh3T8Jj42hCaQnTyMB7Yw3siunjLJjYrsyrErII7GVjGTHqvChSCosz6hO+HFMXPr
 s9Iz4SWMybBHw9WVhUevCzi7q8jTr79n/bbUR03/GO3D9Np3pBtUo302kfWt5Z2VsVjC
 wsgjsP9FVaSIMfiVkK+x7QySklTe86ERyCNnfpd6qCUTQLqKhgtXocm4AYZmvZd0iZH4
 /FXHV+ydvbflxeR8gPoSJWEjEfphScJ+27YjqstPQ5DtLq2aIQY29Dgc8cvfb9ExhJnX
 PWYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=bZtLnWDsJ02d582NKeamkLcDJxvVVaeMDDaBTtcoNCE=;
 b=h679e3U7wbs4CdygozdQ88Q+BzVM2TMfNL+RrL6ZOFGXUTYJulejGmufH7NAWfRfP7
 pE2jdJMz8DQw5U23kyLKJho420IvhKYYO71Uy2U/grTDzs55PPyQv75kFXyuSu/nEOBU
 0fGI4Bk8hrTchtcU0oY2wsb5Dgr5FmQtbfYrgYJB822Pddeu5aIuvy9mRNALXUaL2Aq4
 wVRDNF/CVy1RTTTAFyXRk36Nxn/GB6Rpv9UTAVoJbq9kqMm0DwU1a8o0H7mjNd0EVM+u
 L/i9VCokQsBrTMHGv6pWGe7cIWPLFK3H9I61M9Wzi9GW+OCXrj4S9xrpNvUyR8AXIaNp
 Bdxg==
X-Gm-Message-State: APjAAAVa77VZw+is+yXznhhcmtjdI45WVmGBT6kOcASeW1zA8K69mBe2
 +Vg6KA4Xu6Kezmf5SHtDXF1xnm7H
X-Google-Smtp-Source: APXvYqzffy+Lxyvssm2dI1n4hHGiU9HgEWnoahV0lKpsUvgUh1677eVk1/pYLEJkuwXV56PrUc6Z3w==
X-Received: by 2002:a05:6000:42:: with SMTP id
 k2mr17368326wrx.80.1562579964919; 
 Mon, 08 Jul 2019 02:59:24 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.23
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:24 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:43 +0200
Message-Id: <20190708095913.3460-2-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/perl.scm (perl)[arguments]: Use cross-libc
   instead of libc when cross-compiling. --- gnu/packages/perl.scm | 7 +++++--
    1 file changed, 5 insertions(+), 2 deletions(-) diff --git a/gnu/packages/perl.scm
    b/gnu/packages/perl.scm index 63b8e387b8..b348a3e088 100644 --- a/gnu/packages/perl.scm
    +++ b/gnu/packages/perl.scm @@ -22,6 +22,7 @@ ;;; Copyright =?UTF-8?Q?=C2=A9?= 2018, 2019
    Pie [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: posteo.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.54 listed in list.dnswl.org]
  1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/perl.scm (perl)[arguments]: Use cross-libc instead of libc when
cross-compiling.
---
 gnu/packages/perl.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index 63b8e387b8..b348a3e088 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2018, 2019 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -81,7 +82,7 @@
                        "perl-reproducible-build-date.patch"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:tests? #f
+     `(#:tests? #f
        #:configure-flags
        (let ((out  (assoc-ref %outputs "out"))
              (libc (assoc-ref %build-inputs "libc")))
@@ -130,7 +131,9 @@
          (add-after 'install 'remove-extra-references
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-                    (libc    (assoc-ref inputs "libc"))
+                    (libc    (assoc-ref inputs
+                                        ,(if (%current-target-system)
+                                             "cross-libc" "libc")))
                     (config1 (car (find-files (string-append out "/lib/perl5")
                                               "^Config_heavy\\.pl$")))
                     (config2 (find-files (string-append out "/lib/perl5")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 02/31] gnu: python: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:06 +0000
Resent-Message-ID: <handler.36477.B36477.156257997718358 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997718358
          (code B ref 36477); Mon, 08 Jul 2019 10:00:06 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:37 +0000
Received: from localhost ([127.0.0.1]:57778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQn-0004lM-8d
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:42734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQm-0004kj-2T
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: by mail-wr1-f45.google.com with SMTP id a10so15230520wrp.9
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4xZdoEDGHsADRH8szcihC5nhMfmn1KgFlVP2qHne3wU=;
 b=spkc95A1mSiWzQseJdymHr0pJJdkQ6p+P26wLVPLN4yGwFXfFAKl6vAyGS6QXU2v8A
 NajEYOvq2SxL3tpBo30PklWdG6Zsyv92i7IOxvwA/RXg7sIiOOPQde/0k1QFwtQT8oZp
 4S4SwA2u2uMWqODOYJX/7H2sZP53y5Ebs7j14fdei1s+ItvO/Kc7c/Ls29/if533p1no
 1igdrtWW4ygR3jkyQMZ0lCGYf+Of8Zn7E84zDiqBl0dTRry3Vvv1N+2rTMqL8uR437j5
 nMbtblgzEvLFA7rjaNTndaqOVQhn+qMlLNKCuA2LB5y/qzADlPbTv1VjJVkHbYivSRt5
 Zl8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4xZdoEDGHsADRH8szcihC5nhMfmn1KgFlVP2qHne3wU=;
 b=S9bhMhLyrngWPoelWVQ35N271i9qAZSyT5t5m1tB4LEk8DNRjKc/kZEpvpGIYSMXqM
 aXKrRM0AjR981TwJt06dw5mSSLQlMfEmQGWyBxmO2iEa1iu2hEp2ezKOhp+WOCLancwX
 rfBz36kkodSnidapGv34nBw4wSNW++4i/NJDXqPAbaLWogHNwxMPbXMOkmZWri1j35l2
 Qhg2v9mUQemw4Q7X89Sk92vsTJ9Tk17/+b7zzndG5MXjFTtvd7ge8CHxdPBrTLeFb12m
 ExHEr3qi+czLmQe/KCQEgJ+RgPHtgEyvQ/xUjnrJ7m637J+R087pEugPLIpKNcnTJG7r
 JueQ==
X-Gm-Message-State: APjAAAVQoG3ZlnF1W3w3axNxdBA24LBFqZKrDbCCes7IvKE+6hn+yfGh
 9pSeuUA8oEd/lVhoMngn5B5BOSjT
X-Google-Smtp-Source: APXvYqxtJuH0xD+nutcXcOJNe5uN+3E1k99AM+sFHwMQqU+QYnaSq59y2b9PNfZhpaKHHILLsl0Itg==
X-Received: by 2002:adf:ef8d:: with SMTP id d13mr17394846wro.60.1562579965925; 
 Mon, 08 Jul 2019 02:59:25 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.24
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:25 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:44 +0200
Message-Id: <20190708095913.3460-3-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/python.scm (python-2.7)[arguments]: Add a
 configure
 flag to disable a check failing when cross-compiling. This is covered here:
 https://lists.yoctoproject.org/pipermail/poky/2013-June/0 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: openmailbox.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.45 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/python.scm (python-2.7)[arguments]: Add a configure flag to
disable a check failing when cross-compiling. This is covered here:
https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html,
[native-inputs]: Add self and which when cross-compiling,
(python-3.7)[arguments]: Refer to native python when cross-compiling.
---
 gnu/packages/python.scm | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index aa92e82ac2..1a8cd39de2 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -38,7 +38,7 @@
 ;;; Copyright © 2017 Frederick M. Muriithi <fredmanglis@HIDDEN>
 ;;; Copyright © 2017, 2018 Adriano Peluso <catonano@HIDDEN>
 ;;; Copyright © 2017 Ben Sturmfels <ben@HIDDEN>
-;;; Copyright © 2017, 2018 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2018, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2017, 2018 Kei Kebreau <kkebreau@HIDDEN>
@@ -76,6 +76,7 @@
 (define-module (gnu packages python)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages dbm)
@@ -134,6 +135,13 @@
              "--with-system-ffi"                  ;build ctypes
              "--with-ensurepip=install"           ;install pip and setuptools
              "--enable-unicode=ucs4"
+             ;; Disable runtime check failing if cross-compiling, see:
+             ;; https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html
+             ,@(if (%current-target-system)
+                   '("ac_cv_buggy_getaddrinfo=no"
+                     "ac_cv_file__dev_ptmx=no"
+                     "ac_cv_file__dev_ptc=no")
+                   '())
              (string-append "LDFLAGS=-Wl,-rpath="
                             (assoc-ref %outputs "out") "/lib"))
 
@@ -246,7 +254,12 @@
        ("tcl" ,tcl)
        ("tk" ,tk)))                               ; for tkinter
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ;; When cross-compiling, a native version of Python itself is needed.
+       ,@(if (%current-target-system)
+             `(("self" ,this-package)
+               ("which" ,which))
+             '())))
     (native-search-paths
      (list (search-path-specification
             (variable "PYTHONPATH")
@@ -342,13 +355,16 @@ data types.")
                             (if (null? opt) "none" (car opt)))
                     (for-each (lambda (file)
                                 (apply invoke
-                                       `(,(string-append out "/bin/python3")
-                                         ,@opt
-                                         "-m" "compileall"
-                                         "-f" ; force rebuild
-                                         ;; Don't build lib2to3, because it's Python 2 code.
-                                         "-x" "lib2to3/.*"
-                                         ,file)))
+                                       `(,,(if (%current-target-system)
+                                               "python3"
+                                               '(string-append out
+                                                               "/bin/python3"))
+                                          ,@opt
+                                          "-m" "compileall"
+                                          "-f" ; force rebuild
+                                          ;; Don't build lib2to3, because it's Python 2 code.
+                                          "-x" "lib2to3/.*"
+                                          ,file)))
                               (find-files out "\\.py$")))
                   (list '() '("-O") '("-OO")))
                  #t)))))))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 03/31] gnu: tcl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:07 +0000
Resent-Message-ID: <handler.36477.B36477.156257997718365 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997718365
          (code B ref 36477); Mon, 08 Jul 2019 10:00:07 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:37 +0000
Received: from localhost ([127.0.0.1]:57784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQr-0004m3-94
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQm-0004kl-PO
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: by mail-wr1-f67.google.com with SMTP id p17so5159263wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=XqNcqaxkpT6JyalP0iHPkZxQ3VtctCa2cpSRm18Leuw=;
 b=bhBUeNNq3UCTJUoZsMO0RkSKClMfwT3Y/q/iJlpTGuE26Mo3SxqU7rLJIh29Vo2+hc
 T0AbPt4MAoBVycIaONxjmg1sVQLMETf7uzlQHgiZl+wxxEBybs56eNqZSHullhw33Urx
 dVeJqG36Ce4fGbAiX4/tTeVSELqx3e4cw2QH+QzCaKmEikJrijqnx9V2Kr/N2cr7v4HG
 H0BTc798j8YtNKNRYX+LLKvw4jHelUcE/uzW4bLqWn8TxqCkVEWFRllTZt8enSvEh/LG
 tgIPDda442kjN77OFICYD1YsJI4AwnD/WX0NGFUNtFCh4vgZBKAGw8PJKxh7nyZaFo3G
 BGdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=XqNcqaxkpT6JyalP0iHPkZxQ3VtctCa2cpSRm18Leuw=;
 b=flaRckKPQgMNQ/sGxb3BLlMY85ZAABp4ifKXOlB+aYrzV3nN+O3VDbFU7L6rSvG0HQ
 TXG3dJFrREFnHCU/9ODAhIP4V1PK/8JdGuzCMSliTK+w6QOK+qTR4CdHQ8Rr1aXuQe0M
 DT0+z/RBJMhTpyr+cY8FwbnBTWK7G3kuiKfpmNYHpFhMSSAUHGSJKlRrXG7+nNDHhAZ3
 BwyFj4uib7FZNtPwbIXiN1ulRK2CzYoboQ46sZHguVLdMGndsPZvOkgCtMD4lUVNWBPn
 CT+URlAxYVvZOIoI0eOhONfMuXhr3egV2Ld8/JcAY8YYKFOskHDoJEgzqwbAkTXJoQuf
 d0JQ==
X-Gm-Message-State: APjAAAWDKvXRXJNWlVnpcbqI56sbIoo94Yj5UyMJ5iDVL6DP+i9Eu3Xw
 TcUFT9KwY/XUogZP91SKrl0gVUhO
X-Google-Smtp-Source: APXvYqxgF6cONzs+IC47y2DYY8fcF4gm8rv+ZinJPst57UjinBmPGMdcLcXiwvlU1LSoNpj374wFgA==
X-Received: by 2002:a5d:4c86:: with SMTP id z6mr13010353wrs.330.1562579966711; 
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.25
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:45 +0200
Message-Id: <20190708095913.3460-4-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags
 to fix cross-compilation. --- gnu/packages/tcl.scm | 15 +++++++++++---- 1
 file changed, 11 insertions(+),
 4 deletions(-) diff --git a/gnu/packages/tcl.scm
 b/gnu/packages/tcl.scm index 4840ac4e10..fc955cf649 100644 ---
 a/gnu/packages/tcl.scm +++ b/gnu/packages/tcl.scm @@ -53, 7 +53,
 7 @@ "0sprsg7wnraa4cbwgbcliylm6p0rspfymx [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.67 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index 4840ac4e10..fc955cf649 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -53,7 +53,7 @@
                 "0sprsg7wnraa4cbwgbcliylm6p0rspfymxn8ww02pr4ca70v0g64"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases (modify-phases %standard-phases
+     `(#:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
                     (lambda _ (chdir "unix") #t))
                  (add-after 'install 'install-private-headers
@@ -73,9 +73,16 @@
        ;; PREFIX/share/man.  The 'validate-documentation-location' phase is
        ;; not able to fix this up because the default install populates both
        ;; PREFIX/man and PREFIX/share/man.
-       #:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "out")
-                                              "/share/man"))
+       #:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "out")
+                            "/share/man")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; XXX: There are a few test failures (related to HTTP, most
        ;; likely related to name resolution), but that doesn't cause
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 04/31] gnu: tk: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:08 +0000
Resent-Message-ID: <handler.36477.B36477.156257997818376 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997818376
          (code B ref 36477); Mon, 08 Jul 2019 10:00:08 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:38 +0000
Received: from localhost ([127.0.0.1]:57787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQr-0004mA-LG
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:37971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQn-0004kn-HZ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: by mail-wr1-f66.google.com with SMTP id g17so6189102wrr.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=f6IstIxqTvNcVx+bDNKldqMdtyL38gLLAMBLZ+na8Ps=;
 b=ZFNKyxcrhDsVGteUohnwEmo6NGiD0a4eBB047H6rj7RVHmjkxoPskY6ae+8mq5R658
 iCB1BeRDveyLDmchNohs/7nNPfT2bbvQ6tZXKvVlODCNFKIwWagy2EHGXldGd0Sl2FVH
 zA/kKzeMHP0GAaHk3xc1BUlHJVLzw8fZW4SmNEfslQMnrFr3QzwPk3dhFQBwz4oU5hls
 pjGJLiGh7v7yvc+FHrIuNCx1xKWYaOGwExA8DhUKOKbf45cklaFvBDSIpMklFsLD6aE1
 LYreJyGRK/wo5Dqu1yTa3XV/V7ku6WZ4LpPqA7fvzDTrok5CPCTIpxH2oN/rkycORMli
 rjMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=f6IstIxqTvNcVx+bDNKldqMdtyL38gLLAMBLZ+na8Ps=;
 b=Zp0bJ73tySilj3n+KDn4z9G/XLH9KRrKrF6p7/n40458ZNBkOI1H9zsUJWQVzMfmmm
 ZdAj3n1gu6kTc0S2Y+s52xMSXVyPLKCiFHl3J6qLTWcQCTqo+BG0+c4eeom3YR3J9BQ8
 QUOUBzn5r6kvxWzESMUvksZCsAvOP9HllEeZRl9fSfKED7kJ2q8MqJMzDfwjz885uKAi
 cj54xLXgdYbCeWEVNJYOsZ7m3S/joxbrGRM1Q+zEdA4RA8UFATbG7Hd7D94XXb48yHXq
 odNh0DaAS8EACWpwBrWiMRR5uKWm0/O/uRVuz/lza4ONQD1QYJimwQ5m2GTxG1csvz/C
 rBaQ==
X-Gm-Message-State: APjAAAUbIavsvQdGiaosoKmolY/KLpnrPi094nxwmPZqwd0rpAT1B1Ct
 90G+fOTq0kwEheWXBIqTACsNN2sy
X-Google-Smtp-Source: APXvYqyShP7lDSwSURYKsKPy+fxf1e9XVkCoFPknfaccCPXzMAyYJsVjcFMJcQs5ADA8qRXatc56MA==
X-Received: by 2002:a5d:52cd:: with SMTP id r13mr18610050wrv.349.1562579967528; 
 Mon, 08 Jul 2019 02:59:27 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.26
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:46 +0200
Message-Id: <20190708095913.3460-5-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tcl.scm (tk)[arguments]: Add configure flags
 to fix cross-compilation. --- gnu/packages/tcl.scm | 13 ++++++++++--- 1 file
 changed, 10 insertions(+), 3 deletions(-) diff --git a/gnu/packages/tcl.scm
 b/gnu/packages/tcl.scm index fc955cf649..df0f0e3a5c 100644 ---
 a/gnu/packages/tcl.scm
 +++ b/gnu/packages/tcl.scm @@ -185, 9 +185,
 16 @@ X11 GUIs.") "/lib -lfontconfig") [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.66 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.66 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tcl.scm (tk)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index fc955cf649..df0f0e3a5c 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -185,9 +185,16 @@ X11 GUIs.")
                                          "/lib -lfontconfig")))
                        #t))))
 
-       #:configure-flags (list (string-append "--with-tcl="
-                                              (assoc-ref %build-inputs "tcl")
-                                              "/lib"))
+       #:configure-flags
+       (list (string-append "--with-tcl="
+                            (assoc-ref %build-inputs "tcl")
+                            "/lib")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; The tests require a running X server, so we just skip them.
        #:tests? #f))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 05/31] gnu: libxslt: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:09 +0000
Resent-Message-ID: <handler.36477.B36477.156257997918393 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257997918393
          (code B ref 36477); Mon, 08 Jul 2019 10:00:09 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:39 +0000
Received: from localhost ([127.0.0.1]:57790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQs-0004mL-22
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:38 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:34950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQo-0004kp-I7
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:34 -0400
Received: by mail-wm1-f66.google.com with SMTP id l2so8438067wmg.0
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=UJcqkBAi7MFTf1365KtcoBlh9tbqoc4yLS9xIMSMxAM=;
 b=hcBT5k4QsUmL46HIxfBLvipupq6zUPkmRthMT4hYd88RX6wcmBAQzd2+jGfbn0kY+o
 3nxetKW6rND/DgayyOxfnrQD/09Kuh1Y3Zindy+qFEWHU2u0uhvg8MdgAYDFs8rnNSIu
 q7J5AIlsvSPmtOBHFVmdWr9YsoSHPF/3i8QhnRJYJpVU3TuqPkjDdo0MDF1l/F/wjxhm
 JdYacHvLmYzoMAUbneEkXXHADRAbXKMR55T3qh97ES7bGz2yEj4H8nwySwdqUtCRJn7D
 RWqBzqiIZWppuIg14epXCBhEo0bALATwZ5ggKxSv3b4xPwuVha1N1o2Q6wZwU5vrv/4i
 Qbxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=UJcqkBAi7MFTf1365KtcoBlh9tbqoc4yLS9xIMSMxAM=;
 b=PlK8wodGQqiueSYbaG4FcYEv7jOg+TsjMWw9FhRajMpBoZjJz/Usj7LgqRPGcdpuq0
 aOcqAG5dKI3iw2FclZcREuY7OgS3YkA8u6xOGSD0p898H2wNujMMDX5bgN5VMsxcP+EJ
 Z4HMsGj7sVLycG8CpXWj5ZQvwF6eoHGIrjDCAj1hrKW1h9ppBvcfTWmRmjiJ2bf7DkZ5
 IpqOGv+3rSNAJgA1mGGpoSveRyxJGegvCrZGQFkjtP58zK69Y70/bS5BbymNX4UWXaeC
 HUeXoZ5bivwE9AAo6WM/VkoQQQeSJQaTJWWfVKvQsqdJZRpSC7kWaJ2mFrCSkXZNudC4
 ETcA==
X-Gm-Message-State: APjAAAWdVl9Q3AtvK2w9ADQQLazh4+h5qwSvOmLunhjXkRmZOVj/c1Ge
 P9P7fSZRkWq83lj60YUjlmnieE/Q
X-Google-Smtp-Source: APXvYqx334A8VfwFpl9a6Y2If64reADKxsbrtz3JkD6CIktzmGD7T6Cl0ccLLny1ltjsM4yaim6MKg==
X-Received: by 2002:a1c:5f87:: with SMTP id
 t129mr16994013wmb.150.1562579968340; 
 Mon, 08 Jul 2019 02:59:28 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.27
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:27 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:47 +0200
Message-Id: <20190708095913.3460-6-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/xml.scm (libxslt)[native-inputs]: Add
 pkg-config.
 --- gnu/packages/xml.scm | 2 ++ 1 file changed, 2 insertions(+) diff --git
 a/gnu/packages/xml.scm b/gnu/packages/xml.scm index fc60758724..5fefa2c1dc
 100644 --- a/gnu/packages/xml.scm +++ b/gnu/packages/xml.scm @@ -201, 6 +201, 8
 @@ project (but it is usable outside [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xml.scm (libxslt)[native-inputs]: Add pkg-config.
---
 gnu/packages/xml.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index fc60758724..5fefa2c1dc 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -201,6 +201,8 @@ project (but it is usable outside of the Gnome platform).")
               ("libxml2" ,libxml2)
               ("python" ,python-minimal-wrapper)
               ("zlib" ,zlib)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
     (description
      "Libxslt is an XSLT C library developed for the GNOME project.  It is
 based on libxml for XML parsing, tree manipulation and XPath support.")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 06/31] gnu: xorg: Fix cross-compilation of multiple packages.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:09 +0000
Resent-Message-ID: <handler.36477.B36477.156257998018407 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998018407
          (code B ref 36477); Mon, 08 Jul 2019 10:00:09 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:40 +0000
Received: from localhost ([127.0.0.1]:57792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQt-0004mc-0u
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:40003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQp-0004kr-Bx
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:35 -0400
Received: by mail-wm1-f49.google.com with SMTP id v19so15685474wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=HQChGiapUc/V6LTOFWQ6u7G33P+LMpP/E3ipLTuUPF4=;
 b=id//RtAb3CW/GxloDCUHCznGE6jFyUJh4mr1aLdxFpy/zlWduyHKTFnUFPTi/7xyC3
 fokEcx6McmZRIhJzjQHVJAL2jUEPNGSi/vM6DeWngOVjgBfwFMsJsUbEgI7HfVwqAHM9
 HKhNpmIz/SJ0VF6pHNogd/DEIXi7jdOE1zfYqfhbqQ+VTwfZSWECRun0V9gIICQx9apQ
 hMrQlmmhutNCFZTsFgHw4uV1hlmSR9OYYKyBVNhazIl2yBLrMkqkQmCJ+LQnHiW0+FBW
 M1cJZDeELTXCJeNI64Vdc7rQYrY7+poWuUg0L20qR6drWX2e6OslYDsH+qU0110Rmj0o
 vZAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=HQChGiapUc/V6LTOFWQ6u7G33P+LMpP/E3ipLTuUPF4=;
 b=eOH7uLsXnMjYXgvX21HVg9ZtWWcQFUGxff1U6hmi06YzrBrzrXzfEmgLqNp0K/6tKE
 /uBEB0FEEZEskINxNCU99S2IltCk5JybmjM1Qq5QTEvCwQO+xAv80tynxLjC7vw/d8Y9
 u6IzVZsdeRmTD8bUyOgH4CPFKF6MPXD21Q3Bi5Xz7bn5FX3ojxUy6uskR8tTjWnz/IdY
 TUaam1toCvXhwwDj83vhFWGmB8nusJDcqBrtDXAGReL/RSJTn4WY5YIYf7Ic5uf0n0RF
 I8l354P6VkkC0gV1l46zZK4VjdmJw0DNzBzXvfJhFKVhLZfw4pLq2czOPZAzBtgEozRL
 LaFA==
X-Gm-Message-State: APjAAAUOBY1oLrCFd340THYDBla77Ol0PmV7bDtmiUvtS/b8u73LOSCo
 kNvK4iQD+G5Pd3iTJWleJzwCBtuI
X-Google-Smtp-Source: APXvYqwq7A781gkZJAkqmsCfO+McLSq7PZUOW+bRFhafGW/6tdaLRh+XU3oZDXucgrwRiVbXIAVSdw==
X-Received: by 2002:a1c:a7c6:: with SMTP id
 q189mr16330811wme.146.1562579969346; 
 Mon, 08 Jul 2019 02:59:29 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.28
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:28 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:48 +0200
Message-Id: <20190708095913.3460-7-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/xorg.scm (libxext)[arguments]: Disable zero
 malloc check that fails when cross-compiling, (libxrender)[arguments]: ditto, 
 (libx11)[arguments]: ditto. --- gnu/packages/xorg.scm | 25 ++++ [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.49 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xorg.scm (libxext)[arguments]: Disable zero malloc check that
fails when cross-compiling,
(libxrender)[arguments]: ditto,
(libx11)[arguments]: ditto.
---
 gnu/packages/xorg.scm | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 9577c4d2c6..e35e8be72f 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -4546,6 +4546,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0dbfn5bznnrhqzvkrcmw4c44yvvpwdcsrvzxf4rk27r36b9x865m"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -4631,6 +4638,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0j89cnb06g8x79wmmnwzykgkkfdhin9j7hjpvsxwlr3fz1wmjvf0"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -5248,9 +5262,14 @@ draggable titlebars and borders.")
     (outputs '("out"
                "doc"))                            ;8 MiB of man pages + XML
     (arguments
-     '(#:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "doc")
-                                              "/share/man"))))
+     `(#:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "doc")
+                            "/share/man")
+             ;; Disable zero malloc check that fails when cross-compiling.
+             ,@(if (%current-target-system)
+                   '("--disable-malloc0returnsnull")
+                   '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)
         ("libxcb" ,libxcb)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 07/31] gnu: libgpg-error: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:10 +0000
Resent-Message-ID: <handler.36477.B36477.156257998018420 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998018420
          (code B ref 36477); Mon, 08 Jul 2019 10:00:10 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:40 +0000
Received: from localhost ([127.0.0.1]:57795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQt-0004mq-Ra
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:40 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:52003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQq-0004ky-Cc
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:36 -0400
Received: by mail-wm1-f45.google.com with SMTP id 207so15096071wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=B0mDDnOBIQ0gt63IxYXEkuq2ssLtCCkYukfDONo6mSI=;
 b=MLQSoIa2YWwhLPpG4uFAF5sgNMZhAgdJZj8qXPmS6nStCV0kcux3dg7JsE8LgK29Cz
 yrzFiR8Je7pL49GEWY16eCbFQX0SJD31JbzInDni98k6ZjkOsnLNY+aCZ3xBoh1lVN1d
 61OiJM65hdxnwI3FeaNVdHOYglJgfHrsFo5CofEnbCHc1AbEviMUUdFvpdmmJq2GA/kh
 Vouy+iv4DRc6oln3lwQKiMc3/6YXYsf9vDvVnIV579aDQRoJdv0SxJFlA5dqbRZeBBXk
 9kttj8Yy9LNxsLPa0bhPqytWJc428u4K8AhDbDmF2a2VmnjRTUrAkU6YCE95crOvDovX
 WvPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=B0mDDnOBIQ0gt63IxYXEkuq2ssLtCCkYukfDONo6mSI=;
 b=H7o0TAoA/p8tl3OFFuWGXgyTHLAaE2tnIuVu7kTVXkQ+hym5PX5sk04vDymVf2DVKj
 f3gvIvOYS12RllY7G11M9znBpDFAtRCRRcL1zmlH/fOUemUhqipo/bzi9Afaw3wbU65p
 niGTcueJT8hAOaLckKPP62hACd1ry4izZrfpHoNLklKhsPFBlHbjNKhqxoLsPHGl+rur
 PioQhQqmcWV0UgF+zO8FuHS+kighHniB93nZVmrvE5cptStZNJXTd8LPZQ21xuIPWpht
 wsv9QRTM4C9h5YAGJQ/atDhLsWvciXPc4MsHCPiz9VwO4KHzRepZi8CNfnDTNbTAMjHc
 fnrg==
X-Gm-Message-State: APjAAAXLlcPiSGZdgSgjbAjASCnsJKswgLl8DZ0RzuCzYxMpbP/uVAgb
 PRlSC8EaECkMbtD7v1TrN/5b+JCl
X-Google-Smtp-Source: APXvYqx5v3YvjWWbvtKL/0MPiPTxhXE1UqHLL9Sx5tpzhmRSYCm+Pi+JElKcoz/x4Yka302ENhfusw==
X-Received: by 2002:a1c:a8d7:: with SMTP id r206mr12212523wme.47.1562579970338; 
 Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.29
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:29 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:49 +0200
Message-Id: <20190708095913.3460-8-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a
 lock-obj header to the target platform when cross-compiling, [native-inputs]:
 add gettext that is needed when cross-compiling. --- gnu/package [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.45 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a lock-obj header to
the target platform when cross-compiling,
[native-inputs]: add gettext that is needed when cross-compiling.
---
 gnu/packages/gnupg.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index f84f8d73a0..68e8270206 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2017 Petter <petter@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -86,6 +87,27 @@
        (base32
         "1jj08ns4sh1hmafqp1giskvdicdz18la516va26jycy27kkwaif3"))))
     (build-system gnu-build-system)
+    (arguments
+     (if (%current-target-system)
+         `(#:modules ((ice-9 match)
+                      (guix build gnu-build-system)
+                      (guix build utils))
+           #:phases
+           (modify-phases %standard-phases
+             (add-after 'unpack 'cross-symlinks
+               (lambda* (#:key inputs #:allow-other-keys)
+                 (let* ((target ,(%current-target-system))
+                        (tuple
+                         (match (string-take target (string-index target #\-))
+                           ("armhf" "arm-unknown-linux-gnueabi")
+                           (x
+                            (string-append x "-unknown-linux-gnu")))))
+                   (symlink
+                    (string-append "lock-obj-pub." tuple ".h")
+                    "src/syscfg/lock-obj-pub.linux-gnu.h"))
+                 #t))))
+         '()))
+    (native-inputs `(("gettext" ,gettext-minimal)))
     (home-page "https://gnupg.org")
     (synopsis "Library of error values for GnuPG components")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 09/31] gnu: http-parser: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:10 +0000
Resent-Message-ID: <handler.36477.B36477.156257998518482 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998518482
          (code B ref 36477); Mon, 08 Jul 2019 10:00:10 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:45 +0000
Received: from localhost ([127.0.0.1]:57803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQy-0004nt-H3
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:45 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:54898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQr-0004l7-N5
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:38 -0400
Received: by mail-wm1-f66.google.com with SMTP id p74so12044220wme.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=mlSeWXDT7I3fPFyuEJ8ThmxHr7oQlxWmMmSk8/j5YXM=;
 b=gvDlnwyBIm/bUA/l2FrhWSosxycVgTKWuVTOq/T/mBi3gZIGgbaQWCK5peRz15o6j8
 losbej/HzGmsIvvY/6DbtfTxyQMJLvI5D56knNN92mOhVPZT/fJ6/IGrTP2xXpk8I0HT
 3zQlrerCmoGBmsakeOVL/7yTxk+h/PeWcKqPINjbz9GUjhpwJDqM536nDOwfV25hJ6ff
 0IX1dcH2HABZhTYmsQWqOlNYyi98mcG3cnYOvicCu+UjSJEBclTUY6IaAWLPS6ulhEs5
 mb7hmpkMJkRQ4IzxLvZuGX9ZvTk5jaQ5+vmD+9EUrVISxo+GK428jfy9AqX24ezaGJ4S
 RdOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=mlSeWXDT7I3fPFyuEJ8ThmxHr7oQlxWmMmSk8/j5YXM=;
 b=IB2u+vG1IPyBvvwD+gfvQzc7wpYuyLn2sdVOAEj8DcwK1tuPXYaJb/twrr/pZKIglj
 ok0cQgkVHY+/HxC5INYWRNjiqaMMjpyWKLCJuRObXMgj2ZEfHom7ssgzNPolS2gpjXe1
 uoFjj7U8BanpXqCsi5i0M10pFvuB0GUYBUwRND989Y+G0Jc6Gl+Fqm1SBXZqHkXRVZaZ
 9s+MaYJRv3Yvqc6RThBA3BnJQof39BR7c29YhODJtgK/gEu4MQnvtXdhGTXxemVi8TYM
 p3dhPdCZfT4Me3LM/kS/oNBS4UiOToQLnDVWPBDCpM5EoB6qoCaEjeBf9xg74gIxp9ay
 srAg==
X-Gm-Message-State: APjAAAXeQX8hpbJyJDZs0Z+Vo2yvH93g3g+AiuGBETb40kPruvVUeW46
 R6/7NvEGfOGmUXpokNSssBrFnUYK
X-Google-Smtp-Source: APXvYqygGUy6YBEIbDF39uDTRWHQu3yyNXHCiGkBPPLIOc4Hypy5LGABpZTu3ZwE+Al7+0XWoNh/+A==
X-Received: by 2002:a05:600c:2503:: with SMTP id
 d3mr16579001wma.41.1562579971814; 
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:51 +0200
Message-Id: <20190708095913.3460-10-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/web.scm (http-parser)[arguments]: Set CC and
 AR variables in Makefile in order to fix cross-compilation. ---
 gnu/packages/web.scm
 | 13 +++++++++++-- 1 file changed, 11 insertions(+), 2 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ajgrf.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/web.scm (http-parser)[arguments]: Set CC and AR variables in
Makefile in order to fix cross-compilation.
---
 gnu/packages/web.scm | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 1d9190ef63..589997e832 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -33,6 +33,7 @@
 ;;; Copyright © 2019 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2019 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5171,10 +5172,18 @@ into your tests.  It automatically starts up a HTTP server in a separate thread
        #:make-flags
        (list (string-append "PREFIX="
                             (assoc-ref %outputs "out"))
-             "CC=gcc" "library")
+             "library")
        #:phases
        (modify-phases %standard-phases
-         (delete 'configure))))
+         (replace 'configure
+           (lambda* (#:key target #:allow-other-keys)
+             (when ,(%current-target-system)
+               (substitute* (find-files "." "Makefile")
+                 (("CC\\?=.*$")
+                  (string-append "CC=" target "-gcc\n"))
+                 (("AR\\?=.*$")
+                  (string-append "AR=" target "-ar\n"))))
+             #t)))))
     (synopsis "HTTP request/response parser for C")
     (description "This is a parser for HTTP messages written in C.  It parses
 both requests and responses.  The parser is designed to be used in
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 08/31] gnu: python: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:11 +0000
Resent-Message-ID: <handler.36477.B36477.156257998718506 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998718506
          (code B ref 36477); Mon, 08 Jul 2019 10:00:11 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:47 +0000
Received: from localhost ([127.0.0.1]:57806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQz-0004o2-6v
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:47 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:44410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQr-0004l0-Fr
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: by mail-wr1-f47.google.com with SMTP id p17so5159575wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=73dNSE1+hnk27BFrNRLom3U7wlteDzL4U2G7PsrRl7I=;
 b=WFXGJx5mvjm0PgsxNEeQAO8LU05jpjZ0VndG36ith0Bgm/j4ksCPncphI3z9Km2Um/
 8U3rMT5D0i5LcDRkVEzW46oIic+XDoI6QwNwhjUA2lhy9x2OiyWcPNaW/F+dZXv++sG9
 pdRwz4J1xzRBUEYIwOxWUq9S1s486s1MuRjDsfQSM+c92pRw3blB+ht5pzLXX1ebcvoF
 aYorWievF5w/ErH05wX073gCfRsSql6e3wcGCWDCAgtLNKTl0qqdKPy2/VWQdiuch2ZO
 oDbKvA1FkwOcaFRrZBOBzLXKfSrO3KRt8qcaAL74wEXlZvjSDxOM7zGYLMB8l7XzU+Ol
 oKjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=73dNSE1+hnk27BFrNRLom3U7wlteDzL4U2G7PsrRl7I=;
 b=E9rayAsVnDSTmhCv1wieqePneWaD72/3EE6svL0gUaxr8ANS+v/FmDg5gXKK4tssbY
 POVS9+PLvGxRSs2cZ/2fGhe5VxIrCdJmEBFiBOwN+mxX+0VqNON8/4O60v2sxWtDL3nc
 8KzDVKkC3+yB3k3b424VzjuoQjZVPvxa+lwXuyiYOn4PmPgjIaBtVrDewLQ8RcMQoS5h
 dW6y0nV3BKm7Ue8PDG+tcBb9blUX9j9VfsQx+xUcC+bXN8eP5RHHzOWwHbmKnl7+lsAo
 ejmi0cRAHA6Oy+Uu2GAtOMJaF62lRu6Zng70sveiOUaPBCvt/eKqMB5AxcNKaJPrNWPe
 6f/w==
X-Gm-Message-State: APjAAAV521qdV2lvIJx6mTyT9TNpeAgEqFlHM8C5SjwCyXvPKmzr6X/9
 LA0yjor1ehxhJQeJUKluTZp1JUZp
X-Google-Smtp-Source: APXvYqzUO+CaWLr+8FhM3T5OOrJfkiHwn8IALrwPv1rXh/LeCEUzAqjgsOy5p+pQm5Y9cCUBsAScrA==
X-Received: by 2002:adf:f8cf:: with SMTP id f15mr17751867wrq.333.1562579971168; 
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.30
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:50 +0200
Message-Id: <20190708095913.3460-9-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/patches/python-2.7-search-paths.patch: Add
 cross-compilation support. * gnu/packages/patches/python-3-search-paths.patch:
 Ditto. * gnu/packages/patches/python-cross-compile.patch: New p [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: local.mk]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/python-2.7-search-paths.patch: Add cross-compilation
support.
* gnu/packages/patches/python-3-search-paths.patch: Ditto.
* gnu/packages/patches/python-cross-compile.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Add above new patch.
* gnu/packages/python.scm (python-2.7)[patches]: Add new patch above,
[arguments]: Set _PYTHON_HOST_PLATFORM env variable when cross compiling.
---
 gnu/local.mk                                  |   1 +
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 ++++++++++++++++++
 gnu/packages/python.scm                       |   6 +-
 5 files changed, 168 insertions(+), 5 deletions(-)
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 8be4d74dce..7d42202485 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1208,6 +1208,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-CVE-2018-14647.patch		\
   %D%/packages/patches/python-axolotl-AES-fix.patch		\
   %D%/packages/patches/python-cairocffi-dlopen-path.patch	\
+  %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-cffi-x87-stack-clean.patch	\
   %D%/packages/patches/python-fix-tests.patch			\
   %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
diff --git a/gnu/packages/patches/python-2.7-search-paths.patch b/gnu/packages/patches/python-2.7-search-paths.patch
index ba7235df27..6457819b8a 100644
--- a/gnu/packages/patches/python-2.7-search-paths.patch
+++ b/gnu/packages/patches/python-2.7-search-paths.patch
@@ -3,13 +3,17 @@ looking for headers and libraries.
 
 --- Python-2.7.10/setup.py	2015-10-07 18:33:18.125153186 +0200
 +++ Python-2.7.10/setup.py	2015-10-07 18:33:47.497347552 +0200
-@@ -526,6 +526,10 @@ class PyBuildExt(build_ext):
+@@ -526,6 +526,14 @@ class PyBuildExt(build_ext):
              inc_dirs += ['/system/include', '/atheos/autolnk/include']
              inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
  
 +        # Always honor these variables.
-+        lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
-+        inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
++        if not cross_compiling:
++            lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
++        else:
++            lib_dirs = os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs = os.getenv('CROSS_C_INCLUDE_PATH', '').split(os.pathsep)
 +
          # OSF/1 and Unixware have some stuff in /usr/ccs/lib (like -ldb)
          if host_platform in ['osf1', 'unixware7', 'openunix8']:
diff --git a/gnu/packages/patches/python-3-search-paths.patch b/gnu/packages/patches/python-3-search-paths.patch
index 73e3f4ccf5..70e6109f18 100644
--- a/gnu/packages/patches/python-3-search-paths.patch
+++ b/gnu/packages/patches/python-3-search-paths.patch
@@ -3,7 +3,7 @@ looking for headers and libraries.
 
 --- setup.py	2015-10-07 23:32:58.891329173 +0200
 +++ setup.py	2015-10-07 23:46:29.653349924 +0200
-@@ -575,8 +575,8 @@
+@@ -600,15 +600,15 @@
          # if a file is found in one of those directories, it can
          # be assumed that no additional -I,-L directives are needed.
          if not cross_compiling:
@@ -14,3 +14,12 @@ looking for headers and libraries.
          else:
              # Add the sysroot paths. 'sysroot' is a compiler option used to
              # set the logical path of the standard system headers and
+             # libraries.
+-            lib_dirs = (self.compiler.library_dirs +
++            lib_dirs = (os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep) +
+                         sysroot_paths(('LDFLAGS', 'CC'), system_lib_dirs))
+-            inc_dirs = (self.compiler.include_dirs +
++            inc_dirs = (os.getenv('CROSS_C_INCLUDE_PATH', '').split(os.pathsep) +
+                         sysroot_paths(('CPPFLAGS', 'CFLAGS', 'CC'),
+                                       system_include_dirs))
+         exts = []
diff --git a/gnu/packages/patches/python-cross-compile.patch b/gnu/packages/patches/python-cross-compile.patch
new file mode 100644
index 0000000000..5a470e1852
--- /dev/null
+++ b/gnu/packages/patches/python-cross-compile.patch
@@ -0,0 +1,145 @@
+Patch taken from https://bugs.python.org/issue22724 and augmented with
+following Nix patch
+https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/interpreters/python/cpython/2.7/cross-compile.patch
+to fix the whole cross-compilation circus.
+
+---
+ Makefile.pre.in | 14 +++++++-------
+ configure       |  5 ++++-
+ setup.py        |  9 ++++++---
+ 3 files changed, 17 insertions(+), 11 deletions(-)
+
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index 2a14f3323b..6239fc32fc 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -492,7 +492,7 @@ $(BUILDPYTHON):	Modules/python.o $(LIBRARY) $(LDLIBRARY)
+ 			$(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
+ 
+ platform: $(BUILDPYTHON) pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
+ 
+ # Create build directory and generate the sysconfig build-time data there.
+ # pybuilddir.txt contains the name of the build dir and is used for
+@@ -503,7 +503,7 @@ platform: $(BUILDPYTHON) pybuilddir.txt
+ # or removed in case of failure.
+ pybuilddir.txt: $(BUILDPYTHON)
+ 	@echo "none" > ./pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
+ 	if test $$? -ne 0 ; then \
+ 		echo "generate-posix-vars failed" ; \
+ 		rm -f ./pybuilddir.txt ; \
+@@ -525,7 +525,7 @@ sharedmods: $(BUILDPYTHON) pybuilddir.txt Modules/_math.o
+ 	esac; \
+ 	$(RUNSHARED) CC='$(CC)' LDSHARED='$(BLDSHARED)' OPT='$(OPT)' \
+ 		_TCLTK_INCLUDES='$(TCLTK_INCLUDES)' _TCLTK_LIBS='$(TCLTK_LIBS)' \
+-		$(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
++		$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
+ 
+ # Build static library
+ # avoid long command lines, same as LIBRARY_OBJS
+@@ -928,7 +928,7 @@ install:	@FRAMEWORKINSTALLFIRST@ commoninstall bininstall maninstall @FRAMEWORKI
+ 			upgrade) ensurepip="--upgrade" ;; \
+ 			install|*) ensurepip="" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -939,7 +939,7 @@ altinstall:	commoninstall
+ 			upgrade) ensurepip="--altinstall --upgrade --no-default-pip" ;; \
+ 			install|*) ensurepip="--altinstall --no-default-pip" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -1270,7 +1270,7 @@ libainstall:	@DEF_MAKE_RULE@ python-config
+ # Install the dynamically loadable modules
+ # This goes into $(exec_prefix)
+ sharedinstall: sharedmods
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
+ 	   	--prefix=$(prefix) \
+ 		--install-scripts=$(BINDIR) \
+ 		--install-platlib=$(DESTSHARED) \
+@@ -1344,7 +1344,7 @@ frameworkinstallextras:
+ # This installs a few of the useful scripts in Tools/scripts
+ scriptsinstall:
+ 	SRCDIR=$(srcdir) $(RUNSHARED) \
+-	$(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
++	$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
+ 	--prefix=$(prefix) \
+ 	--install-scripts=$(BINDIR) \
+ 	--root=$(DESTDIR)/
+diff --git a/configure b/configure
+index 67300fe2b6..6050f588c5 100755
+--- a/configure
++++ b/configure
+@@ -741,6 +741,7 @@ CONFIG_ARGS
+ SOVERSION
+ VERSION
+ PYTHON_FOR_BUILD
++PY_BUILD_ENVIRON
+ PYTHON_FOR_REGEN
+ host_os
+ host_vendor
+@@ -2964,7 +2965,8 @@ $as_echo_n "checking for python interpreter for cross build... " >&6; }
+ 	fi
+         { $as_echo "$as_me:${as_lineno-$LINENO}: result: $interp" >&5
+ $as_echo "$interp" >&6; }
+-	PYTHON_FOR_BUILD='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR) '$interp
++	PY_BUILD_ENVIRON='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR)'
++	PYTHON_FOR_BUILD=$interp
+     fi
+ elif test "$cross_compiling" = maybe; then
+     as_fn_error $? "Cross compiling required --host=HOST-TUPLE and --build=ARCH" "$LINENO" 5
+@@ -2974,6 +2976,7 @@ fi
+ 
+ 
+ 
++
+ if test "$prefix" != "/"; then
+     prefix=`echo "$prefix" | sed -e 's/\/$//g'`
+ fi
+diff --git a/setup.py b/setup.py
+index cb47a2339c..472e7e2b26 100644
+--- a/setup.py
++++ b/setup.py
+@@ -497,8 +497,6 @@ class PyBuildExt(build_ext):
+         if not cross_compiling:
+             add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+             add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+-        if cross_compiling:
+-            self.add_gcc_paths()
+         self.add_multiarch_paths()
+ 
+         # Add paths specified in the environment variables LDFLAGS and
+@@ -556,7 +554,10 @@ class PyBuildExt(build_ext):
+         # be assumed that no additional -I,-L directives are needed.
+         inc_dirs = self.compiler.include_dirs[:]
+         lib_dirs = self.compiler.library_dirs[:]
+-        if not cross_compiling:
++        if cross_compiling:
++            inc_dirs = []
++            lib_dirs = []
++        else:
+             for d in (
+                 '/usr/include',
+                 ):
+@@ -621,6 +622,8 @@ class PyBuildExt(build_ext):
+         # Some modules that are normally always on:
+         #exts.append( Extension('_weakref', ['_weakref.c']) )
+ 
++        self.compiler.library_dirs = lib_dirs + [ '.' ]
++
+         # array objects
+         exts.append( Extension('array', ['arraymodule.c']) )
+ 
+-- 
+2.17.1
+
diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 1a8cd39de2..724260dabf 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -109,7 +109,8 @@
                                "python-2-deterministic-build-info.patch"
                                "python-2.7-site-prefixes.patch"
                                "python-2.7-source-date-epoch.patch"
-                               "python-2.7-adjust-tests.patch"))
+                               "python-2.7-adjust-tests.patch"
+                               "python-cross-compile.patch"))
       (modules '((guix build utils)))
       ;; suboptimal to delete failing tests here, but if we delete them in the
       ;; arguments then we need to make sure to strip out that phase when it
@@ -152,6 +153,9 @@
           (add-before
            'configure 'patch-lib-shells
            (lambda _
+             ,@(if (%current-target-system)
+                   '((setenv "_PYTHON_HOST_PLATFORM" ""))
+                   '())
              ;; Filter for existing files, since some may not exist in all
              ;; versions of python that are built with this recipe.
              (substitute* (filter file-exists?
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 10/31] gnu: openssl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:12 +0000
Resent-Message-ID: <handler.36477.B36477.156257998818520 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998818520
          (code B ref 36477); Mon, 08 Jul 2019 10:00:12 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:48 +0000
Received: from localhost ([127.0.0.1]:57811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR1-0004oR-Mr
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:40009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQs-0004lX-Ui
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: by mail-wm1-f47.google.com with SMTP id v19so15685663wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ZJuO8PUotTCvIPM3P3rGtGyscxUi8663m64WrGQJlqk=;
 b=VTIKmx6C9KgiHO3rG2C1OOAH+pznGcgi6NdsvJ8F+vP9wkFR+H/B9qEg868lotiRCN
 DnQxAFFBLxjEXKd9Avg+yoEUG8bTrcPoHV/9nM8GjsjvLERrrwf53einrMLA7/QUnksz
 UVGbdmGvdAck4QUgOiqcUpnVviBMKEYenzLXrRmUkpPb6zLp+XMZWh8LbdeOz3rNefUH
 DPo2CZyiaofnwfexK/vDDHtT9g+sjBT+pc+aRWkNPQFXe38+mwakLeIHZA8IcEE9qUJg
 /kKfCgJ6YHBKTtkhSdPPrrii9UeaiNxODQWjFFbEnw7/GcfjFEVc87/7zgq3QtvXqlwZ
 c3og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ZJuO8PUotTCvIPM3P3rGtGyscxUi8663m64WrGQJlqk=;
 b=OPiT6/kf4bD8ALmRIWkBiCb2OTRf/7FT2hu0SQlnBq44kusNf6V1DmICvqt04LjXRi
 aJfPlMKQOHfPWniNjYTVxZyeF7zBHrXq1UKYRrCI2h1fcTXcAC1DKWqnDlwQgYoTw1mF
 FMVFODgovf2yRvji6/chsMcVgkJtvltJlDb6fMQufCnxfs+W793fu7i2LRHPp0a21IgP
 09kqtRhAVaiZLPwXVeoBNk2LkNwlxpWwEgaEg+ZBvF0qSknmsf812dIVn3fLmMZ6xtb+
 D2DNOt+XJgrv9ASiyo7EOBk6TWOjf6Y6s0ti5gn5srKsxyKdN3KPPtLvlfLHhX9/OWHu
 hS4w==
X-Gm-Message-State: APjAAAUPb89KwZ8JRntZiyLmN+5JvE0Bjontv7wiT2ErE0J1w3lXODhY
 mFl7BpsXWgklyNzCF6IIT/R9NpMK
X-Google-Smtp-Source: APXvYqxld/b6yRmclRNUXz0Cyqi1THDPPIbhKT/FTFa9gap4gm3jxinzSuJt7BKLu53Y6/M1kwJlOw==
X-Received: by 2002:a1c:630a:: with SMTP id x10mr16976664wmb.113.1562579972909; 
 Mon, 08 Jul 2019 02:59:32 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:52 +0200
Message-Id: <20190708095913.3460-11-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tls.scm (openssl-next)[arguments]: Pass
 CROSS_COMPILE
 environment variable and target system to configure script. ---
 gnu/packages/tls.scm
 | 59 +++++++++++++++++++++++++++++++++-------- [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tls.scm (openssl-next)[arguments]: Pass CROSS_COMPILE
environment variable and target system to configure script.
---
 gnu/packages/tls.scm | 59 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 45 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 8e20101e51..4e269bcc8c 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2018 Clément Lassieur <clement@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -310,11 +311,31 @@ required structures.")
                (("^MANDIR[[:blank:]]*=.*$")
                 (string-append "MANDIR = " out "/share/man\n")))
              #t)))
+        ,@(if (%current-target-system)
+              '((add-before
+                    'configure 'set-cross-compile
+                  (lambda* (#:key target outputs #:allow-other-keys)
+                    (setenv "CROSS_COMPILE" (string-append target "-"))
+                    (setenv "CONFIGURE_TARGET_ARCH"
+                            (cond
+                             ((string-prefix? "i686" target)
+                              "linux-x86")
+                             ((string-prefix? "x86_64" target)
+                              "linux-x86_64")
+                             ((string-prefix? "armhf" target)
+                              "linux-armv4")
+                             ((string-prefix? "aarch64" target)
+                              "linux-aarch64")))
+                    #t)))
+              '())
         (replace
          'configure
          (lambda* (#:key outputs #:allow-other-keys)
            (let ((out (assoc-ref outputs "out")))
-             (invoke "./config"
+             (invoke
+              ,@(if (%current-target-system)
+                    '("./Configure")
+                    '("./config"))
                      "shared"                 ;build shared libraries
                      "--libdir=lib"
 
@@ -323,8 +344,11 @@ required structures.")
                      ;; conventional.
                      (string-append "--openssldir=" out
                                     "/share/openssl-" ,version)
+                     (string-append "--prefix=" out)
 
-                     (string-append "--prefix=" out)))))
+                     ,@(if (%current-target-system)
+                           '((getenv "CONFIGURE_TARGET_ARCH"))
+                           '())))))
         (add-after
          'install 'make-libraries-writable
          (lambda* (#:key outputs #:allow-other-keys)
@@ -444,18 +468,25 @@ required structures.")
                    (("/usr/bin/env")
                     (string-append (assoc-ref %build-inputs "coreutils")
                                    "/bin/env")))
-                 (invoke "./config"
-                         "shared"       ;build shared libraries
-                         "--libdir=lib"
-
-                         ;; The default for this catch-all directory is
-                         ;; PREFIX/ssl.  Change that to something more
-                         ;; conventional.
-                         (string-append "--openssldir=" out
-                                        "/share/openssl-" ,version)
-
-                         (string-append "--prefix=" out)
-                         (string-append "-Wl,-rpath," lib)))))
+                 (invoke
+                  ,@(if (%current-target-system)
+                        '("./Configure")
+                        '("./config"))
+                  "shared"       ;build shared libraries
+                  "--libdir=lib"
+
+                  ;; The default for this catch-all directory is
+                  ;; PREFIX/ssl.  Change that to something more
+                  ;; conventional.
+                  (string-append "--openssldir=" out
+                                 "/share/openssl-" ,version)
+
+                  (string-append "--prefix=" out)
+                  (string-append "-Wl,-rpath," lib)
+
+                  ,@(if (%current-target-system)
+                        '((getenv "CONFIGURE_TARGET_ARCH"))
+                        '())))))
 
            (delete 'move-man3-pages)
            (add-after 'install 'move-extra-documentation
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 11/31] gnu: texinfo: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:12 +0000
Resent-Message-ID: <handler.36477.B36477.156257998918529 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998918529
          (code B ref 36477); Mon, 08 Jul 2019 10:00:12 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:49 +0000
Received: from localhost ([127.0.0.1]:57814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR2-0004of-Ck
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:43068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQu-0004le-0g
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:40 -0400
Received: by mail-wr1-f68.google.com with SMTP id p13so16307778wru.10
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=DOxMSgg2WGPwxlricP6bTgOv198KMI+3refWBLSNE7U=;
 b=CG/C/m1aHNNK+kWhBXK9WgyFyBiM76npoCtxFUYOcCKTWMbttquVLSNcoh9ZCWSo47
 /A5KUs2jslm2IcEv4hZ4EbODISeJowZL5BDybM2Uz0hu8bBGKXoxGwqR3Vb69XDfZdZz
 6uDQR20l4PeO4tDGHd4v071gOMLUQ+fYoNCKVjuVhw9H7ZIq6Ev6IPYLxJeat6ZYDawh
 EvOj7ci9b/jBGYn2ZX2V27zM4G5kx/ZJe3N0ZUbRO4K3zqStzIslmlSviRWgbUd6EF/Y
 BlusSG/cBSDp6In4Hc5+nTUfPqTa9OnhAdZ8FQlHuM7Lz1fbNh/K25f0nuBdIAb9sM8v
 W9rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=DOxMSgg2WGPwxlricP6bTgOv198KMI+3refWBLSNE7U=;
 b=DfDXZ3dpqw53jvmEhEgeCoNNgg97MioE0A/w0H4hVfMx+Zn7rKEG18SkdQqqWAO3Ct
 zx/jJkmroIceqMjNbYkTy81Y24gJcXDhVYM/wr++7tQcfmru/mYX+ZQS0KZMcM+wAB3P
 8J7LBQfuqeATQNupBbPD7M+cK1HgAQanR4TbE8+OLp+rN8z/aX1h40GYPZVO+9TWXAO5
 W6EHnQIJbfbscwzZPMRfSxO3VSIAHeqd6na7by1nJFLtLDfWGv+3Y+F8lez1LpCxwbXS
 h2oaNgfqHVO65OmQr+aYIf3M1MPgK8K7uU8BG1BmhgqrVNIS8EjqaMlDAMSv7+7/iU6i
 TCfA==
X-Gm-Message-State: APjAAAVrb73q1RrYbfVFmdmTMAhW+Ns55KfQlyv5KUUL4ivzzCrFVMoS
 cbHF4xI9A4Hvftzwi5xT3cft1IbF
X-Google-Smtp-Source: APXvYqxaeqo++zlbjIC3Nx7shM7Ehi/vu6uqzjfdVcCBf/5kanYWvG5xEtuO/T82Y04k3lUHN/Tzsw==
X-Received: by 2002:adf:e705:: with SMTP id c5mr18675581wrm.270.1562579973729; 
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.32
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:53 +0200
Message-Id: <20190708095913.3460-12-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset
 environment before running configure with the native compiler,
 in a cross-compilation
 context, [inputs]: move perl from here ... [native-i [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.68 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset environment
before running configure with the native compiler, in a cross-compilation
context,
[inputs]: move perl from here ...
[native-inputs]: ... to here. Also add ncurses that is needed in a
cross-compilation context to build texinfo native tools.
---
 gnu/packages/texinfo.scm | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index fa98bd56b8..36bb9132d9 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -42,8 +42,28 @@
                (base32
                 "0qjzvbvnv9003xdrcpi3jp7y68j4hq2ciw9frh2hghh698zlnxvp"))))
     (build-system gnu-build-system)
-    (inputs `(("ncurses" ,ncurses)
-              ("perl" ,perl)))
+    (arguments
+     ;; When cross-compiling, the package is configured twice: once with the
+     ;; native compiler and once with the cross-compiler. During the configure
+     ;; with the native compiler, the environment is reset. This leads to
+     ;; multiple environment variables missing. Do not reset the environment
+     ;; to prevent that.
+     `(,@(if (%current-target-system)
+             '(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'fix-cross-configure
+                   (lambda _
+                     (substitute* "configure"
+                       (("env -i")
+                        "env "))
+                     #t))))
+             '())))
+    (inputs `(("ncurses" ,ncurses)))
+    ;; When cross-compiling, texinfo will build some of it's own binaries with
+    ;; the native compiler. This means ncurses is needed both in both inputs
+    ;; and native-inputs.
+    (native-inputs `(("perl" ,perl)
+                     ("ncurses" ,ncurses)))
 
     (native-search-paths
      ;; This is the variable used by the standalone Info reader.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 12/31] gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:13 +0000
Resent-Message-ID: <handler.36477.B36477.156257998918541 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257998918541
          (code B ref 36477); Mon, 08 Jul 2019 10:00:13 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:49 +0000
Received: from localhost ([127.0.0.1]:57816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR2-0004om-Pa
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:36838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQu-0004ll-MQ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:41 -0400
Received: by mail-wm1-f46.google.com with SMTP id g67so9513795wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=06Lt6p14Eyt6y6gzYLhY9Y7tgxq3wHN4kRpx1pHnoys=;
 b=bcwT7/dGqimWR7X5GaBhKpkI1Ony8uWTLOCSJne3CMfiXMSETYAT9uCkl9RdvgFK2b
 deI5WvCNDHbkkL65AF+bj//8skTDJuUHis6E0V9SNRCku87ZoCSh4nvR6y90vaFVL0tx
 P3tee1G09LR78w7JUMces+EqWIFRyisSRA/LcTneHTq+GMTsqJ89w2Nz4XpyzxZHSnI2
 6vGHH100yJ8URrsE5NjgrXvuHTwTyIqzGqaAw6R+x7vGxvgOGlBc8GIIcr+FXqhb8wpi
 35+nqA+wcJTnCKcqIQYvoQ5c1q+L3B2J+2t6hHkOInXz6scieDyEHrgXxTCFInif1n3P
 ocag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=06Lt6p14Eyt6y6gzYLhY9Y7tgxq3wHN4kRpx1pHnoys=;
 b=c0istbiiK918lHdsHVldDKY5idhyO3WEx9+d1BSd5dmRUmdGJEownq81j3HGpMXY1y
 +xCb72b0vmkYwyHXw0cwsiWgufrc82S1JYtlSr7Bf2a/Wd4SVX5jkZJis8LHod8/HuPY
 sSqc/ZBExVhLRcBz0cG7wpQy/4sigrPm/85LfhKlrKN4a9T8P2D7G4RsB66VZPLIsqLA
 TYaiPzTmRQHQrA5u4kzS2QxMDyWuRdKtRGabcz32GAUrOhbLDY80V66lzNud2hoGEOv5
 5J/YyGyT02StfrfceqdJBf6CV+fzlsXcWYMFkMwtkvTU6GLtPULxSmANmD8e7sZgyGGN
 pa/Q==
X-Gm-Message-State: APjAAAXr+Y83eDVkJyyjL/oIjiNOmZZ5DnPG7wRXDaCXqZXS0iWrCXTA
 D6RYzp3sGDY3fU06C9Hkd2+kVPo5
X-Google-Smtp-Source: APXvYqyxmaHVAyP+2XhcohpiNnjNQS/8tfsz5VCkiUNBoljGl/RyLs3i8srhxjgdI8AwV79tJbsAww==
X-Received: by 2002:a1c:b457:: with SMTP id d84mr17171974wmf.153.1562579974630; 
 Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.33
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:54 +0200
Message-Id: <20190708095913.3460-13-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/cmake.scm (cmake)[native-search-paths]: Turn
 to search-paths. This allows libraries using cmake functions "find_file"
 or "find_library" to search in non-native inputs while cross-compil [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.46 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/cmake.scm (cmake)[native-search-paths]: Turn to search-paths.
This allows libraries using cmake functions "find_file" or "find_library" to
search in non-native inputs while cross-compiling.
---
 gnu/packages/cmake.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 7186cf98df..3969d309af 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -147,7 +147,7 @@
        ("ncurses" ,ncurses) ; required for ccmake
        ("rhash" ,rhash)
        ("zlib" ,zlib)))
-    (native-search-paths
+    (search-paths
      (list (search-path-specification
             (variable "CMAKE_PREFIX_PATH")
             (files '("")))))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 13/31] gnu: libgit2: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:13 +0000
Resent-Message-ID: <handler.36477.B36477.156257999018553 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999018553
          (code B ref 36477); Mon, 08 Jul 2019 10:00:13 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:50 +0000
Received: from localhost ([127.0.0.1]:57819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR3-0004p0-7C
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:37224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQv-0004ls-DB
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:42 -0400
Received: by mail-wm1-f44.google.com with SMTP id f17so15706144wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=YfHtPssIiGkUPzH09rjZOx/HVJGAXh9FPXLWjE/0x7w=;
 b=nB91FOyM5FwuCIQkL+wWVvZMEsbdmquRMPKaC/wD75bGvDWKr/sULBy6GzpjedwW8J
 EHBdT5C3Ai5uUMErGRY9gJ0bVdRCuoN7z84HD6ooJfHFPWbMBYEagKOlIazXgNE0uj9x
 tUsxgSpSv90RTLt7UlPOmaR24qjF4D7ct9aFmVP2pC5rMLitOs6sGpD00hcd2cydpfCD
 ddg9zFpgOU8kE0DHClBVpIYE2bsVKnu4YfInueaVbWa83RM8DtBcmY9epJkQbsSMlOy/
 x+nIvLQ4QMBfGhWKqCzV9Qif8bOrcxNGZz1ma5tU2POYIt8zNDnok4yDb9eBOMvX3xCM
 4AAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=YfHtPssIiGkUPzH09rjZOx/HVJGAXh9FPXLWjE/0x7w=;
 b=NVyHU5J66VtA8zYrXFZHPsDQD48NmP5Te7ZTBQuJNVea0vWZvlsE+jKm5oP571mzRp
 po/WlqsaC9BmGCtKY653uKiCliQzuipcLQIYGeG2rbh4gdsG2erKyKmy/p4/5TljkTwd
 e/F8+elTRi9txOfWjONL8LljN1d+ZUZRTZuQcFr53+TMQW/PxsAzFnS/yvNGr42mCHOz
 iIrLU+Hdr7HdJJmlqiErK7qscYZ0es11vwdnMDCmKSt8BivjIhAy47zz4O26quWgMVnA
 wGTt+lgjk4YB+te/18YapFgZIwlC24WyR2prDpiV0e6XDOXCEOJkhkVazd/vdv7mnz0k
 Ozuw==
X-Gm-Message-State: APjAAAVGAQ/0pEDBdelYodBNSBfempYDICHqJz5YlaFHPKq1iKek+3gP
 Up7QwfHi27eF03DaQ8+GXcxqNh3w
X-Google-Smtp-Source: APXvYqwNkNUb4vXkbTk+Vtb2oqHA9XYZtD645R45QHtZTgO63xuhG1eNA1uw/QO2ogcSF2ILA4Gm1w==
X-Received: by 2002:a1c:1a4c:: with SMTP id a73mr11754317wma.109.1562579975431; 
 Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.34
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:55 +0200
Message-Id: <20190708095913.3460-14-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/version-control.scm (libgit2)[arguments]: Set
 PKG_CONFIG_EXECUTABLE variable when cross-compiling. Also do not run test
 suite if cross-compiling. --- gnu/packages/version-control.scm | [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.44 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.44 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/version-control.scm (libgit2)[arguments]: Set
PKG_CONFIG_EXECUTABLE variable when cross-compiling.
Also do not run test suite if cross-compiling.
---
 gnu/packages/version-control.scm | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 8effe1d502..ca5a019105 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -545,7 +545,14 @@ everything from small to very large projects with speed and efficiency.")
     (build-system cmake-build-system)
     (outputs '("out" "debug"))
     (arguments
-     `(#:configure-flags '("-DUSE_SHA1DC=ON") ; SHA-1 collision detection
+     `(#:configure-flags
+       (list "-DUSE_SHA1DC=ON"  ; SHA-1 collision detection
+             ,@(if (%current-target-system)
+                   `((string-append
+                      "-DPKG_CONFIG_EXECUTABLE="
+                      (assoc-ref %build-inputs "pkg-config")
+                      "/bin/" ,(%current-target-system) "-pkg-config"))
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-hardcoded-paths
@@ -560,9 +567,12 @@ everything from small to very large projects with speed and efficiency.")
            (lambda _
              (for-each make-file-writable (find-files "."))
              #t))
-         ;; Run checks more verbosely.
+         ;; Run checks more verbosely, unless we are cross-compiling.
          (replace 'check
-           (lambda _ (invoke "./libgit2_clar" "-v" "-Q"))))))
+           (lambda _
+             ,@(if (%current-target-system)
+                   '(#t)
+                   '((invoke "./libgit2_clar" "-v" "-Q"))))))))
     (inputs
      `(("libssh2" ,libssh2)
        ("http-parser" ,http-parser)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 14/31] gnu: ath9k-htc-firmware: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:14 +0000
Resent-Message-ID: <handler.36477.B36477.156257999018569 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999018569
          (code B ref 36477); Mon, 08 Jul 2019 10:00:14 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:50 +0000
Received: from localhost ([127.0.0.1]:57822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR3-0004pA-QH
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:45895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQw-0004m0-D3
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:43 -0400
Received: by mail-wr1-f41.google.com with SMTP id f9so16305219wre.12
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=VlSnbutAM6FLnZwejy0Rd/fXSAj6ty+f8m0OjbQ5QKw=;
 b=e0BLG2Vpp6XG0SkVvn/50hz8uOJNJpjGrBjrb+TwwbURlKMbMh7xfa1IgnvMnPPB51
 /ob1Eq7pa2DA+Ql+EY0TMgPVHJcz53Zf8zp1npN7rtTj4m5TVu6Upqnj0t0VcLc7vYwz
 mswiEhQhgahMSuoPSG5/pgyBmp2IYb210TfeDSYq/PZBhivENhtomLhUR4fFjgTzRrmb
 jmDeqWfU93k22VFDfoLvb21fl43hRkO4Dq/VzfECNIXsFNqTegTiZdZC+hAMvFGcnurg
 tdOeDmsnARtwVC6hTIHVEtLn8WPI/UrFB0dW6dg+o//zMG83cFhaOLu5g0u17DRc9PnC
 b6JQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=VlSnbutAM6FLnZwejy0Rd/fXSAj6ty+f8m0OjbQ5QKw=;
 b=M0vhmUrzdAOG7cmPTncXANN/282kL7tOK7t3k32lZzuN4wPurTQrpF4dQ6y/FbEHfE
 AupON2vO2Jjh/tATiAc/D4kSq6Ons/jYigyuAT8qVQj7c9QTvaR9OqpuDIO9tLFcJD0I
 0t2X8bITubH3E3ZiDkOzU6eywAEeeNX+8PinlXtpY7Jp3HY8YqhYzKLZMDFvfI9BmBVo
 4IwrB7fdNDP6jJSw+jXST7jxp7wjtR9GjaEyHds54Xv3t3k6DFRR7EkSnaaFkq+tyBWD
 tgjQRIzkiIHLG/DPp5DgUT8N7vPg3uWlNXpTL1AA7twNLGlARywacYtjNib3aNnB9sG3
 ykIw==
X-Gm-Message-State: APjAAAXn3YIG+RyXOo/AyDzCa7J1jqh78jt+TTipnnT8KZdFczO7Ewnv
 Fcro74lkUCM3KTzG1ydpjiIkCie3
X-Google-Smtp-Source: APXvYqxgaljiPDiFZnF1C3dvQPT6VVqP/geD0PxHHMOaniRhnGBueJ5zcHFooraMbOr3YAM384oEPw==
X-Received: by 2002:adf:fdcc:: with SMTP id i12mr14031162wrs.88.1562579976306; 
 Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.35
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:56 +0200
Message-Id: <20190708095913.3460-15-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]:
 Search for "cross-gcc" in native-inputs and inputs in "configure" phase. ---
 gnu/packages/firmware.scm | 5 +++-- 1 file changed, 3 insertions( [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: flashner.co.il]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.41 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]: Search for
"cross-gcc" in native-inputs and inputs in "configure" phase.
---
 gnu/packages/firmware.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index 90cb8845cf..e72a8d2cbd 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2017, 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Vagrant Cascadian <vagrant@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -59,7 +60,7 @@
      '(#:phases
        (modify-phases %standard-phases
          (add-before 'configure 'pre-configure
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
              (chdir "target_firmware")
 
              ;; 'configure' is a simple script that runs 'cmake' with
@@ -67,7 +68,7 @@
              (substitute* "configure"
                (("^TOOLCHAIN=.*$")
                 (string-append "TOOLCHAIN="
-                               (assoc-ref inputs "cross-gcc")
+                               (assoc-ref (or native-inputs inputs) "cross-gcc")
                                "\n")))
              #t))
          (replace 'install
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 15/31] gnu: libpaper: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:15 +0000
Resent-Message-ID: <handler.36477.B36477.156257999118582 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999118582
          (code B ref 36477); Mon, 08 Jul 2019 10:00:15 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:51 +0000
Received: from localhost ([127.0.0.1]:57824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR4-0004pS-Df
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:38204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQx-0004mJ-4Q
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:43 -0400
Received: by mail-wm1-f45.google.com with SMTP id s15so15722096wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KGFaXrkf342enjs0UmD4VjtVc1/tlgyMeICziS0N2dc=;
 b=i8cbESkEKy2G+byVjoKHCZXsevzZPsop4DhscCrrta3WaI7eGjFuiEROHcfMNHZR1J
 NrY8E32HOgy1AgJE/pF1nng40HHoeNc7ZrwYVDuVIGYOO/bbBhRsdWvS2dm2/pNDmBtb
 aBfEbaNftCD4b60ysKKNy/6XG0pK35Df2kjnEbWAdP0NNv1QxFQ8YPi+ykcOhB9HbLaD
 qi7S4eiizyYjZXpQmULgERCCGXR5FkoRzcw28KCSphGsad1A25a+QSh1AfIgSdwL5EEt
 hLKjkxs585/OPW0CTMKLqTB+cqIpANoOsn6m6D50rcrUrIqELwWn3VGUnVEdTKYmEAxg
 JNQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KGFaXrkf342enjs0UmD4VjtVc1/tlgyMeICziS0N2dc=;
 b=jzclwlq+0B7WfQpeFWfLFSjy01r6wddqXCWnk2BDj2/kbvzgkgVDqXC8e+lhZV4rTo
 H+da2zSxHBhZd8RVQOL/sjFACkrDZbwEQuzAyo0IrdKYX+wY7+KxGyFlwvMh4YzFxwAq
 eNcRs151/0G45dqIINrjFpcMYdsU4Y/vb4lbUeUrmS6I6BQROPPxz0p3R6svqB6sFXAw
 RH4X1MM06O2zxuh5dYnTZ0WlIeVgV1jlId3Osb4LyHcnFnIujgQa9Be8PXzzVFjwr5br
 jSS+j1ccnd0B4x2SaoRq4l4UxfASxWDJDeu0UyIpomsnlPzgUa7t0hTXC0jXOVwI5DjP
 HwaA==
X-Gm-Message-State: APjAAAV2Hn4Su6U2SSdS0WiWErTHp7lQ5OPLiQP3RBQlG8o170S5z+CX
 jo/hIT5UeAm0bsmIJHpsBZM+4eQY
X-Google-Smtp-Source: APXvYqz/bXuEKFKJNNau6LSUt+e6DYey3sJoF7gcRN7r0zj2qX/TxWndyWztsUVZXdH3HaRp8LBQ/Q==
X-Received: by 2002:a1c:1bd7:: with SMTP id b206mr11335565wmb.85.1562579977250; 
 Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.36
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:57 +0200
Message-Id: <20190708095913.3460-16-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. *
 gnu/packages/ghostscript.scm
 (libpaper)[arguments]: Replace outdated config.sub and config.guess, taken
 from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/ghostscript.scm | 19 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: fastmail.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.45 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/ghostscript.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 53a9b60fdb..ad035170a2 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -91,6 +92,24 @@ Consortium standard (ICC), approved as ISO 15076-1.")
             (sha256 (base32
                      "0zhcx67afb6b5r936w5jmaydj3ks8zh83n9rm5sv3m3k8q8jib1q"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (for-each (lambda (file)
+                        (install-file
+                         (string-append (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                      '("config.sub" "config.guess"))
+            #t)))))
    (synopsis "Library for handling paper sizes")
    (description
     "The paper library and accompanying files are intended to provide a simple
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 16/31] gnu: groff: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:16 +0000
Resent-Message-ID: <handler.36477.B36477.156257999618634 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999618634
          (code B ref 36477); Mon, 08 Jul 2019 10:00:16 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:56 +0000
Received: from localhost ([127.0.0.1]:57833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qN-1s
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:37233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQy-0004ma-4S
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:44 -0400
Received: by mail-wm1-f47.google.com with SMTP id f17so15706290wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cdktz/646Qgig/gTAHwYTMUiUjQY7smlZadvPf2oztc=;
 b=IM/pLNKlERy3EsBxIP9cJ0WQCzs4pZHrHoaFiJ0RPhCBjZY9zEgBi3C8x8Un4Mo5e8
 3YeDJOUJnAl95wgjfOlyPhJqRg39+X12zm9Y+sYe5OWpcQ3DNiXUW33f6tgTTLtlYiTw
 qMMxrtKVo1vUdP39YnoPN4Qa3RrX3IoewdTBNsNEN6CmbNHBPv9kcPV9oNbGeYZxUHwa
 b2Q8ovYtZOCTCQVw3dPsvkGqy3Ehgw3iEM7cjCcyrZn+aSPqKdO47oaM6m0Dp+e9l4j+
 7L6/Bhfzf4qY4Ys67lGwMmVqK+alsaL8GibZrPG1SM0ya3/COSaJicRGOtaUY/nF0KmA
 3M2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cdktz/646Qgig/gTAHwYTMUiUjQY7smlZadvPf2oztc=;
 b=Vte/s/7HfAfqMN2659/7m8juayLqFzKf0C8u1s7mcZMxP8+lSMgVv1flrwstUt/nXM
 5EmeRi2Fncuc8b180/yrxznjMzc1zFrDb5PD5I201oZcpn2DJ8ZcfXO5Ra9F2AgyH43V
 qvx5YT2Yz36RpbdPx1RIi04P2Ps/+AllQFl9IkwzdY47n7wpaBB+3q9yJClqJaaZ6sq5
 rN8x5bp3Y01DMwAnFzLXcJjGO+y6NVMAZJprcOss6rbbnY9aBF5xBUpbwuDYkAIUId0U
 nxE5pLxJxpXPk1FDJbb0HFN7+EBkkZqeW1eK4HxG+ELDrhlVSCZLHZHNFiiD/nh5mgzu
 KWXg==
X-Gm-Message-State: APjAAAX0Li4/x6JusfyNmeneLJkoCv1slOroGIGE2sReTiY5csbwOe6a
 dc+5fFF8MsRHsFjHxkai4kJfCDKF
X-Google-Smtp-Source: APXvYqy+ssPmguv+l5C9YLSrKTHcO4gEp0pXHAqGahPuWsdLKgfuhyCH1uaYea8Tk965iLnc+B+rkA==
X-Received: by 2002:a1c:d107:: with SMTP id i7mr17105383wmg.92.1562579978167; 
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.37
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:58 +0200
Message-Id: <20190708095913.3460-17-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/groff.scm (groff)[arguments]: Replace build
 phase to pass GROFF_BIN_PATH and GROFFBIN variables when cross-compiling.
 Also add native groff as a native-input when cross-compiling. ---
 gnu/packages/groff.scm
 | 40 +++++++++++++++++++++++++++++++++++++--- 1 file changed, 37 insertions(+),
 3 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: netris.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/groff.scm (groff)[arguments]: Replace build phase to pass
GROFF_BIN_PATH and GROFFBIN variables when cross-compiling.

Also add native groff as a native-input when cross-compiling.
---
 gnu/packages/groff.scm | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/groff.scm b/gnu/packages/groff.scm
index cf392f5468..27f796eb98 100644
--- a/gnu/packages/groff.scm
+++ b/gnu/packages/groff.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2016 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2017 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,7 +55,13 @@
    ;; from 'inputs'.
 
    (inputs `(("ghostscript" ,ghostscript)))
-   (native-inputs `(("bison" ,bison)
+
+   ;; When cross-compiling, this package depends upon a native install of
+   ;; itself.
+   (native-inputs `(,@(if (%current-target-system)
+                          `(("self" ,this-package))
+                          '())
+                    ("bison" ,bison)
                     ("perl" ,perl)
                     ("psutils" ,psutils)
                     ("texinfo" ,texinfo)))
@@ -65,7 +72,33 @@
         (add-after 'unpack 'setenv
           (lambda _
             (setenv "GS_GENERATE_UUIDS" "0")
-            #t)))))
+            #t))
+        ,@(if (%current-target-system)
+              '((replace 'build
+                   (lambda* (#:key
+                             make-flags parallel-build?
+                             native-inputs target #:allow-other-keys)
+                     ;; When cross-compiling, native groff is needed, see:
+                     ;; http://www.mail-archive.com/bug-groff@HIDDEN/msg01335.html
+                     (let ((parallel
+                            (if parallel-build?
+                                `("-j" ,(number->string (parallel-job-count)))
+                                '()))
+                           (flags
+                            (if target
+                                (let ((groff (or
+                                              (assoc-ref native-inputs "groff")
+                                              (assoc-ref native-inputs "self"))))
+                                  (append
+                                   make-flags
+                                   (list
+                                    (string-append "GROFF_BIN_PATH=" groff)
+                                    (string-append "GROFFBIN=" groff
+                                                   "/bin/groff"))))
+                                make-flags)))
+                       (apply invoke `("make" ,@parallel ,@flags)))
+                     #t)))
+              '()))))
    (synopsis "Typesetting from plain text mixed with formatting commands")
    (description
     "Groff is a typesetting package that reads plain text and produces
@@ -86,7 +119,8 @@ is usually the formatter of \"man\" documentation pages.")
     ;; Omit the DVI, PS, PDF, and HTML backends.
     (inputs '())
     (native-inputs `(("bison" ,bison)
-                     ("perl" ,perl)))
+                     ("perl" ,perl)
+                     ("groff" ,groff)))
 
     (arguments
      `(#:disallowed-references (,perl)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 17/31] gnu: texinfo-5: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:16 +0000
Resent-Message-ID: <handler.36477.B36477.156257999718642 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999718642
          (code B ref 36477); Mon, 08 Jul 2019 10:00:16 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
Received: from localhost ([127.0.0.1]:57835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qT-HG
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:53774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQy-0004mo-L1
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:45 -0400
Received: by mail-wm1-f66.google.com with SMTP id x15so15084773wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nmig3T3Fy6BIaouxn4e7AkF/Q0t/v8y4UcR1elDwDnI=;
 b=JWcCrAldFWzVjk/LW24gmjfT5UoIF8dzmfAUOwIuhv53uK7bdsOux/moGvL1WwYPSU
 HrpTrNS9vejyRtoZPwbqnKfmki36b8l6P+Ai8s+djuMHWHmdUv7aE18wWMCAfESTeRxU
 V0OKxkgrlcDBCjyIoVGoAIpU7lGsWTNSDLvwIvMuAuxHkuAgiiLZzvoyD2HhHWujg77u
 V6dkS7Qvu1WYgRGA55IZiOOBvZAsR3srVuYv+lDei3WtDGQ8Wad4LiUWJtFBM0S8nIMu
 y1ZcBB1AEnqy3XaGH2/PeLtAaTEB2U1k6/68jMqe1BTDs1CB4XorSLQoYcLO/3e4PB3l
 Y82Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nmig3T3Fy6BIaouxn4e7AkF/Q0t/v8y4UcR1elDwDnI=;
 b=KyKBSRpQeeHOpQjKjeExx7f51gJL1uVXJO/rVRRQ8B62/hOb8h1ToLH2vlo8GykflK
 edah9nMiv8MhlSwjshx7JgKSzOZWTPvtMQo6o+PrYsTsK0Aa9n4LGJTe0AiNITaxEUsW
 2LXi0N4ZpTWSaxn1PVqZuQtOv2R1GVWN1lO7L4aJ2c390Uzl5Aq7FhJczS8GQnZ20Dk8
 i1nRa+fbHHLK0dGXpEDz7FdHL0SyCGOTZlFeoTrhIwasPS8eBNQaLoCy2JI9sJTclfWl
 I/B6rGl5T5IqQo3XkMtMsmxsVxzIyjWE9ZDdBfk/i5DHY6mwZFjSOSm0X4US2gtTt7jO
 q2yA==
X-Gm-Message-State: APjAAAWvWk73k4DkoXlaqrwiHb5MnhYHoKfxQywP+4CNQgETAkDbmZ81
 kTCHzkDXRIW1FDghitdj/HJ0pBK8
X-Google-Smtp-Source: APXvYqwFRJ1HUFhHOO7e5rsJysEDNhTE51RIswFd4tkMyKTaa/FPCQJuA7lT5ixQZnyTJ0VT9xq+xA==
X-Received: by 2002:a1c:480a:: with SMTP id v10mr16129664wma.120.1562579978781; 
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.38
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:58:59 +0200
Message-Id: <20190708095913.3460-18-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Pierre-Moana Levesque * gnu/packages/texinfo.scm
 (texinfo-5)[native-inputs]:
 Keep native-inputs from inherited package texinfo. ---
 gnu/packages/texinfo.scm
 | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: netris.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/texinfo.scm (texinfo-5)[native-inputs]: Keep
native-inputs from inherited package texinfo.
---
 gnu/packages/texinfo.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index 36bb9132d9..9ec6685d68 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014, 2016 Eric Bavier <bavier@HIDDEN>
 ;;; Copyright © 2015 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -92,8 +93,7 @@ is on expressing the content semantically, avoiding physical markup commands.")
               (patches (search-patches "texinfo-5-perl-compat.patch"))
               (sha256
                (base32
-                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))
-    (native-inputs '())))
+                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))))
 
 (define-public texinfo-4
   (package (inherit texinfo)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 19/31] gnu: indent: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:17 +0000
Resent-Message-ID: <handler.36477.B36477.156257999718655 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999718655
          (code B ref 36477); Mon, 08 Jul 2019 10:00:17 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
Received: from localhost ([127.0.0.1]:57838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qd-Vs
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: from mail-wm1-f53.google.com ([209.85.128.53]:37244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR0-0004nI-Hv
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:47 -0400
Received: by mail-wm1-f53.google.com with SMTP id f17so15706402wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=QOfp9AvAiEE2w0Nhd6tVv65i7N+CuYmSscs9xW0UtC0=;
 b=gBWM8AbRM+27G7TOxIu2hn1vJht0x1wK+f3b18F81YD8Es+AldHK7Pk6CCVsMcgb3+
 YfdflUhYSBJOhujS7VP/nq8C1312NYVataRJinUoP58AFd48eMkAzHVZpwl/XSDDFnm+
 evQiM6BBjabItXlG6BOQQ8m17pqPhvrHiXcHzYdFFsMtpM1xv/mmQzy3I0FT33/0B4pF
 YcrAc7pL8v9e3i/wtZAdOojfui74o/3gas+jMyk/7pvH49b6rlyjOQW8IIee1FY1FLjC
 pvVF5B2ZIAhP5utFKBf8TpGTxvf1uHPbrYtWlwo3z///H3vWMQPXIUHeBC0wnCro9+ta
 An1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=QOfp9AvAiEE2w0Nhd6tVv65i7N+CuYmSscs9xW0UtC0=;
 b=A88CmxqQgSrAr3ir8YaSUdB4zDfmVxuSSfiVXO310jbe2ojmGXqQ5DPc8F2JbkIs8/
 MxQO46ET1jc004tRnWlHmvHuPC3umBbvRB4PwBwTxU7fY/Ptp1xlkGfSQewbVHhSq6LA
 8k7d7CttMcCloqkH7/tGeAiVmx802/LAA3E34yP34Q8bHNsyIwecBpLOBbNKeHkZjAfi
 z6mVU6NZnYyTau3FbnSeGY7ja6Gc8QsVUdRCY8aoLt/C56viV4MxtK244dGHSppoprPM
 YgrUoC8lwhmhJCObNZ74rEmDXe69vBxtfjJxJzFFNIFkbfzcH3OzjOfa7fqXUj+W5RFH
 5vmg==
X-Gm-Message-State: APjAAAUJEhE5dkhYLAOJmjMhz8xBopuEXz4XfFK7koH4vvywudrX9tly
 FzJ/oe5HbXjfZvNC0tuYVSaJe7tE
X-Google-Smtp-Source: APXvYqxpyqNJTTZRQzk7XZIPG11j0jrlAZZKt2yqr6STmQbRSIGelCh7onKmVGjGKaOZxj0bQBHB5A==
X-Received: by 2002:a05:600c:2503:: with SMTP id
 d3mr16579737wma.41.1562579980426; 
 Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.39
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:01 +0200
Message-Id: <20190708095913.3460-20-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/code.scm
 (indent)[arguments]: Replace outdated config.sub and config.guess, taken from
 ... [native-inputs]: ... here,
 by adding automake. (indent-2.2.12)[native-inputs]:
 Inherit from in [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: makefile.in]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.53 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.53 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/code.scm (indent)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
(indent-2.2.12)[native-inputs]: Inherit from indent native-inputs to keep
automake that is added above.
---
 gnu/packages/code.scm | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/code.scm b/gnu/packages/code.scm
index c5dfa4aa7a..22111f7b09 100644
--- a/gnu/packages/code.scm
+++ b/gnu/packages/code.scm
@@ -29,6 +29,7 @@
 
 (define-module (gnu packages code)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
@@ -634,6 +635,8 @@ the C, C++, C++/CLI, Objective‑C, C#, and Java programming languages.")
             (sha256 (base32
                      "0f9655vqdvfwbxvs1gpa7py8k1z71aqh8hp73f65vazwbfz436wa"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
    (arguments
     `(#:phases
       (modify-phases %standard-phases
@@ -644,6 +647,20 @@ the C, C++, C++/CLI, Objective‑C, C#, and Java programming languages.")
             ;; overrides this to be in PREFIX/doc.  Fix this.
             (substitute* "doc/Makefile.in"
               (("^docdir = .*$") "docdir = @docdir@\n"))
+            #t))
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (with-directory-excursion "config"
+              (for-each (lambda (file)
+                          (install-file
+                           (string-append (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                        '("config.sub" "config.guess")))
             #t)))))
    (synopsis "Code reformatter")
    (description
@@ -666,7 +683,9 @@ extensions over the standard utility.")
               (sha256
                (base32
                 "12xvcd16cwilzglv9h7sgh4h1qqjd1h8s48ji2dla58m4706hzg7"))))
-    (native-inputs `(("texinfo" ,texinfo)))))
+    (native-inputs
+     `(("texinfo" ,texinfo)
+       ,@(package-native-inputs indent)))))
 
 (define-public amalgamate
   (let* ((commit "c91f07eea1133aa184f652b8f1398eaf03586208")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 20/31] gnu: libsamplerate: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:17 +0000
Resent-Message-ID: <handler.36477.B36477.156257999718662 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999718662
          (code B ref 36477); Mon, 08 Jul 2019 10:00:17 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
Received: from localhost ([127.0.0.1]:57840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRB-0004qq-Cc
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:39189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR1-0004nV-4Q
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: by mail-wm1-f47.google.com with SMTP id z23so15714818wma.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XP5U71aynJuHrZje95YXgWbwPwfBuT2oajm6I7Hh+bw=;
 b=sl/LKQNHkWZSKBn7Tng1ma7tiVn2fTrpZSHbEZbbgoHZ0umLn0/oZAlVWYwWtUYtAn
 L0XhlFi2lOkQnHQAKE28uCHuPA3UvFWGlxNlkfhm567TOPL2gW5HQosVFijqIbvh9cPF
 D094pCMQY0l/of9jWzUg8ROYZnD2w/YIbTdGnisZFYBooQjvs7O6lTMbox8TCEjCl5uO
 7jvcO+J3ScyXLGjUlnWZ1kzpzaE19XT9flf2LyouBRSTasyZMuFowfOEr0jHWHgL33bM
 dn2DHbNQ0sUV3U9uWd5VcNLYFQtNN5QTgnW4Ueb7JuCtx02EIaCP2XJS6cbIDI8BPU/K
 IALQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XP5U71aynJuHrZje95YXgWbwPwfBuT2oajm6I7Hh+bw=;
 b=f1xR4Drz09a2bSxExh8y+Q/CL477otmSnCMdpEhmsjgnsRJtKM3Yd4dei7JrOOfD7a
 MyR4mWrlyFMcBLIkCQ1FLYWbziQZEUDqBL+yZoMjye5oTH974ixQljleqrANYg59Xt9m
 GNuJOIYneJQyPBo0CZXDr0KgC3iHu5nmwxsE8/3y2GxyCoUfj3BRaVsNxXmCVoKpu+fD
 jCj5PdMWNE/LXLaZneG8u5KL4xsZ6PgrHSNkrR7DcqD/LdMZsXvYndmTLwhGsCSkO6zu
 Vd9RUjy4tq/MjnNOAPqRYj2ppOiFOzcUWYFEuqkTmC8UFPxILUagHuyJzV314lt/LXaO
 224g==
X-Gm-Message-State: APjAAAXSUegJNtfO8DRQCMQXNZR4FPV4xidXPBT08QDwq1LGXYf8y5BA
 zC7m3glW8YAmKR/QRlqK2LlajMJN
X-Google-Smtp-Source: APXvYqwdSODzGYN1RnXhXd02BPDsXf+DGb/oP3w3o5Elg5BONvg2/Ny/OKd2WdBI4iTIHZ9Z0U/gEw==
X-Received: by 2002:a1c:e710:: with SMTP id e16mr15921836wmh.38.1562579981234; 
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.40
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:02 +0200
Message-Id: <20190708095913.3460-21-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/pulseaudio.scm
 (libsamplerate)[arguments]: Replace outdated config.sub and config.guess,
 taken from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/pulseaudio.scm | [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: xsteve.at]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/pulseaudio.scm (libsamplerate)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/pulseaudio.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pulseaudio.scm b/gnu/packages/pulseaudio.scm
index 96d15bdf9c..7c91ec201a 100644
--- a/gnu/packages/pulseaudio.scm
+++ b/gnu/packages/pulseaudio.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Stefan Reichör <stefan@HIDDEN>
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
 (define-module (gnu packages pulseaudio)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix l:)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
@@ -96,10 +98,28 @@ for reading and writing new sound file formats.")
                "1ha46i0nbibq0pl0pjwcqiyny4hj8lp1bnl4dpxm64zjw9lb2zha"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (propagated-inputs
      `(("libsndfile" ,libsndfile)
        ("fftw" ,fftw)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (with-directory-excursion "Cfg"
+               (for-each (lambda (file)
+                           (install-file (string-append
+                                          (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                         '("config.sub" "config.guess")))
+             #t)))))
     (home-page "http://www.mega-nerd.com/SRC/index.html")
     (synopsis "Audio sample rate conversion library")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 21/31] gnu: mit-krb5: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:18 +0000
Resent-Message-ID: <handler.36477.B36477.156257999818669 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999818669
          (code B ref 36477); Mon, 08 Jul 2019 10:00:18 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:58 +0000
Received: from localhost ([127.0.0.1]:57842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRB-0004qx-Q7
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:36633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR2-0004nd-3C
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: by mail-wm1-f65.google.com with SMTP id g67so9514221wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=W/5jb2L9QoJrSstxoxV0MeUoUnp+wYamOajPJPW7GC8=;
 b=h4BoqNnSPPmcZUeBwxT+g+aMSCq5fYzLwF6tz08AjCUU0gJuPMTtbw3px0XRCumVtP
 sQTEznSvT66vb7xQIok7gBd+qX7mPjsDKvncDWvfxQ113ghXEqFxER4EwIGa8sQxJKTa
 QksVfhtSB+Aq7MVHKVcLw+rpoGQkqGyG1egkwDZrhOUFCpX/CGgZOZ56/Tfmbv4xrNXL
 6lf04c+LMhMbkm0txwVJ0ilEk4B/fRQkOqagVCdznOwdUrUOK/ld/6c1ZDxPZcRDPRF6
 eNhlXlxoR86M1ZMnlv46bU6alL1FOYg0Ktb9a9eIk1FVnLB7b0tFsUQj5iFul4bFoT97
 kQFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=W/5jb2L9QoJrSstxoxV0MeUoUnp+wYamOajPJPW7GC8=;
 b=pnuKbCtvKaXIiNqngz/rZ5ZEPFVu238gO6uYqkfW2BaFWHxguszdtM4MCsEEEroCPG
 5J/pMPewpjkcCtp2gsxMK0V5w64ReFvNy+bV0VaONeQJEwmF7EZqNYt+M+vCxshLvEVy
 NSdjZcRKZIFVSsdprUQNaDZ4BaO6xgCtyT+0bHRQrtMWrt0+h4dv2NwFGRxb6FGKk27i
 D7AVwkCILYMBfYyJpgVt8dKDoSQkvDI4l7XpDqSlldtYA0xHdC60Gr24dqt5WsXIvvct
 SF/1NruF8WKzLtITV4l6U47ExTLyRMd3BLUsiY9iGDswRGY1Sq+l6uydcTsKX36lZBmQ
 +eaQ==
X-Gm-Message-State: APjAAAUI/I3+eF6y8uBQuNaAh3+LFoLH+zeHgrhajq9r8aVeiZNS7O6B
 A1+m8IQuyp/l0RpEtkQ25KnUTwKr
X-Google-Smtp-Source: APXvYqxDDsQl9N50F0zQikPmzlLS8dmj1AraC+eAt3M1ndZ01SGV8CP+KbJDqWCsJT8ZEC/h2lS8Lw==
X-Received: by 2002:a1c:5f87:: with SMTP id
 t129mr16995275wmb.150.1562579981998; 
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.41
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:03 +0200
Message-Id: <20190708095913.3460-22-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable
 tests when cross-compiling. Add cross-compilation specific configure-flags
 and make-flags. Search for perl in native-inputs or inputs. --- gn [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable tests when
cross-compiling. Add cross-compilation specific configure-flags and
make-flags. Search for perl in native-inputs or inputs.
---
 gnu/packages/kerberos.scm | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 873f5d8a37..8be4bd1ccc 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Alex Vong <alexvong1995@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -68,9 +69,23 @@
        ("perl" ,perl)))
     (arguments
      `(;; XXX: On 32-bit systems, 'kdb5_util' hangs on an fcntl/F_SETLKW call
-       ;; while running the tests in 'src/tests'.
-       #:tests? ,(string=? (%current-system) "x86_64-linux")
+       ;; while running the tests in 'src/tests'. Also disable tests when
+       ;; cross-compiling.
+       #:tests? ,(and (not (%current-target-system))
+                      (string=? (%current-system) "x86_64-linux"))
 
+       #:configure-flags
+       (list ,@(if (%current-target-system)
+                   '("krb5_cv_attr_constructor_destructor=yes"
+                     "ac_cv_func_regcomp=yes"
+                     "ac_cv_printf_positional=yes"
+                     "ac_cv_file__etc_environment=yes"
+                     "ac_cv_file__etc_TIMEZONE=no")
+                   '()))
+       #:make-flags
+       (list ,@(if (%current-target-system)
+                   '("CFLAGS+=-DDESTRUCTOR_ATTR_WORKS=1")
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'enter-source-directory
@@ -78,8 +93,8 @@
              (chdir "src")
              #t))
          (add-before 'check 'pre-check
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((perl (assoc-ref inputs "perl")))
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (let ((perl (assoc-ref (or native-inputs inputs) "perl")))
                (substitute* "plugins/kdb/db2/libdb2/test/run.test"
                  (("/bin/cat") (string-append perl "/bin/perl"))
                  (("D/bin/sh") (string-append "D" (which "sh")))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 23/31] gnu: help2man: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:18 +0000
Resent-Message-ID: <handler.36477.B36477.156257999818677 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999818677
          (code B ref 36477); Mon, 08 Jul 2019 10:00:18 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:58 +0000
Received: from localhost ([127.0.0.1]:57844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRC-0004r4-5R
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR3-0004ns-Bw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: by mail-wr1-f67.google.com with SMTP id p17so5160273wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=EArZ/CoUdI72VQ015wygGOM6qdwBkw5uI3bYBuMWclw=;
 b=kWE+AQL0mQ8+jjO5NgvSMAampJRJdvKCD5MZy1qb8C9tTWdVEqVaXuCLus4PEE5OcK
 RmtON5j4x7rSz2+rOJnUNPioBPHaDymv0ZnpvvtEE84Y8Ef0BY2zitGBxB55E4nY9vle
 tUmnpKtogGm11tQxbjgdJY2SIzThYB+aIuQlR2WXP24jI6OSYWosbS8tELp51P5btAJ/
 3NnAkX/MT4/7YF5BVDWL3GY2hg1HVlhUbpaMlibOEMrAyMhTQ1XryLux6Ce3fRF+Iq18
 4e0gro4dC5l1SnpjnuEMDLPZnm1It5hc38gQ1+gfy6col0kZ7+gVtgwphOGMg4Tq3JWV
 tQgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=EArZ/CoUdI72VQ015wygGOM6qdwBkw5uI3bYBuMWclw=;
 b=eUJnniFuY66Xgzt/s9SEV3mAIpRB3v+tAB+5gsKcoTmlSJ60K6OIrtopAVAw4JBTQ2
 wTjI/uype8yKJFTq2GXgwsYnYt35gP8ZvBoY8Z3PepY5JoR+atfGvHG/6Hj4kBYvhvEt
 /DOB59sky+Y8zFrCgyzH8vN2V42gBNISiBMDFU6bYQfYACsmZRfgo9rrq7lIG+aIGoUi
 jlyUmvQirb9PdE4wg4GRFROf2WDomhAbuhJrZMw5f4u4ibxj2ot6A/qQ/ZboHJES/HbF
 gzJpbNnBLV6rmMoQgq3a/z1Z/Bn4ErqIWROk0F/CQ9VvmW9D3XpJFlpZhzYGCKYOIXKp
 n6vg==
X-Gm-Message-State: APjAAAWcx7yrA3ACMKE+IHQCY1YGSJ3Q2ee/TvbXWr6GqZDFL3SUhgku
 zfyXlaWz7vy3WYU63Tnef1SFWcia
X-Google-Smtp-Source: APXvYqwdOmTxth6Jn36Xnxv8BKM4ozqYmFDg8MbNU1WphRZDs1bBbSs5LsEa4vWF/xv+/46DE95gsg==
X-Received: by 2002:adf:ecd2:: with SMTP id s18mr17815498wro.339.1562579983503; 
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.42
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:05 +0200
Message-Id: <20190708095913.3460-24-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/man.scm (help2man)[inputs]: Turn into ...
 [native-inputs]:
 ... that. --- gnu/packages/man.scm | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-) diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm index
 04c800e95f..6b5de3d033 100644 --- a/gnu/packages/man.scm +++
 b/gnu/packages/man.scm
 @@ -210,7 +210,7 @@ Linux kernel and C library interf [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.67 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/man.scm (help2man)[inputs]: Turn into ...
[native-inputs]: ... that.
---
 gnu/packages/man.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm
index 04c800e95f..6b5de3d033 100644
--- a/gnu/packages/man.scm
+++ b/gnu/packages/man.scm
@@ -210,7 +210,7 @@ Linux kernel and C library interfaces employed by user-space programs.")
     (build-system gnu-build-system)
     (arguments `(;; There's no `check' target.
                  #:tests? #f))
-    (inputs
+    (native-inputs
      `(("perl" ,perl)
        ;; TODO: Add these optional dependencies.
        ;; ("perl-LocaleGettext" ,perl-LocaleGettext)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 22/31] gnu: cyrus-sasl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:19 +0000
Resent-Message-ID: <handler.36477.B36477.156257999918684 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999918684
          (code B ref 36477); Mon, 08 Jul 2019 10:00:19 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
Received: from localhost ([127.0.0.1]:57846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRC-0004rC-GV
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:36638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR2-0004nl-TJ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: by mail-wm1-f68.google.com with SMTP id g67so9514287wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=9LH9zS5a1KC41UiH/vEdbYKoGaeZ5Nr/Ztw1P9bOcww=;
 b=g/iKlywxq2Ax1HExSC87KtX4XDyC8jhOE4gP3jp2ZPVBgsoryyUCW4aYVHWRGuTcwz
 xeD80TARCivTXyd3dz48Nh3LGIDBlgEOj8jAY1xYrOik1u06ZHYLLtOGHRgRPA9WUGwE
 6lCz7dU5X74FcBAF1tg8UrTFBDWjp8S5r31zDSFzQp8z04VSs4gLYcsmIVF0pH8Eh4cw
 dhQrvrRumHGZ8zSDfuZFBK57ybGmHm8FxLGXYThW8/4OMK5ltzHj9k7UbSkfV46AhRVw
 fLdpPn77CRirkEnJ3CIgtOUVfF9iWpr4hiEcPvjYN4F4ZWxKbNSuP/7jfP7aSm1mIKf8
 te3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=9LH9zS5a1KC41UiH/vEdbYKoGaeZ5Nr/Ztw1P9bOcww=;
 b=dGfTsU1D8lZYZKfV/12fT3wuOEWkuOmAN89OyZ7MFWnf6OgqlRVaBXzcSwDwT3gOtH
 8C5M4if19sT1yjuonaSANjn6QFOJnRLVIBpAMozBN18BbZmdg82VhN56J4+Y/Meu2HFP
 McdE4fxNHHN+4DMoq5CU8qmcvr48FsOeguCU6psEe9YUToDHmWzLTrYx45DNe+mBj0YJ
 AH1aAL8ojj6V/Qr1jHbcwfN2tFy4m4djAY/xxUI5UASgilgw9kb7V3NDf099kbEJ2Z2R
 L67gFXcRXCrd8uLdwkn/3dIPmYT8+5GwiXaP20fXG6O23vMxdN6ffT/f0y3sKO27VZyP
 6DKw==
X-Gm-Message-State: APjAAAWZkIMTv/ttLIALCJAV2RMVSvmziT8qm0Hvv8O1s3Nf371zNp8A
 Fzf/b+n2qSTVaBZkx/YBvJOaM8cF
X-Google-Smtp-Source: APXvYqw/rZBinlFeP4Ra5+a4udGUeqA1UD+d1AhllXb0TWNG67NViXgZcjKeT5tbyqyyGr2kcN4BBQ==
X-Received: by 2002:a1c:b457:: with SMTP id d84mr17172860wmf.153.1562579982875; 
 Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.42
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:04 +0200
Message-Id: <20190708095913.3460-23-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch: New
 file. * gnu/local.mk (dist_patch_DATA): Add it. * gnu/packages/cyrus-sasl.scm
 (cyrus-sasl)[origin]: Apply it. [native-tools]: Add autoconf, [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: famulari.name]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/cyrus-sasl.scm (cyrus-sasl)[origin]: Apply it.
[native-tools]: Add autoconf, automake and libtool.
[arguments]: Run autoconf to apply m4 modification in patch above.
---
 gnu/local.mk                                    |  1 +
 gnu/packages/cyrus-sasl.scm                     | 17 +++++++++++++++--
 .../patches/cyrus-sasl-ac-try-run-fix.patch     | 12 ++++++++++++
 3 files changed, 28 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index e22f8af3cc..d5cd00c0ed 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -740,6 +740,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/cube-nocheck.patch			\
   %D%/packages/patches/cursynth-wave-rand.patch			\
   %D%/packages/patches/cvs-2017-12836.patch			\
+  %D%/packages/patches/cyrus-sasl-ac-try-run-fix.patch		\
   %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbus-CVE-2019-12749.patch		\
   %D%/packages/patches/dealii-mpi-deprecations.patch		\
diff --git a/gnu/packages/cyrus-sasl.scm b/gnu/packages/cyrus-sasl.scm
index f84136e631..3e65a1faf6 100644
--- a/gnu/packages/cyrus-sasl.scm
+++ b/gnu/packages/cyrus-sasl.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2013, 2014, 2015, 2017 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2013 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright © 2016 Leo Famulari <leo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +21,7 @@
 
 (define-module (gnu packages cyrus-sasl)
   #:use-module (gnu packages)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages kerberos)
   #:use-module (gnu packages tls)
@@ -41,8 +43,13 @@
                         "ftp://ftp.cyrusimap.org/cyrus-sasl/cyrus-sasl-"
                         version ".tar.gz")))
             (sha256 (base32
-                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))))
+                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))
+            (patches (search-patches "cyrus-sasl-ac-try-run-fix.patch"))))
    (build-system gnu-build-system)
+   (native-inputs
+     `(("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)))
    (inputs `(("gdbm" ,gdbm)
              ("openssl" ,openssl)))
    (propagated-inputs
@@ -57,7 +64,13 @@
       ;; 'plugin_common.c'.  When building the shared libraries there, libtool
       ;; ends up doing "ln -s plugin_common.lo plugin_common.o", which can
       ;; fail with EEXIST when building things in parallel.
-      #:parallel-build? #f))
+      #:parallel-build? #f
+
+      #:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'autogen
+          (lambda _
+            (invoke "autoreconf" "-vif"))))))
    (synopsis "Simple Authentication Security Layer implementation")
    (description
     "SASL (Simple Authentication Security Layer) is an Internet
diff --git a/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
new file mode 100644
index 0000000000..8662e812e9
--- /dev/null
+++ b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
@@ -0,0 +1,12 @@
+--- a/m4/sasl2.m4	2018-11-18 22:33:29.902625600 +0300
++++ b/m4/sasl2.m4	2018-11-18 22:33:59.828746176 +0300
+@@ -339,7 +339,8 @@
+ ],	
+ 	[ AC_DEFINE(HAVE_GSS_SPNEGO,,[Define if your GSSAPI implementation supports SPNEGO])
+ 	AC_MSG_RESULT(yes) ],
+-	AC_MSG_RESULT(no))
++	AC_MSG_RESULT(no),
++    AC_MSG_RESULT(no))
+   LIBS="$cmu_save_LIBS"
+ 
+ else
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 24/31] gnu: xmlto: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:19 +0000
Resent-Message-ID: <handler.36477.B36477.156257999918691 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999918691
          (code B ref 36477); Mon, 08 Jul 2019 10:00:19 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
Received: from localhost ([127.0.0.1]:57848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rJ-0U
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:43756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR4-0004nv-Ad
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: by mail-wr1-f53.google.com with SMTP id p13so16308384wru.10
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=eXOrqKBsEUydUt4KnFghWpmH/D1ZJAxAcwxQ2MDvbks=;
 b=qDPafGKmnItGEtaRhyVM+gxu8tA446bp07RNpsXnsoEo8RE2eyML+gfrRkrQsnLz8l
 I/oDGNpaVPbmD5EYLzF4uw46GfUhLYH8yXiSA0JxxUmiQ/H8OyclwfouSazVejQpr708
 WUIeNvB4rZEhzYZkU4qmtzb+HUXJrCsv8KtUlAt5snRaj9/yWxfMhmj9dcDtjcW3d+4e
 kTkpLe068QRjKjPxb6auXod1g+uwRvQ4L6nHb2T2Ru4vTVHi7wVov2VAXKeitguNCpQ6
 jOSeYQTe2QDp/1Om68Uk5+y7XtXGwtyGV5GuvMbjA3YFO40WPAuQOTxr6uSnvG7nvMYR
 SlTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=eXOrqKBsEUydUt4KnFghWpmH/D1ZJAxAcwxQ2MDvbks=;
 b=rmOlRHrAnKiblgmOIR8LNj3dMXJ/zw36ryT/lvS5I+h5e25x9NQtK4BjXJnPipw2lx
 t/PuKjnaa5cBQrwwBH+z2Uw2EmfYJlMaizMU9+iti+49x9APP9MRfamqoQ1FsZOxNVxk
 0PbhnLk8hxO9sy954OC48U/H9iW6gGtjmPKefJtSuM+Cf39Yb1ANUHM2iJdp3JkEy3Yb
 KuT7zg8VyJEwvZqMXo4lHDWQT8ns1qA3/81omU1zlPimoxKRADPSBOknNTcLjO3FUGQl
 jpv2n6B9aWnLZ3wTSq35yrJ3vuHQU+lujU0uB0zLNrNn0Rvz4ks5pN3VdKlPYx9V9Tpp
 xuEQ==
X-Gm-Message-State: APjAAAV9YWpZrN7l9ZzvvZR9SOdk/OmDyX+uhCI8BhnbZczJXFj++XRR
 1CQ+asjbBb0YlRr2BuLwIO3hhIsK
X-Google-Smtp-Source: APXvYqz77Lbbxe3anqPamN8SpEGu0JUt4RKRPpZuXlIjcMvBLNFZhEh29phNdG5bb4NxCEdOWRxMMg==
X-Received: by 2002:a5d:55cc:: with SMTP id i12mr18697702wrw.201.1562579984252; 
 Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.43
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:06 +0200
Message-Id: <20190708095913.3460-25-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/xml.scm (xmlto)[inputs]: Move util-linux from
 here ... [native-inputs]: ... to here. --- gnu/packages/xml.scm | 5 +++--
 1 file changed, 3 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/xml.scm
 b/gnu/packages/xml.scm index 5fefa2c1dc..5239070b1c 100644 ---
 a/gnu/packages/xml.scm
 +++ b/gnu/packages/xml.scm @@ -915, 9 +915,
 10 @@ code for classes that correspond [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: cyberelk.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.53 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xml.scm (xmlto)[inputs]: Move util-linux from here ...
[native-inputs]: ... to here.
---
 gnu/packages/xml.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index 5fefa2c1dc..5239070b1c 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -915,9 +915,10 @@ code for classes that correspond to data structures defined by XMLSchema.")
                                               (assoc-ref %build-inputs
                                                          "util-linux")
                                               "/bin/getopt"))))
+    (native-inputs
+     `(("util-linux" ,util-linux)))               ; for 'getopt'
     (inputs
-     `(("util-linux" ,util-linux)                 ; for 'getopt'
-       ("libxml2" ,libxml2)                       ; for 'xmllint'
+     `(("libxml2" ,libxml2)                       ; for 'xmllint'
        ("libxslt" ,libxslt)))                     ; for 'xsltproc'
     (home-page "http://cyberelk.net/tim/software/xmlto/")
     (synopsis "Front-end to an XSL toolchain")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 25/31] gnu: libarchive: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:23 +0000
Resent-Message-ID: <handler.36477.B36477.156257999918699 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156257999918699
          (code B ref 36477); Mon, 08 Jul 2019 10:00:23 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
Received: from localhost ([127.0.0.1]:57850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rQ-B4
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:38317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR5-0004oA-7a
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:51 -0400
Received: by mail-wr1-f50.google.com with SMTP id g17so6190278wrr.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=UZlUgCFBzUEhX+iQcNNYWh2PANgmcnxnd2WotguWy1U=;
 b=M7bdiXhf0oID3bNm69QIGM8dq8FpCRxgfTenj8bakDLbz9dydt2xmnRoa4lH7Z6tl6
 xPM2aiFyA/I9nssabOInJ/lKznEva6UnsGbcFufUCW2fBAb/jvcFgG6vCKy9fapbWjUI
 zDKZZutwUiynFX2F7++SdraGVqqvv5TATqWiwYnO07GDDZJsBgdyE9oANfepCVxiuesv
 f9hPNWQPZ3VpzpJJS6BEqSp0M7/Cymcu5fol1D+wexCVxKF85f41dUkQHprQPZ1jNWA7
 eamAUpdqFVNgqd9za39+PMXzTkE9y0+esuvZqBbP1G/JDGjmd8lLy3e8gCYZnCfb/o/7
 ESJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=UZlUgCFBzUEhX+iQcNNYWh2PANgmcnxnd2WotguWy1U=;
 b=sLBUiDB+UGcpb9SmoRtzxXPmBXHquBreIi9g10w/mkJMpQKAnJQZOU6RyllQSiomoL
 eNzoLK2awkSIwTSq2DmwbqM4kQYI8Z1h10W2mkWnUNKDRPXOzNcf/qxwdPdzwICDUEFO
 LJ4d0+8T4feBEPaHEhmSugZB+RFOsuDRtpKT9cEsb51m4qtj0H1VRspPCSQGDmRFi1th
 /7fvljZ8z8vS7353pk1kleHxky4MNAVWnpWuS+SAJ5uudA7xU5P0ZYcNa4+m3L6O7HQr
 +arn/+xjF1Z10wZXhOVaJY93H7iIShPAEIL1ZRthkqZ090lFwtWKM67mw2b57uk6n7RH
 vrBA==
X-Gm-Message-State: APjAAAUwJHfWgR6e+br52b/gepFkjF18tkXskd0uWTLhRWytGXQc2jIM
 fU5P5glSqE1yUb0XmsQ0XYvTegjt
X-Google-Smtp-Source: APXvYqxDpTCMVfhp6UlvW3O3ZjMrjM3wybfqr2uW86qId/kc1D2tzEHsxAaENXbNJSOt7vlX0qOOvQ==
X-Received: by 2002:a5d:56d0:: with SMTP id m16mr17392429wrw.276.1562579985097; 
 Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.44
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:07 +0200
Message-Id: <20190708095913.3460-26-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/backup.scm (libarchive)[arguments]: Do not
 build and run tests when cross-compiling. --- gnu/packages/backup.scm | 31
 ++++++++++++++++++++ 1 file changed, 20 insertions(+), 1 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: elephly.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.50 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/backup.scm (libarchive)[arguments]: Do not build and run tests
when cross-compiling.
---
 gnu/packages/backup.scm | 31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/backup.scm b/gnu/packages/backup.scm
index 0bd894f958..783ca7a674 100644
--- a/gnu/packages/backup.scm
+++ b/gnu/packages/backup.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2018 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019 Alex Vong <alexvong1995@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -226,17 +227,25 @@ backups (called chunks) to allow easy burning to CD/DVD.")
                (("/bin/pwd") (which "pwd")))
              #t))
          (replace 'check
-           (lambda _
-             ;; XXX: The test_owner_parse, test_read_disk, and
-             ;; test_write_disk_lookup tests expect user 'root' to exist, but
-             ;; the chroot's /etc/passwd doesn't have it.  Turn off those tests.
-             ;;
-             ;; The tests allow one to disable tests matching a globbing pattern.
-             (invoke "make" "libarchive_test" "bsdcpio_test" "bsdtar_test")
-             ;; XXX: This glob disables too much.
-             (invoke "./libarchive_test" "^test_*_disk*")
-             (invoke "./bsdcpio_test" "^test_owner_parse")
-             (invoke "./bsdtar_test")))
+           ,@(if (%current-target-system)
+                 '((lambda _
+                     #t))
+                 '((lambda _
+                     ;; XXX: The test_owner_parse, test_read_disk, and
+                      ;; test_write_disk_lookup tests expect user 'root' to
+                      ;; exist, but the chroot's /etc/passwd doesn't have it.
+                      ;; Turn off those tests.
+                      ;;
+                      ;; The tests allow one to disable tests matching a
+                      ;; globbing pattern.
+                      (invoke "make"
+                              "libarchive_test"
+                              "bsdcpio_test"
+                              "bsdtar_test")
+                      ;; XXX: This glob disables too much.
+                      (invoke "./libarchive_test" "^test_*_disk*")
+                      (invoke "./bsdcpio_test" "^test_owner_parse")
+                      (invoke "./bsdtar_test")))))
          (add-after 'install 'add--L-in-libarchive-pc
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 26/31] gnu: tcsh: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:23 +0000
Resent-Message-ID: <handler.36477.B36477.156258000018705 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258000018705
          (code B ref 36477); Mon, 08 Jul 2019 10:00:23 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:00 +0000
Received: from localhost ([127.0.0.1]:57852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rY-Ly
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:34153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR6-0004oJ-51
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:52 -0400
Received: by mail-wm1-f54.google.com with SMTP id w9so12350882wmd.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rl6uR959dMrN3JmFrZ19jt2zO2/jjVofZ3bJXkWZe2c=;
 b=B7YRIh4PjOt1etg+/TEqgLdIdfiE5FuuvV6jkaK4hTiXnh2ry3NaGhJnO0o9XvWgOf
 I65PUHtbQMKtfdzpXcir4TpQYijqhVIujorwKtqbWvlbVtJFP/9TDaRWP1dR+r2HJavE
 osfVeyWhEypwffHWSZQT/9IjciTHCg8/3c8flAyqP00V1XEpP+LaQLMZ4IGEYaEJI4mc
 MtIqpKPFtZwxqSL9nrDmMl0q5ns670pejXgBO2u3G4jxETF+vcCANnr2NWGl4Mh1Baeo
 PcFq2JFGAr9265913i3pjQOIgGRyEV8851cR1rGx4aNuQxUt1oZBFKcdcwm8lGlZkfb1
 pwkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rl6uR959dMrN3JmFrZ19jt2zO2/jjVofZ3bJXkWZe2c=;
 b=Zdp+jfWR1lisV+o3pg/SdI8Ye9i2usuNvLyZaroJ6kV/2OSdZBV7dn8oHONPncJ7Xo
 DW+4Cr1fO58K3PDpNejwkf+3UV07wI3OFxhwZNyjvZNVi1f7Ttoo2c/pBZQCitXI4G1T
 Lab71mKGO7da3lTPfts3qONozWwFw4FR+urQsrXvk9KDmHnsnGNkhA4KB+8IMJMfeRuY
 hSsTvfga7Ksewe6nrxcLFyTTAl0faFSpM3nXAmeanw2fRIKoBEvDAmJ3r3m00OQSFusT
 7hSOBPyOpxoZ+hdMGqwueGHGpkE9DO/ijoXAe6h5DNpbw+P7WR5rUum3017nr7bGMeA7
 52nw==
X-Gm-Message-State: APjAAAU0uht3/xhZwqmNyQg+bsBCoc7zapxNkCYPGFOysV3Wpwc1W2nT
 emLQvEBAerX4NvF9/p5vfbfNI6sy
X-Google-Smtp-Source: APXvYqy6imHFEvDW0QAsiynSu1tQF/59+ovWiq692jHcHo4wtMQxxNU9NmgFGLE9k7NrT2rAQFgn6Q==
X-Received: by 2002:a1c:200a:: with SMTP id g10mr10853656wmg.160.1562579986193; 
 Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.45
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:08 +0200
Message-Id: <20190708095913.3460-27-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc"
   by "gcc" as native gethost compiler when cross-compiling. --- gnu/packages/shells.scm
    | 9 +++++++++ 1 file changed, 9 insertions(+) diff --git a/gnu/packages/shells.scm
    b/gnu/packages/shells.scm index f8c0fdf71f..6eed89396e 100644 --- a/gnu/packages/shells.scm
    +++ b/gnu/packages/shells.scm @@ -11,6 +11,7 @@ ;;; Copyright =?UTF-8?Q?=C2=A9?= 2017 A [...]
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ngyro.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.54 listed in list.dnswl.org]
  1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc" by "gcc" as
native gethost compiler when cross-compiling.
---
 gnu/packages/shells.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/shells.scm b/gnu/packages/shells.scm
index f8c0fdf71f..6eed89396e 100644
--- a/gnu/packages/shells.scm
+++ b/gnu/packages/shells.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2017 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright © 2019 Meiyo Peng <meiyo.peng@HIDDEN>
 ;;; Copyright © 2019 Timothy Sample <samplet@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -356,6 +357,14 @@ written by Paul Haahr and Byron Rakitzis.")
     (arguments
      `(#:phases
         (modify-phases %standard-phases
+          ,@(if (%current-target-system)
+                '((add-before 'configure 'set-cross-cc
+                     (lambda _
+                       (substitute* "configure"
+                         (("CC_FOR_GETHOST=\"cc\"")
+                          "CC_FOR_GETHOST=\"gcc\""))
+                       #t)))
+                '())
           (add-before 'check 'patch-test-scripts
             (lambda _
               ;; Take care of pwd
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 18/31] gnu: bc: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:24 +0000
Resent-Message-ID: <handler.36477.B36477.156258001518881 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258001518881
          (code B ref 36477); Mon, 08 Jul 2019 10:00:24 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:15 +0000
Received: from localhost ([127.0.0.1]:57857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRL-0004su-VY
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:14 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:53379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQz-0004n9-Qb
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:53 -0400
Received: by mail-wm1-f46.google.com with SMTP id x15so15084831wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=5ZEeqOTQux/F0/1yxph4R9A/jUYpFSnkdDDBlFnJgQo=;
 b=gayUA/5ll5nXQl7wRoYi81FXZDXKebpUTFTevEc++ouGJ916R7vkoE9VA+4RRhjkP0
 vl5mEKjlE1khzfwRNE6O3uUUdXeA/J/ODbhgoVsHug2kqsSFOJ56FjB19//L82dVzur7
 pKFUK5/cAFD8+T7BDGYhp3wL6fWG2fJ07GUXAKRcaVdlPn/NKexYDdW7p+j7Pa0v+RGZ
 VoS5VYJrxYDlgYtEsA6g4YFRDimvVNe6DDpy20D6AbqeNtxNUuk37U17zp3z2Jgi4K+m
 G0mXkHZYpBFGPwMe0UPMhYROP6wgemjHFu1t0KuARdLuM+wRXJioZsvJBpjPy/mZlm9x
 KD8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=5ZEeqOTQux/F0/1yxph4R9A/jUYpFSnkdDDBlFnJgQo=;
 b=bNbxCQ6BYOI6QnyIcPWF11wAJkI+yQ4Fj4e2Tt6HbRTtupZlmV613RSUEGUn4SU0+1
 gd8e9w+IwFv93lwQIf2wkZkMf+eDgNVmZu48mYX+oeuvwE4VUp6H1RbidyQgeT2jSI9q
 /qG+UuA5H5hDtoaxy0SVT7pb9sl5uI/M1YXgHYS70oY+dXz3BSSkgYRzIwlEIvfuHrgn
 iQq4r3l1YUaomZAh4b+2eS58Wih4QEtIiYtckkT1xID9bzok99TwY7+6bUoRrpaRfmAl
 /NJL5S3ghj2iguLp40FOHrQMJG0LBc8zrRilfeXEbVIbQgIZqnSExkvLLCR9qDXtlBcA
 e6mQ==
X-Gm-Message-State: APjAAAUUEHiUqkrNpFS2THZP/UMUuFThmMRhVYmhAbRz5mQKFKQIv8g1
 hONodgXdrvyqd3QUNT0UdveHxbWt
X-Google-Smtp-Source: APXvYqzwxQIRXMQyWDfeIBMik65k8x2iAgSNkWUFe6W1902tsb2k1ZRhzodwtNxRha6f705163mipw==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15642392wmg.33.1562579979739; 
 Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.38
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:00 +0200
Message-Id: <20190708095913.3460-19-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/patches/bc-fix-cross-compilation.patch: New
 patch file. * gnu/local.mk (dist_patch_DATA): Add it. *
 gnu/packages/algebra.scm
 (bc)[origin]: Apply it, [native-inputs]: Add automake and au [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: sc3d.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/bc-fix-cross-compilation.patch: New patch file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/algebra.scm (bc)[origin]: Apply it,
[native-inputs]: Add automake and autoconf,
[arguments]: Add a new 'autogen phase that is needed by the new patch.
---
 gnu/local.mk                                  |   1 +
 gnu/packages/algebra.scm                      |  15 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
 3 files changed, 184 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 7d42202485..e22f8af3cc 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -689,6 +689,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
+  %D%/packages/patches/bc-fix-cross-compilation.patch		\
   %D%/packages/patches/beets-python-3.7-fix.patch		\
   %D%/packages/patches/beignet-correct-file-names.patch		\
   %D%/packages/patches/benchmark-unbundle-googletest.patch	\
diff --git a/gnu/packages/algebra.scm b/gnu/packages/algebra.scm
index 95189401f7..7f951b6fdc 100644
--- a/gnu/packages/algebra.scm
+++ b/gnu/packages/algebra.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright © 2017, 2019 Eric Bavier <bavier@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -668,15 +669,23 @@ binary.")
              (uri (string-append "mirror://gnu/bc/bc-" version ".tar.gz"))
              (sha256
               (base32
-               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))))
+               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))
+             (patches (search-patches "bc-fix-cross-compilation.patch"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("ed" ,ed)
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("ed" ,ed)
        ("flex" ,flex)
        ("texinfo" ,texinfo)))
     (arguments
      '(#:configure-flags
-       (list "--with-readline")))
+       (list "--with-readline")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'autogen
+           (lambda _
+             (invoke "autoreconf" "-vif"))))))
     (home-page "https://www.gnu.org/software/bc/")
     (synopsis "Arbitrary precision numeric processing language")
     (description
diff --git a/gnu/packages/patches/bc-fix-cross-compilation.patch b/gnu/packages/patches/bc-fix-cross-compilation.patch
new file mode 100644
index 0000000000..14dfecdbde
--- /dev/null
+++ b/gnu/packages/patches/bc-fix-cross-compilation.patch
@@ -0,0 +1,171 @@
+Patch taken from nix.
+
+commit fdda59736ddc048cf38a2c7103f4f5d9eeaf995e
+Author: Ben Gamari <ben@HIDDEN>
+Date:   Tue Oct 17 10:51:34 2017 -0400
+
+    Try implementing cross-compilation
+
+diff --git a/bc/Makefile.am b/bc/Makefile.am
+index d9d412e..fdef633 100644
+--- a/bc/Makefile.am
++++ b/bc/Makefile.am
+@@ -17,6 +17,7 @@ MAINTAINERCLEANFILES = Makefile.in bc.c bc.h scan.c \
+ 
+ AM_CPPFLAGS = -I$(srcdir) -I$(srcdir)/../h
+ LIBBC = ../lib/libbc.a
++LIBBC_HOST = ../lib/libbc_host.a
+ LIBL = @LEXLIB@
+ LDADD = $(LIBBC) $(LIBL) @READLINELIB@
+ 
+@@ -29,12 +30,20 @@ $(PROGRAMS): libmath.h $(LIBBC)
+ scan.o: bc.h
+ global.o: libmath.h
++
++main_host.c : main.c
++	cp $< $@
+ 
+-fbcOBJ = main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o
++fbcOBJ = $(addsuffix _host,main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o)
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
+ 
+-libmath.h: libmath.b $(fbcOBJ) $(LIBBC)
++libmath.h: libmath.b $(fbcOBJ) $(LIBBC_HOST)
+ 	echo '{0}' > libmath.h
+-	$(MAKE) global.o
+-	$(LINK) -o fbc $(fbcOBJ) global.o $(LIBBC) $(LIBL) $(READLINELIB) $(LIBS)
++	$(MAKE) global.o_host
++	$(CC_FOR_BUILD) -o fbc $(fbcOBJ) global.o_host $(LIBBC_HOST) $(LIBL) ${READLINELIB} $(LIBS)
+ 	./fbc -c $(srcdir)/libmath.b </dev/null >libmath.h
+ 	$(srcdir)/fix-libmath_h
+ 	rm -f ./fbc ./global.o
+diff --git a/configure.ac b/configure.ac
+index fc74573..5cabb73 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -20,6 +20,7 @@ m4_define([dc_version], 1.4.1)
+ 
+ AC_INIT([bc],[bc_version])
+ AC_CONFIG_SRCDIR(doc/bc.1)
++AC_CONFIG_MACRO_DIR([m4])
+ AM_INIT_AUTOMAKE([dist-bzip2])
+ AC_CONFIG_HEADERS(config.h)
+ 
+@@ -35,6 +36,7 @@ AC_DEFINE([DC_COPYRIGHT],
+ 	  [Define the dc copyright line.])
+ 
+ AC_PROG_CC
++AX_CC_FOR_BUILD
+ AC_USE_SYSTEM_EXTENSIONS
+ 
+ AM_PROG_LEX
+diff --git a/lib/Makefile.am b/lib/Makefile.am
+index ec4bf59..c670f5b 100644
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -1,5 +1,5 @@
+ ## Process this file with automake to produce Makefile.in
+-noinst_LIBRARIES = libbc.a
++noinst_LIBRARIES = libbc.a libbc_host.a
+ 
+ AM_CPPFLAGS = -I. -I.. -I$(srcdir)/../h
+ 
+@@ -24,3 +24,11 @@ testmul: testmul.o number.o
+ 
+ specialnumber: newnumber.o
+ 	cp newnumber.o number.o
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
++
++libbc_host.a : $(addsuffix _host,$(libbc_a_OBJECTS))
++	ar cru $@ $+
++	ranlib $@
+diff --git a/m4/cc_for_build.m4 b/m4/cc_for_build.m4
+new file mode 100644
+index 0000000..c62ffad
+--- /dev/null
++++ b/m4/cc_for_build.m4
+@@ -0,0 +1,77 @@
++# ===========================================================================
++#     https://www.gnu.org/software/autoconf-archive/ax_cc_for_build.html
++# ===========================================================================
++#
++# SYNOPSIS
++#
++#   AX_CC_FOR_BUILD
++#
++# DESCRIPTION
++#
++#   Find a build-time compiler. Sets CC_FOR_BUILD and EXEEXT_FOR_BUILD.
++#
++# LICENSE
++#
++#   Copyright (c) 2010 Reuben Thomas <rrt@HIDDEN>
++#   Copyright (c) 1999 Richard Henderson <rth@HIDDEN>
++#
++#   This program is free software: you can redistribute it and/or modify it
++#   under the terms of the GNU General Public License as published by the
++#   Free Software Foundation, either version 3 of the License, or (at your
++#   option) any later version.
++#
++#   This program is distributed in the hope that it will be useful, but
++#   WITHOUT ANY WARRANTY; without even the implied warranty of
++#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
++#   Public License for more details.
++#
++#   You should have received a copy of the GNU General Public License along
++#   with this program. If not, see <https://www.gnu.org/licenses/>.
++#
++#   As a special exception, the respective Autoconf Macro's copyright owner
++#   gives unlimited permission to copy, distribute and modify the configure
++#   scripts that are the output of Autoconf when processing the Macro. You
++#   need not follow the terms of the GNU General Public License when using
++#   or distributing such scripts, even though portions of the text of the
++#   Macro appear in them. The GNU General Public License (GPL) does govern
++#   all other use of the material that constitutes the Autoconf Macro.
++#
++#   This special exception to the GPL applies to versions of the Autoconf
++#   Macro released by the Autoconf Archive. When you make and distribute a
++#   modified version of the Autoconf Macro, you may extend this special
++#   exception to the GPL to apply to your modified version as well.
++
++#serial 3
++
++dnl Get a default for CC_FOR_BUILD to put into Makefile.
++AC_DEFUN([AX_CC_FOR_BUILD],
++[# Put a plausible default for CC_FOR_BUILD in Makefile.
++if test -z "$CC_FOR_BUILD"; then
++  if test "x$cross_compiling" = "xno"; then
++    CC_FOR_BUILD='$(CC)'
++  else
++    CC_FOR_BUILD=gcc
++  fi
++fi
++AC_SUBST(CC_FOR_BUILD)
++# Also set EXEEXT_FOR_BUILD.
++if test "x$cross_compiling" = "xno"; then
++  EXEEXT_FOR_BUILD='$(EXEEXT)'
++else
++  AC_CACHE_CHECK([for build system executable suffix], bfd_cv_build_exeext,
++    [rm -f conftest*
++     echo 'int main () { return 0; }' > conftest.c
++     bfd_cv_build_exeext=
++     ${CC_FOR_BUILD} -o conftest conftest.c 1>&5 2>&5
++     for file in conftest.*; do
++       case $file in
++       *.c | *.o | *.obj | *.ilk | *.pdb) ;;
++       *) bfd_cv_build_exeext=`echo $file | sed -e s/conftest//` ;;
++       esac
++     done
++     rm -f conftest*
++     test x"${bfd_cv_build_exeext}" = x && bfd_cv_build_exeext=no])
++  EXEEXT_FOR_BUILD=""
++  test x"${bfd_cv_build_exeext}" != xno && EXEEXT_FOR_BUILD=${bfd_cv_build_exeext}
++fi
++AC_SUBST(EXEEXT_FOR_BUILD)])dnl
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 28/31] gnu: mkfontdir: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:24 +0000
Resent-Message-ID: <handler.36477.B36477.156258001518889 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258001518889
          (code B ref 36477); Mon, 08 Jul 2019 10:00:24 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:15 +0000
Received: from localhost ([127.0.0.1]:57872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRS-0004uT-QP
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:15 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:42563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR7-0004on-Uw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:54 -0400
Received: by mail-wr1-f68.google.com with SMTP id a10so15231961wrp.9
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=xAEOrjBcXIUfi9YWA8NIv3uRcEOffHpNVarB+ktFxN8=;
 b=kBp/D4hqP6xxplUCdm2yeAvkuvfSIR5lmrxyorsPHOe/d2qNE1LhUJCZ3zR9JoQrUU
 vOxmoGRl5PrUokbskFrwbwKtTw+9BJarFOc8NJvfyGqFxTLUGKWfVFWJao9AQ2I6dXlE
 ASiNF9PXGcU5hw4BaU3iDosMzH+iKY07rGB039Bme4DZ49siEjLnPuIzloJRRFkSOwf4
 LFziU1TZMRp48kRqiuXhVeThSSsnr0jXlliQ3Upc+46XNE5pgIHND5JYhnG3K5h5Tyzs
 AYurRPdcLucl45oNmsrl99IlPEWMSx/o0R+plVcZjjtP0y9DbIMaiWAm/87GtfLDVcVs
 Q3YQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=xAEOrjBcXIUfi9YWA8NIv3uRcEOffHpNVarB+ktFxN8=;
 b=mazQmwC8VB0rS9aF0uWHKyXU7tM33l1nx0YBPAQTyVE2DfSEYUh6dIrsGBuXeoPJ7h
 pbQCShAl6o4ve+42QJJvch+Vk0WYMqQKuO+DhROcLYYQeRv1bdK0lZfIPKs3kg01p0bE
 fInLtBGKOdr3j+Aiabqq1hv8MVQl/62YyRiykm2JDhVPcMNY7P8R1ypxF1o1U4BmBiLm
 ygR87ytDtYjn6ynrEUzHYO0lfrTl0HVMaeWKulqJ+0VpbWfUi8s3ZLbbbA4fxtV6UaWd
 GxaAct9eZ2bm/kwDAuaks6VzcTePp1Me3LmmJL1GPorizGlV92aFCzhGQQM4/VncHO++
 zmyQ==
X-Gm-Message-State: APjAAAXyoms+G05EbubzAXXqRH7H1Z7wTvIkgK1ncnyvcCge1klGkzdm
 37hXVpiIklG+wtKMWNKzLNErrV1E
X-Google-Smtp-Source: APXvYqwqCdyMrJ5AMCqjDoegKuy7Z+q/BqYi51xQbfWnl3ZcaBwlKGmzlX1aDodRzneIUKYzqQuenA==
X-Received: by 2002:a5d:514f:: with SMTP id u15mr9188879wrt.183.1562579988076; 
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.47
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:10 +0200
Message-Id: <20190708095913.3460-29-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/xorg.scm
 (mkfontdir)[arguments]: Replace outdated config.sub and config.guess, by the
 ones taken from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/xorg.scm | 19 + [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: jnanam.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/xorg.scm (mkfontdir)[arguments]: Replace outdated config.sub and
config.guess, by the ones taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/xorg.scm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index e35e8be72f..ef742d6a37 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2018 Benjamin Slade <slade@HIDDEN>
 ;;; Copyright © 2019 nee <nee@HIDDEN>
 ;;; Copyright © 2019 Yoshinori Arai <kumagusu08@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4736,8 +4737,21 @@ protocol and arbitrary X extension protocol.")
             "0c3563kw9fg15dpgx4dwvl12qz6sdqdns1pxa574hc7i5m42mman"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (for-each (lambda (file)
+                         (install-file (string-append
+                                        (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                       '("config.sub" "config.guess"))
+             #t))
          (add-after 'install 'wrap-mkfontdir
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (wrap-program (string-append (assoc-ref outputs "out")
@@ -4749,7 +4763,8 @@ protocol and arbitrary X extension protocol.")
     (inputs
       `(("mkfontscale" ,mkfontscale)))
     (native-inputs
-      `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (home-page "https://www.x.org/wiki/")
     (synopsis "Create an index of X font files in a directory")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 27/31] gnu: pkg-config: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:25 +0000
Resent-Message-ID: <handler.36477.B36477.156258001618906 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258001618906
          (code B ref 36477); Mon, 08 Jul 2019 10:00:25 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:16 +0000
Received: from localhost ([127.0.0.1]:57874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRT-0004uh-BC
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:15 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:52048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR7-0004oW-4h
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:53 -0400
Received: by mail-wm1-f50.google.com with SMTP id 207so15097057wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cC5cFiaY5HpReowkmaQ15Ngi2+HfXXKkqWUHqVLzw58=;
 b=PDSOxJdFmk1MARO/LGxKba+yP6ZZAWg9TktpgzIwBa/ZSm747UasMDHiGUodAUTCYZ
 EJWYrJdnOw9jDOp2yWw6Dty44LCSAZDYjCyGucEMrMJ022uYzDpe4q2X+eb6gWjJgOkR
 JUVoBBIvQU3pAQp11AWWGQn4cstrOC8XEjC66jNtxYstfF3mK8vtNszTXMETXktIMsUT
 roZtObwXatRcVxn8VCLLGikKzwRrF62UjMg9SLEcNdBrpeWP9WQq9zlu1WuiAhIPB4q+
 70ykSIfThLEh+DUWUsnne0dyRS4EtDTg18xocd/q6SnMwblWkJmKfSXluvbZzlUA+hJH
 a8aQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cC5cFiaY5HpReowkmaQ15Ngi2+HfXXKkqWUHqVLzw58=;
 b=uDWrt4zK3fc6c2+vnVbY1wwvCjh/JeqB1eYlcTRwOR9EAvqEFyHPp75MZ+wuqnFtKm
 qZlpYPF1szhpVPVTx95tK3GgBUUXf8R15NNSVILhgPgHvX/5HiQKSLQY6tETODMB5t1/
 moj5ooo6Y50Y9msvd0TWiJU7ugrYeovKxLck9jlWZTcmz8ZNf/EkLpDKxpTUG/DmwVi1
 wJSceszTDv5urJmbW6lrljA7TR2S8p+KOWl00PQAt+yfWvRXH6Hxtx2YcrhF9/hN1vwP
 J+URYAFok7t7SsWF+J8QdlT/vI4dCV3QBQTC/jb/DARxJGSjYfNEYN6ymTb4DdTjssjZ
 Rm4Q==
X-Gm-Message-State: APjAAAWAu1bzZHp7vJohUBBqgQ9Z6AUOqU9x4ur37tSHqQJSdDoR5F5K
 /hJviyZ5yNuzd9tUeD33jSbgK/lF
X-Google-Smtp-Source: APXvYqxIFf4kEzflNoTkKO9QuMX046YOK+N9tWle5btnOAh81IPA1QNV+EDVbfDBTAwUPLQWQaoUsg==
X-Received: by 2002:a1c:7e85:: with SMTP id z127mr16392279wmc.95.1562579987132; 
 Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.46
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:09 +0200
Message-Id: <20190708095913.3460-28-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add
 configure-flags to disable tests that fail when cross-compiling. ---
 gnu/packages/pkg-config.scm
 | 11 ++++++++++- 1 file changed, 10 inserti [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.50 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add configure-flags
to disable tests that fail when cross-compiling.
---
 gnu/packages/pkg-config.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pkg-config.scm b/gnu/packages/pkg-config.scm
index 6fc19a975d..0425854a75 100644
--- a/gnu/packages/pkg-config.scm
+++ b/gnu/packages/pkg-config.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2012, 2013, 2014, 2016 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -48,7 +49,15 @@
              (base32
               "14fmwzki1rlz8bs2p810lk6jqdxsk966d8drgsjmi54cd00rrikg"))))
    (build-system gnu-build-system)
-   (arguments `(#:configure-flags '("--with-internal-glib")))
+   (arguments
+    `(#:configure-flags
+      '("--with-internal-glib"
+        ,@(if (%current-target-system)
+              '("glib_cv_stack_grows=no"
+                "glib_cv_uscore=no"
+                "ac_cv_func_posix_getpwuid_r=yes"
+                "ac_cv_func_posix_getgrgid_r=yes")
+              '()))))
    (native-search-paths
     (list (search-path-specification
            (variable "PKG_CONFIG_PATH")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 29/31] gnu: alsa-utils: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:25 +0000
Resent-Message-ID: <handler.36477.B36477.156258002018967 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258002018967
          (code B ref 36477); Mon, 08 Jul 2019 10:00:25 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:20 +0000
Received: from localhost ([127.0.0.1]:57877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRT-0004ut-Qu
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:19 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:56065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR8-0004p8-Nq
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:55 -0400
Received: by mail-wm1-f68.google.com with SMTP id a15so15084080wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XqOaKGJiOFELjVg+Q4nYNvN0wI/90OnOhrDb2dokUuk=;
 b=Vge0xCQ2h0WEAsoiu4U04SBrgAlcuroC+C3XIpP3fALzSM7t067ekSeog8oqcyXtR8
 SVykJdJnvUkvh2bQIrsiMgB82Et+4G+ID0EHx13LOrXaVMwwNXGoYPJjsLS9bMvmSk8D
 DsHXkdRgsPtP/7PuEbeiXIKSuHEygZJjgq4U250vJBW1nxZ2H3HL3xlWHMXCe6NUr7OD
 zrCuyPubfVdSw/bQYr8EkdzKY26GQa4Jcs7E0G21IniirrBGYJUzVGRFH+XJQ145Z13T
 iAMi5Of991FOQ5zZLOr+Mpztmenq/R5MEiQzERg70+uZL7U0w/xocjttGlRTW4Q+Sa/H
 l2pA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XqOaKGJiOFELjVg+Q4nYNvN0wI/90OnOhrDb2dokUuk=;
 b=X4slfHwHxszfpqqs8mPkEy4VqoAV92X6+sX4QsvjiG/jSkZIZsQVZQEv/cGoPySMnJ
 N9qPW/msC4CWBM63amc2MIi7VD2a9ZeW6fTmWGugIeuEfK/Jw572x8IAyB09JkIFv8J5
 Jb6FdUzM0XffGnxm+ZOx2MFXXntg22MFUBOzwTTG8Wk8YTm++kEohqkxP1TfTVoRVPsj
 GWgYJIvAO3D00mXxq00DGvIHL9CKnmDvEyjVvshh7PjjjtO7MhWcHtbudhGDxmql42Jv
 lKDDleJDSu70LXrtFG5KGG4fq5Ktj6r20l/n+mMG3uGnZMheLrNEs19RtrpnpMwfiNE0
 Xwxg==
X-Gm-Message-State: APjAAAWy4/cO8O2cr3cLSkigyS/EjhLHcKQs3Fz7dqPsBvg9tty2MkJ5
 81T/ouQlVaYgyUCuNG9dIW6S8lqG
X-Google-Smtp-Source: APXvYqyyx3wj3pcrx/6kqwBjRlzXhsNM/CBLYeANzGLUSZvTk7sdqRi518xUCgt7TN1QHopN4M+rnQ==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15643542wmg.33.1562579988860; 
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.48
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:11 +0200
Message-Id: <20190708095913.3460-30-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext
 from here ... [native-inputs]: ... to here, in order to fix cross-compilation.
 --- gnu/packages/linux.scm | 7 ++++--- 1 file changed, 4 inse [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: mykolab.com]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext from here ...
[native-inputs]: ... to here, in order to fix cross-compilation.
---
 gnu/packages/linux.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index f89ab6b281..8fb2abaa3c 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -22,7 +22,7 @@
 ;;; Copyright © 2017, 2018 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Gábor Boskovits <boskovits@HIDDEN>
-;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2017 nee <nee-git@HIDDEN>
@@ -1234,12 +1234,13 @@ MIDI functionality to the Linux-based operating system.")
                (("\\$\\(MKDIR_P\\) .*ASOUND_STATE_DIR.*")
                 "true\n"))
              #t)))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)))
     (inputs
      `(("libsamplerate" ,libsamplerate)
        ("ncurses" ,ncurses)
        ("alsa-lib" ,alsa-lib)
-       ("xmlto" ,xmlto)
-       ("gettext" ,gettext-minimal)))
+       ("xmlto" ,xmlto)))
     (home-page "http://www.alsa-project.org/")
     (synopsis "Utilities for the Advanced Linux Sound Architecture (ALSA)")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 30/31] gnu: icu4c: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:26 +0000
Resent-Message-ID: <handler.36477.B36477.156258002218982 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258002218982
          (code B ref 36477); Mon, 08 Jul 2019 10:00:26 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:22 +0000
Received: from localhost ([127.0.0.1]:57886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRX-0004vs-V7
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:20 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:46061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR9-0004pY-QA
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: by mail-wr1-f65.google.com with SMTP id f9so16306098wre.12
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1ETTHX8XPRPYspa+IFrFluxA7fGLdzlme6+Tllt/8ho=;
 b=OSmWZZR4fk7TdwHYsdz7yYblCnjlmn7cIunNOJMZvZ1v9hV5CScFcfvBmplRZkZgfl
 /7qPvCVn2Y8ned9HZwdFJX7+qNyj1PRa2p7ACxFYAy6I2MXh+h7MqEjztmFCGOE7+oaF
 pe+ZEeLu5hSkp+rCpcrDJI5OgEccp+cZJnzDNkAHsQ2HGFcHQo/4viwk59MGFAp19q0e
 s60ssotNLDP16lUzbSclLLTip9LDKMBmufT46DM0X5ezosldlweWEg5wfuFNazXYf4Qr
 RwSboBwKUZkUgka0J4sEg5wCJxAwnF+5yc4UPAx11oRVk7qAEjQbDXYLpytmxFxrK139
 yasw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1ETTHX8XPRPYspa+IFrFluxA7fGLdzlme6+Tllt/8ho=;
 b=GGSN/T7wZo8Ac04fERfopF/rhJXwpEkdatWhPpemiBjC12S7P6k+Kx3Spm4WtPrWR4
 NZ8EyAKiar/JZbe+twKfsvhCslF/vceIz+Zzo9Ujsw4TwLUKqfswvr+RphyX4pf69eq8
 8g985+MLcQO+1QGM6ynFIE1gGvp98x8LzoISSJzJWOaaGZPID695wkXgSc+1AR4N6ftj
 nZptXk91OBv5Js2lp5quN37TIGxvaYxTgYuag4rYLqU3pSBTjBE/SdEr/XnFFmJluR9n
 c7UWAYKc7pLNQ5cdehiuKHIXhwV/A0maXbgelkHecozfsuKx/O9IaDBqHCRrAYnkbeAd
 AIMA==
X-Gm-Message-State: APjAAAWtfrDP6lR//+g6lmSqnvszAmUmwF9H3iW2+dCf7mGi/TdNmO49
 PDzxmr+Ai/xZckzqeoonBuStWcjI
X-Google-Smtp-Source: APXvYqy9JCgI8O9iBUnGTGD59WZ5YmTpzd1AtwIAIpL1LeU5tpf2GOQ+QfPAEBeF2QvpbfmSF/94Mg==
X-Received: by 2002:adf:f38a:: with SMTP id m10mr2724928wro.268.1562579989722; 
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.48
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:12 +0200
Message-Id: <20190708095913.3460-31-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/icu4c.scm (icu4c-build-root): New variable.
 (icu4c)[native-inputs]: Add it. [arguments]: Pass it as a configure-flag.
 --- gnu/packages/icu4c.scm | 33 ++++++++++++++++++++++++++++++++- 1 [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: elephly.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.65 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/icu4c.scm (icu4c-build-root): New variable.
(icu4c)[native-inputs]: Add it.
[arguments]: Pass it as a configure-flag.
---
 gnu/packages/icu4c.scm | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/icu4c.scm b/gnu/packages/icu4c.scm
index 6e93d6aed9..4d90b31c1c 100644
--- a/gnu/packages/icu4c.scm
+++ b/gnu/packages/icu4c.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2016, 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -25,6 +26,7 @@
   #:use-module (gnu packages perl)
   #:use-module (guix licenses)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix build-system ant)
   #:use-module (guix build-system gnu))
@@ -44,11 +46,21 @@
             (sha256
              (base32 "17fbk0lm2clsxbmjzvyp245ayx0n4chji3ky1f3fbz2ljjv91i05"))))
    (build-system gnu-build-system)
+   ;; When cross-compiling, this package needs a source directory of a
+   ;; native-build of itself.
+   (native-inputs (if (%current-target-system)
+                      `(("icu4c-build-root" ,icu4c-build-root))
+                      '()))
    (inputs
     `(("perl" ,perl)))
    (arguments
     `(#:configure-flags
-      '("--enable-rpath"
+      (list
+       "--enable-rpath"
+        ,@(if (%current-target-system)
+              '((string-append "--with-cross-build="
+                                (assoc-ref %build-inputs "icu4c-build-root")))
+              '())
         ,@(if (let ((s (or (%current-target-system)
                            (%current-system))))
                 (or (string-prefix? "arm" s)
@@ -81,6 +93,25 @@ C/C++ part.")
    (license x11)
    (home-page "http://site.icu-project.org/")))
 
+(define-public icu4c-build-root
+  (package
+    (inherit icu4c)
+    (name "icu4c-build-root")
+    (arguments
+     (substitute-keyword-arguments (package-arguments icu4c)
+       ((#:tests? _ '())
+        #f)
+       ((#:out-of-source? _ '())
+        #t)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (copy-recursively "../build" out)
+                 #t)))))))
+    (native-inputs '())))
+
 (define-public java-icu4j
   (package
     (name "java-icu4j")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 31/31] gnu: glibc-utf8-locales: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 10:00:26 +0000
Resent-Message-ID: <handler.36477.B36477.156258002318991 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156258002318991
          (code B ref 36477); Mon, 08 Jul 2019 10:00:26 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:23 +0000
Received: from localhost ([127.0.0.1]:57888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRa-0004w7-Nz
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:23 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:51974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQRA-0004pl-Nw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: by mail-wm1-f67.google.com with SMTP id 207so15097225wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=lq9QjQ/9TLT9FgCyr+wQuaOoWg8YHp7Vn2a0TGg4oxY=;
 b=hAFNxhj/2gtMOEBANgchPZwPvvRCNOzyaFs2nhLpdObH+kfuTAU0xE6+CHLVX2gTvj
 l98iiemS6gw1DwOTz3yjYz7UH0Lj2Xwz9y5BMON/dkf9MYu4dQ+9QTXJfOH24N9poFK/
 P+u6v99d6EqkeFdLv7JgHqE0oWJeMfUdZthFshQbP6mG3QolUfGABXjpUe3vrLJCfeUy
 cJNUd+sIvWNvr2AOE/dvnpgNiZYHyRzHLETupYOsmk88fGBpEHHo5+fA6c9ik1A27CK/
 xnf3NVH46xMKtwcHKRwnRnc5WNK9XADEFfpFfeuc3B5VMIpDXe/a3A14lE6aH7PMMops
 tZEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=lq9QjQ/9TLT9FgCyr+wQuaOoWg8YHp7Vn2a0TGg4oxY=;
 b=HH6W0Am8s58lFaN3cX6QYqRLbGoAsMuTP6e1z+D2BDPZOsgsCJrGsAHTbfVeCW30CT
 wY4/N2TekZkP/+FwNWNKUuv1oer5D719ir6IAWswkNG/hAoXcrLRW0QyKOl8f8FaSmiR
 JGS82qYk+r2VDcItXi/p8eG4mrBASdZbiHiUBDY+8mD5cR+PRbrJMJFZX4URSRO6Xjui
 d9JuOcdO6UkgZZUNxWDTQ/rFBvBn57T9PXL1D6B7guQlVL8peJp38eWwamdZzODX84pV
 QcTM+pTWz+BC43V//XIEQiDl/JG5Qpbu5PJMvxwosrljx5bXG+TrDUHZ8n4Ojqska262
 2TiA==
X-Gm-Message-State: APjAAAU1z3AsDjS/PZWW+2LuQcx1Cx+3tMqshXVSHJCHsQTGQqYT4IxS
 MrOtcjsJsNR4P3Q+2ZFTtEn1yVYF
X-Google-Smtp-Source: APXvYqzx/4LFUjIqUf3t/g9EDl20HkLdbBp1KdLJiFebk2b+QDl9qa91QZNecQXMCe5JtKiZ7NRMOg==
X-Received: by 2002:a1c:2314:: with SMTP id j20mr15969705wmj.152.1562579990589; 
 Mon, 08 Jul 2019 02:59:50 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.49
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  8 Jul 2019 11:59:13 +0200
Message-Id: <20190708095913.3460-32-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move
 to ... [native-inputs]: ... here,
 in order to fix cross-compilation. * gnu/packages/commencement.scm
 (glibc-utf8-locales-final)[inputs]: Move [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.67 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
* gnu/packages/commencement.scm (glibc-utf8-locales-final)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
---
 gnu/packages/base.scm         |  4 ++--
 gnu/packages/commencement.scm | 11 ++++++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 15f35009a9..216a2f1591 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -1143,8 +1143,8 @@ to the @code{share/locale} sub-directory of this package.")
                                ;; tests---e.g., in Guile's i18n tests.
                                '("de_DE" "el_GR" "en_US" "fr_FR" "tr_TR"))
                      #t))))
-    (inputs `(("glibc" ,glibc)
-              ("gzip" ,gzip)))
+    (native-inputs `(("glibc" ,glibc)
+                     ("gzip" ,gzip)))
     (synopsis "Small sample of UTF-8 locales")
     (description
      "This package provides a small sample of UTF-8 locales mostly useful in
diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index a8ec677cee..c0345aa967 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -881,11 +881,12 @@ exec ~a/bin/~a-~a -B~a/lib -Wl,-dynamic-linker -Wl,~a/~a \"$@\"~%"
   ;; function.)
   (package
     (inherit glibc-utf8-locales)
-    (inputs `(("glibc" ,glibc-final)
-              ("gzip"
-               ,(package-with-explicit-inputs gzip %boot4-inputs
-                                              (current-source-location)
-                                              #:guile %bootstrap-guile))))))
+    (native-inputs
+     `(("glibc" ,glibc-final)
+       ("gzip"
+        ,(package-with-explicit-inputs gzip %boot4-inputs
+                                       (current-source-location)
+                                       #:guile %bootstrap-guile))))))
 
 (define-public ld-wrapper
   ;; The final 'ld' wrapper, which uses the final Guile and Binutils.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 00/31] Fix cross-compilation issues
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:37:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260741819100 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260741819100
          (code B ref 36477); Mon, 08 Jul 2019 17:37:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:36:58 +0000
Received: from localhost ([127.0.0.1]:59432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXZS-0004y0-7I
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:36:58 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:56277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXZP-0004xk-PQ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:36:57 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 7C2C521AF1;
 Mon,  8 Jul 2019 13:36:50 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:36:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=dtsnlblbVN10sGpwFwYD5YSO3j
 RTIIWlAN4pjCWIbls=; b=zPZgU/RrRzYmlXdxM23JdhM9yXKq/jwJfDi3Kx9Yv1
 n6J/KSA5dWiPZ7FbGwgDO3uMEmhzzvU9jtktmFQWJMLAQIHpL4nq347wMUGTr7Ro
 BG9/Yu/+cLqfUXk32Co982rdhGTV7yoBbt3vbJjs+q6U960ggZFn7GoSWQCzlWPa
 Ivq9/Oj3ECDmYyb51UnJlivEl0xZoVrD6bS0HP8w3xnJHt50SsaUj7JFJE9j5cBC
 nQ+McnpB5TKsnIwQFcxYQkigPVHzb17SJNt+dqI6TzRybt5lUfijpvh84DZg9B+n
 Y4/NxamsFtNNYb1cQ6TW0iN35K1ZU6LAcvoMMRpsZR7g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=dtsnlb
 lbVN10sGpwFwYD5YSO3jRTIIWlAN4pjCWIbls=; b=tnCLFgVgjgTLjtwR4eLeD5
 k357WODcqp/ejKM9gboPdyVCA0hIwYDRakVlU78mZpesYKe0MftLHSNrVvkKWGDq
 D0BHKgs561ltB4BdOBUL7hmn9GflYPGATgxvQcuXZN974z5DW4EvQmZVYl4BO5Mr
 WSzv/LXDcNanrZgi8FUUhSX5FuQPLWhQtuneynNdxqrpxjgWCzJmrjNFNRmUmOMT
 d4cijUHMIriR4EgD9EJEbseiBYGkI+2S9nKorHnzFVWjZW2+V8jJGEBpkwaWUu2l
 4lsHEEUUtcP0kDvsxGSHYFv0MC3cJJn0JCjmMS75B2Wydxe7V0F0fDolCtcVZMkA
 ==
X-ME-Sender: <xms:Mn8jXXI3mVk5A-mWO1-4yR1EEvODwuYztTrZQQmnxRx0iTPqV9MhGg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:Mn8jXYTEOvzRUa_xCWZDpJ-HFBeKlqQquy10Ni8ir_vc-U1ExKyaXg>
 <xmx:Mn8jXeudQNekiSyFinN_9gxiigI1v1dR5WfvVB-tgqy2-cmjzAH6Pg>
 <xmx:Mn8jXRanQWmDBAIP8XMGmNf7C6vRaI-4Lhlto8ACwyF8rJIUDkSd3w>
 <xmx:Mn8jXQzFnaiorwL7Mv1FIF8BDugW9YkSlNX6L19diVlFSQp72v4TYw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id D670A380086;
 Mon,  8 Jul 2019 13:36:49 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <87zhlwmpmy.fsf@HIDDEN>
 <20190708095913.3460-1-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:36:48 +0200
Message-ID: <87r270pgwf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Mathieu,

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> Hello,
>
> Here's a batch of cross-compilation related patches. They can be seen on
> wip-cross-system branch of savannah. Some of them cause mass-rebuilds so I
> guess this serie is targeting core-updates.

This is very impressive work, thank you!

I'm not comfortable pulling in all of this on 'core-updates' right now.
There are already a huge pile of changes that have not really
"stabilized" yet.  So my preference is to wait until the next round
(probably around October/November).

However some of these changes look really innocuous to me.  I'll review
those that are OK for this 'core-updates' separately.  Maybe we can work
around the remaining ones in the mean time?


> Mathieu Othacehe (30):
>   gnu: perl: Fix cross-compilation.
>   gnu: python: Fix cross compilation.
>   gnu: tcl: Fix cross-compilation.
>   gnu: tk: Fix cross-compilation.
>   gnu: libxslt: Fix cross-compilation.
>   gnu: xorg: Fix cross-compilation of multiple packages.
>   gnu: libgpg-error: Fix cross compilation.
>   gnu: python: Fix cross-compilation.
>   gnu: http-parser: Fix cross-compilation.
>   gnu: openssl: Fix cross-compilation.
>   gnu: texinfo: Fix cross-compilation.
>   gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
>   gnu: libgit2: Fix cross compilation.
>   gnu: ath9k-htc-firmware: Fix cross compilation.
>   gnu: libpaper: Fix aarch64 cross-compilation.
>   gnu: groff: Fix cross compilation.
>   gnu: bc: Fix cross-compilation.
>   gnu: indent: Fix aarch64 cross-compilation.
>   gnu: libsamplerate: Fix aarch64 cross-compilation.
>   gnu: mit-krb5: Fix cross-compilation.
>   gnu: cyrus-sasl: Fix cross-compilation.
>   gnu: help2man: Fix cross-compilation.
>   gnu: xmlto: Fix cross-compilation.
>   gnu: libarchive: Fix cross-compilation.
>   gnu: tcsh: Fix cross-compilation.
>   gnu: pkg-config: Fix cross-compilation.
>   gnu: mkfontdir: Fix aarch64 cross-compilation.
>   gnu: alsa-utils: Fix cross-compilation.
>   gnu: icu4c: Fix cross-compilation.
>   gnu: glibc-utf8-locales: Fix cross-compilation.
>
> Pierre-Moana Levesque (1):
>   gnu: texinfo-5: Fix cross-compilation.
>
>  gnu/local.mk                                  |   3 +
>  gnu/packages/algebra.scm                      |  15 +-
>  gnu/packages/backup.scm                       |  31 ++--
>  gnu/packages/base.scm                         |   4 +-
>  gnu/packages/cmake.scm                        |   2 +-
>  gnu/packages/code.scm                         |  21 ++-
>  gnu/packages/commencement.scm                 |  11 +-
>  gnu/packages/cyrus-sasl.scm                   |  17 +-
>  gnu/packages/firmware.scm                     |   5 +-
>  gnu/packages/ghostscript.scm                  |  19 ++
>  gnu/packages/gnupg.scm                        |  22 +++
>  gnu/packages/groff.scm                        |  40 +++-
>  gnu/packages/icu4c.scm                        |  33 +++-
>  gnu/packages/kerberos.scm                     |  23 ++-
>  gnu/packages/linux.scm                        |   7 +-
>  gnu/packages/man.scm                          |   2 +-
>  .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
>  .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 ++
>  .../patches/python-2.7-search-paths.patch     |  10 +-
>  .../patches/python-3-search-paths.patch       |  11 +-
>  .../patches/python-cross-compile.patch        | 145 +++++++++++++++
>  gnu/packages/perl.scm                         |   7 +-
>  gnu/packages/pkg-config.scm                   |  11 +-
>  gnu/packages/pulseaudio.scm                   |  22 ++-
>  gnu/packages/python.scm                       |  40 +++-
>  gnu/packages/shells.scm                       |   9 +
>  gnu/packages/tcl.scm                          |  28 ++-
>  gnu/packages/texinfo.scm                      |  28 ++-
>  gnu/packages/tls.scm                          |  59 ++++--
>  gnu/packages/version-control.scm              |  16 +-
>  gnu/packages/web.scm                          |  13 +-
>  gnu/packages/xml.scm                          |   7 +-
>  gnu/packages/xorg.scm                         |  44 ++++-
>  33 files changed, 794 insertions(+), 94 deletions(-)
>  create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch
>  create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
>  create mode 100644 gnu/packages/patches/python-cross-compile.patch
>
> --=20
> 2.17.1

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jfzAACgkQoqBt8qM6
VPrn5wgAl6tfi75oJXNgxTwZjmpaKzB2+MMWa3CYguMTfDOBBwgoEdglGhf2iT0s
ejJuehPVLgGqgwyB4PqigLNrOg/OqVFuirnifgc4WDKVEyyfwy2fRDSuy02ivY47
TGLQfRJNH0BQ9v3lZCbxd4T/pLn+3Vh7yB9ue87HCqF466abshWa6bBrOleWTQ/f
PK+2hi2/OXzciXWBvg81/9C9nc9dWpq2sfHD5qugXQW2tjQMiHMqh42dL0aFKK4C
RJM/TZEhDd7BAMcNL5jRt7ywdqmm20Oj2VpgOhwHjmgMhM//DI0LKss41DuecBYa
qc1UebjvKyD0qZDAreptq+5PHwT57Q==
=8ygA
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 01/31] gnu: perl: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:40:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260757819415 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260757819415
          (code B ref 36477); Mon, 08 Jul 2019 17:40:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:39:38 +0000
Received: from localhost ([127.0.0.1]:59442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXc2-000534-6w
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:39:38 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:33497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXc0-00052r-5u
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:39:36 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 13AA521550;
 Mon,  8 Jul 2019 13:39:31 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:39:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=PK3VuUVunOV51D7zyS0G/a/SWd
 r/SrRYO4xUXSL4OWs=; b=atjhubE+Ct9HuJMPQQPgbyVif5Oag06NnhEB6Wg5gu
 Tsi9+W3jbpfMRFV9tUWn3AaI16a+/adfCisKxYoFYbpUuPTBZ+3uo7RoC1350cEa
 LNx4u93gRMz6DPHDXG48YUxbQubXENz7gLnA1afK99dHtZS3e+Hf2C//+4kdAGbR
 fN4z+1mQ9xDnRmV35mbtV4b2hDnyXGdyb+OHm+E3naK/S7vPRg/OT61O+VHpRl5s
 0C34U26gJi8ZhInJgeLC9lL3m4fK+tM24g0RQtWDmlevtJjsP+dqBZCkarIzccqA
 1eQTUzkei8U9d+Jb5kGWEFhVeudYen16stoiUb4hXTbQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=PK3VuU
 VunOV51D7zyS0G/a/SWdr/SrRYO4xUXSL4OWs=; b=vBOzK3QJMoDTF1j84vZJPu
 4euzN+kj/dr7UTKpWqQGEUlaJGWCzsHnLcvQ4O7gxXDmcu/w3SFU2cWK2ZMjF0xg
 E2NaPVph6eMDcYAFjzlOm1WoXCU3OvrEAtSU+yB96ueyf/1UMHSWYT9z4XffYBLc
 Hq2gzMKtOvnuOW0J+v1Iaw9BBxKV/liHpZZrKdzFULubxuWIQRxebnoX8B9rEAGD
 Bn1PUcDU1BOF1PmQiKYksC0EV2RY0M3o7Turc2XeE6/nxdqvDfHSl/vTQVINxzuh
 TC6/8FKH8PEK20CsZS2J8wAAO4VnRsBOe1jAmHpn5PQMexzBmfI96Ssczl51aQnQ
 ==
X-ME-Sender: <xms:0n8jXUui71TVewwSsI95uvkkfkTlOEOl426jo72uMLcAwYjTls5T3A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:0n8jXWlwWjeQMYsZiWm8nRuWnMm0U8Et25Vob_qFop2t6hEoBklHrw>
 <xmx:0n8jXSsKHv4C3w0nodN5EaeGbnK6TE3ZwVcz4nDuiJ1sH0LCgQed3Q>
 <xmx:0n8jXdM-3Qx0abUfMQGVI1ya4J4fKwWy3szkmPIE-ud0qnf4kBn4fg>
 <xmx:038jXUoL5JYn7v_oN5br1OWPIoNl66B-aphS0TK892yJ3XyXFMfC6Q>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id AE3BA380074;
 Mon,  8 Jul 2019 13:39:29 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-2-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-2-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:39:28 +0200
Message-ID: <87o924pgrz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/perl.scm (perl)[arguments]: Use cross-libc instead of libc when
> cross-compiling.

[...]

> @@ -81,7 +82,7 @@
>                         "perl-reproducible-build-date.patch"))))
>      (build-system gnu-build-system)
>      (arguments
> -     '(#:tests? #f
> +     `(#:tests? #f
>         #:configure-flags
>         (let ((out  (assoc-ref %outputs "out"))
>               (libc (assoc-ref %build-inputs "libc")))
> @@ -130,7 +131,9 @@
>           (add-after 'install 'remove-extra-references
>             (lambda* (#:key inputs outputs #:allow-other-keys)
>               (let* ((out     (assoc-ref outputs "out"))
> -                    (libc    (assoc-ref inputs "libc"))
> +                    (libc    (assoc-ref inputs
> +                                        ,(if (%current-target-system)
> +                                             "cross-libc" "libc")))
>                      (config1 (car (find-files (string-append out "/lib/perl5")
>                                                "^Config_heavy\\.pl$")))
>                      (config2 (find-files (string-append out "/lib/perl5")

OK!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jf9AACgkQoqBt8qM6
VPpsqgf8DUSvb/e+rV5PD4E7R076Y5H//N3GpvUfR9+20T/GtwcjPGBUdLkfuG/9
pwOpMR40OMdtvagpIYNXqUxk/2hTC//vJ2ias/0fxssgw7uV+7ELXByV3kfiWRsZ
Gv+dH6kG6Hit4jLaHhFdtPLVWMwy1m/gVekoIQLJJ5VsJeLTEweBTm7px/owmCTz
OnUVnlu3ERIzlX7Pva/s6oB3ff88AB5nYpWKZdI79FbAeJKl7P7z9pt3NT/rzS2e
dgFBx0Y9X43tcu5kP2XKRLcRqCjsvxUCWpow2qA+zOSlcd0P9GfL59NGMCFaX3tA
UxYN4ZtTQbYZIit4ljnclgpEsno5Dg==
=O5Hl
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 03/31] gnu: tcl: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:42:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260767319588 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260767319588
          (code B ref 36477); Mon, 08 Jul 2019 17:42:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:41:13 +0000
Received: from localhost ([127.0.0.1]:59448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXdY-00055r-Jq
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:41:13 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:49833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXdX-00055g-8a
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:41:11 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 1D4FD21AF1;
 Mon,  8 Jul 2019 13:41:06 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:41:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=FTZq4p/KnBPUWtQYoiItBrdX2K
 ZxlBmugj8POG9SFQ4=; b=jLa8Q4orrqu8eQ8romQ5sBYx1u5cy9va5IEisSk0+z
 ccJ9dY87UFTgzsyesKb5Gt0Xr8IU3hl5rX0tpHRDzMpFaENKW1sxbN8yFhdAjNAi
 ZEYl3atBMjfB2eJQ9YgTw1fDUEWOFtylwudZ/8AtV3t7wyM9C+v5Lc3SP/e/pMSN
 NxNl23RJGr+SsgNVeXkKakLXTJ7JvwKTHfB4wX43qdfQzh3IGBl6ORyoDsGMMsAA
 bl/PEGaIpbpNAc+bUOfef4+jWhpWMaykSfSWweUp8OPNfyRh4VyDndKM/ILtg014
 A7Lz/iASuna4v/juI/JYC6C8jks525qF8mlug1Xa81ew==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=FTZq4p
 /KnBPUWtQYoiItBrdX2KZxlBmugj8POG9SFQ4=; b=DU2ha3iE+xhjkn25hyKl8x
 Rb0nSgjZ0JT2EiiV2IKIIba1z+5R3QMJciYa/tBolbAYHBFLwS1G2/BrHuQhhOsD
 6171VyY0bK2tD3bGVU/RKv5p2h9cLUEjp+d1UP1VWHR+96FYZi1VniVEWAUJjdyo
 noXn8g1i/A11vUMFHCIKVuq9s+2V2FxzjJRmHfUggx3egP1TILfCNV8HO0Dmsdmc
 APeTkZfxqjQWAXiZ6kEoqEenlfObdQK5P7VJKxdIB/gliEWUcy4DRYKPbweWT2HB
 x5UbVQg2aEa0UwcuI8RxtnIl9hriBYL8M4Q5zG3wCp+DO4DS9Sb65c3ZNokmDbWw
 ==
X-ME-Sender: <xms:MYAjXXKqfWL5n9fAuqiezbaqd7616Vup018L7tjmOVRjuQBKCO4LIQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinhepuggvsghirghnrdhorhhgnecukfhppeeivddrudeirddvvdeirddugedtnecurfgr
 rhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuve
 hluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:MYAjXd-pfF8b5aBqlwEwwDP4ZyR9i_sW0KRzGAizjWSNe1Ugl2_KdQ>
 <xmx:MYAjXSe3ueXhg4iusF7Tj_l3rJzcUop3fsmcI_UiTtM3pHwBmUQbQQ>
 <xmx:MYAjXT41WYIGgYSDm5GX0Lzf6Yy9a5Ur5rVQDJZDSz6Lypi9V3UKow>
 <xmx:MoAjXd58AJOjr2OzaNjflLa9JVda72Z8fL-XIazK-5GilQtZUG23-A>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6C1B38005B;
 Mon,  8 Jul 2019 13:41:05 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-4-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-4-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:41:03 +0200
Message-ID: <87lfx8pgpc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags to fix
> cross-compilation.
> ---
>  gnu/packages/tcl.scm | 15 +++++++++++----
>  1 file changed, 11 insertions(+), 4 deletions(-)
>
> diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
> index 4840ac4e10..fc955cf649 100644
> --- a/gnu/packages/tcl.scm
> +++ b/gnu/packages/tcl.scm
> @@ -53,7 +53,7 @@
>                  "0sprsg7wnraa4cbwgbcliylm6p0rspfymxn8ww02pr4ca70v0g64"))))
>      (build-system gnu-build-system)
>      (arguments
> -     '(#:phases (modify-phases %standard-phases
> +     `(#:phases (modify-phases %standard-phases
>                    (add-before 'configure 'pre-configure
>                      (lambda _ (chdir "unix") #t))
>                   (add-after 'install 'install-private-headers
> @@ -73,9 +73,16 @@
>         ;; PREFIX/share/man.  The 'validate-documentation-location' phase is
>         ;; not able to fix this up because the default install populates both
>         ;; PREFIX/man and PREFIX/share/man.
> -       #:configure-flags (list (string-append "--mandir="
> -                                              (assoc-ref %outputs "out")
> -                                              "/share/man"))
> +       #:configure-flags
> +       (list (string-append "--mandir="
> +                            (assoc-ref %outputs "out")
> +                            "/share/man")
> +             ;; This is needed when cross-compiling, see:
> +             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
> +             ,@(if (%current-target-system)
> +                   '("tcl_cv_strtod_buggy=1"
> +                     "ac_cv_func_strtod=yes")
> +                   '()))

OK!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgC8ACgkQoqBt8qM6
VPrtYgf9H/Vqr7ZCN9k685WgEAA2cu+VJY4nesVIcboBZ7A1cCs3bkmtoO1NY/ZT
M6Se0a93BwXftmVkIIzN9JnDS8ErO/NL7MSCbkdAeIEq/ZO0CE2+1HmxDlNXEpKH
Zq2YqzJ8zT0mSuGSlaKg9ZwKQSCn5CHMw3IM/J/JtlxN/Sx48x0i1RhUTPuDTIOQ
AhmxiyH0Cdl80i+vuwUgp6xQiGyKZchmzVrCLpTgvsD1oTT88mJ9SSLIGa1YhI8v
VmKduQWeTqyOlErUFyWvQMnooIWcQG56lNE9ghJof3L423hwSBFQ2df6QdU+9XJ+
Y+xfkzWV5PwyeLHwIToENWwCIWcAaA==
=jD+V
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 04/31] gnu: tk: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:43:01 +0000
Resent-Message-ID: <handler.36477.B36477.156260775219751 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260775219751
          (code B ref 36477); Mon, 08 Jul 2019 17:43:01 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:42:32 +0000
Received: from localhost ([127.0.0.1]:59454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXeq-00058V-7a
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:42:32 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:58241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXeo-00058E-8Q
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:42:30 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 22FA021ED6;
 Mon,  8 Jul 2019 13:42:25 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:42:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=vKzJnkKn3dRlLLmu3ICWR7ZhBm
 OupGn/5L0azkqxrKw=; b=EFmDnELBeYOFtkwcqGyCp0a51XiRegT60mV91cX/1O
 mU4LeIEd3Y3d292wQyrWrG6qmsfIyVkQ0mDAhlhmDw+sXJAeJgXaX+YVWW4qdlFg
 SLCAHT47pPgSIIKVnV8lQI27TLWUEMBVLM14nnPqJjT93RJJz4BKn3P2f9tsvEPM
 rURUa0IkVkY30o0JTlGG+woOO1BuGw5DE55FytlfZTPobc6OxEU/XriZbbKSdmz8
 P3froQBR2nvpgN4Vs6AiURqkp09k/B1pd4HB1nbKt+3rSHUiqFwS4yI7fHg76LvD
 eLqckR30VRhQqja12tRVFsboFJuIuDwzDeMHm+Vrj3kg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=vKzJnk
 Kn3dRlLLmu3ICWR7ZhBmOupGn/5L0azkqxrKw=; b=kB+OJbm7pH+7GuIQMsZEM6
 yZIwujsH6/eC7qwVkoWlUd+W1Sz/fBO+AfR2XNfnngdGlZ0fsPJrTwh/jMnz7/32
 clSiUrUMRp8D4+muCefnr00+6/+KjH8dNr/XB+Z+lJ7mU+DiSw8M/nstVM3xeFun
 eBIPqsmsEoBVcg+0J7BiSe9ZTjHlNdtBbir6fFaQN9Bn4Caqw45+YoWFHx6Aqqrg
 IYT9fEXfZYI5sNG39+ECjAR1nywweOaycvVWnLoeifW8Z99xqeXRRBZWYVmwlUzT
 h7yjOfHqkXXbAw4LHgMpYd5S3UAP3wAhx9xxYOjmEdlSI8IrVdenN0Sp1nEcB1BQ
 ==
X-ME-Sender: <xms:gIAjXTlPwD8LvQPPharoYwaTLMCgo1xy4wYGE8Re4eopsd4POiDbMQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinhepuggvsghirghnrdhorhhgnecukfhppeeivddrudeirddvvdeirddugedtnecurfgr
 rhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuve
 hluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:gIAjXZ5kUNADCMAc9r_mGeaHRNipAAjGD-yeez5IUsoOeoGpD5dsag>
 <xmx:gIAjXR2_9vvEJ7k5HZrr-KFIesSl_QXJ83MN6zBKkaWlAYieFgLWmw>
 <xmx:gIAjXfY9RS6Ojj1ViXjcrQK_eFSxQm8jZFxQ35Z7UqM4MuPp88PtmA>
 <xmx:gYAjXQVMeyiwOl5RNMOA12n_2ZVwMsQIqRtgIv_prdrDiO77mgEAoA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 888A6380079;
 Mon,  8 Jul 2019 13:42:24 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-5-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-5-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:42:22 +0200
Message-ID: <87imscpgn5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/tcl.scm (tk)[arguments]: Add configure flags to fix
> cross-compilation.
> ---
>  gnu/packages/tcl.scm | 13 ++++++++++---
>  1 file changed, 10 insertions(+), 3 deletions(-)
>
> diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
> index fc955cf649..df0f0e3a5c 100644
> --- a/gnu/packages/tcl.scm
> +++ b/gnu/packages/tcl.scm
> @@ -185,9 +185,16 @@ X11 GUIs.")
>                                           "/lib -lfontconfig")))
>                         #t))))
>=20=20
> -       #:configure-flags (list (string-append "--with-tcl=3D"
> -                                              (assoc-ref %build-inputs "=
tcl")
> -                                              "/lib"))
> +       #:configure-flags
> +       (list (string-append "--with-tcl=3D"
> +                            (assoc-ref %build-inputs "tcl")
> +                            "/lib")
> +             ;; This is needed when cross-compiling, see:
> +             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D7192=
47
> +             ,@(if (%current-target-system)
> +                   '("tcl_cv_strtod_buggy=3D1"
> +                     "ac_cv_func_strtod=3Dyes")
> +                   '()))

LGTM (though I guess not very useful without the Python cross fix?).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgH4ACgkQoqBt8qM6
VPp7Fgf/XWSVZ0z4pxflJpM7AW/+2yqT0tNvEQ9j1+A+fx4N1thcFMgDOOuS3h9z
7z89/mP1schRVHRwht/JC/8D/PR4pP8zHmC+cEteGDTPalNfhYFrwpiqrqCBlJBi
qTvVcDP+6/68CpEqWA45Qa9vn06PfzoAqWypPJ7ZDnKjPeXjRgMHb5HXou6LIHMG
/eR780CYs+AwfP4Y6G0etmjRcRJxz+HLkadjsmMsOVkVEtgI+4PApz8set+0MXhR
iX3AO4qgvgH+mBqnEYgQ5CKfF1bO93dCgspSyuDw5WBd8boCS8+Nm5chUOjRprGa
pXn3DjMrztpfLmabUPF/b+O9vkLsyw==
=pjcs
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 05/31] gnu: libxslt: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:43:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260777019785 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260777019785
          (code B ref 36477); Mon, 08 Jul 2019 17:43:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:42:50 +0000
Received: from localhost ([127.0.0.1]:59459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXf7-000593-Kj
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:42:49 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:52371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXf6-00058p-8R
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:42:48 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id CFAC421ED6;
 Mon,  8 Jul 2019 13:42:42 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:42:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=yfRhn9q2dqkNQ31FN/8bsuRSMg
 FXrcV34WRbKNIJ7kA=; b=s1a7sUblO5V/Dv9WaBXQFHFHZZf05j+UNiEVJrq8Nf
 /CNdZg+KfkhudpcW/rXk3rnNTka+Uqwv3U/7OyT2ueUZRAF2eCAmxoetEYQd27Bn
 3/y2jNwsQ07VpBp55lYXsxDslYLcTj2CU78rNF05vyKXn7wbjrdzvJ4Bi+xwpu9Y
 zYiy5IUP1BldMvR9+ETOtA37sX7MhFXAJ895HmV8jOTWzn6JRXIn5H69ZCA5vJ3H
 vquKMrLLm37th/3/36ymfxg05BjRzSHKG7YPGycwqjGg0dwUSxNNEExigPeNIj6o
 QkIQIZVrySllHrT11hCgS9o81oQ8YRoUmy0q60LOC4Wg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=yfRhn9
 q2dqkNQ31FN/8bsuRSMgFXrcV34WRbKNIJ7kA=; b=DvRCgu+rffd0CvoPsC3AoF
 H+nqb9XM24DBxEE9FMcjsn19IJoxeKPCXlNfB2HYBDRdhcxCOKNkRYHejmQVEcSv
 Hq6vUWK+bAgnd/lnF/A5QZW7hNUS73BGvDkBCzccY5B8O+Cqwv4r0dAh95NNW+ev
 549q0zcCJoiH7toGmx3TNGASeBJH8LP9LnnI58J/pZKzfjP8Gt2IfP1zhbuhXVU9
 1SKOZgQR0oJAvPGGgpwJd5PxWEIHh7ewihcbq3lWwvbTfSKzy8SJONePBGenRMqJ
 O7NkzqUuPsUPmXrNk+oes1bRbLjwBc57ACS1531gZDcYJiutIJ/qtdRAEkJItQXQ
 ==
X-ME-Sender: <xms:koAjXSc3FPxcsPiw3JOnFFaKzoveEykNBTOibqxLujhR7OmyKu1soQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:koAjXXZ5N7gN-CR6SwJ2s4DPB-ME2vAMAl3xDS70WK9efXkYuvktWA>
 <xmx:koAjXSoWnadjBJlKOkMucom-Y6wQXGxxD4_GsJq9do6DWTgj_Lafdg>
 <xmx:koAjXQPqGyg_lGYZ9HErC14Yi-zHoP2y_BsNiRhgpoCofDkS-2XUSw>
 <xmx:koAjXamMXrquhmsf350ezKfkHBEDy7TzqWImG6yx2_sMttIzQsySGg>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 342ED380075;
 Mon,  8 Jul 2019 13:42:42 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-6-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-6-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:42:40 +0200
Message-ID: <87ftngpgmn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/xml.scm (libxslt)[native-inputs]: Add pkg-config.
> ---
>  gnu/packages/xml.scm | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
> index fc60758724..5fefa2c1dc 100644
> --- a/gnu/packages/xml.scm
> +++ b/gnu/packages/xml.scm
> @@ -201,6 +201,8 @@ project (but it is usable outside of the Gnome platform).")
>                ("libxml2" ,libxml2)
>                ("python" ,python-minimal-wrapper)
>                ("zlib" ,zlib)))
> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)))

LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgJAACgkQoqBt8qM6
VPp4WAf9GwtX2IovWIYd5pv3NaDcSxvFJLj2K7jAE2MucWBYWHoHQrxxnPULp16i
62aq+7usUPGTjnbP5Tz0YEPOSosZWfYlyLUiy0cJg8JQXirL7cFdhhWLPdmtBUgu
OzmLkTeUwuW5OdKVdVS4nAcZh6Vc5xyGFJsa3I4QhoAT+cgxK0i1b8AGy8UBh0se
jZAFyVt5O6DIA2OVy3omixOxrrQbJNEduebDHBP8A+VabcRq8bSAoKspaMk2CDa1
mtYa8KnSmr0mMGABVZ4oY8dtbGLZ5FZSfSlHI0po6gcWMTHnVngICkE7CyrTrtRj
HO+x+aaIptjkHFp0aRuBHY4iR2938A==
=4Ui+
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 06/31] gnu: xorg: Fix cross-compilation of multiple packages.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:44:01 +0000
Resent-Message-ID: <handler.36477.B36477.156260783119897 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260783119897
          (code B ref 36477); Mon, 08 Jul 2019 17:44:01 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:43:51 +0000
Received: from localhost ([127.0.0.1]:59466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXg7-0005Ar-1u
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:43:51 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:45199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXg5-0005Ad-Nu
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:43:49 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 96DE021550;
 Mon,  8 Jul 2019 13:43:44 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:43:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=PN5o5fPsvM93lFxzy9c1C7/OdG
 CTbTL1yRWDLHd+D/0=; b=K2xYmo7RiTsVuVDci61GGyxgNdvAO8h2JT6on/xVRa
 wGL/cgjzkgoPB7MtjoyrHOayDNHprTIiIXwgdbvgincDsvQoF53gsZz5lvkbbTHC
 w3wGQAKt+duifmh5lF9prORB1cBP/Yr0S0o+MiObhiUSrWKsWHVkiLp7OsRW1xXi
 yiEI08MbwIPDbLY8wLMRMWHzVbEUBh2Vyb8tQf+YYmtcycHCGNDVbkCHNQBePhZB
 LUDKdp8+GcnLQkH6NG4WQd2C51XjNyRLElB01N9+NT+vf2YXilmjCcZBS3D2jG5F
 wqK0ioaPn07FFWepa5o1MKv8NyAOx824qFbUzNFwfQyg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=PN5o5f
 PsvM93lFxzy9c1C7/OdGCTbTL1yRWDLHd+D/0=; b=nHEJx/6y2LIQxTbTNJU11G
 YaedZ0I94A1rnKB15k37Vqg73DkKsWlEHYignBzRzhneDV6ZMEEEvXR3qnoqSRG1
 FyX+ewin1Uq+6QLrAMpDn9Xluvni0ZlAImuFFJCjPbJnZvdu25+wiA1GHNEVK42r
 vH8VsJFg31ce5gZsqO7zNvL79Zjvacq3Tlti+G28YVfTn4kLu6jLxMqyQ0ux8bF3
 KF0XUGF5qdNJ7L6Z1Ez2tw5+0e6FzvOudlzumrQBBVVSn3o7GT9q1l5snhx5DaGc
 mWuPg/xZzAv9aWhev3GLsUpDet5lKYfE5gQk9F2kSvoI1o0FOfVcMPH81dskyDeQ
 ==
X-ME-Sender: <xms:0IAjXSDlyeZOnugEDRBXbY4QuaATJQbcItdbbNYmTIJ9dFzs5y0ShQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:0IAjXfurJL4V8DxH4wkwhtzW8_a7d4Uvqg1C1D05TG4j-3sGdEpMGA>
 <xmx:0IAjXcbRsZZsxWWG8Mfk2uJm4lCwKxp-En7m3MPzMjWhHkMyFGoKfw>
 <xmx:0IAjXV1SR6BQzgprxAGi657cOy3hJPp8IXes4hvaubTR3W5hhlBpPA>
 <xmx:0IAjXffK-LZE0eB99KTmNAT-sBtFRVIbkSlYl33wij2tO2NS5U1S5Q>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id E60B38005C;
 Mon,  8 Jul 2019 13:43:43 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-7-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-7-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:43:42 +0200
Message-ID: <87d0ikpgkx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/xorg.scm (libxext)[arguments]: Disable zero malloc check that
> fails when cross-compiling,
> (libxrender)[arguments]: ditto,
> (libx11)[arguments]: ditto.

Have you checked that this is still a problem with the newer versions of
these on core-updates?

LGTM anyway.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgM4ACgkQoqBt8qM6
VPrzJAf/SZQIg0xNJ/epgP0Zl6ah+3ubP0n7jRcCV9LjGC2VSL03YHKqlisW5Ns7
tROWqbXHemLb2J0CMmAp0/L8BWI87Y2K6JW9tt/5dJ6Q9wH6kPPMfSaobR+iUKLN
5ri2AhRANsg2E5xuz9Xf37KCisKn7XCO+E51JPlbdL2MByP5PWb4UqR40BTwwolm
67fdJFLK8QI3QTvOCxomwFhPyJ0ha+r83CZWtm9KbwiKa9iqXNFYkoHAqmJKq30A
+Gm6xPLU9uRKusDp2FEQpWGzntYBxkmwEXJlUT+Sow9FvfMd4fPlVQsHjL3uUL90
wjpdmoHcAqTJrRDPH5aKLEWPIWNGYg==
=zKsd
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 09/31] gnu: http-parser: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:47:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260799220216 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260799220216
          (code B ref 36477); Mon, 08 Jul 2019 17:47:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:46:32 +0000
Received: from localhost ([127.0.0.1]:59472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXii-0005G0-Hh
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:46:32 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:50041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXif-0005Fh-UK
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:46:31 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id A8DE121550;
 Mon,  8 Jul 2019 13:46:24 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:46:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=4szwYDiaxYgnHQs0akVx6heL4E
 HObbOqX9hYXU58qLY=; b=fkeRaAdAicGa/BYswGXS0ZPRyixhxx4BGuTbo1kJAt
 sfQ7aM7xDa3tjz0LMcytolYO+yB9wGI3OPdYDg0IUnbRCDSpt6U5L6hB1Esaq9Kq
 rgJK7eVdnRFT6FICOXxVOMPcfGaSNm5IKPAAuc+wwx0lNhD93IBAtjlSKsh3oPua
 KgE5VOHNoN3wx7ZgFLDnigeU1Wb9sHwl5r9+QuU+hbnRAx756lsa0+9Kq/CnsBkD
 AKpZ7XMbZwJuP3ynfQEtUNn9g+XjitRles4MHZ/jgGDd7DwuBAObO7krzyWU+goO
 iPvGgcAfwQO9ptIgki4b5v0zrMKgQEnUYmDAnZZ7NXiw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=4szwYD
 iaxYgnHQs0akVx6heL4EHObbOqX9hYXU58qLY=; b=VKRYL1Wz9JS1w8e9jMVEV3
 6XaDV0qXbAykmvkTaU/b0E84+wDGTurj0K5oPArX8Y+V89FRD//n5Nv3kKImGJNg
 auMwa3ACYntxgJDudxY7/N+ogd7pLV0uwzeEYOHn+DVEozYcPRTX74XWg6FjY44p
 G9lcotQSiQDnbtGFi1xt5iBccBOUaZ2uVBiU1atrQQIJFdMB0zd+F08k0EM0iUZI
 aS0gX7nAPRmiWTQn+/WLnkVRXdkMJ+kSOqRGrmyjyxGEOgBzdjhittlEVK5aM710
 YNKoItRNqKz971e6rfzGomgOUOALRyNJMLHle3/+OIw0QWnrG6yb6ajNrGa20LfA
 ==
X-ME-Sender: <xms:cIEjXZqg_XCZNu3zW0fVi41ZIE5jcknZae1eSDbyjwQHTDKc4OWIAg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:cIEjXXnQRsWtBDaFh2wAfbsquvj2zJLujjHVWySxPa8VchfM1SX_dg>
 <xmx:cIEjXSDpu_Lrkn3Tl4HccBSmVS9UZucVPNQEkxPUjWaICUlxN3kcFg>
 <xmx:cIEjXc1iQbkUCODjbtlcW4u1lGcrXA7XLrbYTfZy1VDNesOHUoMUHA>
 <xmx:cIEjXS3HCZI653VE4IFqCoLdUuhBimcwIgxbRGKQCwLLGv-W34qy5Q>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id D8A55380085;
 Mon,  8 Jul 2019 13:46:23 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-10-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-10-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:46:22 +0200
Message-ID: <87a7dopggh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/web.scm (http-parser)[arguments]: Set CC and AR variables in
> Makefile in order to fix cross-compilation.

[...]

> @@ -5171,10 +5172,18 @@ into your tests.  It automatically starts up a HTTP server in a separate thread
>         #:make-flags
>         (list (string-append "PREFIX="
>                              (assoc-ref %outputs "out"))
> -             "CC=gcc" "library")
> +             "library")
>         #:phases
>         (modify-phases %standard-phases
> -         (delete 'configure))))
> +         (replace 'configure
> +           (lambda* (#:key target #:allow-other-keys)
> +             (when ,(%current-target-system)
> +               (substitute* (find-files "." "Makefile")
> +                 (("CC\\?=.*$")
> +                  (string-append "CC=" target "-gcc\n"))
> +                 (("AR\\?=.*$")
> +                  (string-append "AR=" target "-ar\n"))))
> +             #t)))))

I would prefer to splice in this phase instead of adding a noop phase to
the native build.  LGTM otherwise.

(so I guess CC=gcc was not needed for native builds?)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgW4ACgkQoqBt8qM6
VPrwcAf7BfEjfKquUef6pzfc1kl9yNM2zBtUDFThNwkRqGIbD/JAF8Iey+lNfBUA
PQtVxE2/jOQtklHX7tqDZserBX5HP7qyNKgjcZL72X0VlJQei5plHFLTUMVVnbPb
rUNRrmx5T/4B3Yhn+hrMj8P+zVEBFMq1caPhVqD/EBoQFFw4lgjQ85Q54ARndMTT
IAJArU6Xyfv32luQmpe4DCJZ09+JStdYZHCqgugFPWS5eLsVuZO3dtWyJHecGxq2
HI7b4AyX9Pc9XQCzUIo2w7ClXi8dGLDPmGN4wtg9QhxLyYR1aIgZSPk1hQmnriB3
aqUB4HazAekIWkTy8C6F+PLhSlo+Kw==
=hMcQ
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 12/31] gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:49:01 +0000
Resent-Message-ID: <handler.36477.B36477.156260808820372 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260808820372
          (code B ref 36477); Mon, 08 Jul 2019 17:49:01 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:48:08 +0000
Received: from localhost ([127.0.0.1]:59478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXkF-0005IW-VI
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:48:08 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:54653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXkE-0005I1-4O
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:48:06 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id F3CBA20FBE;
 Mon,  8 Jul 2019 13:48:00 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:48:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=FAoYPi7JgrDgfasgJ/KmFVwFr7
 18+hWixeFreLZBve0=; b=qFglTuXfB8c78Glg1BxGl2IYSWcB9cdQgATXyShY/I
 W2BX9d2G5fjVc0glpylLkk9AfScCEalmSzcGSt4nChZrFdtCLnvdh5+gMMCw8DaU
 gJ4YbroC6aQPzi+L0HGwF7K6VavxhKAgZpJMiNwucgCJDh6Kdl5RWAcTImsPvxrW
 xtRErlM6wwNvrKQuGyABVpjnuMe58etMx4E4dXrO+TZQY4tgpYB7RJuKu223aGAx
 EKPJiZLXpT5026Fb0g6oYOrgYyuCZm15qeAz6T6gAVGjlbjEi4wqt3M11D2S5r3C
 ovUAs8GTJRqrMWsYy2Gj6AHSjnsTyQaZ2yEcQD3AkLKg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=FAoYPi
 7JgrDgfasgJ/KmFVwFr718+hWixeFreLZBve0=; b=Prx72Q0/MwPbziiypb79Bn
 cXowID0pDYBzuOEnkLv3GQx5dY5/ZGH+TKI9loC0Cbl355tuP0AaNDR8RGvDRgAF
 p/Aad7FQgAJwz3pvmNYOMLfUniA09QA6Hbg4nfXLYifeAygFL1Wsi9ro3Ly0KIS5
 G0PmT6Mx4B93d+/78RU9uTgPvI8KvlI7hZu0S2jbBbEqRhjWpodvurRs9gw9kygw
 KkKfPM05mje/89XanbNKpJELd6Y2VnIxZSXjoabQn3/7ElTKtkj1ffd5aQVI/Cb6
 aqS98eoitdRrnnsaaAANdIMJTfm+y+NQUroCFT/zXF+LSiB3v2kmV92hHD85C/IA
 ==
X-ME-Sender: <xms:0IEjXVWlCkPWrArHSIGh0931_LUNlRnITRBr0SbzkIn0TYFXLZ9M-A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:0IEjXT3z4hPiCGLS9arHJDB-FYSf7-Kt4TGKETyYn2GA3OvB81OSoA>
 <xmx:0IEjXahWLx8hX6zzllMAQb7CKuCa1maSD3HRfbRRoe9XcrxX382GYQ>
 <xmx:0IEjXZj_d-_5N3unYzSfgDcwqmfC63uQ2JbvZ3umC1nB02aEr7DxiA>
 <xmx:0IEjXT7xOqYeK4iVejxGRg3C42FZvyVabRdOYnZOiwgZEd_VkuK0xQ>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 40E7480059;
 Mon,  8 Jul 2019 13:48:00 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-13-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-13-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:47:58 +0200
Message-ID: <877e8spgdt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/cmake.scm (cmake)[native-search-paths]: Turn to search-paths.
> This allows libraries using cmake functions "find_file" or "find_library" to
> search in non-native inputs while cross-compiling.

Does this still do the right thing in a native context?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgc4ACgkQoqBt8qM6
VPoTgwgAhkLNqRbpT2S0k4RHw+7zN+FUeKrq7q0MPYIgXGhS9kEsmv3RbKp3kBWC
sZEo04Lio+f9ANbKGnqvGe5Lp9/EOg08nLappAX8SHccByJb0VOx8XbR6zdxg4Fo
lcnzT6vJn8a+bnNND7ZbhiA7zwHxaLEwehhgZkKofMTrUuhBI2i4tXAjKAv5Yy/f
Mo85eTYMBP8DxIxE0IgH2AtiQMdjqDoIIbEEacubqT4sP06m1M5D38TnfbUR5FCy
z0/UES6mUOVOr/cqRl2Nx5Wu2LiahcN7V9KFu4u5qUePQcAudthxUIsRTOxWmLwp
3CHkEnvAStA9MosAXfwS//MoHkusLw==
=m3FG
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 13/31] gnu: libgit2: Fix cross compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:51:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260820520603 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260820520603
          (code B ref 36477); Mon, 08 Jul 2019 17:51:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:50:05 +0000
Received: from localhost ([127.0.0.1]:59484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXm9-0005MF-Ao
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:50:05 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:47313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXm7-0005Ld-BH
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:50:03 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 2BBA32205C;
 Mon,  8 Jul 2019 13:49:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:49:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=4VqBHZPtFg6MT8hZebTHzlGc9l
 7Kle3lMlGX0avSRi0=; b=iz3Or/6FIPiAdfV47QAr2/0EMe0l6wMX9PMSX9Gx4W
 MjD78/uScKqCBYTsZzKiwX9xmhnfFWXOpxfzjWBQ0WU7OayL+uH1tGBLYRAt4RJz
 GbJIAip8MSfuDKiH53YE3ccT0AYGxIrUzHxmQPgDgLbKZ90HbeJdUVjLGrPMqD4e
 c2pFlsx2Tp62Z64/JhVrGq2RiDiE4ltAJDbFury6knls7TNcOa6BDvCxqzRoBwkI
 /jq7KrdKlgoLh4i/iwcVe+pLGqybXd3AidKmn8eYeVkFjo8evK5ldSnIsD7PiDe8
 hThOW7ZPvok95O/22pf9Lsufol3kItNXxh87H8Nyg4ug==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=4VqBHZ
 PtFg6MT8hZebTHzlGc9l7Kle3lMlGX0avSRi0=; b=VzJvgYZ3CF8tMCVQrA7vH4
 i3MvCOQ+IFLmikzd7KlCMIhvZt2m58ecAH82VER+8iWEHlt+Xa3P7fowd/YlTcSw
 YCI/qCiuNbNKTSnP61YrEUFtJU0VCGIY3fdSI6OTybzUEPJRF6yi9jHH1V6qXC5Q
 WUSGaCbsNM+YbUsD/IpWuXQJ8HcU7kLagE5PoKzlEjTWbTPnDWuoTP/It8mr/1kI
 jx1DrB8cTBCPMqK7/BVzu7rLYLHNQsuLflnxNN2TVAZTE0Qvt7/feR5zZWCArSfl
 EINIBSmDI9Qycd+Gg1rsSFCV67yWLkq2TUZ1wVgGvS5dTF8DJSkusWAmzuBfFIBA
 ==
X-ME-Sender: <xms:RYIjXa0mMeVaaAJt_0AwWN6V8VbC1FXfKK2RmyXibTq9ItPVCKRzuw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:RYIjXf6Q6feOFH3lvYv0khfsAw0PQiso2KRXby4wNjtaD1hTYNRC-w>
 <xmx:RYIjXVr5UZbXDBury2E_4LR6yvvWW6KqbOVEmO7_Jwvg23K_O4GIQw>
 <xmx:RYIjXfU2q79715L3LP-Y8xP26sDvhJBRrREO2bqeqnKG4rXqQKoamQ>
 <xmx:RoIjXXkl03-xWN9hIs_m-0p2vm676RJYWr9qgKid1weW8mfzttpBpg>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 73B13380074;
 Mon,  8 Jul 2019 13:49:57 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-14-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-14-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:49:56 +0200
Message-ID: <874l3wpgaj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/version-control.scm (libgit2)[arguments]: Set
> PKG_CONFIG_EXECUTABLE variable when cross-compiling.
> Also do not run test suite if cross-compiling.
> ---
>  gnu/packages/version-control.scm | 16 +++++++++++++---
>  1 file changed, 13 insertions(+), 3 deletions(-)
>
> diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-cont=
rol.scm
> index 8effe1d502..ca5a019105 100644
> --- a/gnu/packages/version-control.scm
> +++ b/gnu/packages/version-control.scm
> @@ -545,7 +545,14 @@ everything from small to very large projects with sp=
eed and efficiency.")
>      (build-system cmake-build-system)
>      (outputs '("out" "debug"))
>      (arguments
> -     `(#:configure-flags '("-DUSE_SHA1DC=3DON") ; SHA-1 collision detect=
ion
> +     `(#:configure-flags
> +       (list "-DUSE_SHA1DC=3DON"  ; SHA-1 collision detection
> +             ,@(if (%current-target-system)
> +                   `((string-append
> +                      "-DPKG_CONFIG_EXECUTABLE=3D"
> +                      (assoc-ref %build-inputs "pkg-config")
> +                      "/bin/" ,(%current-target-system) "-pkg-config"))
> +                   '()))
>         #:phases
>         (modify-phases %standard-phases
>           (add-after 'unpack 'fix-hardcoded-paths
> @@ -560,9 +567,12 @@ everything from small to very large projects with sp=
eed and efficiency.")
>             (lambda _
>               (for-each make-file-writable (find-files "."))
>               #t))
> -         ;; Run checks more verbosely.
> +         ;; Run checks more verbosely, unless we are cross-compiling.
>           (replace 'check
> -           (lambda _ (invoke "./libgit2_clar" "-v" "-Q"))))))
> +           (lambda _
> +             ,@(if (%current-target-system)
> +                   '(#t)

Maybe print "test suite not run" or something like that.  Otherwise LGTM.

> +                   '((invoke "./libgit2_clar" "-v" "-Q"))))))))
>      (inputs
>       `(("libssh2" ,libssh2)
>         ("http-parser" ,http-parser)))
> --=20
> 2.17.1

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgkQACgkQoqBt8qM6
VPrnEQgAh40YQnjGRM+RjFvYoJXGLPSk9/o9Po8nBVOMBJpoMoETDJVqKk7KveG1
WKltfqQPBPSxFWYuy5Fj9D+gYuvsVLPL/3O3/QowZkpr1s+olBPrkmPMjROi4m21
ru8qJ7mjc2gDgXn2k6YyhZjq4EfnOc003GgWm+0j1fMGZbR9s4GEhJIZbYknk1uB
8N45u5tgikswgI4H5fJeTqd3Ep6AcoSXl1LXXRjCOlRDHJS7W5reTTyHej+23m49
mSz4Kv/hR+c8ij7wHz42AVD5AzvsOZYjm/7NYhPnNyL3ikbNIwdW2cGBdVWIZOOS
6tZlaT41rTQcKEU761xlQ+HbtplLfw==
=zxck
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 14/31] gnu: ath9k-htc-firmware: Fix cross compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:52:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260826320712 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260826320712
          (code B ref 36477); Mon, 08 Jul 2019 17:52:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:51:03 +0000
Received: from localhost ([127.0.0.1]:59490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXn4-0005O0-Qc
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:51:03 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:60369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXn3-0005NQ-Du
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:51:01 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 3EBE92205C;
 Mon,  8 Jul 2019 13:50:56 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:50:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=oKOloBxV0Zvxsn3T4BF2yapnxo
 ldQvEbOfzuuxgc+NI=; b=eCOsdDyyaGEYojE+usHDB+1K3nsFiwJSDNylP8oOxH
 VzQlsSbsW+w+7idqYOBOdV0lpw/lwh4n1TxA+DCaHCXn6XHQruJbhPDyutECzgaA
 kNqGGB4JdFrF7LAJ0VCGsS8AbsOKNF8XZTQHnRNA+/v9dJlYQIUS/DF0Lq9Y2D3I
 +UX5oD5W72M25g0G/kDodnFvOPPMbY3aEc2EeNozVEPGvpM9+QSvbzgjrZawJprn
 rehD+EqDq8v17d/k/up8uTeZRXJX5YbD87WD4XLNRwgmNV+UQEffqw5DiqYss0Ii
 3c125p95PGYmwkskC4Y3EuaIrEaFn6f5LXgIDAFf4pFg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=oKOloB
 xV0Zvxsn3T4BF2yapnxoldQvEbOfzuuxgc+NI=; b=ITAmR9MQcoc5rgBHeHhkIK
 LdCCKuu7FEbBGdK08L6gcZSXxgiwvCJVWxscS1O3YgRTGdfivz7U8KusY/p/hWmX
 S0AMD9fTjVTz7IC4G9fTv/j3S/FHFU1f5jfesAP9wEN+42wuSIilokU7GIdPlL8e
 CU6b9imWEeARzEswSqs5rNoPyi9EIuENeFhg79OgZlWUMkqfYtZpRmzGgPtGm7zJ
 wdyjpWdNubCgrkWJzFGdcXJEjCx4xskr1cGnfygOF/A+up8OmWd+acU96ILLI4pO
 KMZmruMCETTfsdxBv2le+nNsx+f5sfJpXZ63eI8hl7f2HPdM/QAP5mNS6XAxtzng
 ==
X-ME-Sender: <xms:f4IjXbS70jXpgOBmEaoBLHSnWR5SVIN_0qtHpXlNPEGP8lLB4WL66A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:gIIjXYbabl5SEZgGAiO_FCuKDa3n_JxZlZNE-atMc2nAe2qPg6mJ7w>
 <xmx:gIIjXbTl8Q-5mEbkvKR5EFJj_Wp1hxlbM1fk-RxrsojbP5G-hOCxVQ>
 <xmx:gIIjXY6evVsdbwMSKVXyzb5P_lch8QgdRDNEMGed792yuBPhcWLIkA>
 <xmx:gIIjXXdD1s5odhPJwLYmxlUMSq19lpRwnyQxm5Awrq38L3ttJ6Lktw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9300D380076;
 Mon,  8 Jul 2019 13:50:55 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-15-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-15-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:50:54 +0200
Message-ID: <871rz0pg8x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]: Search for
> "cross-gcc" in native-inputs and inputs in "configure" phase.

LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgn4ACgkQoqBt8qM6
VPqcdAf/T7mwVWQmASE4U/ytHeMqRbFopZwkglJlYdKauHc6Y6BBdCnNxdgtBfHR
47HpXwhMP7lme1QXyyx4x95AuJlsB/3o7bwpjLzYxnM3BRV1U9Y9Rumn2HfIkZ2w
W/+UBJ8bm12WXitDU7+WViXa/tY8sRF1XhTZKtBsCWPywtOpOWn11XeFMYh6Qoyi
qQHl3KipbB6gw06/HYQYz9QvbfKzzsT49IZnaVIvvHH5TpvSLIdYb+yzKCSTqBD+
XBR5xGlSTk++sAC5IpiT9AmTk5g92BcAkF6S5o+KWKd7EaD/DydwTReJfVxO6VK8
QvEXW5ZXid2d0dTUDlaMo67FYYGwdw==
=/qC1
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 15/31] gnu: libpaper: Fix aarch64 cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 17:54:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260839720944 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260839720944
          (code B ref 36477); Mon, 08 Jul 2019 17:54:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 17:53:17 +0000
Received: from localhost ([127.0.0.1]:59496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkXpE-0005Rk-Of
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:53:16 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkXpD-0005RT-2A
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 13:53:15 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 18237214DB;
 Mon,  8 Jul 2019 13:53:09 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 13:53:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=FE/0hUTLcz/dzqCbZ48VFblzzp
 ZkMXm85mpn7cS6laQ=; b=YaQ+jmml23Jnd3pEJqJpTgLRp5R3bXz11p5xO0QSeE
 n7qQjdChiTQVU3kiNyvJTR5j+kPY2c96kOt/F1KRrZJ05fr6VGIpzS3W/EWAR16Z
 kn7VlUV09tkqhLEXPI0RPhE3LC+765Xqtm6tVmLXd/d9gZrhKpLN09K3BRNDyfrO
 15gkxRBd691/qGhE5ShDohEnJhfzHMJb6s/oUwPUxc0VYvS+eO/R+Ek7wRJba1/j
 Hetcgq1OV6OUUodxO2hqgh0ZdQNUVE+tIrVThIWKGJ72E7c3Kz0hK0cxH2SdJQHo
 +PtbCOhebGsSatHFEoXBpSAHZ5pDbj70OCVMhFd6LWNg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=FE/0hU
 TLcz/dzqCbZ48VFblzzpZkMXm85mpn7cS6laQ=; b=kHqZX9ItWo3H3ctSuK1KZV
 VcaoKv+rwIBhCEEMiDLBaY1vE4VHeoTN+p9D/VuDcI9HenfX0musTFbqlefTlvNs
 sgDNZeQcpsLwMHusnFYjK2pSDPIJ5USloeiaRDjAZAEciTdyMUh69aq32G7rCVB0
 iGuzpbPCDNSnND7OLg00w+dnkncaU3WDSjCrnBiuM/nyE8nuLo/90nDPzj0rDv5A
 yuFKiDNNCJ1npotwujbr8hzUsSCjo6EzJsYXBv7JjqfdKK8rDJNalI9zOtwa9vhO
 N/ztY3ZtpxJVYc+aPs+FV/uXlha560Ojnpsa+196hiNeKUnnCh2gp6CM2tX1vvkA
 ==
X-ME-Sender: <xms:BIMjXQFX2CqZfjnJz31avFVT0SBB3_tn6jSpGxItMUALbChXx7Iofg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:BIMjXaqiBU13dz7TnNpd9tfJdYxewP-M1-KSZ6sd-Lrn8nkF2gGVeA>
 <xmx:BIMjXewCctedryXra-UvhBUHE0HBjBERq6YwfVH_-Ddvhz8tGEwSAA>
 <xmx:BIMjXUzudi589qeZ1aIYdT8TjdJCxoWAVaanILkJhCEuRnOKwbMgbw>
 <xmx:BYMjXaXPlInnl7EqTbAdvcDKZt_XZ826PYgltGz-oVm4YnGPRsH6JA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 41E09380085;
 Mon,  8 Jul 2019 13:53:08 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-16-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-16-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 19:53:06 +0200
Message-ID: <87y318o1kt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> The packaged config.sub and config.guess do not have aarch64 support. Replace
> them by the ones from automake.
>
> * gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated config.sub and
> config.guess, taken from ...
> [native-inputs]: ... here, by adding automake.

Native ghostscript is fine on AArch64, right?  I would prefer to hold
this patch for now, unless it's also needed for native builds.

(maybe libpaper gets fixed upstream meanwhile...)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jgwIACgkQoqBt8qM6
VPppuQf+JieyQ0cp0S3wgNNT3mQwLq9zM+h8Crpowj7s9VUx649L+55Jna685SNW
+k4zKQYE+hghot1vCrDi8UHJqd5629NTcYAx8hStCjL+ALQRV/TUoUewcYhvwyu6
Jhlq8+50AQN2koyZa1H/m+mmPwPLg5Hab7IrctO+am3mGlTgFGHnN3R1uUCAHdUh
9PgCi6AEguVBJhpo4dsEcMbDJyz6iHddwSUiUFfgw0+2yGuaottzHZ6mm6Z1Ofwa
pKa+cPDNZxzYPiC672fA/PwIlbvTeF2pIcFRk0vKWvF03FTA9RR9O/qw3agehGsx
pzGxs4boHqwccx0SRxhEpf5wbrlimA==
=0+Zd
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 21/31] gnu: mit-krb5: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 18:14:02 +0000
Resent-Message-ID: <handler.36477.B36477.156260962623107 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260962623107
          (code B ref 36477); Mon, 08 Jul 2019 18:14:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 18:13:46 +0000
Received: from localhost ([127.0.0.1]:59517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkY94-00060d-Cv
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:13:46 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:43519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkY8z-000604-VT
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:13:45 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 5154422076;
 Mon,  8 Jul 2019 14:13:36 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:13:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=/0/E2fQsDKxbJfCZ1hhaJK90ui
 LeDyDgL0mEsBDicZs=; b=y3r3GctpJPDbQwsQR6jdWDICJsNb48DmnqLE9gGGlo
 LfP38PdrxYouNa/57xdV7+nHdgmNQwhJiet1PAjjXlmhz08i2u5eo/DdUwFR9jiB
 hVnOQigntfW9/tkK13/CsZCr7PZtfeisGqr56PYaEwcL5k8EWSKq+T5SH7pmpGfr
 qmKFUTQHncGwYI76i9m1Y1TjWgh8OoJtUF1U602OMRDn2FroOJEO+6Z65+T53nxN
 ihDDMDk+U2m+e3y4U+nlnGuXb/FEDXAh2l6HKnhvPC2AOdk6v8eh9vepe6ARHrWC
 P1Fvuwz/OK0sn83Iw+mgquIMBogP7xSqSoOnUVQtCNUA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=/0/E2f
 QsDKxbJfCZ1hhaJK90uiLeDyDgL0mEsBDicZs=; b=b9bd0M6z/mfYleBC+UfixB
 +DCXXlHoxKhEMWK2qExvuhbXkj9i+KPbNiZhbe1ahEDTsDnuQAmlOWL/ispjN4Kg
 EqiNkOm60UQuCFy32eDi7EdBIpOwlvh8ZshXgzFcsfazGFBxKMGT0OgDLYR83dj2
 FA3yl3ZshCGaCgIH2nlnWmAVF7NytCkuvKA/gUw/3/l0/KnEYI5Dx+fmwIB39KL5
 zEf00XtoxovFAhLImrTTfF7C+HZWRMZVJnZdyFP91wkJrgNCUb1RL8ZUuHPlj0Yq
 ZeWzlh65GNjXONyZClP6WMzkz+Ev2erJV7m4zY67vfwPLqqGVny4sEf7sF587K5A
 ==
X-ME-Sender: <xms:z4cjXVkFw4PAzG3vIyjL1RVWLEuUFTV1JHQcVKi-2lpi22ZmxI_1qg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:z4cjXYkwaRxRUruvg7S1jV4wuJz4G8E_JEtJIMHLjs_XVgSK3v7dTA>
 <xmx:z4cjXaPmIgqlKvkFlMfEOMeKTslKka7NSOqGyJgiWqq67upqmgliBg>
 <xmx:z4cjXf6m6Z02P2xXejzYjipvxY2j49QvljO8ECoN8aIlimzDa-BMhQ>
 <xmx:0IcjXXHe1UscWGOJxHcGWHmddk7ubfjTE3M4lQ3P5p4mnjONoltUqg>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8FE14380086;
 Mon,  8 Jul 2019 14:13:35 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-22-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-22-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:13:34 +0200
Message-ID: <87tvbwo0mp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable tests when
> cross-compiling. Add cross-compilation specific configure-flags and
> make-flags. Search for perl in native-inputs or inputs.

[...]

> @@ -68,9 +69,23 @@
>         ("perl" ,perl)))
>      (arguments
>       `(;; XXX: On 32-bit systems, 'kdb5_util' hangs on an fcntl/F_SETLKW=
 call
> -       ;; while running the tests in 'src/tests'.
> -       #:tests? ,(string=3D? (%current-system) "x86_64-linux")
> +       ;; while running the tests in 'src/tests'. Also disable tests when
> +       ;; cross-compiling.
> +       #:tests? ,(and (not (%current-target-system))
> +                      (string=3D? (%current-system) "x86_64-linux"))
>=20=20
> +       #:configure-flags
> +       (list ,@(if (%current-target-system)
> +                   '("krb5_cv_attr_constructor_destructor=3Dyes"
> +                     "ac_cv_func_regcomp=3Dyes"
> +                     "ac_cv_printf_positional=3Dyes"
> +                     "ac_cv_file__etc_environment=3Dyes"
> +                     "ac_cv_file__etc_TIMEZONE=3Dno")
> +                   '()))

Have you checked whether these (strange!) configure flags are needed
with the newer version on 'core-updates'?

I have a slight preference for not passing #:make-flags etc at all in
the normal context.  E.g.

,@(if (%current-target-system)
      `(#:configure-flags ...)
      '())

...but no strong opinion.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jh84ACgkQoqBt8qM6
VPosWwf+Jh/MHQq4I4m9uOSjQ1hiMOmeUhQ+VY1pkpF3YkEFKH3n2shLu0WcMiNb
9t51jo1vzGykacoX6mFBHJ/4n2JYgtNDoly22xQG/lLYlzku2Auo+/+Fp4gD0v3s
wrqTa5AwLahhL35kDnjTQbUlKNT/B1C1uVBxRKDK6yglpe/dazfLeL13scTtHfI/
Euook1vrZETddBf5LlVVlOPbG/bl67NY6nLEktAUuNJVWXJRucRQ1s2R5/9bH+EP
sszFw6Lp9FTvtrRyKgWCC6jjs9uGTapmFEfY0CLw7rT3EclT1sJTdsPWQsxTpSY3
b0LeVxSf9xe4jwJ0Z57/17XlcHVrfA==
=9xk9
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 23/31] gnu: help2man: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 18:16:01 +0000
Resent-Message-ID: <handler.36477.B36477.156260971523493 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260971523493
          (code B ref 36477); Mon, 08 Jul 2019 18:16:01 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 18:15:15 +0000
Received: from localhost ([127.0.0.1]:59523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkYAU-00066q-Tq
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:15:15 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:53173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkYAT-00066Q-7u
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:15:13 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 2F29C218BB;
 Mon,  8 Jul 2019 14:15:08 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:15:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=Ev8SwagknxvJKGjXArbvDob/9p
 K0KjL78C3pk9LDI1I=; b=thYz7W4pcxSy05HqL7CYrDJ8rqffa9RTopkmUPbjJT
 2+kqu79gZOtPFetIpzdZPvAOWvQt7aK5DPvulUNvySNpaUsevFJJeAWsLQUX6svB
 ZwHIEESgBnKr47j3G5oPFIj5L3c+RKNkKyiCG3Ow8DIh6E4e+qb8L9FnnMzdi8Vz
 kYBavD7dZ8mwdfVGfxdlkMRM+vcT7y6CSrXb0AHzM0F0IqoirGAjD+BwrOUCfoCR
 dW0wUJHHTCf5QgmvuQ/wq5LHa9JBI2D/X5jahL0R9K9Gtez0BV/+H+yb0wzMaDH3
 Ma1IlFPRblsP4Ze8nBjy3ur6gSSTNnLVGo8Zkqp7FgKg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=Ev8Swa
 gknxvJKGjXArbvDob/9pK0KjL78C3pk9LDI1I=; b=JRss98y6MlDjhdTngmfq0V
 wXjRlZWM5HLAk3+sWaWPiKJMLoj8Bf9DBpCZe/IPD5p8gE1OMqENahN3tg823YIS
 nMTrY0AKmGl5O250E4knbExL28kZ0m0NWHHt2NsTUUtTSqgyOQ2xa63vx1lbUdoz
 mIBkfuAo6cdkyqFuQdpXbqNWmsmCSQ7+HmujHFLJp9UhGMRDAyvbxsTXYWyGyn3R
 Ok+elEkSrqrF1Er/s9db3malMJp4PVU9kEBsy08d4EKYAlVK6OBdE/hBoWTIEGX2
 cujU4HV8eKxOHaZUzXHqqa/kq5Z0AGYhRsCqeF4aIQazn1qfeyWUQkIIWvkEZaMw
 ==
X-ME-Sender: <xms:K4gjXTZkOm8a9Lm6GntdzpRQ79pAf68bYLkmCzqtphkgphtDw0bOoA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:K4gjXf800mbAlfekso3xtuouScM__pSDFJeCuzjgEyKnmYSPBecS_w>
 <xmx:K4gjXXSCzmgYelCYiAO2sajQKlAfU3TVpnBcfARbaA4TRDlrBdErxw>
 <xmx:K4gjXUBoIzzk-ZtFYC50vooGlEoKhIovNQlZSvFxy_mpR8W1CKjOHQ>
 <xmx:LIgjXVS8FsYOe-vMKd5wy6DunWMKF_D04b7iU04LZFpiPd-X45HfKA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5340980059;
 Mon,  8 Jul 2019 14:15:07 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-24-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-24-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:15:05 +0200
Message-ID: <87r270o0k6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/man.scm (help2man)[inputs]: Turn into ...
> [native-inputs]: ... that.

help2man references perl at runtime, should it not be in both inputs and
native-inputs?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jiCkACgkQoqBt8qM6
VPpKcgf/QMppPLC532rc/kw9ZY0/hwOCugifjkYBukKh2HGrlpauwti64s1mVfLJ
KKafYNEMbYq1u4t/KBSyj46nyG8e20CT8OgVYNHJmz2PK13R6QCtmZ1eYztGyXBj
uNFJv2gIULkUA8k6DKZMeMu3ja/ICB4rpgD8XW6gX9ILHYcj94DCAqd1ixra7iEL
pOZo5ojAgXg+nMGHvAkAChMAhzoZ6Knt8SOoz7A5fy6czYdpLQ5aSHbaGkA4MK1C
EyH043EE7veMa63b6xFtVASUdfS0M4eQvrXdG1r336OEN1S5QIa007wFYXN+AtAx
NNzA+UdBf2OFXHIZIFaOBuO4hdJEXw==
=Fbuj
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 24/31] gnu: xmlto: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 18:19:03 +0000
Resent-Message-ID: <handler.36477.B36477.156260994024486 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156260994024486
          (code B ref 36477); Mon, 08 Jul 2019 18:19:03 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 18:19:00 +0000
Received: from localhost ([127.0.0.1]:59533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkYE7-0006Mo-RB
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:19:00 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:40457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkYE6-0006M1-22
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:18:58 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 045B521F9F;
 Mon,  8 Jul 2019 14:18:53 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:18:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=49q3yC+la6XtIeNQAQ9Tx8CCOo
 cLmquHRQCDl0pU/fE=; b=yLhmez8RIYFOxMVC39LbXii4krU4gK0xZXLZYM1lRJ
 QjjxR2sbx6LL58Nxx0GpN74TYiLdbc4dt8Fb9jiTkivzu7WKliWdCjuV2fw6S/iD
 izCqTDriaH+ch2K+vwVEektaqQ0WspCV3LdCpgoYS3TOWzU9GagogY09JhfBeqRH
 XyleSOl7C3hW6Kt4uBVgBYO6PWFq1+tuUKm74Q9ZTWcalDiVLYb41MEECY1DPEoM
 wD3RvKboropBbfTSCSJvXtJ2EMXQKCAAYYQddJgGpfAOcSuYgu3CyxZEEdh2OinC
 uL+qyOYPCn5oznks3IbYgCr6kZbzfvIx4LoEYppYL+7A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=49q3yC
 +la6XtIeNQAQ9Tx8CCOocLmquHRQCDl0pU/fE=; b=E7eW0jAy1Ewuzc8/hWYm7A
 2QIWFo6hPBukrt9Zu9EMOIaWEIvUqkb3gkzFIwUSYQZnD0QoLgV0dit8+uqFUG4w
 oysGQh1FD8hoWjo9xpTrINbTgE6SbhAUC/7491uw9lStxclVJ5dnXQG1XuGASJO4
 068JbicGLkPqLe1cfWSu2bQzsxj2dO3Ovq2Exy8vEV66LybyEjrQcPscr4Riy0WU
 9exSaUFWmB0FyOWriHKC8EA8tyXV3NKlJvJRIfNiqmfO18qo58hU77CjbFiJVsuB
 heNc/V3kEQ6D9rq/yU/KODfJ0zk2j++Ybb4f9qqyg5pOOk3X+k+EVc9Yfr6r0/LA
 ==
X-ME-Sender: <xms:DIkjXZ6ohRIxj-jqPtcemIWQrSywPF6OSb-C1qlV2qV2CDJxKC62Tg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:DIkjXZV5V6KyzW6d1gIg7M7VXi7jCU-sT0on_WzfB04Ax_I5wqUIMA>
 <xmx:DIkjXQpoeyGV-q5w6J7NHv7I53f65EpZNAWTJX92FS7Pow7qqLZGpw>
 <xmx:DIkjXZr5ckVcNvN29nxTop3HmnOjzzLuT8XAt_gzuVCSdLII4mA0_g>
 <xmx:DIkjXY-SaZRm5aI0rcqg_tgnkf9LqEANYNYWYkcVWm3n0Wor-NH8mw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0B5E78005A;
 Mon,  8 Jul 2019 14:18:51 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-25-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-25-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:18:50 +0200
Message-ID: <87o924o0dx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/xml.scm (xmlto)[inputs]: Move util-linux from here ...
> [native-inputs]: ... to here.

[...]

> diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
> index 5fefa2c1dc..5239070b1c 100644
> --- a/gnu/packages/xml.scm
> +++ b/gnu/packages/xml.scm
> @@ -915,9 +915,10 @@ code for classes that correspond to data structures defined by XMLSchema.")
>                                                (assoc-ref %build-inputs
>                                                           "util-linux")
>                                                "/bin/getopt"))))
> +    (native-inputs
> +     `(("util-linux" ,util-linux)))               ; for 'getopt'

The comments above this hunk suggest that util-linux must be a regular
input, since xmlto apparently needs getopt at run time.

So I suppose we need util-linux both as a native and regular input?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jiQoACgkQoqBt8qM6
VPpPgwf/QS7fNWmi8csK340SYsJF82Hy6N2qKhMxWiGyJe2Fq+m0LbJkSY2wNZ3n
9S9sKE4ARGDt+GmQpDFuj2lmnDs+o7kMqug7xLF/gBWnKFmIXt8LM5hEGzbbs91l
QMTTcgPgL725yaRETPWjdYCFVPamGVDzzTmETyOmvSyHzAuD3lHrKfrMhbgDfDVn
fqucEAAphvqjgSAbcI2m22DfC83at3kLXOa9I81i/xUFW+Zsvtse0JEkkii32G6l
TOeeOkeVLQbMgQu7du9UIJBWS+aXPh+vwcp2E09LTFUkVd5eOzcXq7D6ooIqVO1V
vnWFb83WQ/PJR6TCCNh/hmbRPPc8Nw==
=1lUS
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 31/31] gnu: glibc-utf8-locales: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:17:02 +0000
Resent-Message-ID: <handler.36477.B36477.156261339210058 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261339210058
          (code B ref 36477); Mon, 08 Jul 2019 19:17:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:16:32 +0000
Received: from localhost ([127.0.0.1]:59549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZ7n-0002cA-MG
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:16:31 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:39877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkZ7l-0002bb-CW
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:16:30 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 3273721C39;
 Mon,  8 Jul 2019 14:37:48 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:37:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=fuJ5FE18TiZ3a3qCaqSz5QyKOo
 hYyIytLdjwcl7di4M=; b=dhtltPp8oDBuQZ0Q9+03n8GWnGuCiPUrD3BAW+8WWh
 xdzNOqyeADJk7WUYUPpzIc59Zlj0XWGjXsdHLrbSX/HPTiiban7ZtT006H9FQGhm
 dngtNelLeykK08PpNx9RzwywvFH0iGh1rwM47762tZiDknJe/tU+tqxQR4ucezhf
 Mo1YUUIWxGmMSVrPfyICBQiwOnGmXLqRJZx9SLYBOSwtUIsHbw7mWEHciywkvTwD
 DNPxMhQPc2SUoCkL7TaIgKbV9TPc7OvvphVXOEOgIwn11roo8X/D0atY3c96yj+X
 UdchXlQLzT1qQxvocCm2vmyyjMcEAPxWkgIKHVQkReag==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=fuJ5FE
 18TiZ3a3qCaqSz5QyKOohYyIytLdjwcl7di4M=; b=f2nEfKFPu5GFM3dN6lqs9q
 g+Agw/snNu2Pv/tgwV3f2ph7ije7mZakWTbKGjdA42qxsm7JbhpLnVOs6iQrjsT7
 cfXwCB4BsAAnwR8Iq4h9LjQW3bCKxubeTzzmDGZrfOaWaWECxk6eHASfFBDsoKPH
 9kp2O5ns0XksTc8RpVxQREkjk2qZJ1yG7/e9sXvlmKF6EVNIBbX/6vp1Tk613ZoA
 Ts+JcSplECyPCqQ/vSV8hVCIh55vyl5UEkdqPR2O0fOf4tIK/tW6NLgSjcA3nWQ+
 b8Jcpj0QD0Nd+ZuOyALY3a7aLKMv6pshUeoMgK70YwrMpPy/VJ9L+snefgdfArfA
 ==
X-ME-Sender: <xms:fI0jXSF1okC5T_OlePdUmcRvZhlmJ2xRJc5QtzkzGDk55r3Y6Rtfvg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgddufedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:fI0jXaHVlpUH8nAV2k0LjhcVT_biknumaZeM1HpBTdYxZyM13_bZBA>
 <xmx:fI0jXd57R_Zxr26SNJU9MoClFB4TYRMoFawWayBU46EEB84Ah4AQNg>
 <xmx:fI0jXXwGf1FVjizfKiahyNDOcyPhzfxVJTE8lmiYMPAEi6JnqgIgRw>
 <xmx:fI0jXdKcuHTulYYHUdxuZu-dVJ_v1j_IqcXpfFt_mbrT6eph56Sx_Q>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 931508005B;
 Mon,  8 Jul 2019 14:37:47 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-32-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-32-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:37:46 +0200
Message-ID: <877e8snzid.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move to ...
> [native-inputs]: ... here, in order to fix cross-compilation.
> * gnu/packages/commencement.scm (glibc-utf8-locales-final)[inputs]: Move to ...
> [native-inputs]: ... here, in order to fix cross-compilation.

Is the glibc locale data really architecture-independent?

Is it not sufficient to have only "gzip" native here?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jjXoACgkQoqBt8qM6
VPpc3Qf+K60UnTJotiQBYYKi4KZovy/lT7fGpVukmMvB6EZLZzuLlDZl7T/KSVrN
sHIxy/FX8ctQP5CX8r2A5+g1Zx3MLYlApu2tk+Kxq9PmZO/HpLHYg3Ulky9ZlNq+
ik7bWUW/vCHlhOk3wROJGZaD/rTMfsTVlqiav0aAIC2VpbzWtn8+/dLwnEbPSncq
mdrogh1TjkPZv1cJFvp5BHdeqweSQzWND7LWTVWbHJWMog6NLIP8sgGwT8UbUyJx
efrM2rFvYsaBzyUEcLNahXXHAMoVKlYER5kjYmSwNlxpn0nML5OxI1EYUrlkFd4l
WD3gQEEM+96a2WMzQxCIOs5m0vJsOA==
=m1AV
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 26/31] gnu: tcsh: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:22:02 +0000
Resent-Message-ID: <handler.36477.B36477.156261369011545 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261369011545
          (code B ref 36477); Mon, 08 Jul 2019 19:22:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:21:30 +0000
Received: from localhost ([127.0.0.1]:59555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZCc-000308-DV
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:21:30 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:56067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkZCb-0002zh-4C
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:21:29 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id DA3BF21C0F;
 Mon,  8 Jul 2019 14:25:49 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:25:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=I8MIekiUG387T0Z10x0+bBYaU3
 6OujUTgBMOXTiuKUs=; b=JncKvUgbS8E848k2rQucYHhZrW/h6CjEGuWHb4F+48
 JjwwWuW66k1v6clftJCPwC1Q27wtY2trP/8zg8wkeZkhkvjNJ5w4qZ6C1lC/1YJN
 78lJxic3eO3WyL6RaDOpKIqgVWWFiidCflpwIlBZy+To7+xNe9DR5Ktb2tUEW6A2
 JYHyfi080je//uNF+W6oPEOQZEfcvYIhtSRfGUhDSerJLEZwwBq2T3xwlCWELSme
 7d2AT5GMH+6hyc93jk4Cp9hpvVO/iddevIhtVgeGwCKcSmS17C/VvZvOdy5HF+S4
 BzZucHpSQgOQWBKxMahR130aZGPXQLZMPQBs2kby3TlQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=I8MIek
 iUG387T0Z10x0+bBYaU36OujUTgBMOXTiuKUs=; b=m9esdvXFp9SAmg5GINbrko
 HNjdXAPzQ8HM5lOLwgUj/M1eFgmXdb+p0YBBaGQutWlOY2SLq2lQO8jfKGJBd3C2
 2joOtT1oDNzp/D3TNNzvOkRynucsKGH4DC6eNUWwXv0YzgjlmGLzLjLUZf7tzV8L
 Mea7L+Y/Gf8IyjtwVSvObEQXIhdQ2gmIvHxtniA1LJtWFqCTzqh+9CcYtRSO3Maq
 RVVlVgxIB6sFa8aVMU4c2DRSMAd/PDmVFbD9YiXU1rrxXGTKZmPo47ZQ2O4uj7dX
 vcWukBYVUYf5QDnwWI+RNJ+dYCgmZCzysL0kDw4GddUKDBYieRz5TUYsIRMWUCtw
 ==
X-ME-Sender: <xms:rYojXc1q4F1oWsW82VZd97QHD67vEHL2LxOS5LI4uLLSrltz7xgTTA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:rYojXZaObk4G-RDxD-xE3oj-HtQwoyP85LeQNFYdwIqtvCIV01nS5g>
 <xmx:rYojXUhjbMRgCYmrC-k7PaqkNGKNVGLz2xiP-Kjy9I1qWKFfKP_OGw>
 <xmx:rYojXd8iIJTbrJ4iBqHy-hx337UzU8CFQkZU5jm7xqF22luLIG2PQQ>
 <xmx:rYojXeV50jxC_maoh8IfXJd3nLL2Wt5Di_NgIRGCuHkwoppMILf_eA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 4C42B380079;
 Mon,  8 Jul 2019 14:25:49 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-27-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-27-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:25:47 +0200
Message-ID: <87imsco02c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc" by "gcc" as
> native gethost compiler when cross-compiling.

LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jiqsACgkQoqBt8qM6
VPpfVAf/dOd9gHNvJe2RY77Y2Y6ddqaM3oA+MLRWORAHBdwiuKUpaDChOCmXbJvt
HuaHhC7/OcR7CWewAFeLCTR8pZJr9sseGA9Eq0V27lqmFHzFak6Jr1Zp9W3QfXY0
tZ/K4SDFleU6kRaLBXfvoBzDMvALMDWpUEZWntd3dHHK69M5FiT9Zb/eOh/pBEsn
5TpbVqIzA0vrhCpFoGO+hG0POlpVrr1DinsQIFt8BYPIglZcwPUtOr193ScrYiex
yjYmIENAjaOEpDLscmRCxHo4/OHRrc/L3TQ0PWSsxw3NBdHUoRyWlYhJH8hls4Mo
ksx78x1OL6JSYyz/H+T3+fDPd3nV5A==
=RjY9
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 25/31] gnu: libarchive: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:26:02 +0000
Resent-Message-ID: <handler.36477.B36477.156261391412523 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261391412523
          (code B ref 36477); Mon, 08 Jul 2019 19:26:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:25:14 +0000
Received: from localhost ([127.0.0.1]:59563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZGE-0003Fv-FT
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:25:14 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:49913)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkYKQ-0006t7-E5
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 14:25:30 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 0FEFA21B62;
 Mon,  8 Jul 2019 14:25:25 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:25:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=l7KgLoePbuSeTTaZOAooI9v/NL
 UwdnRFDkD0MB4n9I8=; b=f9uoxYMPDE//KMqFgaDmnnZjf95ws2u+CaUc3c5vKa
 kwJ5gbykrbFzorAJ5+jd7Ez0PWGF1h1ZlmFi+rTjbPQ9PSYf8CQuVLISvIu4FPGq
 hgZE0WztuIeeuK8Tr4ORbBJ7MSluQ41C3LkZJQ6Wb0Ncai70nc4IXLeU8TxBflEH
 HpeyDw3tlwr+7zB7tSiI5iCfK2HZMchj8kFClRkpEWDo65BZiLRsaw2oCMok8EyQ
 Rd5klNkBfAfFiLQvWQRU68nZe8rwG69eA0pI3wTz7l9PDjiUTygeZzUeMT+SRcuc
 SxhxuDrBs+ygatS1NkpUBuz+i7sE7Jq9NPdMlMtTYJMA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=l7KgLo
 ePbuSeTTaZOAooI9v/NLUwdnRFDkD0MB4n9I8=; b=UtcUPM436K1N5ngkgYVh7r
 inlvkbI4vZSR7sQd529Oeq4EepBnwF8aQBdpLTCZr6J7AZdLYlPTqbu4sheYbBPY
 htoEBjhXlESNwPGps9FgES1Zp2p4PNlKTIOWgV/VS0yGHckC8ZPeM/IBDKQ+bDhF
 TATP0KOhqpAm09fMOns6n5VyyjyiHw7G5Sh81VtpDc88ZkIBkouEnrmTUpU0yOWf
 09qlARJfKFNNVAB2bCltrP53c+DclpHq+tHNQCDhHzSB5VSbPyabrRzdHrfpwUrF
 Mm3U5aUWdu4JaJXqoPvBl8rKo9N1S0EMzQINBD5BjY/ClREEdvUzF2F6WDbh9+DQ
 ==
X-ME-Sender: <xms:lIojXedIrX55qn_WYrPxSmSJ60kUAvD-FyvRBDMfI9wZlW218Y5Ncw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:lIojXTN6Un-2aMLyTg-osXHR-Hu0k40rxNBFE06aB42URgyZEQW5tw>
 <xmx:lIojXeiNnEMXBeT4aSfzr_b1b1DhC8BY7FOH2h0yLV-Il7hBAjzxOQ>
 <xmx:lIojXdruGN5YGApVcsCAY6RCb5Piy7FA4UNDoQX_Q_biHMMLNgIBCw>
 <xmx:lYojXdu0VF-2Dy_R0xDM2Ryq7UgrpmbYS7e9eYNDIcuL2RIGIBPKgg>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 56D57380076;
 Mon,  8 Jul 2019 14:25:24 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-26-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-26-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:25:22 +0200
Message-ID: <87lfx8o031.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/backup.scm (libarchive)[arguments]: Do not build and run tests
> when cross-compiling.

[...]

> @@ -226,17 +227,25 @@ backups (called chunks) to allow easy burning to CD/DVD.")
>                 (("/bin/pwd") (which "pwd")))
>               #t))
>           (replace 'check
> -           (lambda _
> -             ;; XXX: The test_owner_parse, test_read_disk, and
> -             ;; test_write_disk_lookup tests expect user 'root' to exist, but
> -             ;; the chroot's /etc/passwd doesn't have it.  Turn off those tests.
> -             ;;
> -             ;; The tests allow one to disable tests matching a globbing pattern.
> -             (invoke "make" "libarchive_test" "bsdcpio_test" "bsdtar_test")
> -             ;; XXX: This glob disables too much.
> -             (invoke "./libarchive_test" "^test_*_disk*")
> -             (invoke "./bsdcpio_test" "^test_owner_parse")
> -             (invoke "./bsdtar_test")))
> +           ,@(if (%current-target-system)
> +                 '((lambda _
> +                     #t))

When I think about it, gnu-build-system already sets #:tests? #f when
cross-compiling.  So this and similar changes can be rewritten to simply
check the tests? variable:

(replace 'check
  (lambda* (#:key (tests? #t) #:allow-other-keys)
    (if tests?
       ...
       (format #t "test suite not run~%"))))

(obviously, you should check that this works instead of taking my word
for it.  But it looks cleaner this way.  LGTM anyway.)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jipMACgkQoqBt8qM6
VPpNjwf/cE/lMgzZBdidR8JcwEUetZikxQq9l3PAxEmuIMiTIcvKSPx/81E5hHWI
z8cIaSZSmlXZXSWHHZh4diIHYSpLmjfYdHJBJb+A/w3QgzL49GeIEkMoTJPFqale
MPYNCTeyXMS6iKAY7b8bjqJQfstUSFkGHcswtCWCf1BvbnEdNkChp1hILD7ErsAy
L2n2tTziGv+dqkWrb2EcpXzaEXyfpQ3Gse+51sjGmEaEx19VDjZYH6Dj4pUFhZe+
2Pu3ff6yQN+ce0cZ4KBrY63IvIPB7ZIW7tb5vbGYbfBwvmJ8WnbXP2NIYdwSNjpH
IqsLCc0+/ZH0ALR5fazBUxbE806mbQ==
=Iulc
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 29/31] gnu: alsa-utils: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:27:01 +0000
Resent-Message-ID: <handler.36477.B36477.156261399112696 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261399112696
          (code B ref 36477); Mon, 08 Jul 2019 19:27:01 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:26:31 +0000
Received: from localhost ([127.0.0.1]:59575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZHS-0003Ig-TV
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:31 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:46823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkZHR-0003IG-7g
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:29 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 631D521B10;
 Mon,  8 Jul 2019 14:30:37 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:30:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=ssirbSW2ZAmYFJhIXZ3iOAHjrv
 cb9o1TZ4bZF1oYLms=; b=QCcI+yqfOyw+Go9NRlAZX4SeHNhFen/mYLZvRd/rGl
 zHgxaxD3oCE3ryQIJyabNpJx0Z4h0N4w7kU+u9dGJs1tUs/ONju5brmlnLhbdXMw
 SQLA5zz9xvi18cN1C/Wiyjlrw0QfNwvATBwv94t2ofYIi7WKn47XmrA1mULvpjVH
 ocBQLGvDvb9aLHgQ/ZL2FfQiGhE+kfRZoWCxd+6P8tHxiqFKuodecXKkCP7z0teY
 RDaeo2WkNAKhDHs5vX743zsyV4i1YW8kngCFQdqDIflnRaoGJXAfzgUBP4pmI9ma
 Wp/7Zc/rMy24NLrZby4U7SySnc45nrRfbMKtVTGq475w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=ssirbS
 W2ZAmYFJhIXZ3iOAHjrvcb9o1TZ4bZF1oYLms=; b=Dt37TGO+jH6X4l+eJzEMbF
 Zqggi9rcPntppXL5mu2EF02uADyYH9fuqeUxcb5pHG2EE0/HTgzj/FpWaTLAE4ki
 uxePQ/LK49cEh3wInH0XA09MJ63aE5tTiLJlJ2KMxw+wnpycaXk2CCbrCPCRV7PM
 6Cuh/nrqAPT2BdOXEMNZrxlBvqCD20G7aQg/YOib4x51WG8MEcoZP/bQIU9qtRP2
 1ijotGvw4QRrjCoBsT3fp9c+AnfdIQGrHlF8jrZY+2HB/+P6RNd2siyjf6GfQQGw
 JkIunBoWNGW6r7YmRGs6dmz3QKLg4GEclcpx4MaKxHJxvxeHYvrU0yvZ48cYj+0Q
 ==
X-ME-Sender: <xms:zYsjXdMp7FUL7gRmcgcIil3jA9YPpSXO9PT9ndNRrt92U64pOiqzjw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:zYsjXZwlBXgrb7cush38PpY1fSVTb4DUkkR6S2s-nRw4e1aufAIx8Q>
 <xmx:zYsjXY2zLLrOHj8Vaju_g7nh1BfknXbLTRxp7hPLBW8W8p7EMShBzw>
 <xmx:zYsjXXGbnVKnwYT_wq97H3tpURne5c057NF4Z0X1VaMepvMEMp_cgg>
 <xmx:zYsjXa1QQwyWfOggKcxrSefyxPpfzjFIZ6MeX11b-ox7dH9toBjQ3w>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id A1D5A80069;
 Mon,  8 Jul 2019 14:30:36 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-30-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-30-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:30:35 +0200
Message-ID: <87a7donzuc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext from here ...
> [native-inputs]: ... to here, in order to fix cross-compilation.

LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0ji8sACgkQoqBt8qM6
VPpuMgf9HbFx4xJCv3XC1/06dDgU19IZBtrrrq9K19XlHrRLWGUl15KY/zMFNvzl
L8nSdIf0ZkenTfsDhhKNAL5RT/wg2Z8mvz9d31UEF3ROa9zPlrS87S/mXL6qMbnG
73UjTy8Wlu7qYcK9MwXS4e9IAmHaWpntedkrvEYIyrWJbjFrNE4coGyDknvbchQJ
E6vAMPC9DDnnfUGKWddTctpFT9eoqeAp4qWyIlC4A/saCdqqg1GtlQ0ocq1ElsSV
JUynUrHFj/eLN+/uuUOM+QMflsX5K4tH54clWYEapPzVti97gmVFak/4baieRh1d
E14GJI5k4vdeH1U5Fy/Hb9UPW2800g==
=I7qj
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 27/31] gnu: pkg-config: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:27:02 +0000
Resent-Message-ID: <handler.36477.B36477.156261399112703 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261399112703
          (code B ref 36477); Mon, 08 Jul 2019 19:27:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:26:31 +0000
Received: from localhost ([127.0.0.1]:59577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZHT-0003Ij-8G
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:31 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:38423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkZHR-0003IF-7d
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:29 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id C50F121C48;
 Mon,  8 Jul 2019 14:29:41 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:29:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=UmEk73ECBucVGW1uSJ5Vh9TD49
 4E8uDFnNOeEnZrRoY=; b=UoPDCd/x3QETtnvHhJv3jN6WNS6gPvt7fc8VNtGT2K
 VPuDUal/6d5rnHB56aDpC5kL1FXIqHlA/I9nGbM00Ut1KuQD88De/GJdeLDCs2AV
 kwtvZQaeDcusPJU5mQ/Cz3UKCJPfHCpRnevtgxrW3QyWngwNtJWO60OZPkYav/13
 jspH5GoQUr5J/yzyXg4sd5+xotbLMwSLkL97pindD0XSXh17TA2TugWFnztnX3Yb
 farjHgZq3zmHrBUN2xGxdjX82gXlVRuNlIt/MzVzPiUAE475QBF+MlMQ6D2jaBL4
 Y8mkMvGQDRLoguLBqPBWlGqav5778Q9x/qF5ku8LX+4g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=UmEk73
 ECBucVGW1uSJ5Vh9TD494E8uDFnNOeEnZrRoY=; b=Eh8br9NGJqshvQSGm2eBFY
 M8bUEeC2uch8uYnwL/7xrAXztD0wg0sO1MZCZcYJ86zgOwV/dnMQHvUHHgYFxqDB
 IYJHqvSb6Vo7cffIgA4WDfo0bJ0aNtqywwrFqNWwA1VjeLPmK9s/jmRC6vvfgUHi
 py00k2gjEybkd5zjtdSV6IgDkgDhKGE8I2ytFB3dmWgvGStLrSh0YlSS0odPymPb
 62DBldJNFhn7IZ46AnRzWqomsTKATtbnvAYa73owJfnBHxn138r/uRJBFXN4p9Av
 n+wf11aI89VI4koUdGdaSF0I8QWTbl/NmIBadf3lO0Cnn53MF6vBLsTJsoj7mJPg
 ==
X-ME-Sender: <xms:lYsjXYrzpZlBfHou-LCeSOUdb032QpkWiDMXhkSlH0RD9VNLxDNh7A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtreejnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:lYsjXXpzJQuWTzP82XNbvsGh83dNf_nQRkkpd26kqdrI9jdYTFWKOA>
 <xmx:lYsjXW7aBlyJ4HfSTWOT1S5e7FisvxIgF7aTr9Tnt1kEKaMDbg1EJg>
 <xmx:lYsjXW0k3jzsDlUwykJLoDKCozMnDnTZf_QxN3d-DNLT4RP-OGtPaA>
 <xmx:lYsjXenErQkWMuuVi8dk2nEG2hnthph1vgnyZP-MtWRsmz7zYRXOsw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id DD721380074;
 Mon,  8 Jul 2019 14:29:40 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-28-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-28-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:29:39 +0200
Message-ID: <87d0iknzvw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add configure-fla=
gs
> to disable tests that fail when cross-compiling.
> ---
>  gnu/packages/pkg-config.scm | 11 ++++++++++-
>  1 file changed, 10 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/pkg-config.scm b/gnu/packages/pkg-config.scm
> index 6fc19a975d..0425854a75 100644
> --- a/gnu/packages/pkg-config.scm
> +++ b/gnu/packages/pkg-config.scm
> @@ -1,5 +1,6 @@
>  ;;; GNU Guix --- Functional package management for GNU
>  ;;; Copyright =C2=A9 2012, 2013, 2014, 2016 Ludovic Court=C3=A8s <ludo@g=
nu.org>
> +;;; Copyright =C2=A9 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -48,7 +49,15 @@
>               (base32
>                "14fmwzki1rlz8bs2p810lk6jqdxsk966d8drgsjmi54cd00rrikg"))))
>     (build-system gnu-build-system)
> -   (arguments `(#:configure-flags '("--with-internal-glib")))
> +   (arguments
> +    `(#:configure-flags
> +      '("--with-internal-glib"
> +        ,@(if (%current-target-system)
> +              '("glib_cv_stack_grows=3Dno"
> +                "glib_cv_uscore=3Dno"
> +                "ac_cv_func_posix_getpwuid_r=3Dyes"
> +                "ac_cv_func_posix_getgrgid_r=3Dyes")
> +              '()))))

Are these indicative of a problem in our cross stack, or a bug in the
pkg-config build system/code?

LGTM anyway.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0ji5MACgkQoqBt8qM6
VPpibgf+NMR5RVPlJfqxRt2gxq6CR9N5NlxQdVBI9u9chpQGPYr2Va55KQfafsKM
K+6lG1VR3pgSJyR84nEGSq6PPtQW9MDrNx/LVH3eRzPde3YhFyCxARsOspYdgf/M
E/MztFkXLFYhuJx2AxT38FcOszBUu1lJiWvxykqFwCf7cQ3uAhiE/0fi8iQbFQ22
TEZk2otpseP+ItW7f80K4sDmVpAGsR3Bb2wbL0sI/zLJEIajskVaUrYCCPkhZRDG
xEDYSyzrnOQg2+7Y2eYEV/L+Oti6+u8wtLMqd7xwPwXiin280CfCTew8bfMoRgqH
RkekPAVOKgGpPWYtcpjCEvKg3jscNw==
=G7e9
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 26/31] gnu: tcsh: Fix cross-compilation.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Jul 2019 19:27:02 +0000
Resent-Message-ID: <handler.36477.B36477.156261399212709 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156261399212709
          (code B ref 36477); Mon, 08 Jul 2019 19:27:02 +0000
Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 19:26:32 +0000
Received: from localhost ([127.0.0.1]:59579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkZHT-0003Iq-Ik
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:31 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:35295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hkZHR-0003IH-7h
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 15:26:30 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id BBD4E21AC2;
 Mon,  8 Jul 2019 14:26:45 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 08 Jul 2019 14:26:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=hCHRe2NxLqgQ3TkNP1VThjqcFw
 /6k4qWtxNZiS6vFq0=; b=MJ9gcYypoVoCL9a6lY261TC8i0ObNoLFsZ+Mf/mKgW
 jnnuc/Mi80e0DQTQaevoDFXABSZLStEP/q2AowCAxq0B0mIfvJDuM18lcelQPdGu
 Al/Jfz5E9w8nw+HMciA/Zh2M2ASqpENjFfNKFSBRkTNI2qnCQN3rFaGRZ9wfLz26
 me+ss5YY2TXVcC7DMhDyveqDeltT16bQLn4v3UUr0J86gDBLRe9HdD8m6WwcOZhn
 N8fpc59KTJawuKhSg2lP2SMoUbJ1HCa3o8vwdybSgLX1GEyXjC1eFWZ3zlqYfopU
 PklRDHcNgcDQdjorxCVe22HzzWBdtoVaxl08hzbJ136A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=hCHRe2
 NxLqgQ3TkNP1VThjqcFw/6k4qWtxNZiS6vFq0=; b=S44fhERfiqo4/l5lwOqhj9
 ys5xC3kk5Pu/SAOoRSUyOyasiRYxsJOlivDtb72s8M7qJL++DJYkowmQg7bARDVK
 cBzWniOJGeWkAQwK5rbCtBmGLXzdj3/hL7VfSD76QRnk3A1VubgJF9hi7ulM+krp
 oDKGO4nXraJgEOqQHEUgyxCNfN7TEGqu1AJSsI30WlAVoYu52MxyEIkrjjvyF47A
 X7nnWZSRBjRDo0mGJ7NU9rDczZk4wKRCjus2e1Y7xyWIfZ5V0Zhf9aGmOMI4cEEu
 h3iyjy2gQqwgaq3RrbR9xtLMf0kTk1Cs6z4jjSecbQ3KlNfTXQC5GtM2HPuRJenA
 ==
X-ME-Sender: <xms:5YojXS-gVOMPX7D9HypnK6rjUd5jW-SkMeRuCYvyb9i6A0j1-ke2iw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrgedtgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtreejnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:5YojXS1OTq6TIfYjdv_JZLIp-ZFNFexP5MrDLIWMlKnanq_cmxzNGA>
 <xmx:5YojXV0V5qN_q98vBk6gXVGB13LZEen7l_IJvXMyvQEVT8VNSCiSUQ>
 <xmx:5YojXevl2WsQKbkNidcZ5lEdoIlMUr_T36Y7-j0LSsor4zNwqHNTxg>
 <xmx:5YojXUiMtQ60tcQlH3EgsuU53AEBwJW9XN_POvAjsu8uK1hGG8s_iw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 4331E380086;
 Mon,  8 Jul 2019 14:26:45 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <20190708095913.3460-27-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-27-m.othacehe@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 08 Jul 2019 20:26:43 +0200
Message-ID: <87ftngo00s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe <m.othacehe@HIDDEN> writes:

> * gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc" by "gcc" as
> native gethost compiler when cross-compiling.
> ---
>  gnu/packages/shells.scm | 9 +++++++++
>  1 file changed, 9 insertions(+)
>
> diff --git a/gnu/packages/shells.scm b/gnu/packages/shells.scm
> index f8c0fdf71f..6eed89396e 100644
> --- a/gnu/packages/shells.scm
> +++ b/gnu/packages/shells.scm
> @@ -11,6 +11,7 @@
>  ;;; Copyright =C2=A9 2017 Arun Isaac <arunisaac@HIDDEN>
>  ;;; Copyright =C2=A9 2019 Meiyo Peng <meiyo.peng@HIDDEN>
>  ;;; Copyright =C2=A9 2019 Timothy Sample <samplet@HIDDEN>
> +;;; Copyright =C2=A9 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -356,6 +357,14 @@ written by Paul Haahr and Byron Rakitzis.")
>      (arguments
>       `(#:phases
>          (modify-phases %standard-phases
> +          ,@(if (%current-target-system)
> +                '((add-before 'configure 'set-cross-cc
> +                     (lambda _
> +                       (substitute* "configure"
> +                         (("CC_FOR_GETHOST=3D\"cc\"")
> +                          "CC_FOR_GETHOST=3D\"gcc\""))
> +                       #t)))
> +                '())

Actually, can we pass this in #:configure-flags instead?  Maybe even
also for the native build?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl0jiuMACgkQoqBt8qM6
VPri2Af/YdWKCbPuMZrLLmEL1Q4dQ9Ef+19u4KnS1Sp1iVleUqVcJeukQ3GMMCfp
z3YHkXZ969LzUcufbf9fWMj56QRRjhz4BoGR+9Am1w8uomqKasqNrsIV4P5cvBzZ
wQCxfzY+jWk3bdpRE+RfgZtuGE3CHGA1RAGSL0V4CBl9FtZQJsUPe6qrCJHjVWtu
+0Poly+Taw5dikOiuaGm9e5Ihk56hkrSG36gkgEjtU2HdzpwOpaAunvaDpRbH5if
JwIM6zbA9gRhBF3Fqeee0b8iMv4EKPg3tKVRVgCxkfS9jGSHfThS6LMf2pXHxZYh
FIUOVmed7T3nsM37GNxNAOGxbykIig==
=VFeG
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 15/31] gnu: libpaper: Fix aarch64 cross-compilation.
Resent-From: Efraim Flashner <efraim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 09 Jul 2019 06:15:02 +0000
Resent-Message-ID: <handler.36477.B36477.1562652872961 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.1562652872961
          (code B ref 36477); Tue, 09 Jul 2019 06:15:02 +0000
Received: (at 36477) by debbugs.gnu.org; 9 Jul 2019 06:14:32 +0000
Received: from localhost ([127.0.0.1]:60202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkjOa-0000FR-Ka
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 02:14:32 -0400
Received: from flashner.co.il ([178.62.234.194]:57054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1hkjOY-0000FB-Gw
 for 36477 <at> debbugs.gnu.org; Tue, 09 Jul 2019 02:14:31 -0400
Received: from localhost (unknown [94.230.83.247])
 by flashner.co.il (Postfix) with ESMTPSA id CC5C740077;
 Tue,  9 Jul 2019 06:14:22 +0000 (UTC)
Date: Tue, 9 Jul 2019 09:14:21 +0300
From: Efraim Flashner <efraim@HIDDEN>
Message-ID: <20190709061421.GL1085@macbook41>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-16-m.othacehe@HIDDEN>
 <87y318o1kt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="CgTrtGVSVGoxAIFj"
Content-Disposition: inline
In-Reply-To: <87y318o1kt.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--CgTrtGVSVGoxAIFj
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jul 08, 2019 at 07:53:06PM +0200, Marius Bakke wrote:
> Mathieu Othacehe <m.othacehe@HIDDEN> writes:
>=20
> > The packaged config.sub and config.guess do not have aarch64 support. R=
eplace
> > them by the ones from automake.
> >
> > * gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated =
config.sub and
> > config.guess, taken from ...
> > [native-inputs]: ... here, by adding automake.
>=20
> Native ghostscript is fine on AArch64, right?  I would prefer to hold
> this patch for now, unless it's also needed for native builds.
>=20
> (maybe libpaper gets fixed upstream meanwhile...)

My aarch64 machine is still down right now. I don't recall having any
issues with ghostscript compiled natively on aarch64 in the past.


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--CgTrtGVSVGoxAIFj
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl0kMLkACgkQQarn3Mo9
g1E7BhAAgG7JyL4mftVDZBgfB1zN6QimaGi2vJtw0jikayZtxH8FidQPJACrgxnK
jENjh7ZjW1Pw87FxtAldHQEz5FbrNcz31FzVkslCwLci7qlocOJIKwtfR+UFfPXI
jE5kj7mJ+fERyYfqeC/8ODGzn22cUegpJiqtWuDaUf2Zf0tB7PS1SsEaYMDeV194
LSAFXrAeeO92W6wu1ULn2TugH4PFdwviivTmrqzQwXTqxmfDcYA+ChcGi6StLSp3
DUrIEi+oIv8Nvk+QshK9nMM+pvTRQYNg5gLujcfzb1t4g3qT6naUdbbUYGQTF893
TaVquxHPCX/whYBqf8GuNZfn/0zBiq6YTEC1iiO6r/2E8vbzDP+v3RJlWztWdc4/
jWw5XZ5Md5OutnDB6sLXh3a5QOplolgzP0gl6cj/FXW3LqFgBRWtG/MBrXnblmFJ
JYwBXtr0tF5hqtodvmv4j5Egb0EXwAe5q0bAIu6yhkpMr8Yb5giHRu3v+c/uEQET
msIFDBts+GFaLET1nSBNxusWg5h0pkf/QiEnqt9N2TIhi+DxgUP5wWHTXQvsbxWF
voDjryh3ULhPL03ok86MQslZosBm/riLRxA6EOpTJNKBM2kq0K9Q84W87FtbohIK
XRJYs9YZaIYKyC8Vhf8sjJOrwHHEvCe4CLIYlDL9QbcwYOY3JqY=
=IJcn
-----END PGP SIGNATURE-----

--CgTrtGVSVGoxAIFj--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 02/31] gnu: python: Fix cross compilation.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Jul 2019 20:21:01 +0000
Resent-Message-ID: <handler.36477.B36477.15632220354197 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.15632220354197
          (code B ref 36477); Mon, 15 Jul 2019 20:21:01 +0000
Received: (at 36477) by debbugs.gnu.org; 15 Jul 2019 20:20:35 +0000
Received: from localhost ([127.0.0.1]:49216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn7Sd-00015c-Ap
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:20:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hn7SZ-00015M-Er
 for 36477 <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:20:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56238)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hn7SU-0007ld-Ap; Mon, 15 Jul 2019 16:20:26 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53314 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hn7ST-0002ts-E5; Mon, 15 Jul 2019 16:20:25 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-3-m.othacehe@HIDDEN>
Date: Mon, 15 Jul 2019 22:20:23 +0200
In-Reply-To: <20190708095913.3460-3-m.othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Mon, 8 Jul 2019 11:58:44 +0200")
Message-ID: <87h87nhwxk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> * gnu/packages/python.scm (python-2.7)[arguments]: Add a configure flag to
> disable a check failing when cross-compiling. This is covered here:
> https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html,
> [native-inputs]: Add self and which when cross-compiling,
> (python-3.7)[arguments]: Refer to native python when cross-compiling.

LGTM!

If you notice that it doesn=E2=80=99t entail a rebuild of Python 2 or 3, yo=
u can
apply it to =E2=80=98master=E2=80=99.  Otherwise let=E2=80=99s discuss it (=
=E2=80=98core-updates=E2=80=99 is now
frozen.)

Thanks,
Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 07/31] gnu: libgpg-error: Fix cross compilation.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Jul 2019 20:25:01 +0000
Resent-Message-ID: <handler.36477.B36477.15632222884620 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.15632222884620
          (code B ref 36477); Mon, 15 Jul 2019 20:25:01 +0000
Received: (at 36477) by debbugs.gnu.org; 15 Jul 2019 20:24:48 +0000
Received: from localhost ([127.0.0.1]:49220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn7Wi-0001CS-11
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:24:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hn7Wf-0001CD-UR
 for 36477 <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:24:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56282)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hn7Wa-0001UU-QS; Mon, 15 Jul 2019 16:24:40 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53316 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hn7Wa-00037x-BA; Mon, 15 Jul 2019 16:24:40 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-8-m.othacehe@HIDDEN>
Date: Mon, 15 Jul 2019 22:24:38 +0200
In-Reply-To: <20190708095913.3460-8-m.othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Mon, 8 Jul 2019 11:58:49 +0200")
Message-ID: <877e8jhwqh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> * gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a lock-obj header=
 to
> the target platform when cross-compiling,
> [native-inputs]: add gettext that is needed when cross-compiling.

[...]

> +    (arguments
> +     (if (%current-target-system)
> +         `(#:modules ((ice-9 match)
> +                      (guix build gnu-build-system)
> +                      (guix build utils))
> +           #:phases
> +           (modify-phases %standard-phases
> +             (add-after 'unpack 'cross-symlinks
> +               (lambda* (#:key inputs #:allow-other-keys)
> +                 (let* ((target ,(%current-target-system))
> +                        (tuple
> +                         (match (string-take target (string-index target=
 #\-))
> +                           ("armhf" "arm-unknown-linux-gnueabi")
> +                           (x
> +                            (string-append x "-unknown-linux-gnu")))))

Two things:

  1. s/tuple/triplet/

  2. The target triplet is actually passed as a keyword argument to
     phases.  So if I=E2=80=99m not mistaken, you can write:

      (lambda* (#:key target =E2=80=A6)
        =E2=80=A6)

     and get rid of the =E2=80=98match=E2=80=99 form above.

> +                   (symlink
> +                    (string-append "lock-obj-pub." tuple ".h")
> +                    "src/syscfg/lock-obj-pub.linux-gnu.h"))

If possible, a short comment or a link to some upstream discussion that
explains this would be helpful.

Could you send an updated patch?

Thank you,
Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 08/31] gnu: python: Fix cross-compilation.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Jul 2019 20:30:01 +0000
Resent-Message-ID: <handler.36477.B36477.15632225535054 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.15632225535054
          (code B ref 36477); Mon, 15 Jul 2019 20:30:01 +0000
Received: (at 36477) by debbugs.gnu.org; 15 Jul 2019 20:29:13 +0000
Received: from localhost ([127.0.0.1]:49224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn7ax-0001JN-L5
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:29:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hn7av-0001J8-0H
 for 36477 <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:29:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56343)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hn7ap-0004rW-Qs; Mon, 15 Jul 2019 16:29:03 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53318 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hn7ao-00023O-ES; Mon, 15 Jul 2019 16:29:03 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-9-m.othacehe@HIDDEN>
Date: Mon, 15 Jul 2019 22:29:00 +0200
In-Reply-To: <20190708095913.3460-9-m.othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Mon, 8 Jul 2019 11:58:50 +0200")
Message-ID: <87wogjghyr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is the second patch in this series with this subject, which
suggests the subject could be adjusted.  :-)

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> * gnu/packages/patches/python-2.7-search-paths.patch: Add cross-compilati=
on
> support.
> * gnu/packages/patches/python-3-search-paths.patch: Ditto.
> * gnu/packages/patches/python-cross-compile.patch: New patch.
> * gnu/local.mk (dist_patch_DATA): Add above new patch.
> * gnu/packages/python.scm (python-2.7)[patches]: Add new patch above,
> [arguments]: Set _PYTHON_HOST_PLATFORM env variable when cross compiling.

[...]

> +++ b/gnu/packages/patches/python-cross-compile.patch
> @@ -0,0 +1,145 @@
> +Patch taken from https://bugs.python.org/issue22724 and augmented with
> +following Nix patch
> +https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/interprete=
rs/python/cpython/2.7/cross-compile.patch
> +to fix the whole cross-compilation circus.
> +
> +---
> + Makefile.pre.in | 14 +++++++-------
> + configure       |  5 ++++-
> + setup.py        |  9 ++++++---
> + 3 files changed, 17 insertions(+), 11 deletions(-)

Heh, a non trivial patch!

> --- a/gnu/packages/python.scm
> +++ b/gnu/packages/python.scm
> @@ -109,7 +109,8 @@
>                                 "python-2-deterministic-build-info.patch"
>                                 "python-2.7-site-prefixes.patch"
>                                 "python-2.7-source-date-epoch.patch"
> -                               "python-2.7-adjust-tests.patch"))
> +                               "python-2.7-adjust-tests.patch"
> +                               "python-cross-compile.patch"))

Note that this triggers a full rebuild, so we=E2=80=99ll probably have to w=
ait
for the next =E2=80=98core-updates=E2=80=99 branch, which we=E2=80=99ll hop=
efully open soonish.

>             'configure 'patch-lib-shells
>             (lambda _
> +             ,@(if (%current-target-system)
> +                   '((setenv "_PYTHON_HOST_PLATFORM" ""))
> +                   '())

It would be great if you could add a comment saying what component
consumes this environment variable.

Otherwise LGTM.

Thanks!

Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 00/31] Fix cross-compilation issues
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:11:01 +0000
Resent-Message-ID: <handler.36477.B36477.156406023714235 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406023714235
          (code B ref 36477); Thu, 25 Jul 2019 13:11:01 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 13:10:37 +0000
Received: from localhost ([127.0.0.1]:38566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdW0-0003hX-PB
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:10:36 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:40121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqdVz-0003hI-Nq
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:10:36 -0400
Received: by mail-wr1-f65.google.com with SMTP id r1so50725596wrl.7
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 06:10:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=3mgV/dHIaOWM43nEmR575qzhKHk3zM9SwhiHx1CurdQ=;
 b=nhN+QelF7yY9aodOR5Sd1y+WeD4D9Kivq6dhhyPjggtIJyOWwJ03F5Ns67LXSgMUS8
 En1RgZS0pJ3jJQrqF65cm+oWKfTvNdP9MBI0C5VRoqKnk1jG+F4oCC9wU2L0dzxRcQwf
 /gJ4iCZdPvwNMsF/2ouOdvukpLaCt2FFdX5tav+NV6DRfPrMXqOrcdIHdsNP30VKxRnm
 KNGUeMR5ZzCVIITpH5VtfWDwhj/bbos6YEffalEkg85sUB7j0RvIbrv+y+ZKIusiMvwD
 xMEGDykNVhJxWslWpn11b9/e6qvpUae+Q4eH8rBRBAbM8c0lAYwD15rwCHq61e7zOGZ1
 YICQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=3mgV/dHIaOWM43nEmR575qzhKHk3zM9SwhiHx1CurdQ=;
 b=T/JmRUi0VKd5IXbPFCKW6BVFtYHjAWCRUM+E/GU5ba6LCZcHPb66OqL9wQJ3VPbUV0
 3RkRRIFFPUcutx/+iytUgdxqII2nvwmvDsQPkNKxy96KJ3XGCtmlMY2kRdtULxHo9tOz
 hpBgbfNiSTRRyb+H/lmLbPWeBBWflWopYtx7y6kLCAe3iUj7qbU46oXe+0g+DuIIGMZJ
 k284LD8I8qcddWqn9RbqKjCp2NYwj6EEn3LhMGa2SESFbdiOT6Bd0yDPtA0C7ybHosJ0
 1vJOCM+ELv7OH2nTfT5bixzXBQP622e27Vxwfv5xr+eNf0mqyvJDtUw8Scs2wzYQexmc
 UfpA==
X-Gm-Message-State: APjAAAVs60uoyMcz9+Ebez517G0gBQKw4eFGxwRxV6ldi9Dy6X46X33H
 jx3HLEOT60g8e8DG2aqzQQUITk4b
X-Google-Smtp-Source: APXvYqxapOZniL9H39mzpOLYiZhjktqz1hv0b8vsalp0HjlCeScJeMfFxcUQjxkCcfLwFHtTWtUqLw==
X-Received: by 2002:a5d:6a05:: with SMTP id m5mr20810152wru.305.1564060229622; 
 Thu, 25 Jul 2019 06:10:29 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id x20sm37496992wmc.1.2019.07.25.06.10.27
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 06:10:27 -0700 (PDT)
References: <87zhlwmpmy.fsf@HIDDEN>
 <20190708095913.3460-1-m.othacehe@HIDDEN> <87r270pgwf.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87r270pgwf.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 15:10:26 +0200
Message-ID: <87v9vqi7jx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hey,

> This is very impressive work, thank you!

Thank you for reviewing this whole serie :).

>
> I'm not comfortable pulling in all of this on 'core-updates' right now.
> There are already a huge pile of changes that have not really
> "stabilized" yet.  So my preference is to wait until the next round
> (probably around October/November).

Ok I rebased the branch on core-updates (and discovered you fixed
some issues I had with cross gcc-7 !). Now we can wait for the next
window to merge those changes in core-updates-next.

I'll send an updated version of the serie taking your remarks into
account.

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 06/31] gnu: xorg: Fix cross-compilation of multiple packages.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:13:01 +0000
Resent-Message-ID: <handler.36477.B36477.156406034814428 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406034814428
          (code B ref 36477); Thu, 25 Jul 2019 13:13:01 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 13:12:28 +0000
Received: from localhost ([127.0.0.1]:38574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdXk-0003kZ-Gd
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:12:28 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:52792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqdXh-0003kL-GX
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:12:23 -0400
Received: by mail-wm1-f68.google.com with SMTP id s3so44949663wms.2
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 06:12:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:message-id:in-reply-to
 :date:mime-version;
 bh=RgTPJF2DaqdAQf/Lw3hAIpSqXfbbI1VX6R0qrgmSGTs=;
 b=tzW76yOi4sU1x5e0nXCzBvVal08G62DNbUn143y5Gjo42s5meCqzmZZ8IhaFw4mh6z
 KeVTQFnxKK4j5EdLlXektHu1Auti2nO4lXjvIxut4UC/VzquCodDJXm647NWl7QD0buC
 g8BVApkvUMuQBG7+KKXbjyGitJI+gCK7mAt1Ov7VG/uKYyTs1jss+IA5Cod++rcN3tMf
 +rWtVzlCxIDPP4zZPJ2MQ2BuWwy7u4hsziR+D9mn6tHBZcXFUbyk2KEFo3L2QCp/Uv8d
 qf4wA+/F38BFXEgedklPHar4Zdke/EH4w46blqbHUq99CjKAxAVXNIqZwjdGkBpppFJw
 CfHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :message-id:in-reply-to:date:mime-version;
 bh=RgTPJF2DaqdAQf/Lw3hAIpSqXfbbI1VX6R0qrgmSGTs=;
 b=J7w9r2C9vgxeVcVIiXxHTplwMci9hVmXMcTlnA92df7kTGB7z8xT7KOyBjp1h1XHbU
 cBc0FcR+bFAD+dJe2UedPOVMbJCnwkJ4jsoa9Bn3yJVF1En/l8n6Wcj3zwHp6/Nc4xBN
 gPN03QVW7KTsA7XyFgdtKKT/OuZbzzB7yitrhJu+dmn1FU2SgWqq2qP5YyAl3Khu0pL4
 M5HjkV7ZDjCGWtAqJEPRU84GagIUIEvrX8a1R76azMzoAfachEVUKVZ6l54DsK24HYPu
 IkKlD7jZHprjcn3oUsCH0qMFndYrJIFQAzTH0QAI4cigccRdBWgE9g4DXe0O/q9TjWaq
 fJ1w==
X-Gm-Message-State: APjAAAXiksLF0x3kOBHKQcS3w/hPkv/biMc0EdALaJaGrC7SnRn63muG
 5Hkm5LrDkHY+Kh17UqLAHG1bYdjy
X-Google-Smtp-Source: APXvYqxbXiVnxKS5PULfsdrm1E3JAJIkXnnk+xU5cyuO37AD5XmIqtH+83eBiySiEH1pU6gqUohm9g==
X-Received: by 2002:a1c:4041:: with SMTP id n62mr19726374wma.100.1564060334881; 
 Thu, 25 Jul 2019 06:12:14 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id c1sm106697283wrh.1.2019.07.25.06.12.13
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 06:12:14 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-7-m.othacehe@HIDDEN> <87d0ikpgkx.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Message-ID: <87tvbai7h3.fsf@HIDDEN>
In-reply-to: <87d0ikpgkx.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 15:12:13 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Have you checked that this is still a problem with the newer versions of
> these on core-updates?

Yes sadly, there's the same problem with the newer versions of Xorg
packages.

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 09/31] gnu: http-parser: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:26:01 +0000
Resent-Message-ID: <handler.36477.B36477.156406114215720 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406114215720
          (code B ref 36477); Thu, 25 Jul 2019 13:26:01 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 13:25:42 +0000
Received: from localhost ([127.0.0.1]:38586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdkc-00045U-40
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:25:42 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:54583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqdka-00045H-Gg
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:25:40 -0400
Received: by mail-wm1-f65.google.com with SMTP id p74so44968500wme.4
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 06:25:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=zzmHKHlYaGfr/8GuJNOtgLZdjT0lLw1gKXHW9zfX2aU=;
 b=reWj5+MaW2Eu0+EdOqWlweGOBAn84XFUb4FMwYHcoa4Ndut5wG5/4RaxD39XCKgD4d
 PJgcSla/CrHbAnLW3EoGG/7pXjdmRBcR3QR6u/ZYzOgFsriKOc2L9dun6yixlmh4mXMo
 MTWZML/AxtAKrGSfOc9gZwKJX4z4COiT2y/0aj6okjJ8mW81BHWb47dRpI/XD/cNrJv3
 JoCUveRuudDC5S8gg68fV31pLv7w5D4v1MQTV5BqDpxWlEHJ4P/lZbWOmXNBf9Frbuhs
 scZSD27HKxLVfwHNCbZ+vuP8D8/I93A6+YWJU2MNUkP2EuECJfFACMjhQSzVl/0KVNJG
 uISA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=zzmHKHlYaGfr/8GuJNOtgLZdjT0lLw1gKXHW9zfX2aU=;
 b=Ih0nawc6vffXpY+4X7mrQv83Wq5Onm2LknOf8CKA46vAKk8KW9mdyAv5O/ZshCq5mw
 ht7OiCoraWOl86nKBKjRTWbH8UJYtttUBeHrQSQ9h7aPAkhPSARBrWwYi1/jxQ6Fg5p8
 HY1iAJSi4ehPq9pKYmeKlgqLS/2gSBxLF7RA7GahABVQTcgRjwmBg8a1cvseXZw7NIco
 te64kOJBgz1yGrJCaHiHkluZMKQIPtddIoy/b4AFkMmNDmz0abByBAFtw1oVThLjGR1/
 9Nn/NqGkmjsumLYmkIi3XYBOMUwncBdD6mQLKIlQq43DJTzNDAZI6v18SCWuJAZ0oBRc
 ZZ5g==
X-Gm-Message-State: APjAAAUAkuUDw4W5a54T6DSsGe2YQKoinenCSRXS4RkRXVBeGwgwxQLZ
 zLJBo8JyMEEiTBaaNFjXG4mmEJmr
X-Google-Smtp-Source: APXvYqyfemMsGiVeHxR2vZEmK9DkktTrIyGPe6ZkOfA+Rf/Aeu7gGr8Q8NKeaOgWt4XdsVXuZ7xx3Q==
X-Received: by 2002:a1c:a019:: with SMTP id j25mr79309210wme.95.1564061134083; 
 Thu, 25 Jul 2019 06:25:34 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id r11sm62683072wre.14.2019.07.25.06.25.33
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 06:25:33 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-10-m.othacehe@HIDDEN> <87a7dopggh.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87a7dopggh.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 15:25:32 +0200
Message-ID: <87o91ii6ur.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> I would prefer to splice in this phase instead of adding a noop phase to
> the native build.  LGTM otherwise.

Ok.

>
> (so I guess CC=gcc was not needed for native builds?)

In fact it was needed for native build, I reverted this chunk.

Mathieu





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 12/31] gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:34:01 +0000
Resent-Message-ID: <handler.36477.B36477.156406162616487 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406162616487
          (code B ref 36477); Thu, 25 Jul 2019 13:34:01 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 13:33:46 +0000
Received: from localhost ([127.0.0.1]:38596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdsQ-0004Hr-FS
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:33:46 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:33508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqdsM-0004Hb-Px
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:33:44 -0400
Received: by mail-wr1-f68.google.com with SMTP id n9so50912751wru.0
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 06:33:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=P4oeJkntX41jrojy9sSGXIf5wEfjKUysH8xoo5n4J3s=;
 b=ZL0LMrHaVx9ZNEnY+LoPlTb3rZHdq9QWvA3wIjS+ohMe/kzKpJrzVuQIB4UmzaT2BE
 7dQZhbMUPnRY9UUmbUP/p+NpeZXlUkPg6wikuhJcM66z8W3kzWKF3hlftZxNPfrEA4f+
 zoAmUfJdLqmpGpToQb+aMZgj6wcNtwJj1DJn8bWVp5Y2Y0pg69WJMp46Ieq0M7ZIAOil
 KMe1v/DljSsVJmsANT52AQI6W4kBlrP++kNSWMXLOxDk52nb5EwxGUDp0ROkMFTgrJWe
 dOXmgT8r3egZcciR6G8wUmnLhbO/zsN7uxjny06EKnsrU1R64dpDBg1ZL7n62rWUA+eI
 3Meg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=P4oeJkntX41jrojy9sSGXIf5wEfjKUysH8xoo5n4J3s=;
 b=I+mjwocpnsEbm53rx5DyGroQOm3yk3lwal0NkzOt2xL7DoEmPAvM+Pll8LkGbZx3Nq
 5MsvQSUocSapqkszEIH1KqyJNAFN4N7Vw8HG9OlXcXQPLnA5rV818yFsJvo+Y9tNQ7LN
 3EZXSm0IAAoGn53TX1qHcIJmQQkElGfHn8kwgG4t1x68KlBkwb17MTIbfBgyhmmZZsH8
 NhOaDlJYn1MDMtm2coug+mYL0ZqnuUi97giTQzv4evcXdpSB/LnxfgklUcTlKqP2GtaI
 V3hCgk9Q37SKahFqn4sPMSaEDT1sviO5W6vsPrcKPyfOfJ1YNwbXrfbuMfytby80wfF3
 UAeA==
X-Gm-Message-State: APjAAAWpcc2CKky5Rq5c4FhkqfKQjOyUsArLmawlXa6PVH2IfEReEH2h
 YfVdoXYZyU2OCj3epHKiC72e46H5
X-Google-Smtp-Source: APXvYqylhnuJpTbMg3KHj7f+kiwJPdjzvV5+ZnwAusP3BydvPxZ3SIExgVP3fq3XGAwKVRFc1KVRTQ==
X-Received: by 2002:adf:f042:: with SMTP id t2mr94277851wro.139.1564061616538; 
 Thu, 25 Jul 2019 06:33:36 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id y18sm48080667wmi.23.2019.07.25.06.33.35
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 06:33:35 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-13-m.othacehe@HIDDEN> <877e8spgdt.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <877e8spgdt.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 15:33:35 +0200
Message-ID: <87muh2i6hc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Does this still do the right thing in a native context?

My understanding is that in native context CMAKE_PREFIX_PATH will still
have the same value and it will be augmented with inputs in a
cross-build context.

Mathieu





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 21/31] gnu: mit-krb5: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:50:02 +0000
Resent-Message-ID: <handler.36477.B36477.156406254517943 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406254517943
          (code B ref 36477); Thu, 25 Jul 2019 13:50:02 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 13:49:05 +0000
Received: from localhost ([127.0.0.1]:38622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqe7F-0004fK-9z
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:49:05 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:40832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqe7D-0004ek-Um
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:49:04 -0400
Received: by mail-wm1-f66.google.com with SMTP id v19so44847256wmj.5
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 06:49:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=9aHM6gBln26i0gPb7PMod+bDI/VGBFotb0QmbjIXEVQ=;
 b=nGIMBSkZEVRsdyKMK2ZEmUSRWYSd2MxWBqzUabYR64MlPlBEUZ4qvgose9KDpqz9yd
 5EtDEu07jBvltWjd++AtM7HN3zgnmeqG6H+ScaOztL87A/lHBZQUM2LjhSjmVjorZB4D
 aYWrGohsoCDsHQHQd5PO7vhzNsse4Sx5T2Dmzhi5kf4GgOuylYMoaqo4cF6Yz6buxcNa
 J7PLZeZKwn8JCLrSDJrmx0M4H2rHV5OBSDVO3hbiy9S22QFhK7FkU6YYILX05LBydOMI
 kqw6y/HXpyXvbe+CZWjA7HjwQG5Durg1FmdkMrXIAux4Qg5OqA1EjJWlQBCesN8ksnim
 jODA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=9aHM6gBln26i0gPb7PMod+bDI/VGBFotb0QmbjIXEVQ=;
 b=eP+jPcgqtHaglz0hBwydcDhjZxevonkLcBkvMDuv1Jcq9eSVnr242sJ+zzi/V8BkDT
 DwnIqXyCPL/MRmKdTx0rMQhNjgdzEAeS2AupXeCgIFa1Vrm8ZCbj8c9ML/HJFV/8HysI
 qlFto4wx+2s9zREOHHCcErtF0WqQoVMlSgd01BmqoTusTQJAfe22e/XN51/7mqgg3KhA
 thUBFEwG7gbuxpoz7E5PJNslRAT64l36P+PQpTzkqOdgoNGgyydnL3w5Mhbtyw3FlurJ
 8T7o19AiSRH4zG0cfSS0SRo8ZP13ukKsPHMsvfBOG5Nte/AC+fJxMfAqrmQfwXnbUcUt
 iGWA==
X-Gm-Message-State: APjAAAUTdXVe7WSSZfeXpLq4zrXeb4vi4WLE/Zd7xMP8vyTwvNbY7rXf
 Pnad3nYe7xTV0W0DPVbqeLc617pf
X-Google-Smtp-Source: APXvYqzeo9B5En1TKpLgCFIB+fi8qXZZRyciMs+YJbBte+xDDV0ML/d2v/fU/egxxnMPVl3gSzAlXQ==
X-Received: by 2002:a1c:7e14:: with SMTP id z20mr77990925wmc.83.1564062537801; 
 Thu, 25 Jul 2019 06:48:57 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id t63sm43011899wmt.6.2019.07.25.06.48.56
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 06:48:57 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-22-m.othacehe@HIDDEN> <87tvbwo0mp.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87tvbwo0mp.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 15:48:56 +0200
Message-ID: <87lfwmi5rr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Have you checked whether these (strange!) configure flags are needed
> with the newer version on 'core-updates'?

Yup still needed!

> I have a slight preference for not passing #:make-flags etc at all in
> the normal context.  E.g.
>
> ,@(if (%current-target-system)
>       `(#:configure-flags ...)
>       '())
>
> ...but no strong opinion.

Ok I'll patch it.

Mathieu





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 23/31] gnu: help2man: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 14:29:02 +0000
Resent-Message-ID: <handler.36477.B36477.156406491022952 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406491022952
          (code B ref 36477); Thu, 25 Jul 2019 14:29:02 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 14:28:30 +0000
Received: from localhost ([127.0.0.1]:40238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqejO-0005y8-II
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 10:28:30 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:40125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqejM-0005xv-Fj
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 10:28:29 -0400
Received: by mail-wr1-f68.google.com with SMTP id r1so51017943wrl.7
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 07:28:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=4f+shDmkaVxWKQ/w3uYJYE3AzPwzgL+WMXH3uBcUkQA=;
 b=oEUpozK0uh411D9E9UoJdqH/IgjagEF1UNnbyOZoz8GC9YBKZSjTzMVK2iCK0llFuZ
 wgSzz3H/yb5cuxPuB2Kt2cWJcXU0Kfk7upJr5QDjmk3SUrctOGSPKNNSH4Clqkl/rkBa
 8wBhfIdQwXmBtbRK86kErthffPE8vMq58GrMLhpJLmOVqfYBhVR1dtXpd+LjGg7a+bhj
 i/bP6SUTuK4hv8eOv/qCWWMpVlEE6+yJUMjWGNKIjVdcNpTrmTendkUKk4f5+E6RuicI
 FnrSwV2+46Yjw9IPjWjceiclrHE2mVjUu6ceZJZdsMNcxuklnF54qckYezXgIRFqon49
 usOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=4f+shDmkaVxWKQ/w3uYJYE3AzPwzgL+WMXH3uBcUkQA=;
 b=t89bqBd7mWebVP4mvMQ5DS+ci03ydsvW9FxbLuhs8TNTV3HN1EvoI+ULUkCEazqEeW
 yEHx4tkYlBOF2lzQvnusfbfBkUFcw/IfJfMwojYQ0XJwYXc+XANLV9imy1K+gkdp0aNp
 AkfO8MYF20JcWLG116m25KomJhsjiGs/4yg7+PFiu9/Sy423VrRMFIU3DONYALYcEFYb
 tH2eCQGqn0dnDnNBExbM/fpN3YgJNeS/7bS+5rbTizN6BU/HPC9+yW0T08j9T7sCoRXa
 Hlfbqz0+3QfzK8Ph/emtkS/ng8oblTgCrqQ8cAs1mvb86BjB83D9Xy6LIv+NgaiHvUuC
 Gy6Q==
X-Gm-Message-State: APjAAAW6R2RqA3AkUWzQtHLqLhrLqZ6b1MAt8XplGNpiHqL07GN0N6KA
 eqpyXuKqWmjE/cvDN+JDw2fLp/mr
X-Google-Smtp-Source: APXvYqzO6Iaje9CERclD2zt44fUKlAeFsetTC19r+WdaOsAEWsVMxg3my+kkuctyYvRcW7dHqRi1wA==
X-Received: by 2002:a5d:5388:: with SMTP id d8mr94734573wrv.299.1564064902402; 
 Thu, 25 Jul 2019 07:28:22 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id r123sm45972747wme.7.2019.07.25.07.28.18
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 07:28:19 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-24-m.othacehe@HIDDEN> <87r270o0k6.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87r270o0k6.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 16:28:17 +0200
Message-ID: <87k1c6i3y6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> help2man references perl at runtime, should it not be in both inputs and
> native-inputs?

help2man being a perl script I guess you are right.

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 26/31] gnu: tcsh: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 15:24:02 +0000
Resent-Message-ID: <handler.36477.B36477.156406821828266 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406821828266
          (code B ref 36477); Thu, 25 Jul 2019 15:24:02 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 15:23:38 +0000
Received: from localhost ([127.0.0.1]:40257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqfaj-0007Lq-Vz
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 11:23:38 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:32920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqfai-0007Ld-G7
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 11:23:37 -0400
Received: by mail-wr1-f66.google.com with SMTP id n9so51324980wru.0
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 08:23:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=gYPHzrnmPyMWuh0n6SRSMIbJRZNqqouZIvTHkZlgfP0=;
 b=TMjN6qqvUmU9w1nMt9oKQ9AvfutRotnL1Im/Cwm0MUMizNTb0S1nbCjHrxp2v9xRAn
 EFp0cLWKWAoO1FSFGzabetG51yU8nYGXNcmvPvuqPUQg53K+ms8or0TQQeJnspVPkPxR
 Se4HvKHPEovqA0bSARMsjNQIllEj5L6LJ5Nm+qdosyr1ciaFxenz7wpvzLAUo/n6PRAq
 ClPVV64jNk7EHMyF8v9aq1fpEAuLvYC4Ki6Xf6ZuQQiTNkNbR47DIGMvKkyaDWU5ss8w
 g7C3jEC50i5U7SmiBS3SfHRBfEDPiR0X78+8yGZKKqHk7vEOoZq1xSpOcuOAss0ZIg1X
 pqZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=gYPHzrnmPyMWuh0n6SRSMIbJRZNqqouZIvTHkZlgfP0=;
 b=l0X5oPCqd4ZEbcRz1OnmJrBZRJYjdG0T4V9EEe+HGeRL/CsjwBVTtPrNxFF7MOP7gH
 W9iN8QSmDKsPHbMeH1LdEeuNAJdwuiYY2Avjyp/x6/7g16AWh7AuSmkaTjQYfI8eQED7
 wEByfeAtTN1MiM1Y1LDo815ZkamIhSY4Nlz2VvjPuetz7luer/C/VeW+uSYLD4v1C1nQ
 YfwOLqXLSerJt5TCmPuXBDtIz0TCgwNmMUtK32qVsiGbmdoMQyZh4Es3XHxSGCCe93lb
 yWwCTM5mOnqvi9W6T1iVJv5iT4DVyyl/IXKvoIvyNWa8SVgl+TXutvAHccHSxjQxjFOp
 pHLw==
X-Gm-Message-State: APjAAAW/HIdVv6F2nqGAhkv+vxdRGyAJz2ExF5meiHeC5mmWzONDyNYM
 lxGI7q6X05+dcBFlKqLPOzKYZeBp
X-Google-Smtp-Source: APXvYqxvRwytrQJ2rpvP/0g60IFs/UX6nt+vYhEJqaps5O6ZTW0t0WzrFZbAJATySoKWWhMOLWxSCw==
X-Received: by 2002:a5d:65c5:: with SMTP id e5mr47580518wrw.266.1564068210404; 
 Thu, 25 Jul 2019 08:23:30 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id f2sm43688519wrq.48.2019.07.25.08.23.27
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 08:23:29 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-27-m.othacehe@HIDDEN> <87ftngo00s.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87ftngo00s.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 17:23:27 +0200
Message-ID: <87imrqi1e8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> @@ -356,6 +357,14 @@ written by Paul Haahr and Byron Rakitzis.")
>>      (arguments
>>       `(#:phases
>>          (modify-phases %standard-phases
>> +          ,@(if (%current-target-system)
>> +                '((add-before 'configure 'set-cross-cc
>> +                     (lambda _
>> +                       (substitute* "configure"
>> +                         (("CC_FOR_GETHOST=\"cc\"")
>> +                          "CC_FOR_GETHOST=\"gcc\""))
>> +                       #t)))
>> +                '())
>
> Actually, can we pass this in #:configure-flags instead?  Maybe even
> also for the native build?

Sadly I think we cannot. The problematic piece is:

--8<---------------cut here---------------start------------->8---
dnl Require build CC to create gethost helper when cross building
if test "x${cross_compiling}" = xyes ; then
  CC_FOR_GETHOST="cc"
else
  CC_FOR_GETHOST="\$(CC)"
fi
AC_SUBST(CC_FOR_GETHOST)
--8<---------------cut here---------------end--------------->8---

CC_FOR_GETHOST cannot be overwritten by a configure-flag.

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 27/31] gnu: pkg-config: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 15:28:01 +0000
Resent-Message-ID: <handler.36477.B36477.156406848128655 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156406848128655
          (code B ref 36477); Thu, 25 Jul 2019 15:28:01 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 15:28:01 +0000
Received: from localhost ([127.0.0.1]:40261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqfey-0007S7-KG
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 11:28:00 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:51311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hqfex-0007Rs-IX
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 11:27:59 -0400
Received: by mail-wm1-f65.google.com with SMTP id 207so45397388wma.1
 for <36477 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 08:27:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=SBLQHNUz94c7uV04sHPQvkyWQar+MH64M9e4SXbcyxI=;
 b=cyuzxkKeKgfQrPWBvv+HHWAIt79xjJe1VBrFctLfbxySopoZB4OxOI0bynExrJzFsP
 r+KSoURtRiDu9DiaYft/SduJQYh1qd89f9SRmIwqgIRb79YLl5nnGmuF2LwT28KJNVqh
 1wOC6DTXkzBDBwM7VOGBPVJ3XG9iKsZ42EA1OZeuI7WFgs4tUfx+8+A/ft5qNIAynLC5
 CbYbKV9aVhZ6FskkpBajC6+UmVzL4A8l1v3ggIlc91AFgvR/4qbt8ZgBE/1Uh5OPnjuT
 UZ4dytRy+fE+gzb21xHUZWhy/w4lD6mJNlOWifzQ7pqkXuJSe1g/AWxSx0xlxwdSEDKK
 hiHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=SBLQHNUz94c7uV04sHPQvkyWQar+MH64M9e4SXbcyxI=;
 b=OK5iA7hPVrc4CQJqzrfLH9iikBoT+1bkNNcxlKLGpxMZvG4l/mpzLK9hnW6ddE/0KA
 N2qbCqRdn7M/t92m27LD0R4XOjtJ/K5ZrmJghAdNzACa1fdi+McrTlJnei0mVAYqu/un
 ov9UalZMH6LrUbQPfCpjj+s77M3TYqGhMYN/dc7Crb58pOFWQ/ntVDwajzdFlLl3g5h9
 KabUGTeXIRoj0JwmflmouQMsl8A71IkOS6VoX03B7+l1aASYn0eOJ+H2lAv9JAMOesW6
 D8cRqZdrBJ0lkwj1s8zYxXQ+xYW7u2XsUQktGQkQIpXE9qeoUH2wWHiMDnJ2z9yK8+xW
 YRSA==
X-Gm-Message-State: APjAAAX9rvADnqExSf0XPWxGmpBauu0uxOWL4Ae5fU9K/am6L5tB0OTH
 Vu7jGPBinYnruS8AfeVzCF7Nfbtu
X-Google-Smtp-Source: APXvYqwg4dezYnsCnZOi7bop2agqZFDDVmnDF9nZk7g2dT9RvWP/bCifqV62aWfBKkauw9NzIkm6jA==
X-Received: by 2002:a1c:200a:: with SMTP id g10mr75107790wmg.160.1564068473574; 
 Thu, 25 Jul 2019 08:27:53 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i6sm43694019wrv.47.2019.07.25.08.27.51
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 25 Jul 2019 08:27:51 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-28-m.othacehe@HIDDEN> <87d0iknzvw.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <87d0iknzvw.fsf@HIDDEN>
Date: Thu, 25 Jul 2019 17:27:50 +0200
Message-ID: <87h87ai16x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Are these indicative of a problem in our cross stack, or a bug in the
> pkg-config build system/code?
>
> LGTM anyway.

No those bits seems to be needed because of a problem in pkg-config
itself. See this nixpkg pkg-config package snippet:

--8<---------------cut here---------------start------------->8---
  configureFlags = [ "--with-internal-glib" ]
    ++ optional (stdenv.isSunOS) [ "--with-libiconv=gnu" "--with-system-library-path" "--with-system-include-path" "CFLAGS=-DENABLE_NLS" ]
       # Can't run these tests while cross-compiling
    ++ optional (stdenv.hostPlatform != stdenv.buildPlatform)
       [ "glib_cv_stack_grows=no"
         "glib_cv_uscore=no"
         "ac_cv_func_posix_getpwuid_r=yes"
         "ac_cv_func_posix_getgrgid_r=yes"
       ];
--8<---------------cut here---------------end--------------->8---

Mathieu






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 27/31] gnu: pkg-config: Fix cross-compilation.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 25 Jul 2019 19:05:02 +0000
Resent-Message-ID: <handler.36477.B36477.15640814742617 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: m.othacehe@HIDDEN
Cc: Marius Bakke <mbakke@HIDDEN>, 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.15640814742617
          (code B ref 36477); Thu, 25 Jul 2019 19:05:02 +0000
Received: (at 36477) by debbugs.gnu.org; 25 Jul 2019 19:04:34 +0000
Received: from localhost ([127.0.0.1]:40445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqj2X-0000g9-Ig
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 15:04:33 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hqj2V-0000g0-BX
 for 36477 <at> debbugs.gnu.org; Thu, 25 Jul 2019 15:04:32 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1564081469; cv=none; d=zoho.com; s=zohoarc; 
 b=A6DV1siqXrWb5pAj5TUimYx1e+5PgJqvwkYHdglJTg1FBOM7denJbco01Hu2aIcBEA7v4SWf/NAxtfQMQOXCUm+C9b2T0gB8ZkvlarJxePbYhw8hJTmao0edHE+kaff9U8OU4eQ18oYeo8ASWFXBgKUq1HxwkzyLcHNdWZTfCPI=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1564081469;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=BO/OWStY9HGxFIbGhi3W5Qugtu7Vzl7bCFSCTcF5KjI=; 
 b=E/ktPKsTcnfHqpNgodqo4ljkuQJ2svDajnRj7zGgJs7y/7R0fMCnOTVd8/bITANztXhfWcJKrl0VBaIKPh583HDDr22HQ184fYGbSYAtn6RMeqfD+8x3MrP2+613+LMZsZN1E9Ya2gNe+R/+dl7lqW5Ga7vlqE6TEEn5gHW91fQ=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1564081469; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1032; bh=BO/OWStY9HGxFIbGhi3W5Qugtu7Vzl7bCFSCTcF5KjI=;
 b=bBxgfX0AvJbeF6mp968YiL6eue7ut41lpoq0o5pQ9agZAJmHj6bWkMUotyntAjei
 DnT5fusSfSYCRLhxBrceTyHX3N08O+RPdp34QQz5MBRkMGFZBxRTTVnqfY2rgIcXcHd
 flt2bgFjX48t1SCbAr8gTVMo2xHwGzZ4+xjc9E9s=
Received: from localhost (p54AD4577.dip0.t-ipconnect.de [84.173.69.119]) by
 mx.zohomail.com with SMTPS id 1564081468414557.8926427225898;
 Thu, 25 Jul 2019 12:04:28 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-28-m.othacehe@HIDDEN> <87d0iknzvw.fsf@HIDDEN>
 <87h87ai16x.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <87h87ai16x.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 25 Jul 2019 21:04:24 +0200
Message-ID: <87tvba7x6v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Mathieu Othacehe <m.othacehe@HIDDEN> writes:

>> Are these indicative of a problem in our cross stack, or a bug in the
>> pkg-config build system/code?
>>
>> LGTM anyway.
>
> No those bits seems to be needed because of a problem in pkg-config
> itself. See this nixpkg pkg-config package snippet:
>
> --8<---------------cut here---------------start------------->8---
>   configureFlags =3D [ "--with-internal-glib" ]
>     ++ optional (stdenv.isSunOS) [ "--with-libiconv=3Dgnu" "--with-system=
-library-path" "--with-system-include-path" "CFLAGS=3D-DENABLE_NLS" ]
>        # Can't run these tests while cross-compiling
>     ++ optional (stdenv.hostPlatform !=3D stdenv.buildPlatform)
>        [ "glib_cv_stack_grows=3Dno"
>          "glib_cv_uscore=3Dno"
>          "ac_cv_func_posix_getpwuid_r=3Dyes"
>          "ac_cv_func_posix_getgrgid_r=3Dyes"
>        ];
> --8<---------------cut here---------------end--------------->8---

In this case it would be good to add a comment so that our future selves
won=E2=80=99t be confused.

Thanks!

--=20
Ricardo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH 31/31] gnu: glibc-utf8-locales: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 29 Jul 2019 14:55:01 +0000
Resent-Message-ID: <handler.36477.B36477.156441206517228 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156441206517228
          (code B ref 36477); Mon, 29 Jul 2019 14:55:01 +0000
Received: (at 36477) by debbugs.gnu.org; 29 Jul 2019 14:54:25 +0000
Received: from localhost ([127.0.0.1]:48939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hs72e-0004To-Lc
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:54:24 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:38076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hs72c-0004Tb-Sc
 for 36477 <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:54:23 -0400
Received: by mail-wr1-f68.google.com with SMTP id g17so62195149wrr.5
 for <36477 <at> debbugs.gnu.org>; Mon, 29 Jul 2019 07:54:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=FtkNYnrrIu5LCvZ4MpOkYOKXIxII21fzHFIp9GMpKjQ=;
 b=DQmDPIxWEbAllpSGIKTg1mN5egxo5xPxnocGPQdEKwjcZHUvQvqwEwrOlkRopfwK8O
 9C68LTZKH9jT4YeoOUXwTZTRsU1ixjsgivRrBBxrYrXad2WkfhmfaRZIYrfzHyyjzTlN
 /MrkZYe04F0WE9/9Xi/2sVwN5JqhJTP4WENhxbnalS+1p1blajiZsAWNDlCVbsWM/r/z
 huAVIbBV0oCnEq4iaEs2AxZf3wqdvqwylxN8RwpcxZYhX+rFZ9YezJVf5trM6xO55ZkF
 V8PjVc5zzDPA8QAw5z2sHck2NZZ+Bl1K6sZv4C9bUn3+AsE70E8BqkOM82PYC7TuD5/K
 MBVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=FtkNYnrrIu5LCvZ4MpOkYOKXIxII21fzHFIp9GMpKjQ=;
 b=jEtsJ0Jb4Ah+8xUDIfksXHwBkwrUQyP6mv5/FmqE02SavvByv1usHTgpIItt9ChfcE
 unf27e1GHwPAqmVKULpM0gB79iGjQH84u4qHj7fq+9rYj7dxp/Zx547dq9ocX1HWdIqD
 MGQ72Dfj2q5Kj2AKKjDtnAGhe4cRFuKu+aHlyWVUitqfrm15P6Y7FVuduLr1MM5HyfFh
 xZOrkHncEvPSwki7caPSvAQ4GBpjuY4tJw/BECE58xo8j9Ht4ZZJT311krZ+znG7LRTx
 0X8gJ9NvJ4hrV6PHBSSOZHm5/XubMGUC1c6ITXhgy5AiD/72cbbO5tYYh0j+gvaQZzhZ
 mf6w==
X-Gm-Message-State: APjAAAVFgH0caoLvyMH+aFPdi3qRJ5N60ne9xiXmSkNPcc3lD07uB5K3
 JAEy37CsWNXL/ZoifzfGA4/DOij+
X-Google-Smtp-Source: APXvYqz/fn7qK4Q6mV0wWJ9XUt7RUR7Zjxq3a8M1zz+E4+kuj737Mw5JeAcmC/gn0qErt5PQes1zsw==
X-Received: by 2002:adf:ea45:: with SMTP id j5mr45926459wrn.11.1564412056670; 
 Mon, 29 Jul 2019 07:54:16 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id z5sm43441364wmf.48.2019.07.29.07.54.14
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 29 Jul 2019 07:54:15 -0700 (PDT)
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
 <20190708095913.3460-32-m.othacehe@HIDDEN> <877e8snzid.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
In-reply-to: <877e8snzid.fsf@HIDDEN>
Date: Mon, 29 Jul 2019 16:54:13 +0200
Message-ID: <877e80j3hm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Marius,

> Is the glibc locale data really architecture-independent?

I compared locale data built natively for intel and arm and they are
identical. However all those platforms have the same endianess. I don't
know what would happend on a big endian platform.

>
> Is it not sufficient to have only "gzip" native here?

No because we need to use the localedef binary from the native glibc.

Ideally, we would need to pass some kind of --target to this binary but
it doesn't seem to be supported :(.

Mathieu





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 00/61] Add --target support to guix system
References: <87zhlwmpmy.fsf@HIDDEN>
In-Reply-To: <87zhlwmpmy.fsf@HIDDEN>
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:48:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637724323829 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Marius Bakke <mbakke@HIDDEN>, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637724323829
          (code B ref 36477); Wed, 21 Aug 2019 08:48:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:47:23 +0000
Received: from localhost ([127.0.0.1]:34534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MH5-0006CH-Eu
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:47:23 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:39493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MH1-0006C2-Pw
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:47:20 -0400
Received: by mail-wr1-f53.google.com with SMTP id t16so1212370wra.6
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:47:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:cc:subject:date:message-id:mime-version;
 bh=AMKXgvRyn/BzOV93E9vHB+8M3nlnZG6cPQKDNlOdGqU=;
 b=U9Ir01BHstKJt7OuneqmEcTJmiDUV8fLKNsTKoKWwO5CQCW1n7qkKxOjagXINsw0BC
 dB5SVsZY5SDq76gBLT0HwndjuL9B23zx2m7u63T83ApqWh0FcZACn+gBCBXksudZbdFs
 uc826IVDFFy5HiyWekf3rrWoeurHCVXz7Nr4arcTQY28dcnFbqNtPB3FrbBlP1f6zRdJ
 XlP6MKaqVyxuSBsRDt5E7MGZkJ1mrsOBLug9dlXWwAasysQPNhR7mCipYtQSGZE+J2ot
 1duWo+QVZCWU3DT5wmyeePOLarcpoLx+Pln/Ovqr6XRutg/BwVnH+LdXsD+mTBf0FR/H
 2ceQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:cc:subject:date:message-id
 :mime-version;
 bh=AMKXgvRyn/BzOV93E9vHB+8M3nlnZG6cPQKDNlOdGqU=;
 b=SX9KSi3qilBeEGC8hMJ5tH/IuII/VgRaCOozHtCCOha0+IGCH2SOjWlI/TJhmBWW8E
 AW1LEBO35zJTWC7plEaFmU4yYpgLgawBecoejbbauaYTjIw7qO2LKf7fvq8qxfhr44oY
 pmxBcjkHDVHiTXHDLi6J6A39h8twwfo6hUG9so/FDQpdOe5xNzLi8XSNsLtawzmu/ERJ
 OKs0b0yRXicnADOz50WNGv0pJteewnDEzsXTrEUlJQneOjsy0vHgaKd1myRLUz7Bq0BO
 JlASaoC2jbpcp24aoHh7BpdhXapb1ArhB/IhVkwTwN/Z7uUOulyb5ZHqWSqqHsGmpp/n
 FbTQ==
X-Gm-Message-State: APjAAAX17bIZq5inilWpft6vZR30hQK+Og1XY9Xw0ZSGnt5OXEUC3/Tw
 eY8/Bi2p2Oc9ZjIJxvbrgUA=
X-Google-Smtp-Source: APXvYqz5wKea3o8aWdTe5be0R650w3Yb2V2IDU6cFo+zUelEGZ9reaABzNmNkRSC7uo84qJBrAnD7Q==
X-Received: by 2002:adf:ea01:: with SMTP id q1mr40841445wrm.271.1566377232997; 
 Wed, 21 Aug 2019 01:47:12 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id z1sm28049149wrp.51.2019.08.21.01.47.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:47:11 -0700 (PDT)
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:47:11 +0200
Message-ID: <87wof6x5v4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi,

Here's a serie to add target support to guix system command. Most of the
patches were reviewed in v1 by Marius and Ludo, but this serie adds some more
patches to complete target support.

Using the dummy system in attachment, I'm able to generate a cross-built guix
system with this command:

--8<---------------cut here---------------start------------->8---
 ./pre-inst-env guix system disk-image gnu/system/examples/mini.scm --target=aarch64-linux-gnu
--8<---------------cut here---------------end--------------->8---

Some of the patches in this serie are from a friend Pierre-Moana who
helped me much here.

Next step is to find an aarch64 board and boot it with a cross-built
guix system!

I pushed those patches to wip-cross-system branch of savannah.

Thanks,

Mathieu


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=mini.scm
Content-Transfer-Encoding: base64
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=
--=-=-=
Content-Type: text/plain



Mathieu Othacehe (52):
  gnu: perl: Fix cross-compilation.
  gnu: python: Fix cross compilation.
  gnu: tcl: Fix cross-compilation.
  gnu: tk: Fix cross-compilation.
  gnu: libxslt: Fix cross-compilation.
  gnu: xorg: Fix cross-compilation of multiple packages.
  gnu: libgpg-error: Fix cross compilation.
  gnu: python: Further cross-compilation fixes.
  gnu: http-parser: Fix cross-compilation.
  gnu: openssl: Fix cross-compilation.
  gnu: texinfo: Fix cross-compilation.
  gnu: cmake: Fix cross-compilation.
  gnu: libgit2: Fix cross compilation.
  gnu: ath9k-htc-firmware: Fix cross compilation.
  gnu: libpaper: Fix aarch64 cross-compilation.
  gnu: groff: Fix cross compilation.
  gnu: bc: Fix cross-compilation.
  gnu: indent: Fix aarch64 cross-compilation.
  gnu: libsamplerate: Fix aarch64 cross-compilation.
  gnu: mit-krb5: Fix cross-compilation.
  gnu: cyrus-sasl: Fix cross-compilation.
  gnu: help2man: Fix cross-compilation.
  gnu: xmlto: Fix cross-compilation.
  gnu: libarchive: Fix cross-compilation.
  gnu: tcsh: Fix cross-compilation.
  gnu: pkg-config: Fix cross-compilation.
  gnu: mkfontdir: Fix aarch64 cross-compilation.
  gnu: alsa-utils: Fix cross-compilation.
  gnu: icu4c: Fix cross-compilation.
  gnu: glibc-utf8-locales: Fix cross-compilation.
  gnu: boost: Fix cross-compilation.
  gnu: eudev: Fix cross-compilation.
  gnu: lvm2: Fix cross-compilation.
  gnu: openldap: Fix cross-compilation.
  gnu: swig: Fix cross-compilation.
  gnu: git: Fix cross-compilation.
  gnu: make-linux-libre: Fix cross-compilation.
  gnu: procps: Fix cross-compilation.
  gnu: doxygen: Fix cross-compilation.
  gnu: guile-sqlite3: Fix cross-compilation.
  gnu: guile-gcrypt: Fix cross-compilation.
  gnu: console-setup: Fix cross-compilation.
  gnu: mdadm: Fix cross-compilation.
  gnu: grub: Fix cross-compilation.
  linux-initrd: Use native gzip.
  gnu: linux-libre: Enable built-in ext4 support.
  gexp: Use cross extensions when cross-compiling.
  gexp: Pass target to compiled-modules in lower-gexp.
  utils: Use target-arm64? and target-arm? helpers.
  system: vm: Add arm64 support.
  system: vm: Support cross-compilation.
  scripts: system: Add --target option.

Pierre-Moana Levesque (9):
  gnu: texinfo-5: Fix cross-compilation.
  gnu: nghttp2: Fix cross-compilation.
  gnu: libtool: Fix cross-compilation.
  gnu: texinfo-4: Fix cross compilation
  gnu: libnl: Fix cross-compilation.
  gnu: crda: Fix cross-compilation
  gnu: guile-xcb: Fix cross-compilation.
  gnu: guile-wm: Fix cross-compilation.
  gnu: cmake: Fix cross-compilation.

 gnu/build/vm.scm                              |  22 +-
 gnu/local.mk                                  |   6 +
 gnu/packages/algebra.scm                      |  15 +-
 gnu/packages/autotools.scm                    |  10 +-
 .../aux-files/linux-libre/5.2-arm64.conf      |   2 +-
 gnu/packages/backup.scm                       |  47 +-
 gnu/packages/base.scm                         |   4 +-
 gnu/packages/boost.scm                        |  28 +-
 gnu/packages/bootloaders.scm                  |   6 +-
 gnu/packages/cmake.scm                        |  14 +-
 gnu/packages/code.scm                         |  18 +-
 gnu/packages/commencement.scm                 |  11 +-
 gnu/packages/cyrus-sasl.scm                   |  17 +-
 gnu/packages/documentation.scm                |  12 +-
 gnu/packages/firmware.scm                     |   5 +-
 gnu/packages/ghostscript.scm                  |  19 +
 gnu/packages/gnupg.scm                        |  47 +-
 gnu/packages/groff.scm                        |  40 +-
 gnu/packages/guile-wm.scm                     |   8 +-
 gnu/packages/guile.scm                        |   7 +-
 gnu/packages/icu4c.scm                        |  35 +-
 gnu/packages/kerberos.scm                     |  21 +-
 gnu/packages/linux.scm                        | 127 ++++--
 gnu/packages/man.scm                          |   2 +
 gnu/packages/openldap.scm                     |  30 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 +++++++
 gnu/packages/patches/boost-dumpversion.patch  |  24 +
 .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 +
 .../guile-gcrypt-fix-cross-compilation.patch  | 431 ++++++++++++++++++
 .../guile-sqlite3-fix-cross-compilation.patch |  55 +++
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 ++++++
 gnu/packages/perl.scm                         |   7 +-
 gnu/packages/pkg-config.scm                   |  13 +-
 gnu/packages/pulseaudio.scm                   |  22 +-
 gnu/packages/python.scm                       |  54 ++-
 gnu/packages/shells.scm                       |   9 +
 gnu/packages/swig.scm                         |   1 +
 gnu/packages/tcl.scm                          |  28 +-
 gnu/packages/texinfo.scm                      |  63 ++-
 gnu/packages/tls.scm                          |  62 ++-
 gnu/packages/version-control.scm              |  40 +-
 gnu/packages/web.scm                          |  25 +-
 gnu/packages/xml.scm                          |   4 +
 gnu/packages/xorg.scm                         |  60 ++-
 gnu/system.scm                                |  15 +-
 gnu/system/linux-initrd.scm                   |   2 +-
 gnu/system/vm.scm                             |  42 +-
 guix/build-system/cmake.scm                   |   9 +-
 guix/gexp.scm                                 |   5 +-
 guix/scripts/system.scm                       |  15 +-
 guix/utils.scm                                |   8 +
 53 files changed, 1687 insertions(+), 209 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/boost-dumpversion.patch
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
 create mode 100644 gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

-- 
2.17.1

--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 01/61] gnu: perl: Fix cross-compilation.
References: <87zhlwmpmy.fsf@HIDDEN>
In-Reply-To: <87zhlwmpmy.fsf@HIDDEN>
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637770924512 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637770924512
          (code B ref 36477); Wed, 21 Aug 2019 08:56:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:09 +0000
Received: from localhost ([127.0.0.1]:34540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOa-0006NC-FH
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:08 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:43103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOY-0006MQ-LY
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:07 -0400
Received: by mail-wr1-f45.google.com with SMTP id y8so1217864wrn.10
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=w0gWYQ/QVdcYY1jpEJkjDaqeBI/Fgiu7zNjhFXu0jBY=;
 b=SCtpNlPc8TR3A8nk1N3sWoc+7BPg7fVeQUMFnny0tqWb9NvNCD1gUZazN8bGmb6HT1
 GTP9twPKvG5e33e3wySkcdr3RjNfWzNkl91PsoYaGI6u01mc7IUJi+ms5CE0ztbaROSb
 BoQgrGIU9JtwsAH4mroJDKVBryC7bHH5PrXxYBFgoFjzXuvug08XWQJS+ZqTky1CqOC3
 NR2583jpJLM9LaFaf71KcRziqLoWvrYnSCHEtaz0GkRPdeiMRlHs4u1qPVxeL4TfGUpw
 kgB9LgudqpAQKAWu8wo3+wBVvBxhqzdE4dGKHfYrT2owQbAbtQvAfCRlJhjz+lCawpzY
 LJbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=w0gWYQ/QVdcYY1jpEJkjDaqeBI/Fgiu7zNjhFXu0jBY=;
 b=uOnVFewNmQWARCpG4gssH7cSgcNOBkeBjQbJHhxjcA58wyorO8Y48D2Pt5uVtLd6Bx
 X9bzhC1KDTrlUtLFlvxGbnQPgN1MOiP7nJGWhr6pv4GsbIYztqgQ4yWmaSVKHFTEKxKF
 fLC0jzcvkoNVi9BssKwPkfzOBVvjcDC3qMb9bwhE61argwiYWnz8GWSqTwHSn4eswFLz
 ZqLJXWRcSKJNl1c7NBBpkYo7eJUItCryCm+5wshfbePFvNdNo30eEi4i/hCS/q2VFUPE
 nCdTAI0ceJg+ushzDZYLhyvxYaJBnXw5iYI7SirZe1kavRLUVCOHgenrNDaCArSfSWrz
 uSGg==
X-Gm-Message-State: APjAAAVOkFP0mr8Vg7Arr4OUOQBOmfkSTNYHVeErS2n2T8+EsaAzqg5c
 yw88hCFI8B22QjRtuak2cH7gr0/CeMc=
X-Google-Smtp-Source: APXvYqxkhftmvzQWzbyG3txGRuhpQUwy8cqR+E4gZmL13XPefNTkla0YZIngySSWLbQSXR5IKyIeUw==
X-Received: by 2002:a5d:554a:: with SMTP id g10mr445501wrw.9.1566377700523;
 Wed, 21 Aug 2019 01:55:00 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.54.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:54:59 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:53:55 +0200
Message-Id: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/perl.scm (perl)[arguments]: Use cross-libc instead of libc when
cross-compiling.
---
 gnu/packages/perl.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index a3f6e5d050..275cb20d89 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2018, 2019 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -81,7 +82,7 @@
                        "perl-reproducible-build-date.patch"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:tests? #f
+     `(#:tests? #f
        #:configure-flags
        (let ((out  (assoc-ref %outputs "out"))
              (libc (assoc-ref %build-inputs "libc")))
@@ -130,7 +131,9 @@
          (add-after 'install 'remove-extra-references
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-                    (libc    (assoc-ref inputs "libc"))
+                    (libc    (assoc-ref inputs
+                                        ,(if (%current-target-system)
+                                             "cross-libc" "libc")))
                     (config1 (car (find-files (string-append out "/lib/perl5")
                                               "^Config_heavy\\.pl$")))
                     (config2 (find-files (string-append out "/lib/perl5")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 02/61] gnu: python: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637771624583 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637771624583
          (code B ref 36477); Wed, 21 Aug 2019 08:56:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:16 +0000
Received: from localhost ([127.0.0.1]:34546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOe-0006Nh-1B
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:16 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:43111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOZ-0006MZ-Au
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:07 -0400
Received: by mail-wr1-f52.google.com with SMTP id y8so1217941wrn.10
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=D540Hb79nrpw2F38kL9MlC/hZ7+7DhkC6eUKobdy75w=;
 b=L7VJN9LxDDBBb7DGpyd32dWQ3ouGn9DvEKh2LmNVg43K/8jLULx/X1/6GJ4QvOBFpt
 GCcYMUCu1mI2V6h3fYGWUs9pMRPDNEca+T+oOPx5xxcrjV54/i7aewUIIcr5LhkHC5jK
 ZvFncSJ6zUCsyfZ7XPO6sfrZ23HCYHiCacY2oTesCDZglTQgF/kja6kDHFkSo6ICj8Q3
 bKzMlHWuCJduFfg6RjDDbu1+LDiAhIzE8RmEb2Z8QE4Et9OeEUmf87ri2JJF1kdp1bHi
 ECuB/7W5jm3A00sXKwnmNSA6jo1uuhvW5LD6G/cZ5pHcTWKs/kL+XavwM1Bd4bOyAOZw
 rBxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=D540Hb79nrpw2F38kL9MlC/hZ7+7DhkC6eUKobdy75w=;
 b=Vh7yHKaA+Ra13XZLPUg/sWmfzbdfkFW4Kbn4mpQVSIeCtAElhmvq71KkkzHc3D4Uhq
 PLEr2i9pi5yUxhWJOPUA+KFBHI/ZsAm0GdSs2YHpjKeRXJFpQgpk0gfmHC3OAK7oaSWg
 lMbt4ahNbxroIrEwkUqX6psqLM1hhyYjvV/s9YHgPcZWZp5816sR+GyhGggBvno+a80Y
 iXBfop8KGOGkPFtKmo7bRDii4suN9dqN6X55TW+lPlKmEAP/oQQW4Nuw9vxWDB9X62g5
 XR6DzEYXsjA9L3PAuTEYA71zrjdJlOVt8sfafQsXiH3sl7J/D6dtPzIwoFYVhjWoBE7/
 +KWQ==
X-Gm-Message-State: APjAAAWBPKHYUSLUo1m4xVKknpPnpyeVxFrNdu4uWngBtUUq9hT0Ewqs
 kxNCKkXOsgGNm5Y7YMxZvFpkv5ihaZs=
X-Google-Smtp-Source: APXvYqwdQYzDSJv+/JmtdNWSGV+JmBsWUXxAvxRvl2Ok5/+AbmOVVViJaZiaVmszNzFKmG9i/fdllQ==
X-Received: by 2002:a5d:4f81:: with SMTP id d1mr39734852wru.177.1566377701355; 
 Wed, 21 Aug 2019 01:55:01 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:00 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:53:56 +0200
Message-Id: <20190821085455.18508-2-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python.scm (python-2.7)[arguments]: Add a configure flag to
disable a check failing when cross-compiling. This is covered here:
https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html,
[native-inputs]: Add self and which when cross-compiling,
(python-3.7)[arguments]: Refer to native python when cross-compiling.
---
 gnu/packages/python.scm | 33 ++++++++++++++++++++++++---------
 1 file changed, 24 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 9fec18287e..09c1f7d716 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -38,7 +38,7 @@
 ;;; Copyright © 2017 Frederick M. Muriithi <fredmanglis@HIDDEN>
 ;;; Copyright © 2017, 2018 Adriano Peluso <catonano@HIDDEN>
 ;;; Copyright © 2017 Ben Sturmfels <ben@HIDDEN>
-;;; Copyright © 2017, 2018 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2018, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2017, 2018 Kei Kebreau <kkebreau@HIDDEN>
@@ -150,6 +150,13 @@
              "INSTALL=install -c"
              "MKDIR_P=mkdir -p"
 
+             ;; Disable runtime check failing if cross-compiling, see:
+             ;; https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html
+             ,@(if (%current-target-system)
+                   '("ac_cv_buggy_getaddrinfo=no"
+                     "ac_cv_file__dev_ptmx=no"
+                     "ac_cv_file__dev_ptc=no")
+                   '())
              (string-append "LDFLAGS=-Wl,-rpath="
                             (assoc-ref %outputs "out") "/lib"))
        ;; With no -j argument tests use all available cpus, so provide one.
@@ -292,7 +299,12 @@
        ("tcl" ,tcl)
        ("tk" ,tk)))                               ; for tkinter
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ;; When cross-compiling, a native version of Python itself is needed.
+       ,@(if (%current-target-system)
+             `(("self" ,this-package)
+               ("which" ,which))
+             '())))
     (native-search-paths
      (list (search-path-specification
             (variable "PYTHONPATH")
@@ -388,13 +400,16 @@ data types.")
                             (if (null? opt) "none" (car opt)))
                     (for-each (lambda (file)
                                 (apply invoke
-                                       `(,(string-append out "/bin/python3")
-                                         ,@opt
-                                         "-m" "compileall"
-                                         "-f" ; force rebuild
-                                         ;; Don't build lib2to3, because it's Python 2 code.
-                                         "-x" "lib2to3/.*"
-                                         ,file)))
+                                       `(,,(if (%current-target-system)
+                                               "python3"
+                                               '(string-append out
+                                                               "/bin/python3"))
+                                          ,@opt
+                                          "-m" "compileall"
+                                          "-f" ; force rebuild
+                                          ;; Don't build lib2to3, because it's Python 2 code.
+                                          "-x" "lib2to3/.*"
+                                          ,file)))
                               (find-files out "\\.py$")))
                   (list '() '("-O") '("-OO")))
                  #t)))))))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 03/61] gnu: tcl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:03 +0000
Resent-Message-ID: <handler.36477.B36477.156637771624596 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637771624596
          (code B ref 36477); Wed, 21 Aug 2019 08:56:03 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:16 +0000
Received: from localhost ([127.0.0.1]:34553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOi-0006OS-7w
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:16 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:44325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOa-0006Mq-6m
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:08 -0400
Received: by mail-wr1-f68.google.com with SMTP id p17so1212456wrf.11
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=IWtQINeWsKzP+IVgJ6TBTzhjdgsHSp0cTxl3au6lvZI=;
 b=bwY7hszuvkrpCOwaJ9OM3lG2/OcD8yi9OEUhjLz6RQPFptrSXhkwkYav8Jfr8bvL7H
 bhCu0ppoNol8Wg92Afo/RcTSnYznYgXzIyaPojxfk9Q27GckebjOjR8ClIpReKAEM7/O
 qxRZTxchsAZuwbtw7A43PJP65Ume1h1Pg45yLH9hkc49erb6NH6tBcim/kbTuZPBdDPU
 63huhCoXe25w1IVyEiZ1kMfXVcYV3PcQ6czODCEzpdulpcDS54H6Xz+YCBK+OEQT3Do7
 WYwkaHqv+zTRftU0grHoyskeODdmEOUi1cPNsIXN6MSGAZgzILgRthAhqo8RdWs6+wye
 SmFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=IWtQINeWsKzP+IVgJ6TBTzhjdgsHSp0cTxl3au6lvZI=;
 b=qckLPoM9VlJJejGnF3WM4UUpKvuFrhvCEyKx3zsH7ywKoRqbsrV/ZegNRQskotZH13
 URJVb5gszN36m1hkHRt6R4ll3cJswJ5ck/BlwVmqdh+DVSfVQfLxYjxqb6ChwgTpfwE3
 KIxPS8dq1jaOPgGSYYY4gdU0DHTfmbT75KL4HzHjoQRRyN2rgSKr+C+ELZCfoldaeKx9
 0UGc10diro/fwBqgUfGVRlzIXaBfLQa8EALyUEo7K/Wj3M9/PxewCka2bCYqhZvgJKqH
 UMr4syHk3GCajrisccKMNBeMLFVrWwrXL3O7qR2/xmWjFzLXzZgMFxys7yv7p/IErxpW
 9dig==
X-Gm-Message-State: APjAAAXa3UakvL8PyA6kundi+zemfZKwwZasWhMADA8++hhPOhLm+63W
 fwUozCfNbp81ZeSlOM+fVWY/nMvPRDk=
X-Google-Smtp-Source: APXvYqzEcjG9M732LCTbRt6TVfKOx9xfS3nj4cmVGVJmTCCdK9+mPGlPmi2pUSY5VfJCdd8OKg4cGQ==
X-Received: by 2002:adf:e5cd:: with SMTP id a13mr38170803wrn.316.1566377702253; 
 Wed, 21 Aug 2019 01:55:02 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:01 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:53:57 +0200
Message-Id: <20190821085455.18508-3-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index 21ca185066..96f41e7928 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -53,7 +53,7 @@
                 "0kjzj7mkzfnb7ksxanbibibfpciyvsh5ffdlhs0bmfc75kgd435d"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases (modify-phases %standard-phases
+     `(#:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
                     (lambda _ (chdir "unix") #t))
                  (add-after 'install 'install-private-headers
@@ -73,9 +73,16 @@
        ;; PREFIX/share/man.  The 'validate-documentation-location' phase is
        ;; not able to fix this up because the default install populates both
        ;; PREFIX/man and PREFIX/share/man.
-       #:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "out")
-                                              "/share/man"))
+       #:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "out")
+                            "/share/man")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; XXX: There are a few test failures (related to HTTP, most
        ;; likely related to name resolution), but that doesn't cause
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 04/61] gnu: tk: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:03 +0000
Resent-Message-ID: <handler.36477.B36477.156637771724604 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637771724604
          (code B ref 36477); Wed, 21 Aug 2019 08:56:03 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:17 +0000
Received: from localhost ([127.0.0.1]:34555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOi-0006Of-OE
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:17 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:37065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOb-0006Ms-MZ
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:10 -0400
Received: by mail-wm1-f66.google.com with SMTP id d16so1285091wme.2
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=7tF1fTOEBKXljhu4lCr08LKh7FRA9ixLBCnkr5U9FNo=;
 b=iLP1OGLVKR1GQGHgWWA/6JRwJTSDaZl3rQrVDbjrxF84xg/JkSj24/zdJ1f41scv8x
 yn7UKk+o3ifemQNUgfGi0bL0cLganV/K1n20RCwDzKBQsqTOr7ovEoXmcih4JgvpcQRn
 8u7FEM1o5HTLz9owfHULmSe9IdWIj3cUg4z4gT0REVZgDjFAImydee6Giw+E9tUT402t
 02chkk8M653dpMRI/MPhkmFMfsnxSisumyJ5z7rlntA+SHSeqja24e2Ni/ZyYx0pA4Gj
 I5vfiAvaYS0jdFrvfBcMfKO2kDK5Svp8uXZbEp20fQK9dDhV4FGFPKnuJ0ceoLsXSdeF
 53kA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=7tF1fTOEBKXljhu4lCr08LKh7FRA9ixLBCnkr5U9FNo=;
 b=E76vKqda3fDDx2kBACPB36WN+KDki5sjZaZyMtVjdROSxTV77KyKChqnk9Ip9yv0m1
 j8+MSUrnSxhJbBRrb9TA30wFxsaNg1IYQa+jBoKtSHcc0qdQktOdNIfUIPB3sQfVbNVj
 cRmTnkPcpbUTs1ehUmGIy1nRFEV5o7ewtm0EFarV9FNJGbfe+WQ4jVfhqouefRZsBiqj
 eBo3LUSq0VC+UI/BOetAMfg8YGBBpbCaNgvja9khevybYs9c8+G9+YXas72sqs1muUth
 2SpdgC9qNDqZ5/O6mr+RLR6YXoZxqI/RHMjAmbou19StYvjIemU82Swd1DsM0wXugBvq
 L3gg==
X-Gm-Message-State: APjAAAWTkxkE3u9qrffcTPu4dPbunyGtL+veS0avljGCIF7Z9NGtHRN3
 +ltuZCyn+nEiyu3dKvybn+kX8bJbTkE=
X-Google-Smtp-Source: APXvYqzmkjEPM3pFS0OJHrMQjee3lOgrFh2KpDxLpDEwNSX08NKsWB6PpkN1L4/gY8QXMgS6pRqgUg==
X-Received: by 2002:a7b:cb0f:: with SMTP id u15mr4418451wmj.173.1566377703214; 
 Wed, 21 Aug 2019 01:55:03 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:02 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:53:58 +0200
Message-Id: <20190821085455.18508-4-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tcl.scm (tk)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index 96f41e7928..9ef95b42ed 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -186,9 +186,16 @@ X11 GUIs.")
                                          "/lib -lfontconfig")))
                        #t))))
 
-       #:configure-flags (list (string-append "--with-tcl="
-                                              (assoc-ref %build-inputs "tcl")
-                                              "/lib"))
+       #:configure-flags
+       (list (string-append "--with-tcl="
+                            (assoc-ref %build-inputs "tcl")
+                            "/lib")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; The tests require a running X server, so we just skip them.
        #:tests? #f))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 05/61] gnu: libxslt: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:04 +0000
Resent-Message-ID: <handler.36477.B36477.156637771724619 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637771724619
          (code B ref 36477); Wed, 21 Aug 2019 08:56:04 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:17 +0000
Received: from localhost ([127.0.0.1]:34558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOj-0006Om-3h
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:17 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:45388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOb-0006Mt-Sh
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:10 -0400
Received: by mail-wr1-f67.google.com with SMTP id q12so1205849wrj.12
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=twpDy+h7GbI01UT/v0+ICv0R7FOBDUxmrScVXQYjaFk=;
 b=N71nHPQi4ruPIcDpXmhN4GcizMPqJ2JvXLyJeazV+CqzvF+JKQ4tHaHDbUD7eIIWAW
 DYiqm+4SiIXPtaNw0kySmIP1AjQb/lBecw1i2jIHQ1k2nPbFglgvbLowjRfAyb16uFfR
 fl0Yrp+hG+Z03GVJK7s87BjKUh0/rcteKQVqJpKLrKqCOBByVHPwIh6/1DhE0T6fq/Fi
 Hn8+B4iDrOF5IpEpbikCAIv2bFfz2s9J5pHqGpVli+pSYY0AB6TuPPDLQRsNx0tqLjCi
 LsHxsCPt6hzjBKKiBNCtu7DqBqGijUZV8WRzBln38yjgymx3enyWaBKEZXLzyqth6ykj
 TxBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=twpDy+h7GbI01UT/v0+ICv0R7FOBDUxmrScVXQYjaFk=;
 b=i5hzEA+6SxTmb8/i3txJscYjGAjYH0iz4VH+xo/+nH8iAJgKM/w3lwgAjaImrEWAMr
 u8uUrwxWbhmawzsouyNqMgBdQMt9oc1wgTV5BlYJ+eB+fsLcno3vxsHQ+VoNTh+sIckF
 mAkzA+bXeVehM8OJHNsFNu1322zV6ygs9FouMh3uSr4MBp9dqNpf7nQIaT24YBq01kh6
 82MXA6T9g7+2Xw1ylll678Hhaudmy2i0lD6H4jtki96tXQ2Hcu78YNN/oFlJ5/ePjQ8u
 yPgU1TctOM4apvw4Zi61zRU8PuPs1WcQcB4z1tr4hvHeFX6GBjOq9yiwzjPXutlYvayk
 ILeg==
X-Gm-Message-State: APjAAAViJLyNgws9LzhKZXFKHuYgixmzU3e2LvW+wUqq4PmWOFsIkxqN
 5Ig1jkKxgGxqru0U1Qj2IougtFnFKrQ=
X-Google-Smtp-Source: APXvYqzGTSJTMp10gTfdoG6i/xT60jSlTVQXRoVd+R3jvKBgrpj9TOne39Bj6qUhTsAWb0UnehaoSg==
X-Received: by 2002:a5d:5408:: with SMTP id g8mr32765154wrv.201.1566377703923; 
 Wed, 21 Aug 2019 01:55:03 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:03 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:53:59 +0200
Message-Id: <20190821085455.18508-5-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xml.scm (libxslt)[native-inputs]: Add pkg-config.
---
 gnu/packages/xml.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index 78b9b713e5..ffe81fa68b 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -213,6 +213,8 @@ project (but it is usable outside of the Gnome platform).")
               ("libxml2" ,libxml2)
               ("python" ,python-minimal-wrapper)
               ("zlib" ,zlib)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
     (description
      "Libxslt is an XSLT C library developed for the GNOME project.  It is
 based on libxml for XML parsing, tree manipulation and XPath support.")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 06/61] gnu: xorg: Fix cross-compilation of multiple packages.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:04 +0000
Resent-Message-ID: <handler.36477.B36477.156637771824630 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637771824630
          (code B ref 36477); Wed, 21 Aug 2019 08:56:04 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:18 +0000
Received: from localhost ([127.0.0.1]:34560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOj-0006P1-IR
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:18 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:46832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOd-0006Mx-NJ
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:12 -0400
Received: by mail-wr1-f66.google.com with SMTP id z1so1205943wru.13
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=CzmXvH9sLbiBiry88aGjqDYH5AcO7nsanJIa88F0VwU=;
 b=u6wW58jJFbc9hfYlO+aakRdXyQLURQxMV+2dTmRBTdNQHlCefm24/orIXUUCnuWaZ8
 8m2bCg1yr29m83tx3tq/urhV9A3u7GJ8v1VRQfF3kuEduJ6vHhHpRKS0AbjT2i2ou4BU
 bQ6lflaC5hbwkja/SigMAUsT22VU2LpRefl7NBmTPRgGTaobEr9/2O9QN0LsWZWaF4it
 YgK8itR/+1lTp7X7v433xu0j+z84lmz3zb8zHw8KuDnDITyw+JW8aeWoRIIth88wn2B1
 aRjoqSeA7dw2PwM7kYr/ISVfLrqVAq5qrbP3bL3UwH8z0vfpHi2kINN261OkbWmaThYX
 pRbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=CzmXvH9sLbiBiry88aGjqDYH5AcO7nsanJIa88F0VwU=;
 b=LxozTvfCNeroSEXXLx/in3oSbqI6AbqRAhsYVGdWeZFVp+sTTZAa/idTBFEbxgH4IW
 pggW8SnyhfLjRSN8KGltkPdAXHfFF8D0j9W8r0F5d9jmj2saCTCNLD8GB1DeNd4xFtnt
 ++rnQSbMQ3+GLIM+oQ4OuhVVw5B5faaB2WSlTW4rykZmH3rfCqr438wqZwNAyadYAj31
 TI2PMJ0I2iXRAGxrViKRQSBD/fHI8aGFGeXHFVp2S7IujFPLTbN8tLnPlWkXcjSJTdsT
 KU33gOJpq5b3Q95jvjQVD28gnctpk7e9KlRe5YG7RJBRCCjELNd2I2CcJLfWjzlJRJMC
 SEOA==
X-Gm-Message-State: APjAAAUc+OtJy8xNlFifqkqlfr0DTxezkl6tDvC/UdcpTqU5Uf0Vdr3+
 sI3GCMTBSCz5VAhS6JlZZmYP+YsAVlM=
X-Google-Smtp-Source: APXvYqzNSA1B+OnzNb9TMYoumXKHeliqbGxVvPpjuNIfpBs1VJV1jiymNeh/pcsVhQGXTk14oYpLqQ==
X-Received: by 2002:a5d:4cc5:: with SMTP id c5mr11750490wrt.278.1566377704826; 
 Wed, 21 Aug 2019 01:55:04 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:04 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:00 +0200
Message-Id: <20190821085455.18508-6-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xorg.scm (libxext)[arguments]: Disable zero malloc check that
fails when cross-compiling,
(libxrender)[arguments]: ditto,
(libx11)[arguments]: ditto.
---
 gnu/packages/xorg.scm | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index e4848b7bee..aa89dafe90 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -4552,6 +4552,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0azqxllcsfxc3ilhz6kwc6x7m8wc477p59ir9p0yrsldx766zbar"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -4637,6 +4644,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0j89cnb06g8x79wmmnwzykgkkfdhin9j7hjpvsxwlr3fz1wmjvf0"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -5245,16 +5259,22 @@ draggable titlebars and borders.")
     (outputs '("out"
                "doc"))                            ;8 MiB of man pages + XML
     (arguments
-     '(#:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "doc")
-                                              "/share/man"))))
+     `(#:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "doc")
+                            "/share/man")
+             ;; Disable zero malloc check that fails when cross-compiling.
+             ,@(if (%current-target-system)
+                   '("--disable-malloc0returnsnull")
+                   '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)
         ("libxcb" ,libxcb)))
     (inputs
       `(("xtrans" ,xtrans)))
     (native-inputs
-      `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("xorgproto" ,xorgproto)))
     (home-page "https://www.x.org/wiki/")
     (synopsis "Xorg Core X11 protocol client library")
     (description "Xorg Core X11 protocol client library.")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 07/61] gnu: libgpg-error: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:05 +0000
Resent-Message-ID: <handler.36477.B36477.156637772424682 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772424682
          (code B ref 36477); Wed, 21 Aug 2019 08:56:05 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:24 +0000
Received: from localhost ([127.0.0.1]:34570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOq-0006Q0-63
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:24 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:43115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOd-0006Mw-JV
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:12 -0400
Received: by mail-wr1-f46.google.com with SMTP id y8so1218162wrn.10
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Yu+mVm4DlZTdhtvw7aRa+x+FiWIj32zn2Tujke55UQ4=;
 b=MbuSQQhGcgniHkqpDHLKVRB2XdPNUByhdte6R5lbjaIXtzkv4arwzEfws9t9y4lVhu
 HQ8Lf9RhletR8s5VkgBo8NlUG7XhEdnQ56rbGJYraja4qXN6KI3AwTuhAB4GC7AqTfmS
 DLfcm9lFMeX8pTxYRdNbDOujyXJg+klgHIQKWvSFp0DquQhLY3VDtVGO61aM0BU+6/1b
 9k07MdCnijMaIB3IBFVzM0aL43IfFbDfZ56JG2+eWqNDHMeXHcEzkFrvDWy1GZaKAi0k
 HJLDWrslRzSyvxP/ACOoR9Obf4RFTqvtzCtNfVX6r8iM70TgaxgmbO55NFXpByf8y+DF
 qRMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Yu+mVm4DlZTdhtvw7aRa+x+FiWIj32zn2Tujke55UQ4=;
 b=C57uAkmcfV0IQE53GLTyxR7iqelIjcn6n0zd4RuK079gHcO8IHMVCBW8ujpVLLfddY
 MFFH8M5zf5JkARNGTcNz96A4euDbuH0GdMvrMTrZYL2FFWv5GOEn16tMimk5j8nj6ET2
 0nHy908ZFtqsnW/NL0lL1tknA1KAmC+B8NSHJ7HnaHEywcbcIUROAOhQKbwzrerxnUXX
 0nW6xX535DP7OJgaREAT3ZmbxSPnthwVRF15boIh8jSWsOjNtejAaGgpyyKD0Gb4qyJH
 DXH5t0cqRhbNYsVkxYJYM5pr1lNrDc0KUWcrVW9dtMUopdPZ5HQGQZOxkucB/HZW20Su
 fP1Q==
X-Gm-Message-State: APjAAAUlnBfW4t2TKZWyYkk2B+iveU1hRdQDt90tiC34rJMMOpTKusXm
 b3UBadHshlUGQfO+/kTcJlOu+fu0YMM=
X-Google-Smtp-Source: APXvYqx8+jNB/OcGr7ey2zSur++yjV7Y+TkCEuG8FPxwejiSUYCNohEgDZ2g2VkGClBxveTj2TM8uw==
X-Received: by 2002:a5d:6a45:: with SMTP id t5mr10133292wrw.228.1566377705623; 
 Wed, 21 Aug 2019 01:55:05 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:05 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:01 +0200
Message-Id: <20190821085455.18508-7-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a lock-obj header to
the target platform when cross-compiling,
[native-inputs]: add gettext that is needed when cross-compiling.
---
 gnu/packages/gnupg.scm | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index 95a35368fa..c7e6aabf79 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -15,7 +15,7 @@
 ;;; Copyright © 2017 Petter <petter@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
-;;; Copyright © 2018 Björn Höfling <bjoern.hoefling@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -96,6 +96,31 @@
             (("namespace=errnos") "pkg_namespace=errnos"))
           #t))))
     (build-system gnu-build-system)
+    (arguments
+     (if (%current-target-system)
+         `(#:modules ((ice-9 match)
+                      (guix build gnu-build-system)
+                      (guix build utils))
+           #:phases
+           (modify-phases %standard-phases
+             ;; When cross-compiling, some platform specific properties cannot
+             ;; be detected. Create a symlink to the appropriate platform
+             ;; file. See Cross-Compiling section at:
+             ;; https://github.com/gpg/libgpg-error/blob/master/README
+             (add-after 'unpack 'cross-symlinks
+               (lambda* (#:key target inputs #:allow-other-keys)
+                 (let ((triplet
+                        (match (string-take target
+                                            (string-index target #\-))
+                          ("armhf" "arm-unknown-linux-gnueabi")
+                          (x
+                           (string-append x "-unknown-linux-gnu")))))
+                   (symlink
+                    (string-append "lock-obj-pub." triplet ".h")
+                    "src/syscfg/lock-obj-pub.linux-gnu.h"))
+                 #t))))
+         '()))
+    (native-inputs `(("gettext" ,gettext-minimal)))
     (home-page "https://gnupg.org")
     (synopsis "Library of error values for GnuPG components")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 08/61] gnu: python: Further cross-compilation fixes.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:05 +0000
Resent-Message-ID: <handler.36477.B36477.156637772524698 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772524698
          (code B ref 36477); Wed, 21 Aug 2019 08:56:05 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:25 +0000
Received: from localhost ([127.0.0.1]:34572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOq-0006Q3-HR
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:25 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:42074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOe-0006N4-Qc
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:14 -0400
Received: by mail-wr1-f47.google.com with SMTP id b16so1223206wrq.9
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=o/j8nSxxUjnuTCaaaM9Grbu9vke069Opgv2lIs2rh1k=;
 b=HJ50M4AeWRBuvmbWGIsl9yDp650EFl4hxa+XYfbjcRDLV8GKecWLAJhFIuxgyyYcaX
 OVdmNDJzwH6d0ef1pTXH3+YeSDpkYpIddT9DRUCPnkH1DUhC4b9xdG9KCDo356dxMiGZ
 TSiAQJ6k/xuK7rZFQCu5x4AloWy2Y0pci1hKaWerTgYeu8Tb1LczSlnNuklkAFxbl5NV
 T/dRqA3uq9I6EOwHOHuIo/ZECMod/Kj5W54lHv/mY98rpkyCbDdJWZgeq8vlw9Wo/vQs
 VFh1tfU3/rE235o/9tOsh/zOAKzaOV0jZQP1QePuEkwrMP+RB/3Zpkf6zNaIHpSaZLUP
 NAiQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=o/j8nSxxUjnuTCaaaM9Grbu9vke069Opgv2lIs2rh1k=;
 b=aO4V0ivyCO1BoNagnFcYQrsStNAJtnMAE8xbnzuUCKrMeUjAA0GZflCkmn6Rh+M2U3
 E0USX+pU0FlqodADsOPBEvQBpRc4sCqIIDe6QP3QuCY1GDVkfficx1RthU6z2WQV6HPO
 bjC7DxZv2tv8NyNhuRFjAYeOPA8qny0db+CY3C4Ge9s2jSlnynLSI6bEMJVnboza0MPH
 fugmM+/rxtrwFyoXxfV0azwxo4/O8B8TMZa4wicHnAc1vI7y0JkXtsRnDplgqcMJfAFv
 oa+e3evTFp3yjeCAK8h83XE4GHwmE8jASYbi98mFrDAbFdueNIzf2Kng4vcvaLQSqHQ4
 E/RA==
X-Gm-Message-State: APjAAAURAEMTGSRpsO0qm6OQxjNrtUZk1OxmJX5LohcNFtGddR6TQ0pz
 fK5ksUij6Pt7mAtTenorwgsi+6skz7Y=
X-Google-Smtp-Source: APXvYqznmH9rz/JDV0+Xbykr6S/n7SAAoY/mOhmf0WFXqZ2z2suShBz7+Pq0B62VysinQsRovhiWsg==
X-Received: by 2002:a5d:52cc:: with SMTP id r12mr31675052wrv.272.1566377706562; 
 Wed, 21 Aug 2019 01:55:06 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:05 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:02 +0200
Message-Id: <20190821085455.18508-8-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/python-2.7-search-paths.patch: Add cross-compilation
support.
* gnu/packages/patches/python-3-search-paths.patch: Ditto.
* gnu/packages/patches/python-cross-compile.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Add above new patch.
* gnu/packages/python.scm (python-2.7)[patches]: Add new patch above,
[arguments]: Set _PYTHON_HOST_PLATFORM env variable when cross compiling.
---
 gnu/local.mk                                  |   1 +
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 ++++++++++++++++++
 gnu/packages/python.scm                       |  23 ++-
 5 files changed, 181 insertions(+), 9 deletions(-)
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 0002f49409..07be1f205b 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1232,6 +1232,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-CVE-2018-14647.patch		\
   %D%/packages/patches/python-axolotl-AES-fix.patch		\
   %D%/packages/patches/python-cairocffi-dlopen-path.patch	\
+  %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-cffi-x87-stack-clean.patch	\
   %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
   %D%/packages/patches/python-configobj-setuptools.patch	\
diff --git a/gnu/packages/patches/python-2.7-search-paths.patch b/gnu/packages/patches/python-2.7-search-paths.patch
index a012bc8fe0..5a345c7691 100644
--- a/gnu/packages/patches/python-2.7-search-paths.patch
+++ b/gnu/packages/patches/python-2.7-search-paths.patch
@@ -3,13 +3,17 @@ looking for headers and libraries.
 
 --- Python-2.7.10/setup.py	2015-10-07 18:33:18.125153186 +0200
 +++ Python-2.7.10/setup.py	2015-10-07 18:33:47.497347552 +0200
-@@ -526,6 +526,10 @@ class PyBuildExt(build_ext):
+@@ -526,6 +526,14 @@ class PyBuildExt(build_ext):
              inc_dirs += ['/system/include', '/atheos/autolnk/include']
              inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
  
 +        # Always honor these variables.
-+        lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
-+        inc_dirs += os.getenv('CPATH', '').split(os.pathsep)
++        if not cross_compiling:
++            lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs += os.getenv('CPATH', '').split(os.pathsep)
++        else:
++            lib_dirs = os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs = os.getenv('CROSS_CPATH', '').split(os.pathsep)
 +
          # OSF/1 and Unixware have some stuff in /usr/ccs/lib (like -ldb)
          if host_platform in ['osf1', 'unixware7', 'openunix8']:
diff --git a/gnu/packages/patches/python-3-search-paths.patch b/gnu/packages/patches/python-3-search-paths.patch
index 5fea9c66b6..cf1647207b 100644
--- a/gnu/packages/patches/python-3-search-paths.patch
+++ b/gnu/packages/patches/python-3-search-paths.patch
@@ -3,7 +3,7 @@ looking for headers and libraries.
 
 --- a/setup.py	2015-10-07 23:32:58.891329173 +0200
 +++ b/setup.py	2015-10-07 23:46:29.653349924 +0200
-@@ -575,8 +575,8 @@
+@@ -575,15 +575,15 @@
          # if a file is found in one of those directories, it can
          # be assumed that no additional -I,-L directives are needed.
          if not cross_compiling:
@@ -14,3 +14,12 @@ looking for headers and libraries.
          else:
              # Add the sysroot paths. 'sysroot' is a compiler option used to
              # set the logical path of the standard system headers and
+             # libraries.
+-            lib_dirs = (self.compiler.library_dirs +
++            lib_dirs = (os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep) +
+                         sysroot_paths(('LDFLAGS', 'CC'), system_lib_dirs))
+-            inc_dirs = (self.compiler.include_dirs +
++            inc_dirs = (os.getenv('CROSS_CPATH', '').split(os.pathsep) +
+                         sysroot_paths(('CPPFLAGS', 'CFLAGS', 'CC'),
+                                       system_include_dirs))
+         exts = []
diff --git a/gnu/packages/patches/python-cross-compile.patch b/gnu/packages/patches/python-cross-compile.patch
new file mode 100644
index 0000000000..5a470e1852
--- /dev/null
+++ b/gnu/packages/patches/python-cross-compile.patch
@@ -0,0 +1,145 @@
+Patch taken from https://bugs.python.org/issue22724 and augmented with
+following Nix patch
+https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/interpreters/python/cpython/2.7/cross-compile.patch
+to fix the whole cross-compilation circus.
+
+---
+ Makefile.pre.in | 14 +++++++-------
+ configure       |  5 ++++-
+ setup.py        |  9 ++++++---
+ 3 files changed, 17 insertions(+), 11 deletions(-)
+
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index 2a14f3323b..6239fc32fc 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -492,7 +492,7 @@ $(BUILDPYTHON):	Modules/python.o $(LIBRARY) $(LDLIBRARY)
+ 			$(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
+ 
+ platform: $(BUILDPYTHON) pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
+ 
+ # Create build directory and generate the sysconfig build-time data there.
+ # pybuilddir.txt contains the name of the build dir and is used for
+@@ -503,7 +503,7 @@ platform: $(BUILDPYTHON) pybuilddir.txt
+ # or removed in case of failure.
+ pybuilddir.txt: $(BUILDPYTHON)
+ 	@echo "none" > ./pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
+ 	if test $$? -ne 0 ; then \
+ 		echo "generate-posix-vars failed" ; \
+ 		rm -f ./pybuilddir.txt ; \
+@@ -525,7 +525,7 @@ sharedmods: $(BUILDPYTHON) pybuilddir.txt Modules/_math.o
+ 	esac; \
+ 	$(RUNSHARED) CC='$(CC)' LDSHARED='$(BLDSHARED)' OPT='$(OPT)' \
+ 		_TCLTK_INCLUDES='$(TCLTK_INCLUDES)' _TCLTK_LIBS='$(TCLTK_LIBS)' \
+-		$(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
++		$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
+ 
+ # Build static library
+ # avoid long command lines, same as LIBRARY_OBJS
+@@ -928,7 +928,7 @@ install:	@FRAMEWORKINSTALLFIRST@ commoninstall bininstall maninstall @FRAMEWORKI
+ 			upgrade) ensurepip="--upgrade" ;; \
+ 			install|*) ensurepip="" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -939,7 +939,7 @@ altinstall:	commoninstall
+ 			upgrade) ensurepip="--altinstall --upgrade --no-default-pip" ;; \
+ 			install|*) ensurepip="--altinstall --no-default-pip" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -1270,7 +1270,7 @@ libainstall:	@DEF_MAKE_RULE@ python-config
+ # Install the dynamically loadable modules
+ # This goes into $(exec_prefix)
+ sharedinstall: sharedmods
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
+ 	   	--prefix=$(prefix) \
+ 		--install-scripts=$(BINDIR) \
+ 		--install-platlib=$(DESTSHARED) \
+@@ -1344,7 +1344,7 @@ frameworkinstallextras:
+ # This installs a few of the useful scripts in Tools/scripts
+ scriptsinstall:
+ 	SRCDIR=$(srcdir) $(RUNSHARED) \
+-	$(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
++	$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
+ 	--prefix=$(prefix) \
+ 	--install-scripts=$(BINDIR) \
+ 	--root=$(DESTDIR)/
+diff --git a/configure b/configure
+index 67300fe2b6..6050f588c5 100755
+--- a/configure
++++ b/configure
+@@ -741,6 +741,7 @@ CONFIG_ARGS
+ SOVERSION
+ VERSION
+ PYTHON_FOR_BUILD
++PY_BUILD_ENVIRON
+ PYTHON_FOR_REGEN
+ host_os
+ host_vendor
+@@ -2964,7 +2965,8 @@ $as_echo_n "checking for python interpreter for cross build... " >&6; }
+ 	fi
+         { $as_echo "$as_me:${as_lineno-$LINENO}: result: $interp" >&5
+ $as_echo "$interp" >&6; }
+-	PYTHON_FOR_BUILD='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR) '$interp
++	PY_BUILD_ENVIRON='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR)'
++	PYTHON_FOR_BUILD=$interp
+     fi
+ elif test "$cross_compiling" = maybe; then
+     as_fn_error $? "Cross compiling required --host=HOST-TUPLE and --build=ARCH" "$LINENO" 5
+@@ -2974,6 +2976,7 @@ fi
+ 
+ 
+ 
++
+ if test "$prefix" != "/"; then
+     prefix=`echo "$prefix" | sed -e 's/\/$//g'`
+ fi
+diff --git a/setup.py b/setup.py
+index cb47a2339c..472e7e2b26 100644
+--- a/setup.py
++++ b/setup.py
+@@ -497,8 +497,6 @@ class PyBuildExt(build_ext):
+         if not cross_compiling:
+             add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+             add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+-        if cross_compiling:
+-            self.add_gcc_paths()
+         self.add_multiarch_paths()
+ 
+         # Add paths specified in the environment variables LDFLAGS and
+@@ -556,7 +554,10 @@ class PyBuildExt(build_ext):
+         # be assumed that no additional -I,-L directives are needed.
+         inc_dirs = self.compiler.include_dirs[:]
+         lib_dirs = self.compiler.library_dirs[:]
+-        if not cross_compiling:
++        if cross_compiling:
++            inc_dirs = []
++            lib_dirs = []
++        else:
+             for d in (
+                 '/usr/include',
+                 ):
+@@ -621,6 +622,8 @@ class PyBuildExt(build_ext):
+         # Some modules that are normally always on:
+         #exts.append( Extension('_weakref', ['_weakref.c']) )
+ 
++        self.compiler.library_dirs = lib_dirs + [ '.' ]
++
+         # array objects
+         exts.append( Extension('array', ['arraymodule.c']) )
+ 
+-- 
+2.17.1
+
diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 09c1f7d716..8241c09d37 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -109,7 +109,8 @@
                                "python-2-deterministic-build-info.patch"
                                "python-2.7-site-prefixes.patch"
                                "python-2.7-source-date-epoch.patch"
-                               "python-2.7-adjust-tests.patch"))
+                               "python-2.7-adjust-tests.patch"
+                               "python-cross-compile.patch"))
       (modules '((guix build utils)))
       (snippet
        '(begin
@@ -177,6 +178,12 @@
           (add-before
            'configure 'patch-lib-shells
            (lambda _
+             ;; This variable is used in setup.py to enable cross compilation
+             ;; specific switches. As it is not set properly by configure
+             ;; script, set it manually.
+             ,@(if (%current-target-system)
+                   '((setenv "_PYTHON_HOST_PLATFORM" ""))
+                   '())
              ;; Filter for existing files, since some may not exist in all
              ;; versions of python that are built with this recipe.
              (substitute* (filter file-exists?
@@ -256,7 +263,9 @@
                            (if (null? opt) "none" (car opt)))
                    (for-each (lambda (file)
                                (apply invoke
-                                      `(,(string-append out "/bin/python")
+                                      `(,,(if (%current-target-system)
+                                              "python2"
+                                              '(string-append out "/bin/python"))
                                         ,@opt
                                         "-m" "compileall"
                                         "-f" ; force rebuild
@@ -302,7 +311,7 @@
      `(("pkg-config" ,pkg-config)
        ;; When cross-compiling, a native version of Python itself is needed.
        ,@(if (%current-target-system)
-             `(("self" ,this-package)
+             `(("python2" ,this-package)
                ("which" ,which))
              '())))
     (native-search-paths
@@ -376,10 +385,11 @@ data types.")
        ((#:phases phases)
        `(modify-phases ,phases
           (add-before 'check 'set-TZDIR
-            (lambda* (#:key inputs #:allow-other-keys)
+            (lambda* (#:key inputs native-inputs #:allow-other-keys)
               ;; test_email requires the Olson time zone database.
               (setenv "TZDIR"
-                      (string-append (assoc-ref inputs "tzdata")
+                      (string-append (assoc-ref
+                                      (or native-inputs inputs) "tzdata")
                                      "/share/zoneinfo"))
               #t))
           ;; Unset SOURCE_DATE_EPOCH while running the test-suite and set it
@@ -415,6 +425,9 @@ data types.")
                  #t)))))))
     (native-inputs
      `(("tzdata" ,tzdata-for-tests)
+       ,@(if (%current-target-system)
+             `(("python3" ,this-package))
+             '())
        ,@(package-native-inputs python-2)))
     (native-search-paths
      (list (search-path-specification
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 11/61] gnu: texinfo: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:06 +0000
Resent-Message-ID: <handler.36477.B36477.156637772624711 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772624711
          (code B ref 36477); Wed, 21 Aug 2019 08:56:06 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:26 +0000
Received: from localhost ([127.0.0.1]:34576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOr-0006QJ-QE
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:26 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:50918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOg-0006NQ-VJ
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:15 -0400
Received: by mail-wm1-f66.google.com with SMTP id v15so1275765wml.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=t3f2LDGN9a2KtX5A0QXEWD3cvCAEgFcDV2JLpMdkmhU=;
 b=PP9VhEDWBexewB+wah6yudjVv+1fMp21/IscK5+xmCYZlYBdmWsOgcMqDwIlrrGhlC
 Xd3U1Q8tuW40B/GWqgsYo2egILw4jgpgv4I3d8oOVYlPZ2j75V2cIdumS9AeaAoS6Q5W
 M5dzUQRT8WUqPkPAW961SbBvKQMyoiMsSN5AhXrtheGf3m+N5JUBSu4IdVA0TshQ0ryp
 CV/QIS8t6npYZnUnDcmq78hYCkNSIKCQ5/MoNydEja8GBQq/20Va5lKhxPtg5CQD12ea
 iuwDsavsJQJQQ0EtXheQ7YC3KH/fsPvEhb4Twj2+10FilIXjwXpx4JvzlPEguNBv2X+w
 VRtg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=t3f2LDGN9a2KtX5A0QXEWD3cvCAEgFcDV2JLpMdkmhU=;
 b=uadwX8xo03d+OrkuIguy+yn/q7HdF3lwzNZCSAp25E99vcLVbXkPO89JUFJ6XY2vBp
 /QdL0f5c/SATe/lzZZhdV+2GZ/g50tjihOAJtzbBWQFNxsBhZ3HOFtNKoz+RfGiiRlTL
 CJQmb5bw30hVKu4MQRW347q6Drbx1Jk6NEttt2gcKes4SmuVBHEhcLq+/SiDP+fLWXhu
 iadhDT7VVvA62mMoFG5HqjwrVeTzS7C6aqKksycENObm6XVcwLshKxYBup17jm/gbtMz
 ZoT25nbvK1fzrqzJkNXPRmKVFfox/H0J11BTh8Vq0R1Z9G2/aXq6GRXuP27cKIUDzN9j
 UM3g==
X-Gm-Message-State: APjAAAVLfy3Y1ZdPM5jM37qpIJhTohTcMS3WpOE2atYaCO3gDRHbH3ms
 HN5aaiDVbhC9bLSBJ+jR8lSY9YuVnRg=
X-Google-Smtp-Source: APXvYqx9K6zK8tqIERWn+rGCat5Ru3yY5jqTzdNPsX0ZeGd/h+7LrcbbpwUMwh3evYuJIRLkz20QoA==
X-Received: by 2002:a1c:f106:: with SMTP id p6mr4381336wmh.148.1566377709094; 
 Wed, 21 Aug 2019 01:55:09 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:08 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:05 +0200
Message-Id: <20190821085455.18508-11-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset environment
before running configure with the native compiler, in a cross-compilation
context,
[inputs]: move perl from here ...
[native-inputs]: ... to here. Also add ncurses that is needed in a
cross-compilation context to build texinfo native tools.
---
 gnu/packages/texinfo.scm | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index befdd78551..c93c7fc353 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -41,8 +41,28 @@
                (base32
                 "0rixv4c301djr0d0cnsxs8c1wjndi6bf9vi5axz6mwjkv80cmfcv"))))
     (build-system gnu-build-system)
-    (inputs `(("ncurses" ,ncurses)
-              ("perl" ,perl)))
+    (arguments
+     ;; When cross-compiling, the package is configured twice: once with the
+     ;; native compiler and once with the cross-compiler. During the configure
+     ;; with the native compiler, the environment is reset. This leads to
+     ;; multiple environment variables missing. Do not reset the environment
+     ;; to prevent that.
+     `(,@(if (%current-target-system)
+             '(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'fix-cross-configure
+                   (lambda _
+                     (substitute* "configure"
+                       (("env -i")
+                        "env "))
+                     #t))))
+             '())))
+    (inputs `(("ncurses" ,ncurses)))
+    ;; When cross-compiling, texinfo will build some of it's own binaries with
+    ;; the native compiler. This means ncurses is needed both in both inputs
+    ;; and native-inputs.
+    (native-inputs `(("perl" ,perl)
+                     ("ncurses" ,ncurses)))
 
     (native-search-paths
      ;; This is the variable used by the standalone Info reader.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 10/61] gnu: openssl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:09 +0000
Resent-Message-ID: <handler.36477.B36477.156637772624719 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772624719
          (code B ref 36477); Wed, 21 Aug 2019 08:56:09 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:26 +0000
Received: from localhost ([127.0.0.1]:34578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOs-0006QW-6v
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:26 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:39625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOg-0006NJ-8M
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:15 -0400
Received: by mail-wm1-f47.google.com with SMTP id i63so1281195wmg.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=xZiXCEJLDLaiMJLjNLIR5UjClekf5jGRpSNaZ/Dr6sk=;
 b=lhlVg0HVDNHkYhKUIWPOrjx5mjv4uiRkyw+kxxKXSvKK47iX0W35dZsPDjLuISIo6k
 +GBJljJiCc62DMZDIZIXIKY9gfCnUJWNuv8xvLXATXz7osfrQWE740a+FCjPPoZf+fPP
 NE1h+k74Aa8+Ga29YLiDo6IchFD+Lh8SrPbx3T92pMy/7rIsTFzshY2nMVTvy4QduDxI
 IztFg6L34StHwLW0CM37JhSLq7JNFN58ZBXoIC3vBhstcbvPkkBhcdc5RWZ8IRh1YKce
 KvYMBPQXX1Xa1P53t5VkapHvVSpS8At/u/uNRfpJypgQzGxopMVEgWvw7T0rEgSzEvGk
 9sbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=xZiXCEJLDLaiMJLjNLIR5UjClekf5jGRpSNaZ/Dr6sk=;
 b=QptibpNUiunfIIs1iq4+mJSDakvpyf04Nic8V+pW96Rx68WYBUAd+qwEqEml1Cl2Hu
 DGaWBU8AQGaP72eRC1c8MCVEiN6hBsPOnxruUerKewRzlUch93sBYHCgvNexC0JMurVP
 9ZwV4emNNaBsH/lXPj/K0R9A9xEGlDvfkDHbq/hyhT69gYuthISAQ9DQ6UJ2IRvxRnWH
 fM4/9jDmdw6b60VTIVoiv2zKB2m1jQpw0VIFMtGKEHC6gSUdqd2Baci+nassV/rN3nw+
 Egz1rMF31dl3zNqnu6SW96VIreJsJ1aPyXIUCanzE661iiUpDt7AdW91wHux8fCkeyYq
 IaCA==
X-Gm-Message-State: APjAAAURFOsMKwwn8+A5H8vEQE1VXc1+xFsm0svdDGzBpsBRIp1UdFB5
 1qkpbZ9EMHtSaFT5mw+RNk/qDHV3LE8=
X-Google-Smtp-Source: APXvYqwwVoZSCC5DScx2NzIKTdNo47MLbDf9DE5aMkM8MwYEzD4I8YQ3SMf9y0PrHRLaYkGkL8sj9A==
X-Received: by 2002:a1c:6c0d:: with SMTP id h13mr4401273wmc.74.1566377708270; 
 Wed, 21 Aug 2019 01:55:08 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:07 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:04 +0200
Message-Id: <20190821085455.18508-10-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tls.scm (openssl-next)[arguments]: Pass CROSS_COMPILE
environment variable and target system to configure script.
---
 gnu/packages/tls.scm | 62 ++++++++++++++++++++++++++++++++------------
 1 file changed, 45 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index f2e7f4ad0c..c43b325bff 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2018 Clément Lassieur <clement@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -300,6 +301,23 @@ required structures.")
       #:disallowed-references ,(list (canonical-package perl))
       #:phases
       (modify-phases %standard-phases
+	,@(if (%current-target-system)
+	      '((add-before
+		    'configure 'set-cross-compile
+		  (lambda* (#:key target outputs #:allow-other-keys)
+		    (setenv "CROSS_COMPILE" (string-append target "-"))
+		    (setenv "CONFIGURE_TARGET_ARCH"
+			    (cond
+			     ((string-prefix? "i686" target)
+			      "linux-x86")
+			     ((string-prefix? "x86_64" target)
+			      "linux-x86_64")
+			     ((string-prefix? "armhf" target)
+			      "linux-armv4")
+			     ((string-prefix? "aarch64" target)
+			      "linux-aarch64")))
+		    #t)))
+	      '())
         (replace 'configure
           (lambda* (#:key outputs #:allow-other-keys)
             (let* ((out (assoc-ref outputs "out"))
@@ -309,7 +327,9 @@ required structures.")
                 (("/usr/bin/env")
                  (string-append (assoc-ref %build-inputs "coreutils")
                                 "/bin/env")))
-              (invoke "./config"
+              (invoke ,@(if (%current-target-system)
+			    '("./Configure")
+			    '("./config"))
                       "shared"       ;build shared libraries
                       "--libdir=lib"
 
@@ -320,7 +340,10 @@ required structures.")
                                      "/share/openssl-" ,version)
 
                       (string-append "--prefix=" out)
-                      (string-append "-Wl,-rpath," lib)))))
+                      (string-append "-Wl,-rpath," lib)
+		      ,@(if (%current-target-system)
+			    '((getenv "CONFIGURE_TARGET_ARCH"))
+			    '())))))
         (add-after 'install 'move-static-libraries
           (lambda* (#:key outputs #:allow-other-keys)
             ;; Move static libraries to the "static" output.
@@ -416,21 +439,26 @@ required structures.")
                    (("^MANDIR[[:blank:]]*=.*$")
                     (string-append "MANDIR = " out "/share/man\n")))
                  #t)))
-        (replace 'configure
-          ;; Override this phase because OpenSSL 1.0 does not understand -rpath.
-          (lambda* (#:key outputs #:allow-other-keys)
-            (let ((out (assoc-ref outputs "out")))
-              (invoke "./config"
-                      "shared"                 ;build shared libraries
-                      "--libdir=lib"
-
-                      ;; The default for this catch-all directory is
-                      ;; PREFIX/ssl.  Change that to something more
-                      ;; conventional.
-                      (string-append "--openssldir=" out
-                                     "/share/openssl-" ,version)
-
-                      (string-append "--prefix=" out)))))
+	   (replace 'configure
+	     ;; Override this phase because OpenSSL 1.0 does not understand -rpath.
+	     (lambda* (#:key outputs #:allow-other-keys)
+	       (let ((out (assoc-ref outputs "out")))
+		 (invoke ,@(if (%current-target-system)
+			       '("./Configure")
+			       '("./config"))
+			 "shared"                 ;build shared libraries
+			 "--libdir=lib"
+
+			 ;; The default for this catch-all directory is
+			 ;; PREFIX/ssl.  Change that to something more
+			 ;; conventional.
+			 (string-append "--openssldir=" out
+					"/share/openssl-" ,version)
+
+			 (string-append "--prefix=" out)
+			 ,@(if (%current-target-system)
+			       '((getenv "CONFIGURE_TARGET_ARCH"))
+			       '())))))
         (delete 'move-extra-documentation)
         (add-after 'install 'move-man3-pages
           (lambda* (#:key outputs #:allow-other-keys)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 09/61] gnu: http-parser: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:10 +0000
Resent-Message-ID: <handler.36477.B36477.156637772724732 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772724732
          (code B ref 36477); Wed, 21 Aug 2019 08:56:10 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:27 +0000
Received: from localhost ([127.0.0.1]:34581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOs-0006Qe-LG
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:27 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:37072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOf-0006NA-AO
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:15 -0400
Received: by mail-wm1-f67.google.com with SMTP id d16so1285279wme.2
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wngpnt77kJYgfa7e9xym/06vq87dNnC1/WW74z2d6/Q=;
 b=e4OdQMAu31OM3yrJTXWpZl+X9nymem3geKjI+ME0trn+6lXb+jd19NC5/b5cqM77BK
 O3l7nCEh2slYmoV8jtt87GYajNYELq7/kAQD8PLoLMW27FUQfpGmbjWhFAAEN5ky4YY+
 yNIEFn0e1dR2gSyeQzbJ0PGOQ7uVrnKjha47dMs2fOsJXHOF68r6o9i3qWd9zcxqY813
 rYvRvufrbR8R8P3lzcXybliY6w0lNDDhFyn091iUiyZAbRPUOFN2KBPW0BvurmPkEsRE
 TX5QqSEoyM4hC6ygm+Os1YkA1v3SxWoEMsFgyV3RAKkOghKILBM4HIcErqGsReIKZiF+
 AGxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wngpnt77kJYgfa7e9xym/06vq87dNnC1/WW74z2d6/Q=;
 b=ncrwyRF6zAoCSuikEkUANjs+bI/taX1a92cvHWEcgpHXZCpRAkc9g10LBBBAjm0JlL
 asljlTe6scAuZHEeOC2F+TMkQPk3KwPeQFsaAFYcBNqHtv/PQDZvstDF4aUOcfJbyQtm
 KLGc8EcgdeBwNUdZ+xBF0nxMKXTWXlQ/Ad95z4DDXSBSLZaUU/MOzzuoDitbUuCEO+TQ
 t+G0O3qC4n0Fc9SAzq8+bZsXsXrf0t9XNX8o4oTNGDqiqZVjDJSTtiuop9xzHeVh9Iss
 5TPzSudoxy/g9uUipFHYykI5/k/pRSXH7nj1FIyZq7MUDc5CYFsBd7VnunTmkGF2ShPZ
 ugIA==
X-Gm-Message-State: APjAAAXt4ZYoL4gDinNqLRf1H+/XR6bKY0RMQp/b9t5Ju1cdG7Oe5rhL
 LX5DpPqOCZcrKt/jZwuUGXzYKsKDH9E=
X-Google-Smtp-Source: APXvYqxr76o+wwQrRewLUA+5vkSYmgjWiPb+rU39zHY2J+q55jb2s8LsoF6DxcU7VKMYGzQn3koRaw==
X-Received: by 2002:a7b:c148:: with SMTP id z8mr4981239wmi.168.1566377707291; 
 Wed, 21 Aug 2019 01:55:07 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:06 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:03 +0200
Message-Id: <20190821085455.18508-9-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/web.scm (http-parser)[arguments]: Set CC and AR variables in
Makefile in order to fix cross-compilation.
---
 gnu/packages/web.scm | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 9f80c404d4..06b3778be2 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -35,6 +35,7 @@
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2019 Hartmut Goebel <h.goebel@HIDDEN>
 ;;; Copyright © 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5240,10 +5241,22 @@ into your tests.  It automatically starts up a HTTP server in a separate thread
        #:make-flags
        (list (string-append "PREFIX="
                             (assoc-ref %outputs "out"))
-             "CC=gcc" "library")
+             "library"
+             ,@(if (%current-target-system)
+                   '()
+                   '("CC=gcc")))
        #:phases
        (modify-phases %standard-phases
-         (delete 'configure))))
+         ,@(if (%current-target-system)
+               '((replace 'configure
+                    (lambda* (#:key target #:allow-other-keys)
+                      (substitute* (find-files "." "Makefile")
+                        (("CC\\?=.*$")
+                         (string-append "CC=" target "-gcc\n"))
+                        (("AR\\?=.*$")
+                         (string-append "AR=" target "-ar\n")))
+                      #t)))
+               '((delete 'configure))))))
     (synopsis "HTTP request/response parser for C")
     (description "This is a parser for HTTP messages written in C.  It parses
 both requests and responses.  The parser is designed to be used in
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 12/61] gnu: cmake: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:10 +0000
Resent-Message-ID: <handler.36477.B36477.156637772724741 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772724741
          (code B ref 36477); Wed, 21 Aug 2019 08:56:10 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:27 +0000
Received: from localhost ([127.0.0.1]:34583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOt-0006Qr-53
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:27 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:37970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOh-0006Nc-WE
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:16 -0400
Received: by mail-wm1-f65.google.com with SMTP id m125so1280166wmm.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=2krCJLit+1UiRIYhchssO6oCwDpYGq03kWH7mdQah2I=;
 b=lKs0FCsMCiTAL97qCX/gE1b8Uc7jM/tj8dv+E8I2UGmQwa6TmWekInZW1YP11Q7QS5
 jVTZvddl8NvRD66DMESf5Rze61qhBa+Nt3q94sfmkQ+YQediX9NBUaKYMHDMFfMhPtfJ
 qDsiH5wInziq9z6z9VjRKP8n9DS7U+NUXFf3ZiVpvX4DBDKjw0vOFPAGuEhAEwT6uxrE
 yAsGcEMtB1BrLVbOVHyxx63XCpo+CudI2dG74BfC49R/dsaSiemi97fZyZ5m5uY/eZou
 y58zjv0dhVxiL3+mYYKyGRyKIrW0CD94uROJ7Rp0Opmn/deaWhusYG7OZDAoMWDtWeWq
 joIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=2krCJLit+1UiRIYhchssO6oCwDpYGq03kWH7mdQah2I=;
 b=X03ECSve4cWgG8V58P8xriFoBUutG4EmnVv7ESGRZPctjSTuFDY631vxIKV0q8IBzb
 E3zpP4qW4e+LxnScSlwHA9SrD98ZX6NbpBt7KERZc8ECTvme1mis7Zmo0kZkmY0OgKvL
 2vYhGA4wr6VVIe/Tu5Yr3VB5yZyBuPe8hzzrhBIlYI65HT2uLstByRQEkoCxtsJvN23k
 D5E/rPBTjtj1zN4a74FBgnbmFNSb74Hmk244KG/vRrpmwnVI0LFafgYNWlw/0g/6S+jP
 E9VHvk1hFD8G9AK2+5Q6az2pKnz8AB184pV9lx9fP/UQ3O9pRJ3AYdPOUcgoac5G3LI6
 RcdQ==
X-Gm-Message-State: APjAAAVg05o06jVfqdxFJQhJAYfHQBVVf0MpemVGk+gfb1WJF/XylnR1
 35YpG49KCEGNoCyBU5EAJ5hmQDf1FO8=
X-Google-Smtp-Source: APXvYqzXjiOt/CZXrlyRAJEvF3Zr4dtKzWvx3DdbJ11hJfv4rlYcQzqCZcUm8LdvW+AMNuUYgYm42A==
X-Received: by 2002:a7b:cd17:: with SMTP id f23mr4854881wmj.177.1566377709953; 
 Wed, 21 Aug 2019 01:55:09 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:09 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:06 +0200
Message-Id: <20190821085455.18508-12-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/cmake.scm (cmake-minimal-cross): New package.
* guix/build-system/cmake.scm (default-cmake): Add new target argument and use
it to select cmake-minimal or cmake-minimal-cross.
(lower): Pass target to default-cmake.
---
 gnu/packages/cmake.scm      | 8 ++++++++
 guix/build-system/cmake.scm | 9 ++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 1d8d829ec5..9bf0273f00 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -207,6 +207,14 @@ and workspaces that can be used in the compiler environment of your choice.")
     (outputs '("out" "doc"))
     (properties (alist-delete 'hidden? (package-properties cmake-minimal)))))
 
+(define-public cmake-minimal-cross
+  (package
+    (inherit cmake-minimal)
+    (name "cmake-minimal-cross")
+    (native-search-paths '())
+    (search-paths
+     (package-native-search-paths cmake-minimal))))
+
 (define-public emacs-cmake-mode
   (package
     (inherit cmake)
diff --git a/guix/build-system/cmake.scm b/guix/build-system/cmake.scm
index ca88fadddf..aa0f4187ec 100644
--- a/guix/build-system/cmake.scm
+++ b/guix/build-system/cmake.scm
@@ -43,16 +43,19 @@
   `((guix build cmake-build-system)
     ,@%gnu-build-system-modules))
 
-(define (default-cmake)
+(define (default-cmake target)
   "Return the default CMake package."
 
   ;; Do not use `@' to avoid introducing circular dependencies.
   (let ((module (resolve-interface '(gnu packages cmake))))
-    (module-ref module 'cmake-minimal)))
+    (module-ref module
+                (if target
+                    'cmake-minimal-cross
+                    'cmake-minimal))))
 
 (define* (lower name
                 #:key source inputs native-inputs outputs system target
-                (cmake (default-cmake))
+                (cmake (default-cmake target))
                 #:allow-other-keys
                 #:rest arguments)
   "Return a bag for NAME."
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 13/61] gnu: libgit2: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:11 +0000
Resent-Message-ID: <handler.36477.B36477.156637772824753 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772824753
          (code B ref 36477); Wed, 21 Aug 2019 08:56:11 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:28 +0000
Received: from localhost ([127.0.0.1]:34586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOt-0006R0-GC
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:27 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:39459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOi-0006Ng-Qa
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:17 -0400
Received: by mail-wm1-f68.google.com with SMTP id i63so1281323wmg.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=bL8zYmAD1yBkH1onvChCQJY1hH5op4qwj4Xz/0COPDI=;
 b=Jwg1dR5rvna2tltrgH7iXnHYynz1BbZ7ELV4y0SD0BJ53wtUn9GbtTLMviFqNSPMpf
 s+IrbfDRq6d/1g0cxgmPFYEmjCIIrJXkswTgFKPTKtjNXtWEhKNQdGP9ZdtZUMtkYkW9
 DNK6CQTQRQcmnXl0xIhTU0r6xYUaNOICpAq4QMIdddMNytYsS511HJ1Qja0X6gwv3lhu
 GT+nSdrOCnFzqke7JOxp9LnzdBCFspYqZ8CmPa5duG0sL40qT8bmlfSm+luie8grLHPH
 ejCeUFyMe0a3yjCm4HLaNvStbVIAu+aRinMRYeHdI964FkOVNSmp6ZEELJ6162aDe3Ib
 PmoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=bL8zYmAD1yBkH1onvChCQJY1hH5op4qwj4Xz/0COPDI=;
 b=HvmJqugiFeyxFA8zT0TBMY7EXdcBZiJwXXx7NKWiJdjaYW1tvUrZjd3D7pHTo2ePrX
 /RqrSQmSO1S1d+c22OMRJZzrPBaHwvvBuzaT6Gxjozv29GFvmcyZw9zLsjDDFIyQwfPq
 wDOTqfy222/m1i3oIfiqsyKkoEtW7Kdla6GGVsax71WHMmi/yuaUPz37DFYw6trbs/8j
 VlZjv+WuWK+3oY95XbaB37aiTTe4Qcn2pcDAKWQc5fz0SoYV6RptWXCQRvA765idusjh
 tKh3s+yRZim/CHDUFlHrLbZ8a2mzimUd5PTIeTctBeR5hbBgchiKD2ayZL4SY0TpYcrk
 rK3Q==
X-Gm-Message-State: APjAAAWjOlVigmYjUZ3FTny+vKVTHeGjiH20nimIYGTNylymQkdoKUIh
 UhFHpI3hCPYF7RMZYSFji8W9xGjlLmc=
X-Google-Smtp-Source: APXvYqwbn1aJKeseeM+mSzmNKYwl7aX1PY/hbTRyKYhHr0Qudaz6fDroEdc4HMRPy1UTDso3L4jUzA==
X-Received: by 2002:a05:600c:254a:: with SMTP id
 e10mr4982513wma.113.1566377710869; 
 Wed, 21 Aug 2019 01:55:10 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:10 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:07 +0200
Message-Id: <20190821085455.18508-13-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (libgit2)[arguments]: Set
PKG_CONFIG_EXECUTABLE variable when cross-compiling.
Also do not run test suite if cross-compiling.
---
 gnu/packages/version-control.scm | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index e83b1d95e3..0bc882d3d3 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -545,7 +545,14 @@ everything from small to very large projects with speed and efficiency.")
     (build-system cmake-build-system)
     (outputs '("out" "debug"))
     (arguments
-     `(#:configure-flags '("-DUSE_SHA1DC=ON") ; SHA-1 collision detection
+     `(#:configure-flags
+       (list "-DUSE_SHA1DC=ON"  ; SHA-1 collision detection
+             ,@(if (%current-target-system)
+                   `((string-append
+                      "-DPKG_CONFIG_EXECUTABLE="
+                      (assoc-ref %build-inputs "pkg-config")
+                      "/bin/" ,(%current-target-system) "-pkg-config"))
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-hardcoded-paths
@@ -560,9 +567,13 @@ everything from small to very large projects with speed and efficiency.")
            (lambda _
              (for-each make-file-writable (find-files "."))
              #t))
-         ;; Run checks more verbosely.
+         ;; Run checks more verbosely, unless we are cross-compiling.
          (replace 'check
-           (lambda _ (invoke "./libgit2_clar" "-v" "-Q"))))))
+           (lambda* (#:key (tests? #t) #:allow-other-keys)
+             (if tests?
+                 (invoke "./libgit2_clar" "-v" "-Q")
+                 ;; Tests may be disabled if cross-compiling.
+                 (format #t "Test suite not run.~%")))))))
     (inputs
      `(("libssh2" ,libssh2)
        ("http-parser" ,http-parser)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 14/61] gnu: ath9k-htc-firmware: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:11 +0000
Resent-Message-ID: <handler.36477.B36477.156637772824762 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772824762
          (code B ref 36477); Wed, 21 Aug 2019 08:56:11 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:28 +0000
Received: from localhost ([127.0.0.1]:34588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOt-0006R8-Us
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:28 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:43125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOj-0006No-Hx
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:18 -0400
Received: by mail-wr1-f45.google.com with SMTP id y8so1218485wrn.10
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=sgCeLeS09yIFwm186WeFnTjgtZGx8y50FJmSrL0RZ4Q=;
 b=WdkgtLD6JD4JPV0zWaLGMSjFWuQPspveoD6tPWhEQfwjql5M9C+QPzEkregq14JaH9
 hNH+Jz3YZQOX48Vy31ESDy80YngMy9BCgigDOddjb5EhIjZdWiCYQsqqlA/2ScA/hzvo
 1HCQ4aim+gz23noEp6R2h5z/wh9707Yf3Tw/nrVDoUtbiXdWYuvfAMaAsuZocy9dSOg8
 kKI2JViyU9ZhzmESdG311ow3PPl6CMGkt9m4YscOTFYcoLzSv+OI9Xj8mkt+dVSrgeB6
 Th7kIh8KXm5U61Kc6VyN8Zurgz7ozN999rGJR54YvgWFfZtP71/6YQI5aC4Ks1zprqww
 iWdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=sgCeLeS09yIFwm186WeFnTjgtZGx8y50FJmSrL0RZ4Q=;
 b=UsnknfTUcuZuoYZYwPb8LhWf3JThGyZ/G2V5QN4/4vPkuFdih6GqhhxQwCmBBdY6Oo
 rGppntqO+S/BFZhejUiA1lfM8L4QsXXaEW4M0UhSqKmz/NGeWzEtoaMY7Wju350N8ogI
 1kIvSSuaySEqew1laJNOvBWFSepwf1BPmTThL0PGU8m/tNJOTb2YjbJ4DB8z7cKOAUai
 YJ1Lvthy/iC5COnsUsc5NRXUTuRKpcvrI3iUTdM+fppgWe/3Ipao8suKSgH1ZPx81nIP
 PSmtxTsfA8ppadtmOPn8dQ10ia4XY3YWMOv/S5bgoegAuuMbXozCU8bnPu/llQIXaLuA
 1nVQ==
X-Gm-Message-State: APjAAAXNDjqKvzubmccw1wW3dPISplD2BvwNYBBTbIMTh8NGJN1VhQGf
 Pbt7XOSSYymLD11FNgbUMFwZAM+v2go=
X-Google-Smtp-Source: APXvYqzo5dvtX+ULCC250Xjv0uVkOzqk2Y3NSfb43Gdk/Uo//ru0gUH9fK5P3dyQm4qpKLVrLDMgWw==
X-Received: by 2002:a5d:6ccd:: with SMTP id c13mr33271343wrc.4.1566377711723; 
 Wed, 21 Aug 2019 01:55:11 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:11 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:08 +0200
Message-Id: <20190821085455.18508-14-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]: Search for
"cross-gcc" in native-inputs and inputs in "configure" phase.
---
 gnu/packages/firmware.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index c473ccd920..3104d78b39 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2017, 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Vagrant Cascadian <vagrant@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -59,7 +60,7 @@
      '(#:phases
        (modify-phases %standard-phases
          (add-before 'configure 'pre-configure
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
              (chdir "target_firmware")
 
              ;; 'configure' is a simple script that runs 'cmake' with
@@ -67,7 +68,7 @@
              (substitute* "configure"
                (("^TOOLCHAIN=.*$")
                 (string-append "TOOLCHAIN="
-                               (assoc-ref inputs "cross-gcc")
+                               (assoc-ref (or native-inputs inputs) "cross-gcc")
                                "\n")))
              #t))
          (replace 'install
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 15/61] gnu: libpaper: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:12 +0000
Resent-Message-ID: <handler.36477.B36477.156637772924774 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772924774
          (code B ref 36477); Wed, 21 Aug 2019 08:56:12 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:29 +0000
Received: from localhost ([127.0.0.1]:34590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOu-0006RL-Ck
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:28 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:50341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOk-0006Nt-Ia
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:18 -0400
Received: by mail-wm1-f52.google.com with SMTP id v15so1275963wml.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=FpUnuchbxyVlymMBi/NyjT79xs73gDV9grRHfTdoRn0=;
 b=iTxefzu0VrdWsUSppH0jvqI+WOBKnstvAejI7IXYRubNBm/dZEHcwGNi4RB1Feo0/y
 hyQKGO7fOBPkxRHq8wAT+R1BJFxWs6mbytkN8KrV8awoHnMJw3lbhDRqeH0XQCzYdl/n
 12ZI0n1oqaU0/HpKmKNspPWgsxGjzjAI2sBORtY8i/8CCK/nR7+vaHjHEk28E7FXAhdv
 OQ3sO/xEwu+o5bmIqWNA3x14APeaEYR7wMX8nDYqjoxS98jM840cTy6gY3qBRcVtwgI3
 i2dybXdNkVF0neee/X+xldFk9vW7i7iCb/X21CWu1aIOEgX50WAZhxUZkb8kNpDWhQpQ
 a/oQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=FpUnuchbxyVlymMBi/NyjT79xs73gDV9grRHfTdoRn0=;
 b=J8JdgbL1wuAZVv9GbWo0m4oercV11nyj3vEgiK9yBLJTHuOK8sLebL6O1Uj/91YWMj
 zILh9mj8hJdOjJ8DNGVnAvjOxkz1KEKiweon90owY+NGXQZ6Vi3XqHd30eELJRBVOhkj
 LkYL/1+/+t8RI4NGmUv4zr3pOgzTgK4XUZTXeUqSLsFYwQQK/MyTST1S0vgChpZSuknj
 eUJ0UoIPHqEejlA3f3NPl/aK2gj+flX3Dgl10MskIt9b1N5IQ3kRZZNYObjOVR8XpE9V
 Hd96TwOvj81WAJ9Ir9EE01XP/IlkQv4gicqosJ1y+IYDRE0iZrTxWwjvJGK2R8jH0Q5L
 IjZQ==
X-Gm-Message-State: APjAAAU7PlxhhmIVkZCpv5spuLzaJuhkJwmlIJPKKtThk57QBYohf0IY
 /XzWXyGFVLcJ/p6SkPWWBaZXig7eJmI=
X-Google-Smtp-Source: APXvYqw36JtxSgkLKUcc8j7zxhsYTjgIhfeYIE/AlKkUbl39h/eNtmZVDA7ahxyK52/aSGYPIDC4Kg==
X-Received: by 2002:a1c:cb01:: with SMTP id b1mr4860686wmg.69.1566377712571;
 Wed, 21 Aug 2019 01:55:12 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:11 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:09 +0200
Message-Id: <20190821085455.18508-15-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/ghostscript.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 817104cde1..e6879eada9 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -84,6 +85,24 @@ Consortium standard (ICC), approved as ISO 15076-1.")
             (sha256 (base32
                      "0zhcx67afb6b5r936w5jmaydj3ks8zh83n9rm5sv3m3k8q8jib1q"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (for-each (lambda (file)
+                        (install-file
+                         (string-append (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                      '("config.sub" "config.guess"))
+            #t)))))
    (synopsis "Library for handling paper sizes")
    (description
     "The paper library and accompanying files are intended to provide a simple
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 16/61] gnu: groff: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:12 +0000
Resent-Message-ID: <handler.36477.B36477.156637772924783 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637772924783
          (code B ref 36477); Wed, 21 Aug 2019 08:56:12 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:29 +0000
Received: from localhost ([127.0.0.1]:34593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOv-0006RX-0c
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:29 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:34945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOl-0006O0-Js
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:20 -0400
Received: by mail-wm1-f41.google.com with SMTP id l2so1296690wmg.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=AYy2xdDFblvGkydZn87xDzeDAfE1IxayksRmTcyJE2g=;
 b=PEzMcvzoW3jk5NvUKwLPKCRarQqAPEIh10fgHjsBTbVRLMOznHXRiNHLyjWSxCIsCD
 dd5xaRP5In/iCmUW1dk0TUP+UMQDBe9LmVbt9dmUK46q+HbTMlSB94kMSF3x8kHknDLE
 /YNbaE1GeebzMRMWWrtyyAVt3Z9KfxDRTDgmzJLhpaCfkfQy9WZVBbtZ15s+1bOX127r
 2zn/dqMcgQ+vkU/zIXDVFYWLaaIQcpVQJ0tpoaLaBggcB08S6XTKOk3WLhQzP4zA3U8H
 5gsjh18acNVa9RwwnLqJVWGAlzB/zTVOzQaWRAzjXjGuEwzmiOiUSyoWjta1sW68sGVr
 1BaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=AYy2xdDFblvGkydZn87xDzeDAfE1IxayksRmTcyJE2g=;
 b=sGBUUMiNPUjgkCXkXI+7BCUczq5ePc+qtz1Ab4OC6mMxcKMwcvYTaNq2hF7bdSVdvu
 FCQfaELZR1rOL02icZinC/Zv+0PpETSFB39RuVJa6EyX0intJDu3ugwBZ0Ms4C6FLEc6
 h/D2k2iEqBPX/S1mdYEdBfYaQOb5Y08PqaZtA+lpM2DiVoI3hTq6fG+kT6wRNOHHA6bl
 M6zRAsy7UoG+oPOxWM4OmKLIxDcAa34vpBoP3MLjZyw7uBA9qo6He0sy1j8RD4nEprXE
 I/OIz5eMNTi3CVg14xDvm1GhwGJQj07bETAFxp1x9BZ5pW9NU3+JRb5sk6sRgAnakIPR
 c6Rg==
X-Gm-Message-State: APjAAAVSEV/cXQFxRlUCOuA6FUrhBPhMOKg5qFw+m2OA+BSzDhn4PsAm
 vL+WfYThpDBGsRB8JNQOc0wtcXRZkG8=
X-Google-Smtp-Source: APXvYqwJYNg6mjc1CHIbucg7izppjkuU811FlAX6iti79OK0r79aPnvVG4SaUQur5bQJo6CkKD2jPQ==
X-Received: by 2002:a1c:6a0b:: with SMTP id f11mr4365830wmc.87.1566377713592; 
 Wed, 21 Aug 2019 01:55:13 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:12 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:10 +0200
Message-Id: <20190821085455.18508-16-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/groff.scm (groff)[arguments]: Replace build phase to pass
GROFF_BIN_PATH and GROFFBIN variables when cross-compiling.

Also add native groff as a native-input when cross-compiling.
---
 gnu/packages/groff.scm | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/groff.scm b/gnu/packages/groff.scm
index 98f17914bf..65b661cd79 100644
--- a/gnu/packages/groff.scm
+++ b/gnu/packages/groff.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2017 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2019 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2019 Eric Bavier <bavier@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -55,7 +56,13 @@
    ;; from 'inputs'.
 
    (inputs `(("ghostscript" ,ghostscript)))
-   (native-inputs `(("bison" ,bison)
+
+   ;; When cross-compiling, this package depends upon a native install of
+   ;; itself.
+   (native-inputs `(,@(if (%current-target-system)
+                          `(("self" ,this-package))
+                          '())
+                    ("bison" ,bison)
                     ("perl" ,perl)
                     ("psutils" ,psutils)
                     ("texinfo" ,texinfo)))
@@ -94,7 +101,33 @@
           (lambda _         ;see https://savannah.gnu.org/bugs/index.php?55461
             (substitute* "Makefile.in"
               (("^docdir =.*") "docdir = @docdir@\n"))
-            #t)))))
+            #t))
+	,@(if (%current-target-system)
+              '((replace 'build
+		  (lambda* (#:key
+			    make-flags parallel-build?
+			    native-inputs target #:allow-other-keys)
+		    ;; When cross-compiling, native groff is needed, see:
+		    ;; http://www.mail-archive.com/bug-groff@HIDDEN/msg01335.html
+		    (let ((parallel
+			   (if parallel-build?
+			       `("-j" ,(number->string (parallel-job-count)))
+			       '()))
+			  (flags
+			   (if target
+			       (let ((groff (or
+					     (assoc-ref native-inputs "groff")
+					     (assoc-ref native-inputs "self"))))
+				 (append
+				  make-flags
+				  (list
+				   (string-append "GROFF_BIN_PATH=" groff)
+				   (string-append "GROFFBIN=" groff
+						  "/bin/groff"))))
+			       make-flags)))
+		      (apply invoke `("make" ,@parallel ,@flags)))
+		    #t)))
+              '()))))
    (synopsis "Typesetting from plain text mixed with formatting commands")
    (description
     "Groff is a typesetting package that reads plain text and produces
@@ -115,7 +148,8 @@ is usually the formatter of \"man\" documentation pages.")
     ;; Omit the DVI, PS, PDF, and HTML backends.
     (inputs '())
     (native-inputs `(("bison" ,bison)
-                     ("perl" ,perl)))
+                     ("perl" ,perl)
+                     ("groff" ,groff)))
 
     (arguments
      `(#:disallowed-references (,perl)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 17/61] gnu: texinfo-5: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:13 +0000
Resent-Message-ID: <handler.36477.B36477.156637773024791 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637773024791
          (code B ref 36477); Wed, 21 Aug 2019 08:56:13 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:30 +0000
Received: from localhost ([127.0.0.1]:34595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOv-0006Rg-Hr
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:29 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:45415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOm-0006O9-KI
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:21 -0400
Received: by mail-wr1-f65.google.com with SMTP id q12so1206359wrj.12
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=es9BRObLoWioI/AWfF7/GGHzFdl9mwL4f5ZylXuG+dQ=;
 b=nxGVbwmz1nSZrddEkDzjtjUaQJ0B0fe3brNAEVqGpPzO4bwxqvIWy8MaX4tlOilJk1
 uX1XGDJPeJ47kD2U2DtABRk6CaURBGBpVISHMQgd4xRw7etn1olMJ8mcr2Y5WCkL4YfT
 +z0DdnXaWTvWN1FQaw5stJwVi+sGmQkyrA2SJo5g3NR+FRGlAkRFknckbf7U4n+OSk4x
 LPJZ0aVGDwRmApgBfwO6qgek/m192RJhR0m5AJ4YYhzcj/O2HNuuxUjscIszExA2MNDA
 F6+Ald9FRNgbFyFVWXuClulByRmGnhkWQ9uEyjoZdpGo64Z5PS3euNnWj7W2pZeGu7GC
 8I/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=es9BRObLoWioI/AWfF7/GGHzFdl9mwL4f5ZylXuG+dQ=;
 b=tlMvB2gXxDWt1i4tgn1P/Jqpu/y8sqfkB7YZRP0Ys26t9n2su0z80zp50UqDFxGUbf
 YPhTQQWFzQVfO7bnaHjpntrHbgi4ywhLiV6ikAKmGm1JrsL/W1fSN3xSzanPoAJ38wjA
 y2KA4mH5OjBGYDGUm4/SRoeQ/EPWMLdLM5Tqwj7CQvSY42iENAv6ZGQtbV0xiBgYEaIy
 bg1Rl/j6IKR4BNoIa/dSTJzxbTOV2+ad2bCnARI4DQTxICgur12R4I8RV94gvuU0xcnC
 XuwWs2KJETBb5FmEyZll8cYK0LW0/VYm0KBi/hGDpD1OndDXyov6O7iNMUxtHkL7Kk5J
 pPfQ==
X-Gm-Message-State: APjAAAW6WyPoaUoLavEQp0f8CG5oYB4dpFH/Ar0a5SK0Vrq4cAM9XO3x
 FM2Z2viVTSh5ciqn80RKtY7equtQbo8=
X-Google-Smtp-Source: APXvYqxQ7xasv4MWVuSTskJP6BlY6pmJq7izTlrjwqa+s+6r9fKH8wSeB2GryjtxwUcwgIEcTLISdw==
X-Received: by 2002:a5d:500c:: with SMTP id e12mr20119630wrt.213.1566377714419; 
 Wed, 21 Aug 2019 01:55:14 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:13 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:11 +0200
Message-Id: <20190821085455.18508-17-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/texinfo.scm (texinfo-5)[native-inputs]: Keep
native-inputs from inherited package texinfo.
---
 gnu/packages/texinfo.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index c93c7fc353..19f87a4de9 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014, 2016 Eric Bavier <bavier@HIDDEN>
 ;;; Copyright © 2015 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -91,8 +92,7 @@ is on expressing the content semantically, avoiding physical markup commands.")
               (patches (search-patches "texinfo-5-perl-compat.patch"))
               (sha256
                (base32
-                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))
-    (native-inputs '())))
+                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))))
 
 (define-public texinfo-4
   (package (inherit texinfo)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 19/61] gnu: indent: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:13 +0000
Resent-Message-ID: <handler.36477.B36477.156637773024809 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637773024809
          (code B ref 36477); Wed, 21 Aug 2019 08:56:13 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:30 +0000
Received: from localhost ([127.0.0.1]:34598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MOv-0006Ro-Us
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:30 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:36765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOn-0006Od-P4
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:22 -0400
Received: by mail-wr1-f53.google.com with SMTP id r3so1245382wrt.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=0DhDfoKs88JRKglYSHLbr9HEnQd+9MqcLH8Wt9D9A9A=;
 b=rJRMByk6vEPz8dRqhD/zFvmRSMZeSTl1jxKkChYIsFiOiRmp51uvPr0IRE4T4x/2BF
 rPXcCufBOvBgxhfbXxXROgj6i0Z/rNbKbdOg3VmzTWUv6F6yB0PEhhYfG8wXaTx5tOu/
 GAXHdQkH9ekytkaIOYJVmPb0sCGHAk6OvSsGw0AwNjCscnIZpLN4hNyrTFk7uFi7siy5
 CWZMl+zX4ztxbGp3dU5EWs7SaLiRCzUjGeU++BeLLB28IrrHzHihyU7c4U1aUed4qZT7
 XebDH0NJZRcJfFFwNnzPAKcUH9LSwP1vxbY0eljLsSx5AHylrGMaljLih5ySjukfFb4P
 BjkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=0DhDfoKs88JRKglYSHLbr9HEnQd+9MqcLH8Wt9D9A9A=;
 b=IuAyplLt5DYWszLAdA9flndpn35gfTorZWYr20YdqEMiZJMc0zAWj36u8X3AYY/uuY
 Psz8xgIxAlxqE8mIFAiK/40veLkjmo5WWyMINMRTOR3oKu765H4v10Jk/vFkj7TlpmtW
 UdTJGKbtungBBTZG+WKARnhNeGd3WqdZhWP2X8XVvxE1VfRCwm1pe41SJV4IDuMd+ofa
 xEmJywzaAdyt0cqGKDnZMHl54h4CmSmgStGuf1kKX0NSYyM+XImOLL46+tpnERK+4I9t
 aGbhcAncco44rIKz2Q7qshpagX/BwGSYQZlpC2K40Vm70Vzt8ycMXnOLy60LiVaA0IPB
 Nadw==
X-Gm-Message-State: APjAAAUswC0Qs4+NOTqWnXYLVRy77ebHK0+u0USxnzV/5pxRcjCDJrln
 DVqaO22Nk+K2jDpY8qdmBXgkDUobuo0=
X-Google-Smtp-Source: APXvYqw4VNYTYSmCACFPUV4bcAWfY3PG2A/2ilpXuHgM5yInVMECsTFJiewNJJvlivyoJPc/SOmCrg==
X-Received: by 2002:a5d:664a:: with SMTP id f10mr39971088wrw.90.1566377715853; 
 Wed, 21 Aug 2019 01:55:15 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:15 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:13 +0200
Message-Id: <20190821085455.18508-19-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/code.scm (indent)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
(indent-2.2.12)[native-inputs]: Inherit from indent native-inputs to keep
automake that is added above.
---
 gnu/packages/code.scm | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/code.scm b/gnu/packages/code.scm
index 13e2c4ad44..50d6870bc7 100644
--- a/gnu/packages/code.scm
+++ b/gnu/packages/code.scm
@@ -29,6 +29,7 @@
 
 (define-module (gnu packages code)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
@@ -644,9 +645,24 @@ the C, C++, C++/CLI, Objective‑C, C#, and Java programming languages.")
             ;; overrides this to be in PREFIX/doc.  Fix this.
             (substitute* "doc/Makefile.in"
               (("^docdir = .*$") "docdir = @docdir@\n"))
+            #t))
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (with-directory-excursion "config"
+              (for-each (lambda (file)
+                          (install-file
+                           (string-append (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                        '("config.sub" "config.guess")))
             #t)))))
    (native-inputs
-    `(("texinfo" ,texinfo)))
+    `(("texinfo" ,texinfo)
+      ("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
    (synopsis "Code reformatter")
    (description
     "Indent is a program that makes source code easier to read by
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 20/61] gnu: libsamplerate: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:14 +0000
Resent-Message-ID: <handler.36477.B36477.156637775324990 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775324990
          (code B ref 36477); Wed, 21 Aug 2019 08:56:14 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:53 +0000
Received: from localhost ([127.0.0.1]:34622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPF-0006U2-KU
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:52 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:54900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOo-0006Oy-Q3
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:23 -0400
Received: by mail-wm1-f45.google.com with SMTP id p74so1257686wme.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ceFcdaDwBHOsv9Uvv/0eEfLc+9li3sKy4GjKCWzRXVs=;
 b=LIN0ybhfRVyZvAeIjqZViKj1KXYMAo648wQwoGtuUOUcnOAM2Mz3gwbehu6irjgR0M
 BeeLX14c/rZyEfkE2WZ+eQAgUU0tX8O2IOP/ICtvnih0v7TM60NzvD+P1T8HfNsjtCBZ
 T0J41Qe6kJDqg8w6//A2KxVLnN7DmJ6x2FnS7TmOkf24CahYGFcw6YnNxd26d+UDh0BK
 RUL8UqO2JBS4bSlOTcZX0rXNg+owO+YgMae2axUJVv8+fK4yuZdK5gsh1oolqJCFjpKK
 4wSEzOefzZ/AYjO+8FUZ5CVLYXbIbZdE+7LC3d6fXehTj/zWvIF3GH6NQLAZLsyQMLnw
 j/WA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ceFcdaDwBHOsv9Uvv/0eEfLc+9li3sKy4GjKCWzRXVs=;
 b=PtOIZirvelDBF7QiWCV2iSGFscAWmJBDDpjoiuSq57/TZqYNGgvev7zcMLajEPg1UL
 FeqdDtgWoL//hT9L/BrYhBNAdLHh/pNmHWaNaWPm4sWC4RZNF0C/YS6pf8yyBOi2CBd9
 CR8nNF+l18lUUAYHS8LtZvHjm9KkRierBTqcKBvl9g4AxIeQIXTi9JVprOm2zmS/ztyq
 h8Zd9EhWoVO4O1ZUmAU8GCZrG5/WuoR9/sAJ3up3uD2pNPYFRVjAn31eG1/EExDBVa0c
 LkdNLuoM1DkFIX/VlZwkF2fv17h3PIPoeOs7QJb3W3cbXNVOt4yperTJef66+Sh6bOqB
 kuLw==
X-Gm-Message-State: APjAAAXBpQXN6Tj4nZSoyqX2OWBuVRx7FM8XNfRIpUOVSOj26VDSd6eX
 3y3M9+e7Bj8pmJkcyEbBMBTD8XY2nNA=
X-Google-Smtp-Source: APXvYqzc9YlK8/RXNoKMx9CQ3rJy6IADtEH3Ry2EIwzzng/1QgfErdYxofJhLu6A7DII9PzOguDz4w==
X-Received: by 2002:a05:600c:2486:: with SMTP id
 6mr5042145wms.80.1566377716694; 
 Wed, 21 Aug 2019 01:55:16 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:16 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:14 +0200
Message-Id: <20190821085455.18508-20-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/pulseaudio.scm (libsamplerate)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/pulseaudio.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pulseaudio.scm b/gnu/packages/pulseaudio.scm
index ff4049d707..89773d8be2 100644
--- a/gnu/packages/pulseaudio.scm
+++ b/gnu/packages/pulseaudio.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -29,6 +30,7 @@
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
+  #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix l:)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
@@ -102,10 +104,28 @@ for reading and writing new sound file formats.")
                "1ha46i0nbibq0pl0pjwcqiyny4hj8lp1bnl4dpxm64zjw9lb2zha"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (propagated-inputs
      `(("libsndfile" ,libsndfile)
        ("fftw" ,fftw)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (with-directory-excursion "Cfg"
+               (for-each (lambda (file)
+                           (install-file (string-append
+                                          (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                         '("config.sub" "config.guess")))
+             #t)))))
     (home-page "http://www.mega-nerd.com/SRC/index.html")
     (synopsis "Audio sample rate conversion library")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 21/61] gnu: mit-krb5: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:14 +0000
Resent-Message-ID: <handler.36477.B36477.156637775325003 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775325003
          (code B ref 36477); Wed, 21 Aug 2019 08:56:14 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:53 +0000
Received: from localhost ([127.0.0.1]:34627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPI-0006Uz-PG
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:53 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:54213)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOp-0006PL-Ig
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:23 -0400
Received: by mail-wm1-f65.google.com with SMTP id 10so1267638wmp.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=De++9S1SNkkGhsD5x5ogCQfRcLmeZvaAGpJMAmP8d7U=;
 b=ZzPbKr7qZz3Y7BgqvVptvDwt7GMitMDIw5EDeWaxd6F+jKyocx+sAL5JzLLCAw5erI
 uVOF60T0xRy1QdQ112AN4XjlHpm76FJfM5sb0+FrzXCo/ssNlrxIFVGMFGTrV8fmtbhm
 clM+cYOay5wWW4e3w/qJNU1lW/Ufpsfg02SUKciYPvDFyXEdxiuieo++81yc0VSpK1xH
 2Ta4VnLcfLugFiHgZBkLoZCvYdQ7R9QmjhnvPp3IM7tmyqVK7ULIwmpqtAYARhfhPQJq
 aftP/nHWtfznLFn1+PEYVTB85GQ/SMBoYX6OBMpbwchGeBfnKix1FjPKwK9PlbqYzakJ
 MCbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=De++9S1SNkkGhsD5x5ogCQfRcLmeZvaAGpJMAmP8d7U=;
 b=fRe1PmTXomxEganSyfWX61ji83m9NvXUfXQ08zyUa4Q48QEhWb+3U0AuWAE+SKEjtA
 REPNVDFtX2tg/gKhF1b1Ru5hvO/L0f6upHZX9zq5jnL+Mr4+725Dlkqmb+98be88I/FA
 NGt3YZUVAWTx4foQzE25Z1GJuoJ/mPGFZkpFeJtXQ7zQHuX5mnJ+WwBCIkY8JsvEk29z
 Umiu7yb6dyZq4o8vtpQ7cmLP/V0ptScIZUYHq1L/ZO/XLDyE5FrmUdMhqSvJx+gdUf49
 S6CehK8AHKFXSQooCMV73grLpbMrxrOcKPWZaixwn36L/PwG5rpFDuhp5uVYiufr+A7a
 0W8w==
X-Gm-Message-State: APjAAAWIvoNuSgd0ScQuN3WOYUDLnkWbhmhR2eWiysO/M9pWN9UH7gQ4
 5KWX81BWpYnflX8mGL0jh9ycC/X8UyA=
X-Google-Smtp-Source: APXvYqy/CqT79nl3rZq4Njf464ucAOOZs4UiPdBozlcWuMUy2Zee71KjEBxuLnkRnpjRwQUCGfA24g==
X-Received: by 2002:a1c:45:: with SMTP id 66mr4712115wma.40.1566377717676;
 Wed, 21 Aug 2019 01:55:17 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:16 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:15 +0200
Message-Id: <20190821085455.18508-21-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable tests when
cross-compiling. Add cross-compilation specific configure-flags and
make-flags. Search for perl in native-inputs or inputs.
---
 gnu/packages/kerberos.scm | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 1253a58546..bf344ce8ce 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Alex Vong <alexvong1995@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -68,9 +69,21 @@
        ("perl" ,perl)))
     (arguments
      `(;; XXX: On 32-bit systems, 'kdb5_util' hangs on an fcntl/F_SETLKW call
-       ;; while running the tests in 'src/tests'.
-       #:tests? ,(string=? (%current-system) "x86_64-linux")
+       ;; while running the tests in 'src/tests'. Also disable tests when
+       ;; cross-compiling.
+       #:tests? ,(and (not (%current-target-system))
+                      (string=? (%current-system) "x86_64-linux"))
 
+       ,@(if (%current-target-system)
+             '(#:configure-flags
+               (list "krb5_cv_attr_constructor_destructor=yes"
+                     "ac_cv_func_regcomp=yes"
+                     "ac_cv_printf_positional=yes"
+                     "ac_cv_file__etc_environment=yes"
+                     "ac_cv_file__etc_TIMEZONE=no")
+               #:make-flags
+               (list "CFLAGS+=-DDESTRUCTOR_ATTR_WORKS=1"))
+             '())
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'enter-source-directory
@@ -78,8 +91,8 @@
              (chdir "src")
              #t))
          (add-before 'check 'pre-check
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((perl (assoc-ref inputs "perl")))
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (let ((perl (assoc-ref (or native-inputs inputs) "perl")))
                (substitute* "plugins/kdb/db2/libdb2/test/run.test"
                  (("/bin/cat") (string-append perl "/bin/perl"))
                  (("D/bin/sh") (string-append "D" (which "sh")))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 22/61] gnu: cyrus-sasl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:15 +0000
Resent-Message-ID: <handler.36477.B36477.156637775425016 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775425016
          (code B ref 36477); Wed, 21 Aug 2019 08:56:15 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:54 +0000
Received: from localhost ([127.0.0.1]:34630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPJ-0006VE-C6
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:53 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:54215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOq-0006PR-EB
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:24 -0400
Received: by mail-wm1-f66.google.com with SMTP id 10so1267673wmp.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KkT1K4V0Sv2ZMoakBnb3DurRc6mK7Xt3/G9M48Xo3ok=;
 b=uysokTu1eRrUdskawCcCdzNQrOO86hBOPo/HeAMuTKmTC5w+9Qr88likfpYv/e6C6F
 cEGG4LGFd4clUN6Xdopxb2XhtDjq5lWVyUqA4xyqQyWcQK9R3Wr6WSMR7UFakRhXduv9
 E9mmkiFAeOY9zpB1AgQssFxHGJ+zNo6dIn55yQELCuNhi8E+K2WZDTucyldAkQ+Sz9IF
 FIvDW8JjZaZaRSCdPCiKp2W+HGGI+gk7UjIUm//zQ/C7aAuTIbK5jRGHMKJ60cGDZGtC
 LcS9346dZwLrbfop4pzaIaIEk7kSHLa33IzEqKN0+xR1eA4PpY+1qkV9x2Yb0jcWqCvz
 VQLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KkT1K4V0Sv2ZMoakBnb3DurRc6mK7Xt3/G9M48Xo3ok=;
 b=JweTCJYRKobB3eIoQAA7sU0wHXK08WYtV/noZhlxVVp7Ornhr8RBEIbUypxPWiIN+s
 i64eQoCaVr7cW/I51sjDGLiKioTHKhtsSbVEDxlcV3uNVYZMetV9PaO3Wg2Q/Ak63Wdc
 Atw+VL7pPpxhlgmZHCk3zdo7aQUVkNmA4G0uEqCBxLXjoIGokDWVKDTSMIai+rorJzzP
 X2bUpW2bMvD634xa5fpNed7OPkWe+e0op9qM54Mf9yJjGNxSdPQQf0L1fi/d0oaeK06A
 5xuXW38U/544Sjas/lfl5+ClRcCGBCuZYlcQ1ylnmTIIgnKnI3wwFk25BiDCFTLQCKsm
 7gcw==
X-Gm-Message-State: APjAAAWKORO5EMixkRxF9Qh4uQ4TZImMWx1OfIfyPwejQ+bc3g6SfIlN
 x76E9LHOY5bVnVnEh4Mo2ZF4tM5tXlE=
X-Google-Smtp-Source: APXvYqzRoyoDDkselbMarMcf1hxRfNHLK+lE+nPed7WIgwm9zra4qEcXvddh49Lr4j3mIvq8gncBaw==
X-Received: by 2002:a1c:3d89:: with SMTP id k131mr4389255wma.24.1566377718498; 
 Wed, 21 Aug 2019 01:55:18 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:17 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:16 +0200
Message-Id: <20190821085455.18508-22-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/cyrus-sasl.scm (cyrus-sasl)[origin]: Apply it.
[native-tools]: Add autoconf, automake and libtool.
[arguments]: Run autoconf to apply m4 modification in patch above.
---
 gnu/local.mk                                    |  1 +
 gnu/packages/cyrus-sasl.scm                     | 17 +++++++++++++++--
 .../patches/cyrus-sasl-ac-try-run-fix.patch     | 12 ++++++++++++
 3 files changed, 28 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index de0170ee5f..74f09ba42b 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -750,6 +750,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/cube-nocheck.patch			\
   %D%/packages/patches/cursynth-wave-rand.patch			\
   %D%/packages/patches/cvs-CVE-2017-12836.patch		\
+  %D%/packages/patches/cyrus-sasl-ac-try-run-fix.patch		\
   %D%/packages/patches/darkice-workaround-fpermissive-error.patch	\
   %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbus-c++-gcc-compat.patch		\
diff --git a/gnu/packages/cyrus-sasl.scm b/gnu/packages/cyrus-sasl.scm
index f84136e631..3e65a1faf6 100644
--- a/gnu/packages/cyrus-sasl.scm
+++ b/gnu/packages/cyrus-sasl.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2013, 2014, 2015, 2017 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2013 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright © 2016 Leo Famulari <leo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +21,7 @@
 
 (define-module (gnu packages cyrus-sasl)
   #:use-module (gnu packages)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages kerberos)
   #:use-module (gnu packages tls)
@@ -41,8 +43,13 @@
                         "ftp://ftp.cyrusimap.org/cyrus-sasl/cyrus-sasl-"
                         version ".tar.gz")))
             (sha256 (base32
-                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))))
+                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))
+            (patches (search-patches "cyrus-sasl-ac-try-run-fix.patch"))))
    (build-system gnu-build-system)
+   (native-inputs
+     `(("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)))
    (inputs `(("gdbm" ,gdbm)
              ("openssl" ,openssl)))
    (propagated-inputs
@@ -57,7 +64,13 @@
       ;; 'plugin_common.c'.  When building the shared libraries there, libtool
       ;; ends up doing "ln -s plugin_common.lo plugin_common.o", which can
       ;; fail with EEXIST when building things in parallel.
-      #:parallel-build? #f))
+      #:parallel-build? #f
+
+      #:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'autogen
+          (lambda _
+            (invoke "autoreconf" "-vif"))))))
    (synopsis "Simple Authentication Security Layer implementation")
    (description
     "SASL (Simple Authentication Security Layer) is an Internet
diff --git a/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
new file mode 100644
index 0000000000..8662e812e9
--- /dev/null
+++ b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
@@ -0,0 +1,12 @@
+--- a/m4/sasl2.m4	2018-11-18 22:33:29.902625600 +0300
++++ b/m4/sasl2.m4	2018-11-18 22:33:59.828746176 +0300
+@@ -339,7 +339,8 @@
+ ],	
+ 	[ AC_DEFINE(HAVE_GSS_SPNEGO,,[Define if your GSSAPI implementation supports SPNEGO])
+ 	AC_MSG_RESULT(yes) ],
+-	AC_MSG_RESULT(no))
++	AC_MSG_RESULT(no),
++    AC_MSG_RESULT(no))
+   LIBS="$cmu_save_LIBS"
+ 
+ else
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 23/61] gnu: help2man: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:16 +0000
Resent-Message-ID: <handler.36477.B36477.156637775425029 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775425029
          (code B ref 36477); Wed, 21 Aug 2019 08:56:16 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:54 +0000
Received: from localhost ([127.0.0.1]:34633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPJ-0006VQ-V4
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:54 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:51260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOr-0006PU-9w
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:25 -0400
Received: by mail-wm1-f67.google.com with SMTP id k1so1278004wmi.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=E/uVmeSqkz+XJvAwbv59fabx1fqmQQ6s8kjeSqfBf5U=;
 b=pVAEz6/YeSXEI8/tx60L2aTlXjxaA1HvCjOED6wtVCNBVYaJgZ0KxBzeUpP0x6xCXb
 Gp4/dqDhnC1r1NIS0IcHAhSlB79a7xT2K3PQFM9pMFOmX73Io5zGU1mlVxdTJs/ms+/n
 JzcVLEo1Q0eRPhq77z6cuFW+UMD6ZfTL/OOcxjh3lVe9hep+v1oNl/JpWZ5XGaZX40A5
 T0bKwt0yPWtM3jSUiRtc4UwvbdL+nsvd+uvjQYMRbL5ZGdfyOPEtBueshhKjhD7tbJYO
 BxBAm9CtscrWa94yJbdzgfeqqY4NVyGXsOVW0hmf8J0xrkoNOVgRSujOAKbXo/Hq2Zqw
 Dshg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=E/uVmeSqkz+XJvAwbv59fabx1fqmQQ6s8kjeSqfBf5U=;
 b=eWEXNPxTnXC/Azg8JftS9t3ZvziWMqby2ZCDH9fvCs57+f50CiI7OAjzuooI+tsnqk
 6C+kry0ZbViaZ+QcYl1RA4DNhZ9B0/sAP0L5bhhV4Z+pEP7sWIevrB4QBNdsxM0/wwg2
 SPe6S2Vs4IIQoKFC7HEaZOIteQucIHI+e+oec74wrwnkkGr+qg7yDQrbr8iwPwf/xmkX
 uu3/1IiAQ4DZjWXTOiYZ3ryVZAWNXaEqElaeFXDTjL8We7IkLvhLvoZYV79UEKcbd6uZ
 0NAxGp76GRQPhKw3tQ52EqEYvH3bmczEZODDqBGGOWe21N3p7hl8RtAfWVvYHaUAq6p4
 KwQw==
X-Gm-Message-State: APjAAAX3WV2cKmw4gG7cxUhKGqnlzkdyCjSK31S3xX+XjMam6WXkSe3o
 5oGduYicUzT2uF3iIw9kSQI9DPh5zTg=
X-Google-Smtp-Source: APXvYqy9GMFKTWsG6LaEwqpKsNHPXdnw2SuaaKd1g0kymEiM9/Lr2tOM//lSE2+LUxSgkZgVVIzOjA==
X-Received: by 2002:a1c:1f4e:: with SMTP id f75mr4612235wmf.137.1566377719433; 
 Wed, 21 Aug 2019 01:55:19 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:18 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:17 +0200
Message-Id: <20190821085455.18508-23-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/man.scm (help2man)[native-inputs]: Add perl.
---
 gnu/packages/man.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm
index d6005c1bd3..003ca370d4 100644
--- a/gnu/packages/man.scm
+++ b/gnu/packages/man.scm
@@ -216,6 +216,8 @@ Linux kernel and C library interfaces employed by user-space programs.")
        ;; ("perl-LocaleGettext" ,perl-LocaleGettext)
        ;; ("gettext" ,gettext-minimal)
        ))
+    (native-inputs
+     `(("perl" ,perl)))
     (home-page "https://www.gnu.org/software/help2man/")
     (synopsis "Automatically generate man pages from program --help")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 24/61] gnu: xmlto: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:16 +0000
Resent-Message-ID: <handler.36477.B36477.156637775525036 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775525036
          (code B ref 36477); Wed, 21 Aug 2019 08:56:16 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:55 +0000
Received: from localhost ([127.0.0.1]:34635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPK-0006Ve-C7
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:54 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:39473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOs-0006Pf-Aj
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:26 -0400
Received: by mail-wm1-f68.google.com with SMTP id i63so1281789wmg.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=NxurnwCHwVy4LfVTbNpLC9Pzc2y8ksRDCm1rqVQEQn0=;
 b=Xa7Hu3LckvCMSYIwvrU3WdT6TTdCFLGgXiKHfwp/cYiDbyl3HUv3/S83ycEi3GLcYf
 /s6MBDdmEO3JmacrmIm5vWZz6HXtdyfloy8zokQ4uROCOeB5DILrJXtQCVpc2TTiLNjP
 hQMGB3KUPIrtv+cWeP4UebUhGVlNBOFRqlWBn32nToGtZMl7jNstXmpqT+qp9/rpNVwI
 Yl07n+hfzkrILb3piq/Xzn+5GBu3FleKL1tWNrQBE2IBNwgUNJGWghINLDmPfxTiiksU
 cLMrWwUlK3oR9e4zxPAsRjbUHHwxHrQLW3h6pbq/qfN/TBEioOP8SpXu71H+4mJy4pxF
 bogg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=NxurnwCHwVy4LfVTbNpLC9Pzc2y8ksRDCm1rqVQEQn0=;
 b=ccZByfPe6omfuD8IGxTgWUyfkZMWHqGvVc3oXcpHr1ExRx8D5xe/3K0b6UT4jvc9Hs
 zlGNNPKcyk1A+F8nHUhz4V7hN/8W8YQ9dBHREy9t7GWcXhpLbBWN1vz7j4PwyX0D7EGo
 vZpc/hIgo2I8pOIcI0zWSrktHBtlr2reBudJJgIW5CU7+wn4iVDxT882Ko3Ta2g7R2Hc
 t08mv78lBlve89Ik7tTw9vBGUqggUwiodmoDST0J6XXURNnMmbHziO//0M3MH0LymlRV
 wJy7O/MsljOhoAupyrlGW69Gg7x7mqt4Kp1TEwRYtU9sW/0RUuLlqCU7HGUqL8diYlar
 UyjQ==
X-Gm-Message-State: APjAAAWVJfOQLQzPS1IC4CtYlXmNXCJlrwPECBcA1TMFLS7Nigc9tcEc
 Af4/2NSep86zzYe9POk+WGhFGGd2BOs=
X-Google-Smtp-Source: APXvYqwKekXLNjNcqNz1DERIyGmBGaYTIRIyXkC6n3r6YgZ3FC6zOO9ZKqd7489xepYb0ayPSmvj5A==
X-Received: by 2002:a1c:cb01:: with SMTP id b1mr4861543wmg.69.1566377720451;
 Wed, 21 Aug 2019 01:55:20 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:19 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:18 +0200
Message-Id: <20190821085455.18508-24-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xml.scm (xmlto)[native-inputs]: Add util-linux.
---
 gnu/packages/xml.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index ffe81fa68b..485faeb8ae 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -927,6 +927,8 @@ code for classes that correspond to data structures defined by XMLSchema.")
                                               (assoc-ref %build-inputs
                                                          "util-linux")
                                               "/bin/getopt"))))
+    (native-inputs
+     `(("util-linux" ,util-linux)))
     (inputs
      `(("util-linux" ,util-linux)                 ; for 'getopt'
        ("libxml2" ,libxml2)                       ; for 'xmllint'
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 25/61] gnu: libarchive: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:17 +0000
Resent-Message-ID: <handler.36477.B36477.156637775525051 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775525051
          (code B ref 36477); Wed, 21 Aug 2019 08:56:17 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:55 +0000
Received: from localhost ([127.0.0.1]:34638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPK-0006Vl-U1
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:55 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:37437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOt-0006Ph-89
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:27 -0400
Received: by mail-wr1-f47.google.com with SMTP id z11so1243177wrt.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=FDshpS0AGzzPYlh+byrPPr0rsDhFuT/t6QZf7DVLjvw=;
 b=ejxn7g1yHWUfYyKfSkzdD1cIgiSgqmwH7wUgoAztSzdscAtdB3u4Q/3OcrJJiUg18k
 o/FRS2b+VB9I6xiUchzgoSUT88Mmdrpo+WuTbC5nadhlTpqfWBXojHM3bXGxXzVLL/Jj
 ltAcqg0G4yiS/ZVYuYbfJ7VgWYD/wYysjM0RD7TkP8Lpc/Z2JtzeFlmOHqmrW3O9tbaq
 zH/pMtS11c+DtBCSnLIjqty+H7c4R7psBb2i2hAPo3w58ivHHxIdjoaI4ex6d0TRqBfR
 bE8uzjyKoeUyOlPDx66hTPUzBB6CQPamQYpEI+HqcOaBYMYPsj5ns+iU9EtDYFaVZHu4
 38MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=FDshpS0AGzzPYlh+byrPPr0rsDhFuT/t6QZf7DVLjvw=;
 b=T06IgWVj8bmUGwDfvneXs8gsXBbQfwO1/Hc4VzjvclhGZ4R26sRUrOFG62o3KewaCH
 CI/rQFtqyfc4qVN4BITM7QY0tD+s/xo9e1XKGvWbkMQrEGgNWs5tScEQH8DYjAZxYZTo
 iEJv1DGbj2MO/PiC0RF9k2p3YPyOMFBhRbxLr31tKIDU2klmYxLJd4wGqLJ8eogDesRw
 YySheZIxkCelmtOPjp6NkTPGo0WN6eO3uB0nde0HyepAp3BCRrWr7OzIrrcEHYpljaEd
 wSwYsnahusTtxyj3jtJPsfeJdwhW2LRuM1hIXQXhCJCNyhRHcH28EwJKP2T7K//f1JCG
 NiEw==
X-Gm-Message-State: APjAAAVgEoAXSKHxYQ5CJWNAq6lg3ntofyajDF5/X1kW8zovbYOO7r1A
 Al8+BdIleIu34s4bXMoC8zYsXpzYiIE=
X-Google-Smtp-Source: APXvYqwZ5ZAiwZoieIY7UUz3DpeLJPLIYZ7qiQQYFMKBe5JwEMmMr712EKL0RN2/rymVtZaAY5BtKg==
X-Received: by 2002:a5d:4f81:: with SMTP id d1mr39736889wru.177.1566377721350; 
 Wed, 21 Aug 2019 01:55:21 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:20 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:19 +0200
Message-Id: <20190821085455.18508-25-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/backup.scm (libarchive)[arguments]: Do not build and run tests
when cross-compiling.
---
 gnu/packages/backup.scm | 47 +++++++++++++++++++++++++----------------
 1 file changed, 29 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/backup.scm b/gnu/packages/backup.scm
index a92c8c9aca..512882c17c 100644
--- a/gnu/packages/backup.scm
+++ b/gnu/packages/backup.scm
@@ -14,6 +14,7 @@
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2019 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -230,24 +231,34 @@ backups (called chunks) to allow easy burning to CD/DVD.")
                (("/bin/pwd") (which "pwd")))
              #t))
          (replace 'check
-           (lambda _
-             ;; XXX: The test_owner_parse, test_read_disk, and
-             ;; test_write_disk_lookup tests expect user 'root' to exist, but
-             ;; the chroot's /etc/passwd doesn't have it.  Turn off those tests.
-             ;;
-             ;; XXX: Adjust test that fails with zstd 1.4.1 because the default
-             ;; options compresses two bytes better than this test expects.
-             ;; https://github.com/libarchive/libarchive/issues/1226
-             (substitute* "libarchive/test/test_write_filter_zstd.c"
-               (("compression-level\", \"6\"")
-                "compression-level\", \"7\""))
-
-             ;; The tests allow one to disable tests matching a globbing pattern.
-             (invoke "make" "libarchive_test" "bsdcpio_test" "bsdtar_test")
-             ;; XXX: This glob disables too much.
-             (invoke "./libarchive_test" "^test_*_disk*")
-             (invoke "./bsdcpio_test" "^test_owner_parse")
-             (invoke "./bsdtar_test")))
+           (lambda* (#:key (tests? #t) #:allow-other-keys)
+             (if tests?
+		 ;; XXX: The test_owner_parse, test_read_disk, and
+		 ;; test_write_disk_lookup tests expect user 'root' to
+		 ;; exist, but the chroot's /etc/passwd doesn't have
+		 ;; it.  Turn off those tests.
+		 ;;
+		 ;; XXX: Adjust test that fails with zstd 1.4.1
+		 ;; because the default options compresses two bytes
+		 ;; better than this test expects.
+		 ;; https://github.com/libarchive/libarchive/issues/1226
+                 (begin
+                   (substitute* "libarchive/test/test_write_filter_zstd.c"
+		     (("compression-level\", \"6\"")
+		      "compression-level\", \"7\""))
+
+		   ;; The tests allow one to disable tests matching a globbing pattern.
+		   (invoke "make"
+			   "libarchive_test"
+			   "bsdcpio_test"
+			   "bsdtar_test")
+
+		   ;; XXX: This glob disables too much.
+		   (invoke "./libarchive_test" "^test_*_disk*")
+		   (invoke "./bsdcpio_test" "^test_owner_parse")
+		   (invoke "./bsdtar_test"))
+                 ;; Tests may be disabled if cross-compiling.
+                 (format #t "Test suite not run.~%"))))
          (add-after 'install 'add--L-in-libarchive-pc
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 26/61] gnu: tcsh: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:17 +0000
Resent-Message-ID: <handler.36477.B36477.156637775725063 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775725063
          (code B ref 36477); Wed, 21 Aug 2019 08:56:17 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:57 +0000
Received: from localhost ([127.0.0.1]:34640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPL-0006W0-GT
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:55 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:37990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOu-0006Po-9p
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:28 -0400
Received: by mail-wm1-f68.google.com with SMTP id m125so1280865wmm.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=66OiDMWgfX+B6XMekB3nYbPolx3K7tC8SPcmTdUsp64=;
 b=WvNU/3xaeHqmUvFuG1MHUcyUL1L5QLiI8d1MbHscV2TwXhtO+sCsjBlixW0IHPMJVw
 2eFzIutElGAjk+0AlL0vuUjLGAVKVTR7YJn3nWs23IOOR33w9iDNN87uPHJypWkyuVBx
 LRgZOKJuRzfyFWFIWvsZX7UItc3A1FnUYKiAnxwAkk0UuPQiK0oFYHsMFStWh7ATPFxf
 InhuM6TEyk+7JvBpz6ZGfOq5HHWTdPOLT/Hfz/AyLIJUNoL4ZQmBGKy2zYTO8g/vtoXi
 XCiyIGjEAJNZA9zB+QZOzv7DSDKSOU7P+C5gMGZfpLFh4XJ4a15xIBiE64zLV7Hf05wf
 pBAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=66OiDMWgfX+B6XMekB3nYbPolx3K7tC8SPcmTdUsp64=;
 b=lErvdGrZJHIjTax2GpRDYSeTsyK3zvXeGVaj8moYQwQrQkJJlgDHQ9egpxW4zdw5RU
 03r2sEeFVBGKRgmpZPAmlMV+uDWebw+NeBp6S9ldpFVomYNZqtiOoMdY5W3eVCSIxSwP
 GF2Wf+sqlF2dSjUx1bsQE4rbJnq2u8RyGR4GkZsZHyv4LF0xhVrH3mh1W3SjEBxDO3X5
 NOFIADFsX5pj4NspATNF0S4Nq+EzBRsxPAlsJGcCXjcOzovmD1fDqzcLijO6b0AcMZ4d
 u3otkck0QsWq/+FjR8qjmR5Ds7lLkhwjEdwnLKU4AG9Gp6DCR1b3oGiPtmusAz7eiaCE
 pGwg==
X-Gm-Message-State: APjAAAU1tk0yF88m6fTI6AZOU3Tilz7i2zh1F7oy7YwtDk1x0qzXhq3N
 Kxx8w0L7MWeONUcP5rTow3GPa3mEooo=
X-Google-Smtp-Source: APXvYqzCqy7q5BSYl6aeCTUg5Q4Qxwo70jYZo4Y5elMs9cJSBUUyGpaBCMg2c/0VBwCN5qSkDBXo9A==
X-Received: by 2002:a7b:c244:: with SMTP id b4mr4653854wmj.125.1566377722446; 
 Wed, 21 Aug 2019 01:55:22 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:21 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:20 +0200
Message-Id: <20190821085455.18508-26-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc" by "gcc" as
native gethost compiler when cross-compiling.
---
 gnu/packages/shells.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/shells.scm b/gnu/packages/shells.scm
index 0579c167fc..cf578151b4 100644
--- a/gnu/packages/shells.scm
+++ b/gnu/packages/shells.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2017 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright © 2019 Meiyo Peng <meiyo.peng@HIDDEN>
 ;;; Copyright © 2019 Timothy Sample <samplet@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -356,6 +357,14 @@ written by Paul Haahr and Byron Rakitzis.")
     (arguments
      `(#:phases
         (modify-phases %standard-phases
+          ,@(if (%current-target-system)
+                '((add-before 'configure 'set-cross-cc
+                     (lambda _
+                       (substitute* "configure"
+                         (("CC_FOR_GETHOST=\"cc\"")
+                          "CC_FOR_GETHOST=\"gcc\""))
+                       #t)))
+                '())
           (add-before 'check 'patch-test-scripts
             (lambda _
               ;; Take care of pwd
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 27/61] gnu: pkg-config: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:18 +0000
Resent-Message-ID: <handler.36477.B36477.156637775825084 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637775825084
          (code B ref 36477); Wed, 21 Aug 2019 08:56:18 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:55:58 +0000
Received: from localhost ([127.0.0.1]:34645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPN-0006WA-IN
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:58 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:54223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOv-0006Q1-L6
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:30 -0400
Received: by mail-wm1-f67.google.com with SMTP id 10so1267895wmp.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=i+cRoVHaPZfvZWWv6NanxhZ6jLleIkdTA2WbQE26ZA4=;
 b=RpP0zK7IbWoQCRGSHfgyB4UpmSsqlTq9Ie7FP3wtIiJNI22aAHDlBhLldayo5tmcgI
 i1Hqk0l+2HrVxytaWrrEx8SHh1Bu7ZIkPyif3wlfPyPiWcaHCl8froGl+9UClW+VLNkW
 wD6NHIJhOGVwjqt4ZLFExXTXu3gJ4Ajn8Bu5zmK3uSe6Dr/RWoof7lBxgsJppTJQuyaD
 1RVsiVjVckmszB/F254orLJa5IvKSpH4FIHKMRWwd9UN9ye5McaGQnz+24qsr+zyHbEC
 btm556Gvy4NaZZpCVmkYgGcvnS+h+oaal+KFa3Q3/dzC2ZZUuCC/UgOjSVwHiOwqf4YB
 RaOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=i+cRoVHaPZfvZWWv6NanxhZ6jLleIkdTA2WbQE26ZA4=;
 b=Qflqw0V0fTOlJlly4YwtxnS+2MaJbbJB7vtJd27w1bq1+iIsJZLEGg2HJSFgy85hjn
 eC+YzVtTJmnoViBwYIu0def1JuFgGC2NHdp3B37fkXCDpN9ipBoPdJJQeSYANX7tWj+K
 dKQyp3uneYWiW0ZM1Uufrhu9hmnHI1DrAa5u0Lai1DPAGTjbtI+0nIeyzYhleS3kdCtx
 EXU/XYbvbEqBuOMlomE5Yw9mExMmN6Y/RgvDghRisLx1ry3NlkE3zzbEvRtvYgXmFR/l
 7xJ3XkUxRx3lCvHPF1dr9Qv5kVTnAXi5Cttx0G5qBUBTxvjDqwZbPoTvkWtcJ217sBZ/
 H8Qg==
X-Gm-Message-State: APjAAAUx/uCLjEaQ21nPwyk0sWMDRf3BDB5mPku5vwDq4boW/P/DzkVy
 rScu2X3fwtn0U7VLDmDabPBYT8W7I8A=
X-Google-Smtp-Source: APXvYqyntmxTHGTFIpmg8lh6402fqZC0M5s6uY8aEIG60klNAinEzgLjlWHG9FRYdnjPTa0OUaVTSg==
X-Received: by 2002:a1c:ed04:: with SMTP id l4mr4898306wmh.81.1566377723702;
 Wed, 21 Aug 2019 01:55:23 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:22 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:21 +0200
Message-Id: <20190821085455.18508-27-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add configure-flags
to disable tests that fail when cross-compiling.
---
 gnu/packages/pkg-config.scm | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pkg-config.scm b/gnu/packages/pkg-config.scm
index 6fc19a975d..329a63658a 100644
--- a/gnu/packages/pkg-config.scm
+++ b/gnu/packages/pkg-config.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2012, 2013, 2014, 2016 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -48,7 +49,17 @@
              (base32
               "14fmwzki1rlz8bs2p810lk6jqdxsk966d8drgsjmi54cd00rrikg"))))
    (build-system gnu-build-system)
-   (arguments `(#:configure-flags '("--with-internal-glib")))
+   (arguments
+    `(#:configure-flags
+      '("--with-internal-glib"
+        ;; Those variables are guessed incorrectly when cross-compiling.
+        ;; See: https://developer.gimp.org/api/2.0/glib/glib-cross-compiling.html.
+        ,@(if (%current-target-system)
+              '("glib_cv_stack_grows=no"
+                "glib_cv_uscore=no"
+                "ac_cv_func_posix_getpwuid_r=yes"
+                "ac_cv_func_posix_getgrgid_r=yes")
+              '()))))
    (native-search-paths
     (list (search-path-specification
            (variable "PKG_CONFIG_PATH")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 18/61] gnu: bc: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:18 +0000
Resent-Message-ID: <handler.36477.B36477.156637776625173 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637776625173
          (code B ref 36477); Wed, 21 Aug 2019 08:56:18 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:06 +0000
Received: from localhost ([127.0.0.1]:34647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPO-0006WW-Ap
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:05 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:34562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOn-0006OR-Ci
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:30 -0400
Received: by mail-wr1-f65.google.com with SMTP id s18so1257462wrn.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=MD9krEgY+AZgWZV1P3gq0wPRTJouueHmApf72dK1F7k=;
 b=Bk9Bw19uAarIhqJnaF+M3vOetqJHmB5fLcCrxk3xYOyi6sqyZ/nLJJQJYmiiijBaT9
 zh2g5XkGf877iopknNjeiymOdBiUmFVKsFa+MAAvkYFPRrgisHs1Wu5EjLgpg2Vmohe9
 cZq04T88xhqCT6sfx65T3wuzT1jJjKoWJs48AuoflrDb6SjsO8xT0J2fBEFY+ArvX5so
 YzkVMxZwsW32HwXK77aGfpBt5NY1AZqvUGdX/Z5KC1y35D70JXNiPElflB77W/8LxxwX
 3Ppwyuh67YKPqodt164UgbcTkqGqsSh/NNa45dtX3ub8AroFOSPdnPB6p47TOW9/LVqH
 ZsaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=MD9krEgY+AZgWZV1P3gq0wPRTJouueHmApf72dK1F7k=;
 b=LHRBQCaId1UIHU6rfQtDQHTMGtJ14mOoY1LYyz/6T/Cz6O2Ix15/7zDkrHEk67cQnV
 x54KAXs3VTAPtXlEA+vyCNaf6QbriZT4C8ws9gr4hlQLAFjbvYetgK0JgkTLMjVphpix
 vUjgizBqwaTkueXsW2YlmcGtiJUijkG+FTv/TXO0xpd+0sYubN0QU2MmvGwP18y2lLNM
 RUND4iAXnGmzsAuwBZjIId3eozzJR54wSLVrVY5k/z7L6+txLGsDvVyrKM/ZwQ481ZnD
 IpsY/aEth9PdRWcyYr6AcFGALj5spV8muye9uM6sR1/1G7yaG9/odImK/bKp8+DJ552M
 plGg==
X-Gm-Message-State: APjAAAUqJqgra4QRw9aeupYYjRlwlpmL7PxQGdt4dcg0vyXos/D/JL8q
 mWoW/qRmNPPSXaKKNbSg6vsozxEHwQQ=
X-Google-Smtp-Source: APXvYqzHC65FdltF9XHcJ27hEwXItiSIq34erYENgzXXxnX9qrpkzj3DSESkEYULiaZWNWgQCpSB/g==
X-Received: by 2002:adf:f844:: with SMTP id d4mr40788457wrq.128.1566377715133; 
 Wed, 21 Aug 2019 01:55:15 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:14 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:12 +0200
Message-Id: <20190821085455.18508-18-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/bc-fix-cross-compilation.patch: New patch file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/algebra.scm (bc)[origin]: Apply it,
[native-inputs]: Add automake and autoconf,
[arguments]: Add a new 'autogen phase that is needed by the new patch.
---
 gnu/local.mk                                  |   1 +
 gnu/packages/algebra.scm                      |  15 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
 3 files changed, 184 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 07be1f205b..de0170ee5f 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -699,6 +699,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
+  %D%/packages/patches/bc-fix-cross-compilation.patch		\
   %D%/packages/patches/beets-python-3.7-fix.patch		\
   %D%/packages/patches/beignet-correct-file-names.patch		\
   %D%/packages/patches/benchmark-unbundle-googletest.patch	\
diff --git a/gnu/packages/algebra.scm b/gnu/packages/algebra.scm
index fb9e78bf92..2b43e5f2a8 100644
--- a/gnu/packages/algebra.scm
+++ b/gnu/packages/algebra.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright © 2017, 2019 Eric Bavier <bavier@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -681,15 +682,23 @@ binary.")
              (uri (string-append "mirror://gnu/bc/bc-" version ".tar.gz"))
              (sha256
               (base32
-               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))))
+               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))
+             (patches (search-patches "bc-fix-cross-compilation.patch"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("ed" ,ed)
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("ed" ,ed)
        ("flex" ,flex)
        ("texinfo" ,texinfo)))
     (arguments
      '(#:configure-flags
-       (list "--with-readline")))
+       (list "--with-readline")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'autogen
+           (lambda _
+             (invoke "autoreconf" "-vif"))))))
     (home-page "https://www.gnu.org/software/bc/")
     (synopsis "Arbitrary precision numeric processing language")
     (description
diff --git a/gnu/packages/patches/bc-fix-cross-compilation.patch b/gnu/packages/patches/bc-fix-cross-compilation.patch
new file mode 100644
index 0000000000..14dfecdbde
--- /dev/null
+++ b/gnu/packages/patches/bc-fix-cross-compilation.patch
@@ -0,0 +1,171 @@
+Patch taken from nix.
+
+commit fdda59736ddc048cf38a2c7103f4f5d9eeaf995e
+Author: Ben Gamari <ben@HIDDEN>
+Date:   Tue Oct 17 10:51:34 2017 -0400
+
+    Try implementing cross-compilation
+
+diff --git a/bc/Makefile.am b/bc/Makefile.am
+index d9d412e..fdef633 100644
+--- a/bc/Makefile.am
++++ b/bc/Makefile.am
+@@ -17,6 +17,7 @@ MAINTAINERCLEANFILES = Makefile.in bc.c bc.h scan.c \
+ 
+ AM_CPPFLAGS = -I$(srcdir) -I$(srcdir)/../h
+ LIBBC = ../lib/libbc.a
++LIBBC_HOST = ../lib/libbc_host.a
+ LIBL = @LEXLIB@
+ LDADD = $(LIBBC) $(LIBL) @READLINELIB@
+ 
+@@ -29,12 +30,20 @@ $(PROGRAMS): libmath.h $(LIBBC)
+ scan.o: bc.h
+ global.o: libmath.h
++
++main_host.c : main.c
++	cp $< $@
+ 
+-fbcOBJ = main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o
++fbcOBJ = $(addsuffix _host,main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o)
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
+ 
+-libmath.h: libmath.b $(fbcOBJ) $(LIBBC)
++libmath.h: libmath.b $(fbcOBJ) $(LIBBC_HOST)
+ 	echo '{0}' > libmath.h
+-	$(MAKE) global.o
+-	$(LINK) -o fbc $(fbcOBJ) global.o $(LIBBC) $(LIBL) $(READLINELIB) $(LIBS)
++	$(MAKE) global.o_host
++	$(CC_FOR_BUILD) -o fbc $(fbcOBJ) global.o_host $(LIBBC_HOST) $(LIBL) ${READLINELIB} $(LIBS)
+ 	./fbc -c $(srcdir)/libmath.b </dev/null >libmath.h
+ 	$(srcdir)/fix-libmath_h
+ 	rm -f ./fbc ./global.o
+diff --git a/configure.ac b/configure.ac
+index fc74573..5cabb73 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -20,6 +20,7 @@ m4_define([dc_version], 1.4.1)
+ 
+ AC_INIT([bc],[bc_version])
+ AC_CONFIG_SRCDIR(doc/bc.1)
++AC_CONFIG_MACRO_DIR([m4])
+ AM_INIT_AUTOMAKE([dist-bzip2])
+ AC_CONFIG_HEADERS(config.h)
+ 
+@@ -35,6 +36,7 @@ AC_DEFINE([DC_COPYRIGHT],
+ 	  [Define the dc copyright line.])
+ 
+ AC_PROG_CC
++AX_CC_FOR_BUILD
+ AC_USE_SYSTEM_EXTENSIONS
+ 
+ AM_PROG_LEX
+diff --git a/lib/Makefile.am b/lib/Makefile.am
+index ec4bf59..c670f5b 100644
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -1,5 +1,5 @@
+ ## Process this file with automake to produce Makefile.in
+-noinst_LIBRARIES = libbc.a
++noinst_LIBRARIES = libbc.a libbc_host.a
+ 
+ AM_CPPFLAGS = -I. -I.. -I$(srcdir)/../h
+ 
+@@ -24,3 +24,11 @@ testmul: testmul.o number.o
+ 
+ specialnumber: newnumber.o
+ 	cp newnumber.o number.o
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
++
++libbc_host.a : $(addsuffix _host,$(libbc_a_OBJECTS))
++	ar cru $@ $+
++	ranlib $@
+diff --git a/m4/cc_for_build.m4 b/m4/cc_for_build.m4
+new file mode 100644
+index 0000000..c62ffad
+--- /dev/null
++++ b/m4/cc_for_build.m4
+@@ -0,0 +1,77 @@
++# ===========================================================================
++#     https://www.gnu.org/software/autoconf-archive/ax_cc_for_build.html
++# ===========================================================================
++#
++# SYNOPSIS
++#
++#   AX_CC_FOR_BUILD
++#
++# DESCRIPTION
++#
++#   Find a build-time compiler. Sets CC_FOR_BUILD and EXEEXT_FOR_BUILD.
++#
++# LICENSE
++#
++#   Copyright (c) 2010 Reuben Thomas <rrt@HIDDEN>
++#   Copyright (c) 1999 Richard Henderson <rth@HIDDEN>
++#
++#   This program is free software: you can redistribute it and/or modify it
++#   under the terms of the GNU General Public License as published by the
++#   Free Software Foundation, either version 3 of the License, or (at your
++#   option) any later version.
++#
++#   This program is distributed in the hope that it will be useful, but
++#   WITHOUT ANY WARRANTY; without even the implied warranty of
++#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
++#   Public License for more details.
++#
++#   You should have received a copy of the GNU General Public License along
++#   with this program. If not, see <https://www.gnu.org/licenses/>.
++#
++#   As a special exception, the respective Autoconf Macro's copyright owner
++#   gives unlimited permission to copy, distribute and modify the configure
++#   scripts that are the output of Autoconf when processing the Macro. You
++#   need not follow the terms of the GNU General Public License when using
++#   or distributing such scripts, even though portions of the text of the
++#   Macro appear in them. The GNU General Public License (GPL) does govern
++#   all other use of the material that constitutes the Autoconf Macro.
++#
++#   This special exception to the GPL applies to versions of the Autoconf
++#   Macro released by the Autoconf Archive. When you make and distribute a
++#   modified version of the Autoconf Macro, you may extend this special
++#   exception to the GPL to apply to your modified version as well.
++
++#serial 3
++
++dnl Get a default for CC_FOR_BUILD to put into Makefile.
++AC_DEFUN([AX_CC_FOR_BUILD],
++[# Put a plausible default for CC_FOR_BUILD in Makefile.
++if test -z "$CC_FOR_BUILD"; then
++  if test "x$cross_compiling" = "xno"; then
++    CC_FOR_BUILD='$(CC)'
++  else
++    CC_FOR_BUILD=gcc
++  fi
++fi
++AC_SUBST(CC_FOR_BUILD)
++# Also set EXEEXT_FOR_BUILD.
++if test "x$cross_compiling" = "xno"; then
++  EXEEXT_FOR_BUILD='$(EXEEXT)'
++else
++  AC_CACHE_CHECK([for build system executable suffix], bfd_cv_build_exeext,
++    [rm -f conftest*
++     echo 'int main () { return 0; }' > conftest.c
++     bfd_cv_build_exeext=
++     ${CC_FOR_BUILD} -o conftest conftest.c 1>&5 2>&5
++     for file in conftest.*; do
++       case $file in
++       *.c | *.o | *.obj | *.ilk | *.pdb) ;;
++       *) bfd_cv_build_exeext=`echo $file | sed -e s/conftest//` ;;
++       esac
++     done
++     rm -f conftest*
++     test x"${bfd_cv_build_exeext}" = x && bfd_cv_build_exeext=no])
++  EXEEXT_FOR_BUILD=""
++  test x"${bfd_cv_build_exeext}" != xno && EXEEXT_FOR_BUILD=${bfd_cv_build_exeext}
++fi
++AC_SUBST(EXEEXT_FOR_BUILD)])dnl
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 28/61] gnu: mkfontdir: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:19 +0000
Resent-Message-ID: <handler.36477.B36477.156637776625184 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637776625184
          (code B ref 36477); Wed, 21 Aug 2019 08:56:19 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:06 +0000
Received: from localhost ([127.0.0.1]:34660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPV-0006Y3-Ug
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:06 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:51266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOw-0006QH-II
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:30 -0400
Received: by mail-wm1-f68.google.com with SMTP id k1so1278257wmi.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=0ptBZb3n2bYaP2VzVC64s792fkyNqp7zY774lcQ3mXU=;
 b=blXaseuVCxkI7Mz9LaZH+6gz4IvvDQoAw7WZrQGyqzCYXkJDZLXquV0i+mWtaq75QB
 hry9YCVa1FCSeo8Z46KfMU0Mz8twfw9ntton/aG9TYC+7BICuWn3ywiKtmxJ6Orkkb1v
 lJNvdrRvYKRGAFk3pFtKU+Yk1jvv+pNB1/zkU2Z019lmi8rcbSD+wfppNZR5hXsZZSBs
 Lkn2XbIDR/jlAPASEO11UkTYm0/trGzAveL5tpbN8MFvUcYrxiE9xYxHcYzSlhLN1dTD
 baG6Ma0wwdpeVoHqq7weLS0XSfLN9i4YGBegEoNVKyq0ZK8pKXggR2J33AAGorU1QZbO
 1bBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=0ptBZb3n2bYaP2VzVC64s792fkyNqp7zY774lcQ3mXU=;
 b=kZnuT7EhZdR4matwpcHgKouZCoE9FFySpQAc/+YHLmLI7DwHY1nYBhE3Il3zvKn/l6
 13Mj3BPtWZSKrjayfMgqm9tedxy9h5BU8lTpyWfImqDVj1FFMplo1Pkos4TTDrUne8Cz
 PEPlqG3MTBfsn46hA5VSxgifBGQcPSMW9IFzlm6pnsC9Hw2bbTt2xb+0Hlv9QId03G0J
 6BKMePvXFYFcIbMXPJwv2cnmB2mCIMpVkFD0iAzEUBu2UXAi9oZmxin4fY8huS4uzsCj
 D5lOAj7+zv+t5E2jiYpcmqmhuuTatloj1/Pj7K8kPz5c/5KyFnHlldV9p5lNgy7v08Ks
 x8jQ==
X-Gm-Message-State: APjAAAXnxNGMmiuw4ag6kkIQhhyBu4dHVSRWukEjhOSVbygvRJHTzdKU
 r3/oHO7tFIz/RbNgLO0+n6gd4IwhTmQ=
X-Google-Smtp-Source: APXvYqyyfODyqYSCJX78daqyrcYEwazRYb/Za338+md9OwD9w4+PncyOAPVmGRDZsvjx18USU/SCIg==
X-Received: by 2002:a1c:45:: with SMTP id 66mr4712810wma.40.1566377724707;
 Wed, 21 Aug 2019 01:55:24 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:23 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:22 +0200
Message-Id: <20190821085455.18508-28-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/xorg.scm (mkfontdir)[arguments]: Replace outdated config.sub and
config.guess, by the ones taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/xorg.scm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index aa89dafe90..d4ea12be95 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2018 Benjamin Slade <slade@HIDDEN>
 ;;; Copyright © 2019 nee <nee@HIDDEN>
 ;;; Copyright © 2019 Yoshinori Arai <kumagusu08@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4742,8 +4743,21 @@ protocol and arbitrary X extension protocol.")
             "0c3563kw9fg15dpgx4dwvl12qz6sdqdns1pxa574hc7i5m42mman"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (for-each (lambda (file)
+                         (install-file (string-append
+                                        (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                       '("config.sub" "config.guess"))
+             #t))
          (add-after 'install 'wrap-mkfontdir
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (wrap-program (string-append (assoc-ref outputs "out")
@@ -4755,7 +4769,8 @@ protocol and arbitrary X extension protocol.")
     (inputs
       `(("mkfontscale" ,mkfontscale)))
     (native-inputs
-      `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (home-page "https://www.x.org/wiki/")
     (synopsis "Create an index of X font files in a directory")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 30/61] gnu: icu4c: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:19 +0000
Resent-Message-ID: <handler.36477.B36477.156637776925199 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637776925199
          (code B ref 36477); Wed, 21 Aug 2019 08:56:19 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:09 +0000
Received: from localhost ([127.0.0.1]:34662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPW-0006Y9-Fi
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:06 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:51267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOy-0006Qy-DX
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:32 -0400
Received: by mail-wm1-f67.google.com with SMTP id k1so1278325wmi.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=NFg6rLe41Vu+A3BWHTZt5cAsvwD5MY8+jVW7IoSdJo0=;
 b=tPCikRY5TQSFqYFFbW1zv5X9Mk2TTgQ7ocvywcGq3pEPpxlEHXSlJYM/YQSJSKvTVM
 HVtyaqw+2B/iCN25+XhwGSeq/hUNoaGOoiy7exfYNzUCofmO+37V1P99R24wPgg6wsCU
 1RsC45bnn7bfkr4Y6agrJT1FTdHGHRIBCa/LiEaUDD6A/BMRFUMS/4Htr0RiqyeIFrrh
 N4zdNil/FJak1iTPcn7BZAI1b5LQn9v+yW8r7iHdZy7xpHYAkiECKxjizEU181TZiwGX
 d0vjNES/DmwgXhDWg1LnD2OAy1kE/ivUzGfK5gBlRQf2uSwUCMOptyPAD4Bo/lu+ROWv
 3LYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=NFg6rLe41Vu+A3BWHTZt5cAsvwD5MY8+jVW7IoSdJo0=;
 b=nk0Hn6TQrJmmfgEtAVFbePOkdG3DdUkjZr2qgHSkGWI6nIdYdzMnTjRuiSwF23xcb1
 zgNG804eTCqmoYdo7pz7BXCjxwBLbX1XSaGCkMq5HkV+xBeg/UCnnkgQNkhUpADu27uy
 9qCgEiRX3L8QqmUOZcNA/EZWnA5OYYobD1wpOaBOFi62zYDhdRZwHQQuzPqwapzUIEGK
 10fZ2A4nRP1RLz0/UN57YL4h7yr8OvFzuVoiSaIlXMpjnw6lVsjkSyhkMNHjA493sQnX
 P7KknQSgODG32JR4Yo00CDl8bmoXoudVbYidvXJXlCzL5zJPFGqWKzvQVFJgrszNc89t
 6E+g==
X-Gm-Message-State: APjAAAUG8kHvHfeqiwYMF5Ej2TztfkQqHA1HlhkmyU6byF7JX9VHZWa8
 2ECCP1EfWYpBL8/jI283BvMNR4sMKUw=
X-Google-Smtp-Source: APXvYqxrQkejHh/bjvZWCL/f9V+g00BjfH44I4C7B/50p0/mdKqRLW7FmlEGVb9iQ3odo8hEI6SVUg==
X-Received: by 2002:a05:600c:228f:: with SMTP id
 15mr4486864wmf.160.1566377726458; 
 Wed, 21 Aug 2019 01:55:26 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:25 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:24 +0200
Message-Id: <20190821085455.18508-30-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/icu4c.scm (icu4c-build-root): New variable.
(icu4c)[native-inputs]: Add it.
[arguments]: Pass it as a configure-flag.
---
 gnu/packages/icu4c.scm | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/icu4c.scm b/gnu/packages/icu4c.scm
index 922dfbd348..c70871f7e7 100644
--- a/gnu/packages/icu4c.scm
+++ b/gnu/packages/icu4c.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
   #:use-module (gnu packages python)
   #:use-module (guix licenses)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix build-system ant)
   #:use-module (guix build-system gnu))
@@ -70,13 +72,23 @@
             (sha256
              (base32 "0v0xsf14xwlj125y9fd8lrhsaych4d8liv8gr746zng6g225szb2"))))
    (build-system gnu-build-system)
+   ;; When cross-compiling, this package needs a source directory of a
+   ;; native-build of itself.
    (native-inputs
-    `(("python" ,python-minimal)))
+    `(("python" ,python-minimal)
+      ,@(if (%current-target-system)
+            `(("icu4c-build-root" ,icu4c-build-root))
+            '())))
    (inputs
     `(("perl" ,perl)))
    (arguments
     `(#:configure-flags
-      '("--enable-rpath")
+      (list
+       "--enable-rpath"
+        ,@(if (%current-target-system)
+              '((string-append "--with-cross-build="
+                                (assoc-ref %build-inputs "icu4c-build-root")))
+              '()))
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'chdir-to-source
@@ -105,6 +117,25 @@ C/C++ part.")
    (license x11)
    (home-page "http://site.icu-project.org/")))
 
+(define-public icu4c-build-root
+  (package
+    (inherit icu4c)
+    (name "icu4c-build-root")
+    (arguments
+     (substitute-keyword-arguments (package-arguments icu4c)
+       ((#:tests? _ '())
+        #f)
+       ((#:out-of-source? _ '())
+        #t)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (copy-recursively "../build" out)
+                 #t)))))))
+    (native-inputs '())))
+
 (define-public java-icu4j
   (package
     (name "java-icu4j")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 29/61] gnu: alsa-utils: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:20 +0000
Resent-Message-ID: <handler.36477.B36477.156637777425285 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637777425285
          (code B ref 36477); Wed, 21 Aug 2019 08:56:20 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:14 +0000
Received: from localhost ([127.0.0.1]:34664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPZ-0006YN-Bw
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:14 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:50946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOx-0006Qb-Dy
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:35 -0400
Received: by mail-wm1-f66.google.com with SMTP id v15so1276604wml.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=F3NvvDW9Ba+hV+ShQRawJdoRDfPQfpydb4ccO2n2SlQ=;
 b=C/2a/NoTJrJrJh6FqDVJ7MiLW4JBTbhP3UN2jiY3AX1+pCzGjs0cNxo7XBzeK4mz6f
 q7B95aYLUFV8OLPLO7dGV+Uu6FNVYwrH5mCqr1yyx2bIcNlm/+GC2A3TNZZ/SUb+gz44
 P8JHbOrrkw1YwqrrQhClI6bydUIUXskBiBT+K+9uA0HSilkdmTHtVvpGY6By+cTDhwTg
 TxqAhBuQHgdFdTJJKeNGtrSEg3sbloBrOKq5JOhn3jKtsyop1JMK5XtOFp09M7kg2Go3
 +X2pvqhCXw9qL5WdDFj3rPXxXGPIQmQkN1o36g00RXe2BBSlhsVvjQXoIcdu/C06oz5T
 tWMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=F3NvvDW9Ba+hV+ShQRawJdoRDfPQfpydb4ccO2n2SlQ=;
 b=r+eWI2+F0td5/rt4ozvw/MYVT1cNl5v7gkC+PBeFe4Ln4R1QEYTvCKto6e3cUl1kyK
 d7NbQuMXYuK7Mpt+8sprPIRvojNNxnPfNjMb+dh/i0HfykwLy2s2sMfo9lyFayYyzaRY
 Yq6CGY0pLFe7JBAdkdoHs+wOEWhr2nj2laBqqb8YktfP+mkOzeSNKfg7SAUP/rZcs1gZ
 ojOw53NpLlNU/m5nk+D3gFpRWw7QZykaCeE2YCYwBehDDVfdWrzeNUL1EbuzHRP3+Lau
 0FHvrByQv+xFVMfX5gNMb3q/0mGkTqqIUAD+7NemKqIi/k47vkl27ygvSndVwUj1ZHpI
 VVAA==
X-Gm-Message-State: APjAAAVjyFHyGk5/8Uz7MQcNuS+lohMAWEsaQhOl6JaBBQ0Fr/oFld+U
 V9b8B+8Y9mrgIck6iYsWTLm+mGRnVsg=
X-Google-Smtp-Source: APXvYqzSQovUKdStTlxpCI9oIF9h0azFuXYbjcsLfhmn1vjI+9v8vtrszzrRP/LbntvMti7IMLfc/A==
X-Received: by 2002:a7b:c1c1:: with SMTP id a1mr4992006wmj.31.1566377725554;
 Wed, 21 Aug 2019 01:55:25 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:24 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:23 +0200
Message-Id: <20190821085455.18508-29-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext from here ...
[native-inputs]: ... to here, in order to fix cross-compilation.
---
 gnu/packages/linux.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index f2e36ee7b4..2f7dceca22 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -22,7 +22,7 @@
 ;;; Copyright © 2017, 2018 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Gábor Boskovits <boskovits@HIDDEN>
-;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2017 nee <nee-git@HIDDEN>
@@ -1518,12 +1518,13 @@ MIDI functionality to the Linux-based operating system.")
                (("\\$\\(MKDIR_P\\) .*ASOUND_STATE_DIR.*")
                 "true\n"))
              #t)))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)))
     (inputs
      `(("libsamplerate" ,libsamplerate)
        ("ncurses" ,ncurses)
        ("alsa-lib" ,alsa-lib)
-       ("xmlto" ,xmlto)
-       ("gettext" ,gettext-minimal)))
+       ("xmlto" ,xmlto)))
     (home-page "http://www.alsa-project.org/")
     (synopsis "Utilities for the Advanced Linux Sound Architecture (ALSA)")
     (description
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 31/61] gnu: glibc-utf8-locales: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:20 +0000
Resent-Message-ID: <handler.36477.B36477.156637777525299 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637777525299
          (code B ref 36477); Wed, 21 Aug 2019 08:56:20 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:15 +0000
Received: from localhost ([127.0.0.1]:34677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPe-0006Zm-Or
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:15 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:54703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MOz-0006RJ-FK
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:35 -0400
Received: by mail-wm1-f68.google.com with SMTP id p74so1258214wme.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=oIVbmgYt8LnavYVjeo2g/0p8N8/+RDw6+zRoqMHeIHc=;
 b=KGP+yJu3IMp3Pq5JQ6emrzY/9+KoclHpYESpVZFiGLGbjSP8SsBpoxDxGu2X/Srk+w
 Ef70YmOc2xlWWCW9qns9iV39qIe/4iz/zVFuxRoLwcrJVbnXg/H0SuJ5WX0wPjOV54pz
 dwCl2aeGmRxrdUC0qJMvb3Pw6G7ZWu3s21vieGO9FT0+hAexiRYGYA5+PAYl+bGSB2/X
 Pp4wrkK2/ZeiHazZPf5VttHBPwUumNZcKsOeNjMyOe5sgnfkklGkyqNSUEIp79FXHwYp
 h4YwdrInNnPoRBO3S5G9ru5Rp4bG4h0T7GeAwpHohpiP68YTHbQeo69m8k8fYZ50cwDF
 fq5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=oIVbmgYt8LnavYVjeo2g/0p8N8/+RDw6+zRoqMHeIHc=;
 b=dkKobdEBXIzzHwb+Agr/4z95e0YBdPTfYxbO5r28e8kGGtKNjeprhsvxLlLBvmmtFn
 8FKrDS5YWnJ3RLBIsZwCHJOHHRym7r5dmOOWDkZ3PllVJ0jgDDShmTiavUtY/FzsiXjS
 usTzSKLNr3X3dYl95Xe148EWdgVEp9O5V4D5xGMrT6FwQXRyfZRdiBYcKw4/br/cGp/p
 cAKgpeQM1+mtD7jQ4HOEB4Y9IPTF0o2MZxNRpaN3o75mDYBFr1uVu4oS1hMKv/yWTrqD
 1rySvulmLaTCHOUlNeHGY30GVLf9Lkp9xUcMH7v2e/WybOe6Setc0BOHAvkfEiAMr/q8
 7xkg==
X-Gm-Message-State: APjAAAV0aiDaDlytPOzKKogQIplLuMUCjqrd9vjA39hxQTYto5/tmCtj
 15Z7BIzcYM5j7BWOb/j1TZyUBab+9yY=
X-Google-Smtp-Source: APXvYqyHZXFbJgciR2MapT80lDe4Ovkwh/qd15AueU8Q5o3Gnnezy2PW6PysA0pigjX3se0eRb9M1g==
X-Received: by 2002:a1c:1d08:: with SMTP id d8mr4641875wmd.22.1566377727582;
 Wed, 21 Aug 2019 01:55:27 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:26 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:25 +0200
Message-Id: <20190821085455.18508-31-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
* gnu/packages/commencement.scm (glibc-utf8-locales-final)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
---
 gnu/packages/base.scm         |  4 ++--
 gnu/packages/commencement.scm | 11 ++++++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 791647d848..ebaa93f092 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -1112,8 +1112,8 @@ to the @code{share/locale} sub-directory of this package.")
                                ;; tests---e.g., in Guile's i18n tests.
                                '("de_DE" "el_GR" "en_US" "fr_FR" "tr_TR"))
                      #t))))
-    (inputs `(("glibc" ,glibc)
-              ("gzip" ,gzip)))
+    (native-inputs `(("glibc" ,glibc)
+                     ("gzip" ,gzip)))
     (synopsis "Small sample of UTF-8 locales")
     (description
      "This package provides a small sample of UTF-8 locales mostly useful in
diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 69d1f87605..615d97dbd5 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -2350,11 +2350,12 @@ exec ~a/bin/~a-~a -B~a/lib -Wl,-dynamic-linker -Wl,~a/~a \"$@\"~%"
   ;; function.)
   (package
     (inherit glibc-utf8-locales)
-    (inputs `(("glibc" ,glibc-final)
-              ("gzip"
-               ,(package-with-explicit-inputs gzip %boot4-inputs
-                                              (current-source-location)
-                                              #:guile %bootstrap-guile))))))
+    (native-inputs
+     `(("glibc" ,glibc-final)
+       ("gzip"
+        ,(package-with-explicit-inputs gzip %boot4-inputs
+                                       (current-source-location)
+                                       #:guile %bootstrap-guile))))))
 
 (define-public ld-wrapper
   ;; The final 'ld' wrapper, which uses the final Guile and Binutils.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 33/61] gnu: eudev: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:21 +0000
Resent-Message-ID: <handler.36477.B36477.156637777525312 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637777525312
          (code B ref 36477); Wed, 21 Aug 2019 08:56:21 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:15 +0000
Received: from localhost ([127.0.0.1]:34680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPf-0006Zz-5b
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:15 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:38073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP1-0006Rm-4k
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:36 -0400
Received: by mail-wr1-f41.google.com with SMTP id g17so1238891wrr.5
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=+HxLWYzZW0Hr0WREkiGNAPfQejKpPVvmtO7VILy1EcM=;
 b=h8UeTgijqCMxMRjXAIpMgnjssX4+hY8iMg1fUJEKBNYSvnS8UcosW1jpTlwQMd4nmP
 +BUAGs9QC5foVVczTUtAL9LZbe7uVHvTZv7bxP8c+BLrIerrlsKma+dVLowGwdeos7dx
 tBxHaAfw1dDiM8EybQj9FAxhjUg7LJV3IfE3JJgqXUQtGlRlgSQc5EltgQiJja4ouo4w
 baB0qawNFvfzc7mwBNLuuSZbvJJiCZX94UaclBahBOS3JG1E5dSmkTWzFg2cc6MYODdJ
 EzSSl2zrkwMWBk9XXQLt+cWQb3Q1kzMG55uQPfnpSmD5GQD86i0I89+lga/8bD9ZIHt8
 zQnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=+HxLWYzZW0Hr0WREkiGNAPfQejKpPVvmtO7VILy1EcM=;
 b=fZohicDgHlptCBS1l5M9RcUgzoqtRe3ZxzJ3hVNPeiNT50v94Dz2vxULk74fl30547
 5JXOArEhZJ4sMSQHpMOsroyQBIQ5iOw7Mky4QdU4NNZnIIsPvKu9qEUla+7RSHYS/K2I
 8rPHxezN/JeuwwT5yA04cM0camQtgAsZiUSWxVxBrzKBY/Wl5YNVzXHcXhq1qK38xZhS
 Wbqac63/TavEVdrV0u8ZcdVSzg9l+gxcwanoLI+GbS9rTfT1v9ZL661DygCyCEjhJKOw
 88zXHQZXPVhxl5eBL/UtO1p5ge6o27EggB0LvQlFt5ldJqZ6OWWZuEU/PAqREsTharIE
 3xog==
X-Gm-Message-State: APjAAAUHjwNf3dw+s7RDv687aN6LYHpYf7bf0FbjKOG9YIINvDOCMKnJ
 3rSVJsquR5yN/kYA02Smavw0d/g8WHU=
X-Google-Smtp-Source: APXvYqzrRarQE2WA8KPOZKeZLSgE5a0DbkHbxabV/LfrHhF4199BV3Ck0ZrL7geMGYdIYO/JxrbUOQ==
X-Received: by 2002:adf:e3ce:: with SMTP id k14mr36699978wrm.303.1566377729122; 
 Wed, 21 Aug 2019 01:55:29 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:28 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:27 +0200
Message-Id: <20190821085455.18508-33-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (eudev)[arguments]: Look for xsltproc in both
native-inputs and inputs. Also, do not run udevadm when cross-compiling.

We need to find another way to generate hwdb.bin file for cross-built systems.
---
 gnu/packages/linux.scm | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 2f7dceca22..f0c0de666f 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2564,7 +2564,7 @@ from the module-init-tools project.")
               (patches (search-patches "eudev-rules-directory.patch"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'make-source-writable
            (lambda _
@@ -2573,19 +2573,25 @@ from the module-init-tools project.")
              (for-each make-file-writable (find-files "."))
              #t))
          (add-before 'bootstrap 'patch-file-names
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
             (substitute* "man/make.sh"
               (("/usr/bin/xsltproc")
-                (string-append (assoc-ref inputs "xsltproc")
+               (string-append (assoc-ref
+                               (or native-inputs inputs) "xsltproc")
                                "/bin/xsltproc")))
             #t))
          (add-after 'install 'build-hwdb
            (lambda* (#:key outputs #:allow-other-keys)
              ;; Build OUT/etc/udev/hwdb.bin.  This allows 'lsusb' and
              ;; similar tools to display product names.
+             ;;
+             ;; XXX: This can't be done when cross-compiling. Find another way
+             ;; to generate hwdb.bin for cross-built systems.
              (let ((out (assoc-ref outputs "out")))
-               (invoke (string-append out "/bin/udevadm")
-                       "hwdb" "--update")))))
+               ,@(if (%current-target-system)
+                     '(#t)
+                     '((invoke (string-append out "/bin/udevadm")
+                               "hwdb" "--update")))))))
        #:configure-flags (list "--enable-manpages")))
     (native-inputs
      `(("autoconf" ,autoconf)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 34/61] gnu: lvm2: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:21 +0000
Resent-Message-ID: <handler.36477.B36477.156637777625321 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637777625321
          (code B ref 36477); Wed, 21 Aug 2019 08:56:21 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:16 +0000
Received: from localhost ([127.0.0.1]:34682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPf-0006aB-OM
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:16 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:37392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP1-0006SC-T7
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:38 -0400
Received: by mail-wr1-f67.google.com with SMTP id z11so1243641wrt.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=cDufWK6rXY0sd5Gu49W+LHgygdT+etziD8K/YmySRI4=;
 b=Amz2JZNcORgLztx7NrOEE3QWjY56n1tKilg6sZEnmoD1KXMzFfozJCr5IbEQnrzmxg
 y1iZdFxO5dyDBuK9g6jf2Ld7WnADnWLKsgZeayIHMRjSqEy5G0u8rLUH4bMmXk1RALSG
 5C/d7FlzB9Bncj1eEBw2mUnXvdIP78iUUBfhu24r9zoTJWctsx680Ke+KhBIMUUSAj4q
 0MVylrOxNnl8pscBJZYHp2+4guyONNQGp3ifpYmlp3pSeAq4/ZmoUAQPg4wyFWw3SZkA
 vYv5o2SiYCPT2YggyxHdRZxnSClv9mNfTy9yOKwH61/RpKfRsO8JaHu+efPnHTfkx1fr
 5RHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=cDufWK6rXY0sd5Gu49W+LHgygdT+etziD8K/YmySRI4=;
 b=N/AbeTH4+nT/UPMIRXFuXERgZS3EoQDPjZp1HJKCWzK7qimjTTKqDlmg+8oTCoRYcO
 IN/jDhDZsJkhUv2NEVF14DJ+5/LKTOpLbPGeFGVdtsPSRq1JMBkYcO70OVRfziWVHzKI
 e2oW7Icw318GDVnCpASn7c5ErB62m98BOAuC3WKayvGYDSrc2pQUlv7YRDl4nmRqx9iQ
 dDQDigxsASGNu3taWfaRY2IJI8Oi7Q2N6mAPygG3MKEWdRk38ifPlxwExHZOYWe9Qagc
 TQM9awJdUaHVSwo1+BJIr/qW0wsGAJPz4qIDMb0Ppygg+Cw7DZmZMvF1Uz4MzS1pmqoR
 9BVg==
X-Gm-Message-State: APjAAAX6bMAIl1fcyxEXqoytJ2t26yT3SEvwUAD9652qFX0A1v8kGwI3
 EQEZVQpwztr9bwfKQjgzwKzCBybBWYI=
X-Google-Smtp-Source: APXvYqzlRFIoSAnfAxyBJzZEeIpqPXcD81IjtFPzel9osgwl0T8Y5RAan5mg1EyvBJK7MSjZDA8nOw==
X-Received: by 2002:a5d:698f:: with SMTP id g15mr41271075wru.310.1566377730033; 
 Wed, 21 Aug 2019 01:55:30 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:29 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:28 +0200
Message-Id: <20190821085455.18508-34-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (lvm2)[arguments]: Add cross-compilation specific
configure-flags.
---
 gnu/packages/linux.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index f0c0de666f..0036b85e4d 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2654,7 +2654,7 @@ time.")
     (inputs
      `(("udev" ,eudev)))
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
          (add-after 'configure 'set-makefile-shell
            (lambda _
@@ -2689,7 +2689,12 @@ time.")
                                               (assoc-ref %outputs "out")
                                               "/lib,-rpath="
                                               (assoc-ref %outputs "out")
-                                              "/lib/device-mapper"))
+                                              "/lib/device-mapper")
+                               ;; This is needed when cross-compiling.
+                               ,@(if (%current-target-system)
+                                     '("ac_cv_func_malloc_0_nonnull=yes"
+                                       "ac_cv_func_realloc_0_nonnull=yes")
+                                     '()))
 
        ;; The tests use 'mknod', which requires root access.
        #:tests? #f))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 35/61] gnu: nghttp2: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:56:22 +0000
Resent-Message-ID: <handler.36477.B36477.156637777625334 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637777625334
          (code B ref 36477); Wed, 21 Aug 2019 08:56:22 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:16 +0000
Received: from localhost ([127.0.0.1]:34685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPg-0006aM-5O
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:16 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:41499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP2-0006SJ-RS
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:38 -0400
Received: by mail-wr1-f65.google.com with SMTP id j16so1228769wrr.8
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=jj2Jl+L+uX1pOD9lehHiTDGwMAci6XJbMogS9Thh79w=;
 b=Gk6M5hs6AJau9ddSYnsIAvxxGKhLJ3NiYzE4xqAUfaAxKnIyobbrJ2NKHs0jRz3zc6
 +zoGlllodh7qOiJvatsdpQu99qUWeTr4+2cK2gkfFh67r7qAp1d/xOfGcR3vzxb3L2fi
 xOZPGhMaNaKsjn2R/99qDBE/ipE78oAbf69ct884e218UtJy22UHFbHktmXr8AW8I7Ok
 jpczs7gXP1h6MHetcTylA8PWpaUjPEm4G5fanb72+/NbAnRWuVW8rawGcPYruB+NLrlP
 wN2/m6R8Sjjga7n3J0nIT+n3ommOJ0R9P+DA6Ohwk1HqS7Ik/K9cbn+ncVQIe0lSuZtk
 2RFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=jj2Jl+L+uX1pOD9lehHiTDGwMAci6XJbMogS9Thh79w=;
 b=Y2Hy1+iqjhabA6QDSFcWNelf9YcVAPuYOPX64B1bY2Ktcq7/z5zKqCUlHZcEAp1jS2
 pNrMu6uJAc55Ag1S9MgLhvMvvDvcH5ibiLOJFiLr8PQS5NkXQJA+0xHLdWtn/VHQIuNs
 lJvovPVxODcuQsQlWzhsxjbmekXboHBK8gQ/ZqYAgCAoYOBEI7/BExC6rSWAu0jBFzTk
 hWbzJ4ZUOaCWr9uZbpLrfhCNMI7+na/6qB1jHpPPLgeI9tQpjK3hXKWOq0MovIkrDycB
 R8E5gY3O6ozOXDDj7K5I+un0vUkDt2WLKa8oDgy4m1hHQRFLMQ2IC5AvaIS+WOC1YTHj
 RFaA==
X-Gm-Message-State: APjAAAV+vA6F9nFui40KVuXcO/didyoJMTV9xhqnG6ESPZ/R558DNYtV
 EegPtDy1UZj83279atjGprsLSKDZ9Mw=
X-Google-Smtp-Source: APXvYqx0/RCUFQ4yK8pejb1fgcsRshXGKcEL57r12QCF3vHC3x0rW2vqS/RBw3Ma+fRroyziuwZSWQ==
X-Received: by 2002:adf:dfc4:: with SMTP id q4mr38488902wrn.54.1566377730999; 
 Wed, 21 Aug 2019 01:55:30 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:30 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:29 +0200
Message-Id: <20190821085455.18508-35-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/web.scm (nghttp2)[arguments]: In set-timezone-directory
phase, search in both inputs and native-inputs.
---
 gnu/packages/web.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 06b3778be2..c0aab76aba 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -36,6 +36,7 @@
 ;;; Copyright © 2019 Hartmut Goebel <h.goebel@HIDDEN>
 ;;; Copyright © 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN>
 ;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -6447,9 +6448,10 @@ derivation by David Revoy from the original MonsterID by Andreas Gohr.")
                 (assoc-ref outputs "lib")))
              #t))
          (add-before 'check 'set-timezone-directory
-           (lambda* (#:key inputs #:allow-other-keys)
-             (setenv "TZDIR" (string-append (assoc-ref inputs "tzdata")
-                                            "/share/zoneinfo"))
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (setenv "TZDIR" (string-append
+                               (assoc-ref (or native-inputs inputs) "tzdata")
+                               "/share/zoneinfo"))
              #t)))))
     (home-page "https://nghttp2.org/")
     (synopsis "HTTP/2 protocol client, proxy, server, and library")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 36/61] gnu: openldap: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:01 +0000
Resent-Message-ID: <handler.36477.B36477.156637778325445 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778325445
          (code B ref 36477); Wed, 21 Aug 2019 08:57:01 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:23 +0000
Received: from localhost ([127.0.0.1]:34700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPm-0006cF-K7
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:23 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:36337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP3-0006SK-RE
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:38 -0400
Received: by mail-wm1-f68.google.com with SMTP id g67so1293085wme.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=TODkwhTat9VGfXsj8+/2TJ/enxT71yfa/D7H12HSna4=;
 b=rQmesYMW9jE3pfaQ0ZbcWDOkg78WGnFEEgXjaGSP7kRZkU67GnK+23Wbwn4LtdbAX4
 GCZWASxiPcW39J9OFioEC7tJx5D0g200Rr9IDPVQyiiQbrGxyz8OZwudUjOeJp8gBn1Q
 ybiBVAdn9eRfmLRZNWVoveV/m49+GzYxWUIo+vqS8LPXgzHre2JONhV5oWmqC5qQWms/
 KA2XzNaJMXuyf7OPUi2qdJ7ZWgeBGf/hOu/lGrVVgTHdw/ZYoC6t958NJrBzXq8vJD4g
 FCzTAvrzGfI8z/kt85O4gngtBvCW/YrQWoBdeFuFsfPWP97EXscTErzuXqczp70abnzG
 /Gtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=TODkwhTat9VGfXsj8+/2TJ/enxT71yfa/D7H12HSna4=;
 b=pE/sdD194y3m6SX7kN2PIjnQD+JOfuceGwzH1UhrtQyVcHPCbGmK9ilGLUGfIESsf1
 ZObc28Rd047kUWSPY5NOudADvp0ViR9i7Grr/I0l7KQq8rBPeKhmFwxkxYIEB9cWvAYr
 egPEa9RoRRT9ilV9QNSZLld8sWZWpwahVI3cQcT0VaOP8rMP0n688WXzVCWxA27DVtNI
 /xWCVnOAB0dG2aMBMD6tBawo5OspVK6/df8iuYnBLGQzTdRx2WHR9L3miRwU2daeojK3
 h2bNF4SbDzx90pThruPkpPWT4UgMqDzjkBpTMNqPfLGWOLK7tIGcadncdMsy1Z1y0uy3
 Iz+w==
X-Gm-Message-State: APjAAAVBP8VEDZtO7lSZugYukqceCE6JH9a1j3dKz2aWZSIVWdAn4RAR
 kRzkRRxK7oIiSYG7c3YaEVzfCKyHUIw=
X-Google-Smtp-Source: APXvYqxprCh4bZ16JBR7VRblBi7poDID1xwyNRTouqQ/QxLYTD3v6/Sy+HpwpjrnkBbFfOtEWhdxdQ==
X-Received: by 2002:a7b:cb0f:: with SMTP id u15mr4421278wmj.173.1566377731897; 
 Wed, 21 Aug 2019 01:55:31 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:30 +0200
Message-Id: <20190821085455.18508-36-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/openldap.scm (openldap)[inputs]: Move groff from here to ...
[native-inputs]: ... here. Also add bdb and automake.
[arguments]: Add cross-compilation specific configure-flags. Add a new
fix-configure phase to update outdated config.sub and config.guess.
---
 gnu/packages/openldap.scm | 30 +++++++++++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/openldap.scm b/gnu/packages/openldap.scm
index 2f80920ed4..c0b1e34385 100644
--- a/gnu/packages/openldap.scm
+++ b/gnu/packages/openldap.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2016 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -50,6 +51,7 @@
   #:use-module (gnu packages)
   #:use-module ((guix licenses) #:select (openldap2.8 lgpl2.1+ gpl3+ psfl))
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python))
@@ -79,16 +81,38 @@
    (inputs `(("bdb" ,bdb-5.3)
              ("cyrus-sasl" ,cyrus-sasl)
              ("gnutls" ,gnutls)
-             ("groff" ,groff)
              ("icu4c" ,icu4c)
              ("libgcrypt" ,libgcrypt)
              ("zlib" ,zlib)))
-   (native-inputs `(("libtool" ,libtool)))
+   (native-inputs `(("libtool" ,libtool)
+                    ("groff" ,groff)
+                    ("bdb" ,bdb-5.3)
+                    ;; For up to date 'config.guess' and 'config.sub'.
+                    ("automake" ,automake)))
    (arguments
     `(#:tests? #f
-      #:configure-flags '("--disable-static")
+      #:configure-flags
+      '("--disable-static"
+        ,@(if (%current-target-system)
+              '("--with-yielding_select=yes"
+                "ac_cv_func_memcmp_working=yes")
+              '()))
       #:phases
       (modify-phases %standard-phases
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (with-directory-excursion "build"
+              (for-each (lambda (file)
+                          (install-file (string-append
+                                         (assoc-ref
+                                          (or native-inputs inputs) "automake")
+                                         "/share/automake-"
+                                         ,(version-major+minor
+                                           (package-version automake))
+                                         "/" file) "."))
+                        '("config.sub" "config.guess")))
+            #t))
         (add-after 'install 'patch-sasl-path
           ;; Give -L arguments for cyrus-sasl to avoid propagation.
           (lambda* (#:key inputs outputs #:allow-other-keys)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 32/61] gnu: boost: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637778325452 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778325452
          (code B ref 36477); Wed, 21 Aug 2019 08:57:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:23 +0000
Received: from localhost ([127.0.0.1]:34702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPn-0006cM-4D
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:23 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:54230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP0-0006Rd-Gw
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:39 -0400
Received: by mail-wm1-f67.google.com with SMTP id 10so1268113wmp.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=0wD/VjiysVkTi8Oyq0Z7V2CCINIwi/qRp15LMRmEvWo=;
 b=pjjD8xQaArvjjGtXCAofRsgWPKiQoJbrZFJfvoTgvKICkClmowkM29Dq+cXCXLFwxe
 ifJdzApMA+V3f+EUusaGL8QkoXHEAxS1WNWXhlpq9zDWXxRF3+9kb0yhxT02k/GCiUZa
 QbUxbZLKLbsmGDvLg7+q34/Zjmixz7GfE9dokcInr2MIo/dZdM6EMTInpQZAYNpbP4MT
 qIXWkEYaAKnQj8E3PPf+bvvR2qmzHISDU2IYMSb09TzHSlCu/5z8jikeLXoR8uIjn4yV
 I1Af0AMznKDhE5VAMoSVt/9LO0GM7kgtbtQicbgtdA3+v+Ny1son1hHRt/xOaSEDVdBj
 7zDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=0wD/VjiysVkTi8Oyq0Z7V2CCINIwi/qRp15LMRmEvWo=;
 b=YQfUghni605socf4zPbgsLLHhNnCJcTq56nGPhI9wMPn4a/M9dMhsi5DCSBhM8BZ6S
 MHa8SA54QELdMYFZT4TZZQOi4+f/OTNDRzeZYaWDts4vUAaNpSBr7OyH/Hb9VwpcfbCp
 KdX7+/w2tpMeeGoY5+ku9J+3LS9TUR5QGDcYjCowGZx4WOXqVgTWCsZrxGVkmVLdCUKC
 jP8RxUnYKimUpKn9EuZGiXW8UIblXh3LaCu1hr/FEZPWRBBRU3MWJs386rbMyMWjptNO
 UBLIE4XmCxEKaQQ1jHlTQpiOCqjanJPola5Zh13gVQ1vCgnWTWerVmqk2oRCW+M/Pv1i
 8vHg==
X-Gm-Message-State: APjAAAXE8Xy07DTN0lUldCLNazdZ7gyYzvOH55PUJqMNDJj1AouPKoX6
 0pmH8dCzcqj/eiL6lESqPN6FrixKFbs=
X-Google-Smtp-Source: APXvYqwiuvfQUA2j3QaIFQEFYzmyX+xpyxnrDneZONcT+5GNzvHopMXsVRxXnhvHvQPdDKdaGbhvtA==
X-Received: by 2002:a7b:c8c1:: with SMTP id f1mr4335452wml.87.1566377728493;
 Wed, 21 Aug 2019 01:55:28 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:27 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:26 +0200
Message-Id: <20190821085455.18508-32-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/boost-dumpversion.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/boost.scm (boost)[source]: Apply it,
[arguments]: pass cross-compilation mandatory
flags and fill a user-config.jam file pointing to cross-compiler.
---
 gnu/local.mk                                 |  1 +
 gnu/packages/boost.scm                       | 28 +++++++++++++++++++-
 gnu/packages/patches/boost-dumpversion.patch | 24 +++++++++++++++++
 3 files changed, 52 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/boost-dumpversion.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 74f09ba42b..a45a1a0802 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -708,6 +708,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/binutils-loongson-workaround.patch	\
   %D%/packages/patches/blender-2.79-newer-ffmpeg.patch		\
   %D%/packages/patches/blender-2.79-python-3.7-fix.patch	\
+  %D%/packages/patches/boost-dumpversion.patch 			\
   %D%/packages/patches/byobu-writable-status.patch		\
   %D%/packages/patches/calibre-no-updates-dialog.patch		\
   %D%/packages/patches/calibre-remove-test-bs4.patch		\
diff --git a/gnu/packages/boost.scm b/gnu/packages/boost.scm
index a2253a9efc..536a4bee0f 100644
--- a/gnu/packages/boost.scm
+++ b/gnu/packages/boost.scm
@@ -10,6 +10,7 @@
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2018 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,6 +55,8 @@
                            (string-append "https://dl.bintray.com/boostorg/release/"
                                           version "/source/boost_"
                                           version-with-underscores ".tar.bz2"))))
+              (patches
+               (search-patches "boost-dumpversion.patch"))
               (sha256
                (base32
                 "0y47nc7w0arwgj4x1phadxbvl7wyfcgknbz5kv8lzpl98wsyh2j3"))))
@@ -76,7 +79,22 @@
 
              ;; Set the RUNPATH to $libdir so that the libs find each other.
              (string-append "linkflags=-Wl,-rpath="
-                            (assoc-ref %outputs "out") "/lib"))
+                            (assoc-ref %outputs "out") "/lib")
+             ,@(if (%current-target-system)
+                   `("--user-config=user-config.jam"
+                     "binary-format=elf"
+                     "target-os=linux"
+                     ,@(cond
+                        ((string-prefix? "armhf" (%current-target-system))
+                         '("abi=aapcs"
+                           "address-model=32"
+                           "architecture=arm"))
+                        ((string-prefix? "aarch64" (%current-target-system))
+                         '("abi=aapcs"
+                           "address-model=64"
+                           "architecture=arm"))
+                        (else '())))
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (delete 'bootstrap)
@@ -94,6 +112,14 @@
                (setenv "SHELL" (which "sh"))
                (setenv "CONFIG_SHELL" (which "sh"))
 
+               ,@(if (%current-target-system)
+                     `((call-with-output-file "user-config.jam"
+                          (lambda (port)
+                            (format port
+                                    "using gcc : cross : ~a-c++ ;"
+                                    ,(%current-target-system)))))
+                     '())
+
                (invoke "./bootstrap.sh"
                        (string-append "--prefix=" out)
                        ;; Auto-detection looks for ICU only in traditional
diff --git a/gnu/packages/patches/boost-dumpversion.patch b/gnu/packages/patches/boost-dumpversion.patch
new file mode 100644
index 0000000000..7df779cfe6
--- /dev/null
+++ b/gnu/packages/patches/boost-dumpversion.patch
@@ -0,0 +1,24 @@
+This issue is described here: https://github.com/openwrt/packages/pull/8685
+and has not been solved as of 1.70.0 release.
+
+--- a/tools/build/src/tools/common.jam
++++ b/tools/build/src/tools/common.jam
+@@ -973,18 +973,6 @@
+         }
+     }
+ 
+-    # From GCC 5, versioning changes and minor becomes patch
+-    if $(tag) = gcc && [ numbers.less 4 $(version[1]) ]
+-    {
+-        version = $(version[1]) ;
+-    }
+-
+-    # Ditto, from Clang 4
+-    if ( $(tag) = clang || $(tag) = clangw ) && [ numbers.less 3 $(version[1]) ]
+-    {
+-        version = $(version[1]) ;
+-    }
+-
+     # On intel, version is not added, because it does not matter and it is the
+     # version of vc used as backend that matters. Ideally, we should encode the
+     # backend version but that would break compatibility with V1.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 37/61] gnu: swig: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637778425459 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778425459
          (code B ref 36477); Wed, 21 Aug 2019 08:57:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:24 +0000
Received: from localhost ([127.0.0.1]:34704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPn-0006cT-J2
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:23 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:35769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP4-0006SM-TS
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:39 -0400
Received: by mail-wm1-f67.google.com with SMTP id l2so1297738wmg.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=RObN42V8bRyLb9W+DkdwbK5oQvTcjUSZj+AGQMQnBKg=;
 b=oGmk2U1r9ewbmh32/NfM45bU1JaPRwTmdIfOlDti8Tr6wABhwU+VzxgbhOA/TYdhHl
 kC+1QD9qTbT1y4xUGuL6o2LI3xMhZXS4ewLvwxIoWt4fNhGUJjiGdTh8yFsKmRDl3eFX
 ODfZN04IiNCjHLyrEfmu/yWRQIwOi0IPLcwl2quFIKeShcjTD+LDbTd2DFnd11tHDp2G
 5myaw3AR6Xn6DZOFnyrAKpSJa+XZScrWGO4yRWhNeEyAejqPzktN4qZblcnKUgxV/Vj3
 t1s7dy/svsIGcAVv1mA3y61qmn7kr6HY7uNpjoGTFi5+snLBcBYpD9CyWgzDOgF2mp0a
 uPCA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=RObN42V8bRyLb9W+DkdwbK5oQvTcjUSZj+AGQMQnBKg=;
 b=cqNTiRzgSCiHuvEsqda5FpxKFXP97g6M5KpjMQwrDUSxPObtsWlAwbI3exTMzsfYdY
 kNbeebYmBvi2MWmMHsnGgofdxccs6LvjqL4JePt5YsqH1Z5fcaVmBbPxujZkWsY6B32d
 N3vjTBO+knXYkJ1cC9QZKbmK5UoSXY6r0taJp/WDqCyxyZxvKIPIp0C4QWAukH0qNqoL
 P/7fe06EOGYyoxKf7sELITQMJFlBHLn25ZR1YTccLC7AOQRBTKhlW+jrv2latavHCJR6
 I0Ne009YDe2RBajbmT3PusBdQtvgriMv6f8xd9I8ZkQxDn9vS/9iLIqyKF1635XTpfqY
 h4Cw==
X-Gm-Message-State: APjAAAVn0H/H3oH4dR11pAD65V5Bj/J7FjGDr6oEnNikFT9fyngQZN+c
 bB3AHZHgs02mLTMgXsdCav8SOko8jOg=
X-Google-Smtp-Source: APXvYqz0lKqhr7PhpxqC5xC0Clv3Vshe+/KjgXlJfFkur7T8d8SaBBmUTlVAcARZ+Vq0OOXa0SCTKQ==
X-Received: by 2002:a05:600c:551:: with SMTP id
 k17mr4828227wmc.53.1566377733030; 
 Wed, 21 Aug 2019 01:55:33 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:32 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:31 +0200
Message-Id: <20190821085455.18508-37-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/swig.scm (swig)[inputs]: Add pcre that is needed when cross-compiling.
---
 gnu/packages/swig.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/swig.scm b/gnu/packages/swig.scm
index b1b17fc68d..90d698a8b4 100644
--- a/gnu/packages/swig.scm
+++ b/gnu/packages/swig.scm
@@ -62,6 +62,7 @@
     (native-inputs `(("boost" ,boost)
                      ("pcre" ,pcre "bin")))       ;for 'pcre-config'
     (inputs `(;; Provide these to run the corresponding tests.
+              ("pcre" ,pcre)
               ("guile" ,guile-2.0)
               ("perl" ,perl)))
               ;; FIXME: reactivate input python as soon as the test failures
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 38/61] gnu: git: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:02 +0000
Resent-Message-ID: <handler.36477.B36477.156637778425467 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778425467
          (code B ref 36477); Wed, 21 Aug 2019 08:57:02 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:24 +0000
Received: from localhost ([127.0.0.1]:34706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPn-0006ca-TN
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:24 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:45449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP5-0006SO-TT
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:40 -0400
Received: by mail-wr1-f65.google.com with SMTP id q12so1207291wrj.12
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=ekhEnSaYOzo7g9VXSRSzA8v/fqFR3nGB9mRmiOw49Lg=;
 b=kkt/51+m+8773laYCSLrSO6/RJcLA7uiHduvU/Pkc7y1qTjxvmMvThojg+cniIL2XP
 y66wwYfAj3WIKFGE++aDvlM/9erBJd+1g2lOYfGw3jE8O5f8wlPETNSqQtLb/Cgo0HQ2
 G7c0zzBmyGj3vlG9uVQLNOgblVF4bfat4xAMs7dmfmiRmvzDYzVyiY0zDYvCrRUh8Xa6
 wYeJQOPlEwf1q1id7vPugjxg7PIs8aJ+EnxPLytQFRtXMlKc+IW+B5M9JnqJfXq9WgK3
 HXGIyXSrfov7A0RXEzbgKkTIUhx/hkGX05K5b7/9C8MeCFwRMSICPZmGuoAyrrilsZA5
 T30w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=ekhEnSaYOzo7g9VXSRSzA8v/fqFR3nGB9mRmiOw49Lg=;
 b=G99heKXu9gufVmvTQ/dbQFoucVEWmKdPVuBscJPfWNN6i9DhQatbM7cJeElBhjMw47
 Kdl3bfOe7CMGLpWKhQdEkYdrlc9eSDtHfMn/SkRHkCp0tpyL5EFCIC3EZd9RVwiqZG5T
 pht1ICuZy4CAmf+6fwh3SVNF9tHnI3AtwfiCDj93B+VFL0cEo+36+/J5wZJrR43IeOGG
 jTUCNBhOLShkJ0wOEardXMXYJHW0w8jCug/ALMGRToH+NZLbnfTmOy9WJA0E3+ByMdVj
 iHHhREHHCBo/XW9dkuWNe2Z6TpImD4hznILVoLevwjr0RSd56E8PF47qTt5/BzBl6LTr
 sDWw==
X-Gm-Message-State: APjAAAXjC5wyYOQ4xMxXyIRuA2WcinbqOgXW77y1qiFP89vDJVkn4A8n
 +5s/H+u5Gkhyzk0+DjlKAS/HAL5Nq4Q=
X-Google-Smtp-Source: APXvYqw+hk2JAVj0cLbCFaXHIg/QiXN/izJ0tJXTrpGPVpd6X+SnUEgoQYv6Rj8Y5w/U0VEsnrn2vw==
X-Received: by 2002:a5d:4cc5:: with SMTP id c5mr11753263wrt.278.1566377734020; 
 Wed, 21 Aug 2019 01:55:34 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:33 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:32 +0200
Message-Id: <20190821085455.18508-38-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (git-cross-configure-flags): New variable,
(git)[arguments]: add it to configure-flags. Also add cross curl-config script
to PATH.
(git-minimal): Add previous variable to configure-flags.
---
 gnu/packages/version-control.scm | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 0bc882d3d3..62f91fe923 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -141,6 +141,10 @@ changes to project files over time.  It supports both a distributed workflow
 as well as the classic centralized workflow.")
     (license license:gpl2+)))
 
+(define git-cross-configure-flags
+  '("ac_cv_fread_reads_directories=yes"
+    "ac_cv_snprintf_returns_bogus=no"))
+
 (define-public git
   (package
    (name "git")
@@ -233,7 +237,10 @@ as well as the classic centralized workflow.")
       ;; absolute file name to 'wish'.
       #:configure-flags (list (string-append "--with-tcltk="
                                              (assoc-ref %build-inputs "tk")
-                                             "/bin/wish8.6")) ; XXX
+                                             "/bin/wish8.6")  ; XXX
+                              ,@(if (%current-target-system)
+                                    git-cross-configure-flags
+                                    '()))
 
       #:modules ((srfi srfi-1)
                  (srfi srfi-26)
@@ -250,6 +257,15 @@ as well as the classic centralized workflow.")
                               (remove (cut string-prefix? bash-full <>) path)
                               ":"))
               #t)))
+        ;; Add cross curl-config script to PATH when cross-compiling.
+        ,@(if (%current-target-system)
+              '((add-before 'configure 'add-cross-curl-config
+                   (lambda* (#:key inputs #:allow-other-keys)
+                     (setenv "PATH"
+                             (string-append (assoc-ref inputs "curl") "/bin:"
+                                            (getenv "PATH")))
+                     #t)))
+              '())
         (add-after 'configure 'patch-makefiles
           (lambda _
             (substitute* "Makefile"
@@ -506,7 +522,10 @@ everything from small to very large projects with speed and efficiency.")
                   (string-append out "/share/gitweb"))
                  #t)))))
        ((#:configure-flags flags)
-        ''())
+        `(list
+          ,@(if (%current-target-system)
+                git-cross-configure-flags
+                '())))
        ((#:disallowed-references lst '())
         `(,perl ,@lst))))
     (outputs '("out"))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 39/61] gnu: make-linux-libre: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:03 +0000
Resent-Message-ID: <handler.36477.B36477.156637778425474 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778425474
          (code B ref 36477); Wed, 21 Aug 2019 08:57:03 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:24 +0000
Received: from localhost ([127.0.0.1]:34708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPo-0006ci-8u
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:24 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:35065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP6-0006Sh-Mj
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:41 -0400
Received: by mail-wr1-f68.google.com with SMTP id k2so1255473wrq.2
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=DiHWvcxJDycsBWeHgDPr6cJca1VJg9+d4Q2B6jEcu1o=;
 b=L9cRVRH1WNW/k/Rp6bh4JINYr6MJ0r/85mFNoYzf+pGJonBTlon9/W9drV1gQfRov2
 7sIUkasEgWhgDYs6GGKAFJwfsmWZyFLNWkRx767KELEluDDI/qNYt5YcHAIjuWu+PaP4
 TtVwkk6lA+NuIf07/1oZ7dkr7Fn7jYTB1nnZiFOGbd4LVJPnR1h9IVNxp7Q2Y9lbZzFU
 Jvn9BJIoq947UYq6owf6tuTw7HJAMcv5kLS2Y0hyaxWdu37coeKJx1kMPS8w0HAWkScI
 nLYwRO9jGUs2umErQC+rffSeAYPCD7wVxJ7z9uYZW6L0D2wDOQENsW1lmkDd9aGC6NGf
 4k5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=DiHWvcxJDycsBWeHgDPr6cJca1VJg9+d4Q2B6jEcu1o=;
 b=HtCsJO9hHf2desKPJ4CADH4tmh52FH/T6gW6p1aYcogMpzXd9CNA77tMv1dgKv2cD/
 uDyX0PZc290wb1jsnsk8ikij1GWM+FWAtxy6vGhoQg+KEtpbEhUSAzx+e6/B0TBtCaqJ
 enuoxGMEFqrW6U7JA6zr/v0O4wfo+5Y96Y7vJCh2cWTGKw3aLoewfqGC/zuZVNO5fNQZ
 holrL7A4P1OfSjMKm6o+7sAJ+S7+vVZainwf8Ihv6n/cHFm41belzSKSgJFdc9Mmo5na
 mPigVhIFCqtroRxp9RdJ7G4KAcxNjP511YiECEwH9u0+N6AaZTcpEdQUCIKROfnF6KXd
 YgSg==
X-Gm-Message-State: APjAAAVlzp1XOeC6UpXCJT0o4r5qeQ0QDjhWZ46o13xRqiLTz5+nTfMF
 JXFNjyuqM45aDbeWWaS0txETZpHX1jg=
X-Google-Smtp-Source: APXvYqzd5DTYanYFRdepLfYiwxHkgr03rVa1y6A6u18EoVXX7y+/UjXUheFLIKz3kitttzh+4ItxaQ==
X-Received: by 2002:a5d:6307:: with SMTP id i7mr40156366wru.144.1566377734850; 
 Wed, 21 Aug 2019 01:55:34 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:34 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:33 +0200
Message-Id: <20190821085455.18508-39-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (make-linux-libre)[arguments]: Unset CROSS_CPATH to
make sure that cross-libc is not found. Otherwise, some of its header would
conflict with the one from linux (stdint.h and linux/types.h).
---
 gnu/packages/linux.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 0036b85e4d..ac7312bcd0 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -665,6 +665,9 @@ for ARCH and optionally VARIANT, or #f if there is no such configuration."
          (replace 'configure
            (lambda* (#:key inputs native-inputs target #:allow-other-keys)
              ;; Avoid introducing timestamps
+             ,@(if (%current-target-system)
+                   '((unsetenv "CROSS_CPATH"))
+                   '())
              (setenv "KCONFIG_NOTIMESTAMP" "1")
              (setenv "KBUILD_BUILD_TIMESTAMP" (getenv "SOURCE_DATE_EPOCH"))
 
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 40/61] gnu: procps: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:03 +0000
Resent-Message-ID: <handler.36477.B36477.156637778425481 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778425481
          (code B ref 36477); Wed, 21 Aug 2019 08:57:03 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:24 +0000
Received: from localhost ([127.0.0.1]:34710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPo-0006cp-Hz
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:24 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:38408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP7-0006Sj-Js
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:41 -0400
Received: by mail-wm1-f46.google.com with SMTP id m125so1281604wmm.3
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=cTatLfwn3khUxI2mXOeyDuO+g/jPCp4cvbKKW1jWzpY=;
 b=Tmlqe7WkLrfZT3AjTJKriRUD8jY0wyv+itj4Iw7/cRSC7DXQpgNGSSOHafQjIQtHQR
 SdF2gmIgAtkL4TYR4d+iPh5qICbzurtgcTDYPzzxxfVbKlYSKYd12Wjkquqvrf6uVFmH
 yv6PIs7S38AX823q70Y7HPYqed6qg7HT7OWoCFVqZEggvlHO4XEVQNww4XbZhiC6KEWm
 T4kL7QzucR2mIytn7XF8w3qmFQ2EK06iPcUqf5xoaW7IxvgU9pY1HKVweUSC65nvO78L
 cqtnkRbFqsh2fjtXel3sjmJHLoTve/QZ8BhbGXuzNvsn9W56T7aPdY5tZokZ4Ams7GWa
 kfEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=cTatLfwn3khUxI2mXOeyDuO+g/jPCp4cvbKKW1jWzpY=;
 b=kESuyHxYMWnfSNorwZ+oFQFSaxQVhGaMVTCy8n6sdTTK+WS1AXDdTuFblG72dRG/Nj
 rTwXf+BKvmoLaYd5adJRlyTU/HoU15n4ujZIOH/MyOntvLmqr6zRmq4s/3jF7u6k34fZ
 PbaQzuw9aUecPDVnIezf+VJF/obMFMgUiZkXfyLCsb+6I3NL5H7PQr6hgxLve/TpSg7p
 3m2++NxR4+fpmZIOfqIcomkJ4PyOOzMY04wNyw+FydIAogLvaJjb/uVC0vge/GdPoRLa
 0PvODmGa1679bFF4TZaf59QKByvzniNablBNBGGjaLcN+qQCMpQKqffyN5/3w5/prf6+
 b5SA==
X-Gm-Message-State: APjAAAUa44CBnQR3q6QuX/BR9LWE5wYZZO/YKPhvrrqtbJls3s1jf3JA
 uErxl4EgEF7cNJvuzr/22kbJi2OGE/8=
X-Google-Smtp-Source: APXvYqyEsvXmqTnwn3SG5GJJuxtsrr/75Z/dAs1V3Ja+BzmYl2pyXa07myRyfayOSfEksWep74jTWA==
X-Received: by 2002:a1c:6a0b:: with SMTP id f11mr4367845wmc.87.1566377735666; 
 Wed, 21 Aug 2019 01:55:35 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:35 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:34 +0200
Message-Id: <20190821085455.18508-40-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (procps)[arguments]: Add configure flags needed from
cross-compilation.
---
 gnu/packages/linux.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index ac7312bcd0..cf403c46f1 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -1138,10 +1138,16 @@ by Robert Shea and Robert Anton Wilson.")
                 "0r84kwa5fl0sjdashcn4vh7hgfm7ahdcysig3mcjvpmkzi7p9g8h"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:modules ((guix build utils)
+     `(#:modules ((guix build utils)
                   (guix build gnu-build-system)
                   (srfi srfi-1)
                   (srfi srfi-26))
+       ,@(if (%current-target-system)
+             '(#:configure-flags
+               (list
+                "ac_cv_func_malloc_0_nonnull=yes"
+                "ac_cv_func_realloc_0_nonnull=yes"))
+             '())
        #:phases
        (modify-phases %standard-phases
          (add-after
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 41/61] gnu: doxygen: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:04 +0000
Resent-Message-ID: <handler.36477.B36477.156637778525489 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637778525489
          (code B ref 36477); Wed, 21 Aug 2019 08:57:04 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:25 +0000
Received: from localhost ([127.0.0.1]:34712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPo-0006cw-S0
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:25 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:37057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP8-0006Sl-Dq
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:42 -0400
Received: by mail-wm1-f42.google.com with SMTP id d16so1286834wme.2
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=9iQhpcdQYGwq2O4Prcoz853TESRn0Vl4Y11/X8xOTrA=;
 b=drocBzUIBgsrDQXMkIdwcEqqz1bRV3x7upr7mXnXoguqGce3sjukkQ9tcoz+G9WDLs
 FfExznOhhbMAsbvSqoAlPOwJpFhuhnmb2hB68nVtm/z8XKm1AAZvTOUTB0KTlENyj7HA
 K9RHVTGh72mj1s72zgLRroYkvmicMo+/yCHbQZIivgCm99hZdu5w30nO5ww5AjZGElkD
 3S62GuqznP6ynIG5ICyvP1eLrpFFcoWSYBq52jlWryn756m+zZVoRFO8JRsl8dwkj4H6
 IvMD2iScpyCl4g44zbdYehp7jRCpFlC6TU+gd/wKPq3THJQ+f/y4PYQArNn8jxgLFj5F
 FEJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=9iQhpcdQYGwq2O4Prcoz853TESRn0Vl4Y11/X8xOTrA=;
 b=bjSeISpu4405i04phanHjkYWVxlgEpr5UEk0+9wDTHIrpPj0E7HnYBMuOVknpErYc5
 En0xRvUQj7c4OD/Tykqn179Wra+PDuDn4FwM7IA/xj/WZnGmUeQ7YX2CIpdWRGEeq1GF
 kuMDnxhYueaLgl+2deR3AnLwAmrsjb6Aqw1ks1W9KGKu0OmP2zoX9vwUU8J3dqKhBaGd
 4deRWdKDS9S4bOmuSrcS2Ktu8SA04rXl6f39U27M+6Ynej3S4YoWAS6rPdUahGdQTOoD
 X15Nm2OetXUbjVauooIB0tc7qtVi0wer0nIoqlWZ3PHuQnFcIQfS5kjouaKW6VL7eQMp
 Fohw==
X-Gm-Message-State: APjAAAVbN+BhImKtQxZ4IFviIH5nXSbBwZgh9xSRVoZUbm3+HntdwAub
 fbF9y1tb6odSQ2yvejyGT+J6hyMeI50=
X-Google-Smtp-Source: APXvYqxfqXdIn5BVk/sMwGPMmZFY0yVHd6OC3eQy34qO7POhl9RZtTs1HLLY5436UAMjL8Z0noM0CA==
X-Received: by 2002:a1c:1d4f:: with SMTP id d76mr4990502wmd.127.1566377736477; 
 Wed, 21 Aug 2019 01:55:36 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:35 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:35 +0200
Message-Id: <20190821085455.18508-41-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/documentation.scm (doxygen)[arguments]: Force cmake to use
iconv.h from cross-libc.
---
 gnu/packages/documentation.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/documentation.scm b/gnu/packages/documentation.scm
index 19c42b00eb..eda8ca3368 100644
--- a/gnu/packages/documentation.scm
+++ b/gnu/packages/documentation.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -31,6 +32,7 @@
   #:use-module (guix build-system cmake)
   #:use-module (gnu packages)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages python)
   #:use-module (gnu packages bison)
@@ -145,7 +147,15 @@ markup) can be customized and extended by the user.")
     (inputs
      `(("bash" ,bash-minimal)))
     (arguments
-     `(#:test-target "tests"
+     ;; Force cmake to use iconv header from cross-libc instead of the one
+     ;; from native libc.
+     `(,@(if (%current-target-system)
+             '(#:configure-flags
+               (list (string-append "-DICONV_INCLUDE_DIR="
+                                    (assoc-ref %build-inputs "cross-libc")
+                                    "/include")))
+             '())
+       #:test-target "tests"
        #:phases (modify-phases %standard-phases
                   (add-before 'configure 'patch-sh
                               (lambda* (#:key inputs #:allow-other-keys)
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 43/61] gnu: guile-gcrypt: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:04 +0000
Resent-Message-ID: <handler.36477.B36477.156637779025503 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779025503
          (code B ref 36477); Wed, 21 Aug 2019 08:57:04 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:30 +0000
Received: from localhost ([127.0.0.1]:34714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPp-0006d4-65
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:30 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:38631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPA-0006TC-Bv
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:50 -0400
Received: by mail-wr1-f65.google.com with SMTP id g17so1239313wrr.5
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pG3MUM5eizoLMvKAfUsU7403ESYlUpK/5XhNWuZ5v44=;
 b=AhUi3CcMUa3/HxOgZJ5wETjTppOmYJfKoUq6dc/YLpnLauCV+BKcP8HMeWsmgpwPwL
 Unr3JmX0WhK+7FKiBOkun4nvWlRd84XfiXx4zsKT+nE4zF/XXSEcyjo3pv2XREglIRYa
 5Zn8aQD+peGwd4/HZPrx9Dj/Lc54+nzlAlLPwVaHt5rmjRWCxY/9fH9bJhgO6l0rrAfJ
 SJmGSkTkNkG7WE8Os83HMozsfemL0FrTBqD24Hjd3ALpBADiCgNe7d1RO7cD60cK9A98
 suh5hShlSVG64n/vByAtYa1PKlEVqmLGxHBwtJqGCe4q5O+Pn2jzocu1eXQdUaLzh7Z+
 Y4Pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pG3MUM5eizoLMvKAfUsU7403ESYlUpK/5XhNWuZ5v44=;
 b=qY+0n0cD4w4LRlWcPFeIRqKhBsRVQz9Cf9H9JzOt7o1uJ+P497QDYS4Q4QzKqIxcN1
 sh2XzLirrTvbZ8qW7h9YzUZA5lq7NMfYlWt5UozOvkciF0rb3hZ5XBGJzT3nSSABKF2w
 ROF83ocmTMngi9W18gN9UU6mXtJvdDT8suBaKHsMZEZ02MerZr/CIx0T/W5P9qhXIk/8
 MUaZb/TMMVe/aJnAfodsTxT35axuTBOwXDaq0I9/QRay+bD+G2LQs6gFuZxpc2KgzsXI
 h8Nr3gmPRtiZ4GqjawcM61m0wvPASKbyiz6gpWVB8RWPv20Fa0aInA35Ftraw5c+OBvv
 S35g==
X-Gm-Message-State: APjAAAXikWfjy1Mmf1NTC8xrlWfJVsfW91/mI/25PDzFudDeN3PdPnlY
 xsFoN61DB7+IWGPtoupAIoZcnfqyD14=
X-Google-Smtp-Source: APXvYqzr5MQfZcLpLrWcl7Y09+8DJKXBIbR+oc8xIxhtWP8m9bpPjX5e23BdcF+hR6SLcvmiJ4wOnQ==
X-Received: by 2002:adf:fc03:: with SMTP id i3mr36914747wrr.48.1566377738154; 
 Wed, 21 Aug 2019 01:55:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:37 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:37 +0200
Message-Id: <20190821085455.18508-43-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/gnupg.scm (guile-gcrypt)[source]: Apply previous patch,
[native-inputs]: add guile,
[arguments]: add libgcrypt-config to PATH when cross-compiling.
---
 gnu/local.mk                                  |   1 +
 gnu/packages/gnupg.scm                        |  22 +-
 .../guile-gcrypt-fix-cross-compilation.patch  | 431 ++++++++++++++++++
 3 files changed, 452 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 1bb871a04b..9203dc4a9b 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -923,6 +923,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/guile-relocatable.patch			\
   %D%/packages/patches/guile-rsvg-pkgconfig.patch		\
   %D%/packages/patches/guile-emacs-fix-configure.patch		\
+  %D%/packages/patches/guile-gcrypt-fix-cross-compilation.patch \
   %D%/packages/patches/guile-sqlite3-fix-cross-compilation.patch \
   %D%/packages/patches/gstreamer-buffer-reset-offset.patch	\
   %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index c7e6aabf79..69da60b972 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2017 Petter <petter@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2018 Björn Höfling <bjoern.hoefling@HIDDEN>
 ;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -477,13 +478,30 @@ gpgpme starting with version 1.7.")
               (sha256
                (base32
                 "1lhgh3105yi0ggrjsjibv4wp1ipz8s17pa820hk2wln3rc04wpvf"))
-              (file-name (string-append name "-" version "-checkout"))))
+              (file-name (string-append name "-" version "-checkout"))
+              (patches
+              (search-patches "guile-gcrypt-fix-cross-compilation.patch"))))
     (build-system gnu-build-system)
+    (arguments
+     ;; When cross-compiling, the bash script libgcrypt-config provided by
+     ;; libgcrypt must be accessible during configure phase.
+     `(,@(if (%current-target-system)
+             '(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'add-libgrypt-config
+                   (lambda _
+                     (setenv "PATH" (string-append
+                                     (assoc-ref %build-inputs "libgcrypt")
+                                     "/bin:"
+                                     (getenv "PATH")))
+                     #t))))
+             '())))
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ("autoconf" ,autoconf)
        ("automake" ,automake)
-       ("texinfo" ,texinfo)))
+       ("texinfo" ,texinfo)
+       ("guile" ,guile-2.2)))
     (inputs
      `(("guile" ,guile-2.2)
        ("libgcrypt" ,libgcrypt)))
diff --git a/gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch b/gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch
new file mode 100644
index 0000000000..cdf15b39b0
--- /dev/null
+++ b/gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch
@@ -0,0 +1,431 @@
+From 4ec6cb5209461452f7ebb0aae3ae916e28198dc9 Mon Sep 17 00:00:00 2001
+From: Mathieu Othacehe <m.othacehe@HIDDEN>
+Date: Sun, 18 Aug 2019 09:42:39 +0200
+Subject: [PATCH] build: Fix cross-compilation.
+
+---
+ Makefile.am          |  2 +-
+ configure.ac         |  7 ++++++-
+ gcrypt/common.scm    | 42 ++++++++++++++++++++++++++++--------------
+ gcrypt/hash.scm      | 28 +++++++++++-----------------
+ gcrypt/hmac.scm      | 40 +++++++++++++++++++---------------------
+ gcrypt/pk-crypto.scm | 41 ++++++++++++++++++-----------------------
+ gcrypt/random.scm    |  7 ++++---
+ 7 files changed, 87 insertions(+), 80 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 0537256..7a3d1b2 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -39,7 +39,7 @@ $(guile_install_go_files): install-nobase_modDATA
+ GUILE_WARNINGS = -Wunbound-variable -Warity-mismatch -Wformat
+ SUFFIXES = .scm .go
+ .scm.go:
+-	$(AM_V_GEN)$(top_builddir)/pre-inst-env $(GUILE_TOOLS) compile $(GUILE_WARNINGS) -o "$@" "$<"
++	$(AM_V_GEN)$(top_builddir)/pre-inst-env $(GUILE_TOOLS) compile $(GUILE_TARGET) $(GUILE_WARNINGS) -o "$@" "$<"
+ 
+ moddir=$(prefix)/share/guile/site/$(GUILE_EFFECTIVE_VERSION)
+ godir = $(libdir)/guile/$(GUILE_EFFECTIVE_VERSION)/site-ccache
+diff --git a/configure.ac b/configure.ac
+index e7ef6cf..7d0f569 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -73,6 +73,11 @@ AC_SUBST([LIBGCRYPT])
+ AC_SUBST([LIBGCRYPT_PREFIX])
+ AC_SUBST([LIBGCRYPT_LIBDIR])
+ 
+-GUIX_ASSERT_LIBGCRYPT_USABLE
++if test "$cross_compiling" = "no"; then
++   GUIX_ASSERT_LIBGCRYPT_USABLE
++else
++   GUILE_TARGET="--target=$host_alias"
++   AC_SUBST([GUILE_TARGET])
++fi
+ 
+ AC_OUTPUT
+diff --git a/gcrypt/common.scm b/gcrypt/common.scm
+index 189003f..a42f609 100644
+--- a/gcrypt/common.scm
++++ b/gcrypt/common.scm
+@@ -21,7 +21,8 @@
+   #:use-module (system foreign)
+   #:use-module (ice-9 match)
+   #:export (gcrypt-version
+-            libgcrypt-func
++            libgcrypt->pointer
++            libgcrypt->procedure
+             error-source error-string))
+ 
+ ;;; Commentary:
+@@ -31,34 +32,47 @@
+ ;;;
+ ;;; Code:
+ 
+-(define libgcrypt-func
+-  (let ((lib (dynamic-link %libgcrypt)))
+-    (lambda (func)
+-      "Return a pointer to symbol FUNC in libgcrypt."
+-      (dynamic-func func lib))))
++(define (libgcrypt->pointer name)
++  "Return a pointer to symbol FUNC in libgcrypt."
++  (catch #t
++    (lambda ()
++      (dynamic-func name (dynamic-link %libgcrypt)))
++    (lambda args
++      (lambda _
++        (throw 'system-error name  "~A" (list (strerror ENOSYS))
++               (list ENOSYS))))))
++
++(define (libgcrypt->procedure return name params)
++  "Return a pointer to symbol FUNC in libgcrypt."
++  (catch #t
++    (lambda ()
++      (let ((ptr (dynamic-func name (dynamic-link %libgcrypt))))
++        ;; The #:return-errno? facility was introduced in Guile 2.0.12.
++        (pointer->procedure return ptr params
++                            #:return-errno? #t)))
++    (lambda args
++      (lambda _
++        (throw 'system-error name  "~A" (list (strerror ENOSYS))
++               (list ENOSYS))))))
+ 
+ (define gcrypt-version
+   ;; According to the manual, this function must be called before any other,
+   ;; and it's not clear whether it can be called more than once.  So call it
+   ;; right here from the top level.
+-  (let* ((ptr     (libgcrypt-func "gcry_check_version"))
+-         (proc    (pointer->procedure '* ptr '(*)))
+-         (version (pointer->string (proc %null-pointer))))
++  (let ((proc (libgcrypt->procedure '* "gcry_check_version" '(*))))
+     (lambda ()
+       "Return the version number of libgcrypt as a string."
+-      version)))
++      (pointer->string (proc %null-pointer)))))
+ 
+ (define error-source
+-  (let* ((ptr  (libgcrypt-func "gcry_strsource"))
+-         (proc (pointer->procedure '* ptr (list int))))
++  (let ((proc (libgcrypt->procedure '* "gcry_strsource" (list int))))
+     (lambda (err)
+       "Return the error source (a string) for ERR, an error code as thrown
+ along with 'gcry-error'."
+       (pointer->string (proc err)))))
+ 
+ (define error-string
+-  (let* ((ptr  (libgcrypt-func "gcry_strerror"))
+-         (proc (pointer->procedure '* ptr (list int))))
++  (let ((proc (libgcrypt->procedure '* "gcry_strerror" (list int))))
+     (lambda (err)
+       "Return the error description (a string) for ERR, an error code as
+ thrown along with 'gcry-error'."
+diff --git a/gcrypt/hash.scm b/gcrypt/hash.scm
+index dad06e4..1b3fa67 100644
+--- a/gcrypt/hash.scm
++++ b/gcrypt/hash.scm
+@@ -50,13 +50,13 @@
+   (identifier-syntax 2))
+ 
+ (define bytevector-hash
+-  (let ((hash (pointer->procedure void
+-                                  (libgcrypt-func "gcry_md_hash_buffer")
+-                                  `(,int * * ,size_t))))
++  (let ((proc (libgcrypt->procedure void
++                                    "gcry_md_hash_buffer"
++                                    `(,int * * ,size_t))))
+     (lambda (bv type size)
+       "Return the hash TYPE, of SIZE bytes, of BV as a bytevector."
+       (let ((digest (make-bytevector size)))
+-        (hash type (bytevector->pointer digest)
++        (proc type (bytevector->pointer digest)
+               (bytevector->pointer bv) (bytevector-length bv))
+         digest))))
+ 
+@@ -67,30 +67,24 @@
+   (cut bytevector-hash <> GCRY_MD_SHA256 (/ 256 8)))
+ 
+ (define open-sha256-md
+-  (let ((open (pointer->procedure int
+-                                  (libgcrypt-func "gcry_md_open")
+-                                  `(* ,int ,unsigned-int))))
++  (let ((proc (libgcrypt->procedure int
++                                    "gcry_md_open"
++                                    `(* ,int ,unsigned-int))))
+     (lambda ()
+       (let* ((md  (bytevector->pointer (make-bytevector (sizeof '*))))
+-             (err (open md GCRY_MD_SHA256 0)))
++             (err (proc md GCRY_MD_SHA256 0)))
+         (if (zero? err)
+             (dereference-pointer md)
+             (throw 'gcrypt-error err))))))
+ 
+ (define md-write
+-  (pointer->procedure void
+-                      (libgcrypt-func "gcry_md_write")
+-                      `(* * ,size_t)))
++  (libgcrypt->procedure void "gcry_md_write" `(* * ,size_t)))
+ 
+ (define md-read
+-  (pointer->procedure '*
+-                      (libgcrypt-func "gcry_md_read")
+-                      `(* ,int)))
++  (libgcrypt->procedure '* "gcry_md_read" `(* ,int)))
+ 
+ (define md-close
+-  (pointer->procedure void
+-                      (libgcrypt-func "gcry_md_close")
+-                      '(*)))
++  (libgcrypt->procedure void "gcry_md_close" '(*)))
+ 
+ 
+ (define (open-sha256-port)
+diff --git a/gcrypt/hmac.scm b/gcrypt/hmac.scm
+index 0d8cc61..b9e1a9e 100644
+--- a/gcrypt/hmac.scm
++++ b/gcrypt/hmac.scm
+@@ -42,11 +42,11 @@
+     (format port "#<mac ~x>"
+             (pointer-address (mac->pointer mac)))))
+ 
+-
+ (define %gcry-mac-open
+-  (pointer->procedure int (libgcrypt-func "gcry_mac_open")
+-                      `(* ,int ,unsigned-int *)))  ; gcry_mac_hd_t *HD, int ALGO,
+-                                                   ; unsigned int FLAGS, gcry_ctx_t CTX
++  (libgcrypt->procedure int "gcry_mac_open"
++                        ;; gcry_mac_hd_t *HD, int ALGO,
++                        ;; unsigned int FLAGS, gcry_ctx_t CTX
++                        `(* ,int ,unsigned-int *)))
+ 
+ (define mac-algorithms-mapping
+   (alist->hashq-table
+@@ -59,9 +59,8 @@
+   (hashq-ref mac-algorithms-mapping sym))
+ 
+ (define mac-algo-maclen
+-  (let ((proc (pointer->procedure
+-               int (libgcrypt-func "gcry_mac_get_algo_maclen")
+-               `(,int))))
++  (let ((proc (libgcrypt->procedure
++               int "gcry_mac_get_algo_maclen" `(,int))))
+     (lambda (sym)
+       "Get expected length in bytes of mac yielded by algorithm SYM"
+       (proc (mac-algo-ref sym)))))
+@@ -76,8 +75,7 @@
+         (throw 'gcry-error 'mac-open err))))
+ 
+ (define %gcry-mac-setkey
+-  (pointer->procedure int (libgcrypt-func "gcry_mac_setkey")
+-                      `(* * ,size_t)))
++  (libgcrypt->procedure int "gcry_mac_setkey" `(* * ,size_t)))
+ 
+ (define (mac-setkey mac key)
+   "Set the KEY on <mac> object MAC
+@@ -96,9 +94,9 @@ In our case, KEY is either a string or a bytevector."
+         (throw 'gcry-error 'mac-setkey err))))
+ 
+ (define mac-close
+-  (let ((proc (pointer->procedure
+-               void (libgcrypt-func "gcry_mac_close")
+-               '(*))))  ; gcry_mac_hd_t H
++  (let ((proc (libgcrypt->procedure void
++                                    "gcry_mac_close"
++                                    '(*))))  ; gcry_mac_hd_t H
+     (lambda (mac)
+       "Release all resources of MAC.
+ 
+@@ -106,9 +104,9 @@ Running this on an already closed <mac> might segfault :)"
+       (proc (mac->pointer mac)))))
+ 
+ (define mac-write
+-  (let ((proc (pointer->procedure
+-               int (libgcrypt-func "gcry_mac_write")
+-               `(* * ,size_t))))
++  (let ((proc (libgcrypt->procedure int
++                                    "gcry_mac_write"
++                                    `(* * ,size_t))))
+     (lambda (mac obj)
+       "Writes string or bytevector OBJ to MAC"
+       (let* ((bv (match obj
+@@ -124,9 +122,9 @@ Running this on an already closed <mac> might segfault :)"
+             (throw 'gcry-error 'mac-write err))))))
+ 
+ (define mac-read
+-  (let ((proc (pointer->procedure
+-               int (libgcrypt-func "gcry_mac_read")
+-               `(* * *))))
++  (let ((proc (libgcrypt->procedure int
++                                    "gcry_mac_read"
++                                    `(* * *))))
+     (lambda (mac algorithm)
+       "Get bytevector representing result of MAC's written, signed data"
+       (define (int-bv* n)
+@@ -148,9 +146,9 @@ Running this on an already closed <mac> might segfault :)"
+ ;; rather than the gcry_error_t type.
+ 
+ (define mac-verify
+-  (let ((proc (pointer->procedure
+-               int (libgcrypt-func "gcry_mac_verify")
+-               `(* * ,size_t))))
++  (let ((proc (libgcrypt->procedure int
++                                    "gcry_mac_verify"
++                                    `(* * ,size_t))))
+     (lambda (mac bv)
+       "Verify that BV matches result calculated in MAC
+ 
+diff --git a/gcrypt/pk-crypto.scm b/gcrypt/pk-crypto.scm
+index be664a3..5d614a0 100644
+--- a/gcrypt/pk-crypto.scm
++++ b/gcrypt/pk-crypto.scm
+@@ -81,7 +81,7 @@
+                             16))))
+ 
+ (define finalize-canonical-sexp!
+-  (libgcrypt-func "gcry_sexp_release"))
++  (libgcrypt->pointer "gcry_sexp_release"))
+ 
+ (define-inlinable (pointer->canonical-sexp ptr)
+   "Return a <canonical-sexp> that wraps PTR."
+@@ -96,8 +96,9 @@
+     sexp))
+ 
+ (define string->canonical-sexp
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_new"))
+-         (proc (pointer->procedure int ptr `(* * ,size_t ,int))))
++  (let ((proc (libgcrypt->procedure int
++                                    "gcry_sexp_new"
++                                    `(* * ,size_t ,int))))
+     (lambda (str)
+       "Parse STR and return the corresponding gcrypt s-expression."
+ 
+@@ -115,8 +116,9 @@
+   (identifier-syntax 3))
+ 
+ (define canonical-sexp->string
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_sprint"))
+-         (proc (pointer->procedure size_t ptr `(* ,int * ,size_t))))
++  (let ((proc (libgcrypt->procedure size_t
++                                    "gcry_sexp_sprint"
++                                    `(* ,int * ,size_t))))
+     (lambda (sexp)
+       "Return a textual representation of SEXP."
+       (let loop ((len 1024))
+@@ -134,8 +136,7 @@
+              read-string)))
+ 
+ (define canonical-sexp-car
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_car"))
+-         (proc (pointer->procedure '* ptr '(*))))
++  (let ((proc (libgcrypt->procedure '* "gcry_sexp_car" '(*))))
+     (lambda (lst)
+       "Return the first element of LST, an sexp, if that element is a list;
+ return #f if LST or its first element is not a list (this is different from
+@@ -146,8 +147,7 @@ the usual Lisp 'car'.)"
+             (pointer->canonical-sexp result))))))
+ 
+ (define canonical-sexp-cdr
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_cdr"))
+-         (proc (pointer->procedure '* ptr '(*))))
++  (let ((proc (libgcrypt->procedure '* "gcry_sexp_cdr" '(*))))
+     (lambda (lst)
+       "Return the tail of LST, an sexp, or #f if LST is not a list."
+       (let ((result (proc (canonical-sexp->pointer lst))))
+@@ -156,8 +156,7 @@ the usual Lisp 'car'.)"
+             (pointer->canonical-sexp result))))))
+ 
+ (define canonical-sexp-nth
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_nth"))
+-         (proc (pointer->procedure '* ptr `(* ,int))))
++  (let ((proc (libgcrypt->procedure '* "gcry_sexp_nth" `(* ,int))))
+     (lambda (lst index)
+       "Return the INDEXth nested element of LST, an s-expression.  Return #f
+ if that element does not exist, or if it's an atom.  (Note: this is obviously
+@@ -174,8 +173,7 @@ different from Scheme's 'list-ref'.)"
+                        (sizeof size_t)))
+ 
+ (define canonical-sexp-length
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_length"))
+-         (proc (pointer->procedure int ptr '(*))))
++  (let ((proc (libgcrypt->procedure int "gcry_sexp_length" '(*))))
+     (lambda (sexp)
+       "Return the length of SEXP if it's a list (including the empty list);
+ return zero if SEXP is an atom."
+@@ -194,8 +192,7 @@ return zero if SEXP is an atom."
+            (not (char-set-contains? char-set:digit (string-ref str 0)))))))
+ 
+ (define canonical-sexp-nth-data
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_nth_data"))
+-         (proc (pointer->procedure '* ptr `(* ,int *))))
++  (let ((proc (libgcrypt->procedure '* "gcry_sexp_nth_data" `(* ,int *))))
+     (lambda (lst index)
+       "Return as a symbol (for \"sexp tokens\") or a bytevector (for any other
+ \"octet string\") the INDEXth data element (atom) of LST, an s-expression.
+@@ -266,8 +263,7 @@ Return #f if DATA does not conform."
+         (values #f #f))))
+ 
+ (define sign
+-  (let* ((ptr  (libgcrypt-func "gcry_pk_sign"))
+-         (proc (pointer->procedure int ptr '(* * *))))
++  (let ((proc (libgcrypt->procedure int "gcry_pk_sign" '(* * *))))
+     (lambda (data secret-key)
+       "Sign DATA, a canonical s-expression representing a suitable hash, with
+ SECRET-KEY (a canonical s-expression whose car is 'private-key'.)  Note that
+@@ -281,8 +277,7 @@ DATA must be a 'data' s-expression, as returned by
+             (throw 'gcry-error 'sign err))))))
+ 
+ (define verify
+-  (let* ((ptr  (libgcrypt-func "gcry_pk_verify"))
+-         (proc (pointer->procedure int ptr '(* * *))))
++  (let ((proc (libgcrypt->procedure int "gcry_pk_verify" '(* * *))))
+     (lambda (signature data public-key)
+       "Verify that SIGNATURE is a signature of DATA with PUBLIC-KEY, all of
+ which are gcrypt s-expressions."
+@@ -291,8 +286,7 @@ which are gcrypt s-expressions."
+                    (canonical-sexp->pointer public-key))))))
+ 
+ (define generate-key
+-  (let* ((ptr  (libgcrypt-func "gcry_pk_genkey"))
+-         (proc (pointer->procedure int ptr '(* *))))
++  (let ((proc (libgcrypt->procedure int "gcry_pk_genkey" '(* *))))
+     (lambda (params)
+       "Return as an s-expression a new key pair for PARAMS.  PARAMS must be an
+ s-expression like: (genkey (rsa (nbits 4:2048)))."
+@@ -303,8 +297,9 @@ s-expression like: (genkey (rsa (nbits 4:2048)))."
+             (throw 'gcry-error 'generate-key err))))))
+ 
+ (define find-sexp-token
+-  (let* ((ptr  (libgcrypt-func "gcry_sexp_find_token"))
+-         (proc (pointer->procedure '* ptr `(* * ,size_t))))
++  (let ((proc (libgcrypt->procedure '*
++                                    "gcry_sexp_find_token"
++                                    `(* * ,size_t))))
+     (lambda (sexp token)
+       "Find in SEXP the first element whose 'car' is TOKEN and return it;
+ return #f if not found."
+diff --git a/gcrypt/random.scm b/gcrypt/random.scm
+index 5391f94..ea6f9d3 100644
+--- a/gcrypt/random.scm
++++ b/gcrypt/random.scm
+@@ -33,7 +33,8 @@
+ (define %gcry-very-strong-random 2)
+ 
+ (define %gcry-randomize
+-  (pointer->procedure void (libgcrypt-func "gcry_randomize")
++  (libgcrypt->procedure void
++                      "gcry_randomize"
+                       `(* ,size_t ,int)))  ; buffer, length, level
+ 
+ (define* (gen-random-bv #:optional (bv-length 50)
+@@ -44,8 +45,8 @@
+     bv))
+ 
+ (define %gcry-create-nonce
+-  (pointer->procedure void (libgcrypt-func "gcry_create_nonce")
+-                      `(* ,size_t)))  ; buffer, length
++  (libgcrypt->procedure void "gcry_create_nonce"
++                        `(* ,size_t)))  ; buffer, length
+ 
+ 
+ (define* (gen-random-nonce #:optional (bv-length 50))
+-- 
+2.20.1
+
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 42/61] gnu: guile-sqlite3: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:05 +0000
Resent-Message-ID: <handler.36477.B36477.156637779625518 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779625518
          (code B ref 36477); Wed, 21 Aug 2019 08:57:05 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:36 +0000
Received: from localhost ([127.0.0.1]:34716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MPu-0006dJ-ET
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:36 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:38630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MP9-0006Sn-3N
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:50 -0400
Received: by mail-wr1-f66.google.com with SMTP id g17so1239261wrr.5
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=W/9+JUzBCsDR82qPzaNj4afW0PE9gg8bdP1EcJ/nTgo=;
 b=bizcxpGUmItAOEcz79xH+FkjPxjuQ5OXj/5u7px3IIpWH8K1jiyqdW9vICOiITQVRm
 n9Y0y6zQCEJgRraaiQs/xZD+IBDEUw6+F8cDGbZjNkZyp6A2/dLek/IZkz3zzI0hpr5g
 t0gKYWnkeEks6SwtJkW6G1eN1d2ZBVDLisG7xrNKFuClo6KY2OAUUSPc2zkeViEgbIe6
 LgzqyRoJav+K2LWlYRyhrB0PLRrVjbsZGNGjRZT8M6okLUDTKDCzHUiegO+zLn6x3tmt
 DSzQSlM7l2H+kWQ8fZslzRQzBQUTEMjut3r8cr2y7STXkgWoqojHdQmyZIA60isp8LQD
 7dKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=W/9+JUzBCsDR82qPzaNj4afW0PE9gg8bdP1EcJ/nTgo=;
 b=cqD6stJh+tG38NndxrKYlTlJsyom24PiEoRzlAKBddqhifiUHk7KyGfKs1O94+VojP
 TfRjlkJCqpqJTwAvu5l0vTcs20EOIwE+c5RsgKc8WCIpZQbFg0LBoU43BFHNyjT41bCY
 z/geHRsNoLSNYUnTFmUaOuGJSXALlgq8J0cH8bbQUE+GON0yrn+zCHd0vDpdyj8Cimu3
 C8QdR6nrn3UtwLcL0nutQKcpSpM6zK7mej2u3j7gOJX3pUIm2R83Ks8sL1S6166GUaVh
 7BSryFrpDOMrkIIPMBCFsx5ZmJV9BvpSY6ryLpVUhRVKYMCvn2v3fNNTlVye0TfYQcLQ
 SAPA==
X-Gm-Message-State: APjAAAUoDYXinQX4JsQc5san/qBmdHbbfVOTA04KYk0EdfyrEAZs1uYx
 0Bw6sHgxSvqSEDuapIJwJ7MZLTIF3ns=
X-Google-Smtp-Source: APXvYqxA7Tjj+B2wcA6Wk7DTe//qBFTCs1CkBAW0/xJDjHHOdw5hLQt+3Xy2P8qxp6LPHLz9JbvPEQ==
X-Received: by 2002:adf:e6c5:: with SMTP id y5mr37961342wrm.2.1566377737235;
 Wed, 21 Aug 2019 01:55:37 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:36 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:36 +0200
Message-Id: <20190821085455.18508-42-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/guile.scm (guile-sqlite3)[source]: Apply previous patch,
[native-inputs]: add guile.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/guile.scm                        |  7 ++-
 .../guile-sqlite3-fix-cross-compilation.patch | 55 +++++++++++++++++++
 3 files changed, 61 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index a45a1a0802..1bb871a04b 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -923,6 +923,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/guile-relocatable.patch			\
   %D%/packages/patches/guile-rsvg-pkgconfig.patch		\
   %D%/packages/patches/guile-emacs-fix-configure.patch		\
+  %D%/packages/patches/guile-sqlite3-fix-cross-compilation.patch \
   %D%/packages/patches/gstreamer-buffer-reset-offset.patch	\
   %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
   %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
diff --git a/gnu/packages/guile.scm b/gnu/packages/guile.scm
index b07a570654..713390ada1 100644
--- a/gnu/packages/guile.scm
+++ b/gnu/packages/guile.scm
@@ -9,7 +9,7 @@
 ;;; Copyright © 2016, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2017 Andy Wingo <wingo@HIDDEN>
 ;;; Copyright © 2017 Marius Bakke <mbakke@HIDDEN>
-;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017, 2018 Amirouche <amirouche@HIDDEN>
 ;;; Copyright © 2018 Danny Milosavljevic <dannym@HIDDEN>
@@ -521,11 +521,14 @@ Guile's foreign function interface.")
               (sha256
                (base32
                 "1nv8j7wk6b5n4p22szyi8lv8fs31rrzxhzz16gyj8r38c1fyp9qp"))
-              (file-name (string-append name "-" version "-checkout"))))
+              (file-name (string-append name "-" version "-checkout"))
+              (patches
+               (search-patches "guile-sqlite3-fix-cross-compilation.patch"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("autoconf" ,autoconf)
        ("automake" ,automake)
+       ("guile" ,guile-2.2)
        ("pkg-config" ,pkg-config)))
     (inputs
      `(("guile" ,guile-2.2)
diff --git a/gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch b/gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch
new file mode 100644
index 0000000000..9ea9a47677
--- /dev/null
+++ b/gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch
@@ -0,0 +1,55 @@
+From a6e9e62a77ecc5012929613e20da23b2636450a5 Mon Sep 17 00:00:00 2001
+From: Mathieu Othacehe <mathieu.othacehe@HIDDEN>
+Date: Mon, 25 Mar 2019 11:00:38 +0100
+Subject: [PATCH] cross compile
+
+---
+ build-aux/guile.am |  2 +-
+ configure.ac       | 19 ++++++++++++-------
+ 2 files changed, 13 insertions(+), 8 deletions(-)
+
+diff --git a/build-aux/guile.am b/build-aux/guile.am
+index dc1e63f..3126372 100644
+--- a/build-aux/guile.am
++++ b/build-aux/guile.am
+@@ -16,4 +16,4 @@ EXTRA_DIST = $(SOURCES) $(NOCOMP_SOURCES)
+ GUILE_WARNINGS = -Wunbound-variable -Warity-mismatch -Wformat
+ SUFFIXES = .scm .go
+ .scm.go:
+-	$(AM_V_GEN)$(top_builddir)/env $(GUILE_TOOLS) compile $(GUILE_WARNINGS) -o "$@" "$<"
++	$(AM_V_GEN)$(top_builddir)/env $(GUILE_TOOLS) compile $(GUILE_TARGET) $(GUILE_WARNINGS) -o "$@" "$<"
+diff --git a/configure.ac b/configure.ac
+index f648fcb..2d34d0a 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -21,15 +21,20 @@ PKG_CHECK_MODULES([SQLITE], [sqlite3])
+ SQLITE_LIBDIR="`"$PKG_CONFIG" sqlite3 --variable libdir`"
+ AC_SUBST([SQLITE_LIBDIR])
+ 
+-AC_MSG_CHECKING([whether '$SQLITE_LIBDIR/libsqlite3' is usable])
+-GUILE_CHECK([retval],
+-  [(dynamic-func \"sqlite3_open_v2\"
++if test "$cross_compiling" = "no"; then
++   AC_MSG_CHECKING([whether '$SQLITE_LIBDIR/libsqlite3' is usable])
++   GUILE_CHECK([retval],
++   [(dynamic-func \"sqlite3_open_v2\"
+                  (dynamic-link \"$SQLITE_LIBDIR/libsqlite3\"))])
+-if test "$retval" != 0; then
+-  AC_MSG_RESULT([no])
+-  AC_MSG_ERROR([failed to load '$SQLITE_LIBDIR/libsqlite3'])
++   if test "$retval" != 0; then
++      AC_MSG_RESULT([no])
++      AC_MSG_ERROR([failed to load '$SQLITE_LIBDIR/libsqlite3'])
++   else
++      AC_MSG_RESULT([yes])
++   fi
+ else
+-  AC_MSG_RESULT([yes])
++   GUILE_TARGET="--target=$host_alias"
++   AC_SUBST([GUILE_TARGET])
+ fi
+ 
+ AC_CONFIG_FILES([Makefile sqlite3.scm])
+-- 
+2.17.1
+
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 48/61] gnu: guile-xcb: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:05 +0000
Resent-Message-ID: <handler.36477.B36477.156637779725525 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779725525
          (code B ref 36477); Wed, 21 Aug 2019 08:57:05 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:37 +0000
Received: from localhost ([127.0.0.1]:34718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ0-0006dX-NV
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:36 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:38640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPE-0006Tn-5f
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:51 -0400
Received: by mail-wr1-f68.google.com with SMTP id g17so1239510wrr.5
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ZHNehG3F6tHYLAoELkWum6s7geqjj/kqzOMc8gZsWe4=;
 b=OZJVmip0eQ2sU85mV7AftYDQxm0IyteEPs9gspMebO1ifcDlLSM8248Udh4WhxJyx/
 XwAAtw2KxDLLGSe68vKIz2RKO28YsgM75RYQscXM9A8gXaiAgX5oCaRrmYXCh27UbnBD
 vOQXvvHvz9cxQ9Rdq7ldMd3651/fJTeoTynUcADiPipEnYVxNnZ+32qMxnEb9Am9Dymr
 DicmOdR64RGDEBpd3OEf6b9SPszlKZEROgBONft3IpCObUMLfGbr2BnpDlpTDaclECoC
 sbJ1JmelJvgR2WLrGYFbtRq7XsMniMGoVT2ffjO+T7+qGo1pQxfnw7buxO/E/P0Feyup
 9dwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ZHNehG3F6tHYLAoELkWum6s7geqjj/kqzOMc8gZsWe4=;
 b=tsihmOsxl9MYYW0SB3TiJ+9u/g9E/y8O7ySES9AZx36lYZTkAwaYLE1RqP47zEmmzu
 tcprugLNJoUXr3ILTwwOjBbYNpM6zkSPx5jvLAerMBxKaHjiM/K4aU5D6fwH/mo1LvQW
 fqir1i4afURac2jJOCc7VgvZLYEuAZQyHn+ilPexQ34s4VoBHt7FR7gJPrlQCVuVVXrg
 8Wsv/4Jb9ZPwQGuuAIoJo5kLOHpZiOnwvVZ+bnMTL4Ow62qRlYBYfrhmkX7Ws7Ok++UI
 6y8rrVFTpavMg15dvStPyb//PQ/dGrWbRclDI0mhU2rDkB1P0yetJL3XVzdQSYfpX/z1
 YGJA==
X-Gm-Message-State: APjAAAXTytj0eoxdCABgN0lJtCTquWapeTQ0LLRBuZPV3duqJWPcJzMR
 45HR1SD+sIuMZJDngAiLhEiRg37hmFQ=
X-Google-Smtp-Source: APXvYqyWDBPgJJTu+Epr/Ja3YGUOPssnvFE7ckzeXUBehOjYp9Tv2twBDoX6TKRk0GSpdHxUegEyRg==
X-Received: by 2002:a5d:4cc5:: with SMTP id c5mr11753866wrt.278.1566377742316; 
 Wed, 21 Aug 2019 01:55:42 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:41 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:42 +0200
Message-Id: <20190821085455.18508-48-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/guile-wm.scm (guile-xcb)[native-inputs]: Add guile.
---
 gnu/packages/guile-wm.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/guile-wm.scm b/gnu/packages/guile-wm.scm
index 2955c06a0d..6d17413901 100644
--- a/gnu/packages/guile-wm.scm
+++ b/gnu/packages/guile-wm.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2016 Alex ter Weele <alex.ter.weele@HIDDEN>
 ;;; Copyright © 2017, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2017 ng0 <ng0@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,7 +58,8 @@
                                             "--with-guile-site-ccache-dir="
                                             (assoc-ref %outputs "out")
                                             "/lib/guile/2.2/site-ccache"))))
-      (native-inputs `(("pkg-config" ,pkg-config)
+      (native-inputs `(("guile" ,guile-2.2)
+                       ("pkg-config" ,pkg-config)
                        ("texinfo" ,texinfo)))
       (inputs `(("guile" ,guile-2.2)
                 ("xcb" ,xcb-proto)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 49/61] gnu: guile-wm: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:06 +0000
Resent-Message-ID: <handler.36477.B36477.156637779725532 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779725532
          (code B ref 36477); Wed, 21 Aug 2019 08:57:06 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:37 +0000
Received: from localhost ([127.0.0.1]:34720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ1-0006de-0v
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:37 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:45464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPF-0006To-0l
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:51 -0400
Received: by mail-wr1-f68.google.com with SMTP id q12so1207680wrj.12
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=2uLQozcOnXn74yAurmUQTITfTukTksywcMavCvA1sWA=;
 b=NTLHT2wSzvCKVpAxGlPUsATdRsJHcj+F9Quy970toIewH3DKHj4qYRYTW4he4qeVV0
 nLQ7ej2Pg8pN38+o9nMJgzoyuiQwD9n98N0DNgFXrghXKJDKbsXCd8HHgVoULIPmb8yX
 4XoZqq7Pg7ztFvOpe2latYJ8jUmIFFpFPgxlTNucA8E2ObJw/SoKH79Gy6RUTBN2kdOm
 Vu3hnJ9jI0vRLULlr0M73/TmpjewmKOhkPBnvXL1XWpTDJFyvaMvAIlFY5wCQe/WTtk9
 PV59HCXB4I/GjwMqTpxTe/1MYd54UMyrxZndGUbc7M/pUxThB1KMwkr1HZz5px9cxkEZ
 eegQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=2uLQozcOnXn74yAurmUQTITfTukTksywcMavCvA1sWA=;
 b=W5I1C/AGt2LoubL8x1Fsf0AMRdShGoMofJJKxxxAqV7cLAf0ZVkxyWNphT76U1va6w
 NJGmn6NbTcRTia62mDDox1MXK7FLye6g7qKxpvNGzl5aH33QeIcoQEGJGV2wFhZ8wTyL
 ZbZvOPYloj4X+YyMGcoenWy1L/p9Q+lQqqecV3ohey396u7SUxaZEj4jZ9GTxcYjkVHg
 ewSxogUFvS1k+bEyNAoT+DAYGjMqM68O4QqmDNV+54aUqYS+CIWCLd1uPKav1Fjsy5FD
 hiVr9D13qcg+lVdhqGjaLr3glhAOzBAUaJT5MGBFpTn9sfb4VdqhElp8vOXkJYxXvozl
 so4w==
X-Gm-Message-State: APjAAAUv2Ur66vUwVjnIK0jcnW0SDfsduS4qUa84fQ5cydOW/UFf58oF
 8Nzsl0wZB9oDzZDyFG9y6XeHm7qXnxg=
X-Google-Smtp-Source: APXvYqw0idZKOIgKLEibFqxgFbCcy7RAAxC5BMm7v2kraMuHrqOcjcLT99hjH4W15Z6Ow2luYsS/YQ==
X-Received: by 2002:a5d:6a45:: with SMTP id t5mr10136923wrw.228.1566377743208; 
 Wed, 21 Aug 2019 01:55:43 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:42 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:43 +0200
Message-Id: <20190821085455.18508-49-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/guile-wm.scm (guile-wm): Add guile and guile-xcb to native-inputs.
---
 gnu/packages/guile-wm.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/guile-wm.scm b/gnu/packages/guile-wm.scm
index 6d17413901..3a6eebc91a 100644
--- a/gnu/packages/guile-wm.scm
+++ b/gnu/packages/guile-wm.scm
@@ -174,7 +174,9 @@ dependencies.")
                                     Type=Application~%"
                              ,name ,synopsis %output))))
                #t)))))
-      (native-inputs `(("pkg-config" ,pkg-config)
+      (native-inputs `(("guile" ,guile-2.2)
+                       ("guile-xcb" ,guile-xcb)
+                       ("pkg-config" ,pkg-config)
                        ("texinfo" ,texinfo)))
       (inputs `(("guile" ,guile-2.2)
                 ("guile-xcb" ,guile-xcb)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 44/61] gnu: libtool: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:07 +0000
Resent-Message-ID: <handler.36477.B36477.156637779725540 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779725540
          (code B ref 36477); Wed, 21 Aug 2019 08:57:07 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:37 +0000
Received: from localhost ([127.0.0.1]:34722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ1-0006dl-AJ
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:37 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:40361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPA-0006TM-Nf
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:50 -0400
Received: by mail-wr1-f68.google.com with SMTP id c3so1227831wrd.7
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=C4uD20lBlAX3OpnirmWezE1O3QCbZhWRYvt3ogEWxDw=;
 b=ivmn8S3ml0P0yozsS3JM0/KX6pLQTZ9/VgK0ggz6rUVunYxkw3PD6WlIIwoNDL1IHg
 CxT8PaB9+DjfG4X9aTtOigPnuQ7yCFtTAljj7KSMRkHYzCWxESXvUEPo1MJx0/Bya3L1
 jO5lf8D6EbrLiwiIGd1iSQMmtRg1PsvmkX8LY+4VDE4hgbgEnNfUFmBIyCY/nZto/DCy
 dD4nqLWIj+RnJITfqSHflJduCpotXeHjlMpGhPsFHYaIZbVYPabMQZfVOWvWPBJDKcbV
 RkeaOzMCcTKvSGwNwsJQsRXrBNgnLFtxKBZ+CysTfsoiPC2EBjkMquR8p0gT2N/V6u27
 1xiQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=C4uD20lBlAX3OpnirmWezE1O3QCbZhWRYvt3ogEWxDw=;
 b=mQ2jUp1LxShd1MJh22AklK6GCsNj5/Ha0/s9AI0WSg9c8IappJ454qGAPQPVmvaKoa
 gs9OQuXYx7q7rXGR83MXOQREg4nHNPBOlffuugtNrOZgq3CmZmvpJWzEqn3gflaoGzZr
 4isURaq2HI5OAP8vyv/N9AlozYkM2qmKrsaL5Bl6wgtXIaHbHJe+/0bCbTIT32X7vatV
 Nax73E0ZlQUMxWZmavMGbeqCOhexI20bF3ZIvObKhMzc6fKIoHDOydE8xN0l0L+GggbD
 e1FHFfZZA8+Z8QJVrDyMQVSPuCPfa8eMu6KBy32zWWtn2E4s/sl1XUmhRKhORaZQYBK/
 ot8g==
X-Gm-Message-State: APjAAAVmrecY0oi9nOnm0gjce17Mxl/BBa5TArPN867x5zIgbKGIu7W9
 0N1IhwxLDepGI0NmbbBWa4D/vpu3H80=
X-Google-Smtp-Source: APXvYqyXJDjeiQUfScnnI09lD+CZwogOynD/Oc1vld21FA7oMDJtKotXGiEQ215xhPLeUCfO0akHkQ==
X-Received: by 2002:adf:f584:: with SMTP id f4mr9168401wro.160.1566377738802; 
 Wed, 21 Aug 2019 01:55:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:38 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:38 +0200
Message-Id: <20190821085455.18508-44-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/autotools.scm (libtool)[arguments]: Do not run tests and use
bash from native-inputs when cross-compiling.
---
 gnu/packages/autotools.scm | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/autotools.scm b/gnu/packages/autotools.scm
index ceb70dfee7..98f31f6bca 100644
--- a/gnu/packages/autotools.scm
+++ b/gnu/packages/autotools.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2017, 2019 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -354,21 +355,22 @@ Makefile, simplifying the entire process for the developer.")
 
        ;; XXX: There are test failures on mips64el-linux starting from 2.4.4:
        ;; <http://hydra.gnu.org/build/181662>.
-       #:tests? ,(not (string-prefix? "mips64"
-                                      (or (%current-target-system)
+       ;; Also, do not run tests when cross compiling
+       #:tests? ,(not (or (%current-target-system)
+                          (string-prefix? "mips64"
                                           (%current-system))))
 
        #:phases
        (modify-phases %standard-phases
          (add-before 'check 'pre-check
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
              ;; Run the test suite in parallel, if possible.
              (setenv "TESTSUITEFLAGS"
                      (string-append
                       "-j"
                       (number->string (parallel-job-count))))
            ;; Patch references to /bin/sh.
-           (let ((bash (assoc-ref inputs "bash")))
+           (let ((bash (assoc-ref (or native-inputs inputs) "bash")))
              (substitute* "tests/testsuite"
                (("/bin/sh")
                 (string-append bash "/bin/sh")))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 46/61] gnu: libnl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:07 +0000
Resent-Message-ID: <handler.36477.B36477.156637779825547 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779825547
          (code B ref 36477); Wed, 21 Aug 2019 08:57:07 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:38 +0000
Received: from localhost ([127.0.0.1]:34724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ1-0006dt-Lu
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:38 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:41934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPC-0006TV-Bw
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:51 -0400
Received: by mail-wr1-f53.google.com with SMTP id j16so1229216wrr.8
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=okINyQSmSVRHzdI3lQevXFNPn35xWXx+YBIHiITo/hk=;
 b=Eys5EcZNVO6m+n42aPw2EL69XoUCB0yxgJmg4TfYNU8TxFV5gegB9QfMCNyUnJD2Ft
 0lHovX5B1d9q0E37Z13r4U4w0OdB8GMixQo2T8iyHTvXz6I21ik9x1ickOiYb03sQCci
 TU9VCDDWixVq61eN0AUQ0J5nE37z3eqiTRqBxxh9JJxho3jANbQ4ku5XZiH3n/LfF8iL
 HoyvZ8RRgArIoVH+Erj58u5csQzsUFOU4gEDI2CK7OzU8qGHSSUew/7CWS8dCezbHVRj
 S3n/MLjBA303vKz8vj2ZKQGit0IRN3bBEkU4AFUmONSHdMFl45tSrbaZe7mG34XHIuNU
 nsgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=okINyQSmSVRHzdI3lQevXFNPn35xWXx+YBIHiITo/hk=;
 b=JB1iDMQKIbbXEO2uZaTHWWstrtyIeW9y99/2sBeLq/Aw4vqi3qY3aGEyhfYIttmuaE
 RLpiLUJRDlRT3SB3PCiGU6dlGS9QJ5IhiXx3XlH0jEYVzaijzAy6NsCW4B2I3hAGMeYg
 x+cmep//QhXICdRlZ0rQTx1VZhMOWHJZqw30jsPucdC7mFQIwRbgeSRkJ9mHjOF0qIDy
 GpokrNROF86RLminMA47s1/pNdTM7lk4L4vpcuoXFx1Ir/cpNBMVi+rjgOyVXnjVlZBM
 wQ7GbZWjp0s0AeBpsovikgaYoX7wcud9IRwgqMAIWg9SbU1f8ZDDcJPm7RJnrzfnBkFx
 2IGw==
X-Gm-Message-State: APjAAAUHC7oVGYwsLPubA7CouzzHZBeTW8uDWvJpbzRHD61R8wo+ncp0
 Bkyd18Wm4TTr83GsAhnH1TrVetvZGEI=
X-Google-Smtp-Source: APXvYqyYFpqmfMnfeLAwUGZckvfy9s6lRbprcRI0nrZdysRbjmj+JoCsELWp83sClGN+hB3fcvPT7A==
X-Received: by 2002:a5d:5408:: with SMTP id g8mr32768782wrv.201.1566377740478; 
 Wed, 21 Aug 2019 01:55:40 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:39 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:40 +0200
Message-Id: <20190821085455.18508-46-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/linux.scm (libnl)[native-inputs]: Add python-2 and python-3,
[arguments]: In install-python phase, use the cross-compiler and linker to
build extensions. In install-doc phase, search libnl3-doc in both inputs and
native-inputs.
---
 gnu/packages/linux.scm | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index cf403c46f1..7503e47805 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -36,6 +36,7 @@
 ;;; Copyright © 2019 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019 Stefan Stefanović <stefanx2ovic@HIDDEN>
 ;;; Copyright © 2019 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1941,6 +1942,8 @@ transparently through a bridge.")
        ("flex" ,flex)
        ("pkg-config" ,pkg-config)
        ("swig" ,swig)
+       ("python-2" ,python-2)
+       ("python-3" ,python-3)
        ("libnl3-doc"
         ,(origin
            (method url-fetch)
@@ -1961,24 +1964,27 @@ transparently through a bridge.")
        #:phases
        (modify-phases %standard-phases
          (add-after 'install 'install-python
-           (lambda* (#:key outputs #:allow-other-keys)
+           (lambda* (#:key target outputs #:allow-other-keys)
              (define (python-inst python)
                (invoke python "setup.py" "build")
                (invoke python "setup.py" "install"
                        (string-append "--prefix="
                                       (assoc-ref %outputs python)))
                (invoke python "setup.py" "clean"))
+             (when target
+               (setenv "CC" (string-append target "-gcc"))
+               (setenv "LDSHARED" (string-append target "-gcc -shared")))
              (setenv "LDFLAGS" (format #f "-Wl,-rpath=~a/lib"
                                        (assoc-ref %outputs "out")))
              (with-directory-excursion "./python"
                (for-each python-inst '("python2" "python3")))
              #t))
          (add-after 'install 'install-doc
-           (lambda* (#:key inputs outputs #:allow-other-keys)
+           (lambda* (#:key native-inputs inputs outputs #:allow-other-keys)
              (let ((dest (string-append (assoc-ref outputs "doc")
                                         "/share/doc/libnl")))
                (mkdir-p dest)
-               (invoke "tar" "xf" (assoc-ref inputs "libnl3-doc")
+               (invoke "tar" "xf" (assoc-ref (or native-inputs inputs) "libnl3-doc")
                        "--strip-components=1" "-C" dest)))))))
     (home-page "https://www.infradead.org/~tgr/libnl/")
     (synopsis "NetLink protocol library suite")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 45/61] gnu: texinfo-4: Fix cross compilation
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:08 +0000
Resent-Message-ID: <handler.36477.B36477.156637779825554 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779825554
          (code B ref 36477); Wed, 21 Aug 2019 08:57:08 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:38 +0000
Received: from localhost ([127.0.0.1]:34726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ2-0006e0-3K
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:38 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:35782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPB-0006TS-IN
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:51 -0400
Received: by mail-wm1-f67.google.com with SMTP id l2so1298111wmg.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=wdHu+2q1a+FRTbITzkojxl6xX+KDw3hiwBvBasp2vPQ=;
 b=hqUXDkSYZ2w8qH5jLR3fi4dCUSXQJ+YcJ4PciFVisCL6bUg7ys2PE7Ap0gTZAVwqUz
 qvJWJoXgcvJog6XEcphQoB8OsjSOOIUhI5zEPgZzRrJ91mCF8hoxrZrivjV3z+zgdJQb
 3Jw8Zep2WnfVvSsbezdl09qKraVaWZEjY70Nrmzmtn3TMtBBvc8xZEjWtrma5AIabIZ2
 VjItJP9hSedVd/mpetS15bKfxEUOxT558ARUOSetLxo1M735NGiHjyJRT1rfRbsmc9KC
 WZky4wAocSV4TNl8pggu6xyeXEfDvvLKdp03ufVPdgZIcCyhrdbTZZ/voZ0Xdok9IxsL
 CSIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=wdHu+2q1a+FRTbITzkojxl6xX+KDw3hiwBvBasp2vPQ=;
 b=LHa9GDaVVZERLfnG8q9AzXg0DqZPAgnyam0sqZAfnMOx7KlfRUEC0AM75uS33CPtvP
 O3uL4XDDvxDqBZ+WTk2YDF0c0ClrPnBg3co+Vft/aJlqDG+FU6sfvXtyHylq8yq+aYV+
 8y7OTKHXNJq5Q96RQwpK3TJWF5WC8A8nK4N+Wp5ac2w2EZt7n/IISgvpNyp3MH/thpD+
 cxshwPA6h/vWjf0eekEfqfbN6MgeasE829hrnVyLbwpFO952o+BZj/FuCX+Xtg04h4kS
 hRi39lHOspj/l7r8BeesElo7KRS2Hfo26sNLV41D5s+AxjfY+5seFicfImJOltVrZWi3
 oy2w==
X-Gm-Message-State: APjAAAVsupQcCywIVh7e8yqgBHV25U7lP8jUXTxD3aZzZpeevJFMLLoY
 twi7rWNejBSmNLzKeUd/tHON/o7ltz8=
X-Google-Smtp-Source: APXvYqxlTU3bYG8rNbJRsZsMvpA3oLuLJ1kwflASxX4uVZyJ2NBP62y3J1iMwusDUvWm/A96EufGiA==
X-Received: by 2002:a1c:6c0d:: with SMTP id h13mr4404100wmc.74.1566377739717; 
 Wed, 21 Aug 2019 01:55:39 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:39 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:39 +0200
Message-Id: <20190821085455.18508-45-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/texinfo.scm (texinfo-4)[native-inputs]: Add automake and
native-inputs from texinfo package,
[arguments]: Replace outdated config.sub and config.guess by the ones
taken from automake above. Also make sure native tools are built before build
phase.
---
 gnu/packages/texinfo.scm | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index 19f87a4de9..fde1a12a91 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -21,9 +21,11 @@
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
 
 (define-module (gnu packages texinfo)
+  #:use-module (gnu packages autotools)
   #:use-module (guix licenses)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages compression)
@@ -106,8 +108,37 @@ is on expressing the content semantically, avoiding physical markup commands.")
               (sha256
                (base32
                 "1rf9ckpqwixj65bw469i634897xwlgkm5i9g2hv3avl6mv7b0a3d"))))
-    (native-inputs '())
-    (inputs `(("ncurses" ,ncurses) ("xz" ,xz)))))
+    (inputs `(("ncurses" ,ncurses)
+              ("xz" ,xz)))
+    (native-inputs
+      `(("automake" ,automake)
+        ,@(package-native-inputs texinfo)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments texinfo)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (add-after 'unpack 'fix-configure
+             (lambda* (#:key inputs native-inputs #:allow-other-keys)
+               ;; Replace outdated config.sub and config.guess.
+               (with-directory-excursion "build-aux"
+                 (for-each
+                  (lambda (file)
+                    (install-file (string-append
+                                   (assoc-ref
+                                    (or native-inputs inputs) "automake")
+                                   "/share/automake-"
+                                   ,(version-major+minor
+                                     (package-version automake))
+                                   "/" file) "."))
+                  '("config.sub" "config.guess")))
+               #t))
+           ;; Build native version of tools before running 'build phase.
+           ,@(if (%current-target-system)
+                 `((add-before 'build 'make-native-gnu-lib
+                      (lambda* (#:key inputs #:allow-other-keys)
+                        (invoke "make" "-C" "tools/gnulib/lib")
+                        #t)))
+                 '())))))))
 
 (define-public info-reader
   ;; The idea of this package is to have the standalone Info reader without
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 47/61] gnu: crda: Fix cross-compilation
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:08 +0000
Resent-Message-ID: <handler.36477.B36477.156637779825563 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779825563
          (code B ref 36477); Wed, 21 Aug 2019 08:57:08 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:38 +0000
Received: from localhost ([127.0.0.1]:34728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ2-0006e7-Ef
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:38 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:37413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPD-0006Tg-96
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:51 -0400
Received: by mail-wr1-f67.google.com with SMTP id z11so1244169wrt.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=zR13IYEH7NtERxtk14hFcgvgZJu2b/UFN3zgzDxdQC0=;
 b=h24g+LLuTnOhvJ20cHzDdlQ+9Y+7uKIEMcx0r7MyONGGsfrc6BqYdeP73lt0IqAvNR
 S78CC8irX7P4UgMBcNQBxWPBN4hEXYVlaOzBM0z1wpX/Jb1n/SN01gxMmWAaJO2Tlxe9
 DahoU3YqWnlbgvB4UcGUpj0wNVb5j3Zx/irYnoOGkCL7yD27utzZekyUxRYRrD9HgwHP
 Mga62mo4nAI9wCyD/myHjzEH8XD+hyEp812oxS2kBB4Pz7W9iz3uqcDQAzbwDUj95fNK
 womjBsm8X3Dd5bRN+kjxqAyjxcYnvyP4k9N4jBc4ah+uiMuvNPzWnrQF/DqGkHfZirro
 GUmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=zR13IYEH7NtERxtk14hFcgvgZJu2b/UFN3zgzDxdQC0=;
 b=DquEgj+yM7wFnLED/vDAOJyOrtDo51kPM7QDCzdv03eDh9UO9IikVylHr5OSkfpD5l
 ZxGB+0rjoyPzrFT7B3G6KXYGzGVs70B/HRSQQ94l9WTH+/aW/ZhR+45RYhnt8v96jz5Q
 XHxmaiAwUfZa1qCTPuWNUZuxzZTe1d7DQIP/C/Nbe9pSrkP4z4jWakXapaVPQCN0W2Xt
 t5k8+uxqNKT4vJidB4zA0folqNHrGNyQSw+XbGi/alXReLp116wt52hPGOZUVTb3C0DW
 sbBjoiL4EvHRO0gY6rEx8FnWYj6oNALo5keNtBaBJwGv9V3MmFZ3eBUwxAt7eUtYTDdi
 9Lbw==
X-Gm-Message-State: APjAAAX8qeg8u0mdqRVLtID77V9kHD6pMspaI1mFSpjQpmxV6Fs85Nya
 AtHw3KOIwjDzTluCJbpLicTcZNDxHy4=
X-Google-Smtp-Source: APXvYqzpRcGgLgOOC2wwlTFfeGQp2vrWIIyILoZq6vPeN5rVwgKzJdoNyuAZzCqkUONEmXforikg4w==
X-Received: by 2002:a5d:664a:: with SMTP id f10mr39973428wrw.90.1566377741429; 
 Wed, 21 Aug 2019 01:55:41 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:40 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:41 +0200
Message-Id: <20190821085455.18508-47-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/linux.scm (crda)[arguments]: Patch Makefile to use cross
pkg-config when cross-compiling. Also search for wireless-regdb in both
native-inputs and inputs. Set CC variable to cross-compiler when
cross-compiling.
---
 gnu/packages/linux.scm | 67 ++++++++++++++++++++++++++----------------
 1 file changed, 42 insertions(+), 25 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 7503e47805..26cba842d3 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2793,13 +2793,23 @@ interface.")
               (patches (search-patches "crda-optional-gcrypt.patch"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases (modify-phases %standard-phases
+     `(#:phases (modify-phases %standard-phases
                   (delete 'configure)
                   (add-after 'unpack 'gzip-determinism
                     (lambda _
                       (substitute* "Makefile"
                         (("gzip") "gzip --no-name"))
                       #t))
+                  ,@(if (%current-target-system)
+                        '((add-after
+                            'unpack 'fix-pkg-config
+                            (lambda* (#:key target #:allow-other-keys)
+                                     (substitute*
+                                       "Makefile"
+                                       (("pkg-config")
+                                        (string-append target "-pkg-config")))
+                                     #t)))
+                        '())
                   (add-before
                    'build 'no-werror-no-ldconfig
                    (lambda _
@@ -2809,37 +2819,44 @@ interface.")
                      #t))
                   (add-before
                    'build 'set-regulator-db-file-name
-                   (lambda* (#:key inputs #:allow-other-keys)
+                   (lambda* (#:key native-inputs inputs #:allow-other-keys)
                      ;; Tell CRDA where to find our database.
-                     (let ((regdb (assoc-ref inputs "wireless-regdb")))
+                     (let ((regdb (assoc-ref (or native-inputs inputs)
+                                             "wireless-regdb")))
                        (substitute* "crda.c"
                          (("\"/lib/crda/regulatory.bin\"")
                           (string-append "\"" regdb
                                          "/lib/crda/regulatory.bin\"")))
                        #t))))
        #:test-target "verify"
-       #:make-flags (let ((out   (assoc-ref %outputs "out"))
-                          (regdb (assoc-ref %build-inputs "wireless-regdb")))
-                      (list "CC=gcc" "V=1"
-
-                            ;; Disable signature-checking on 'regulatory.bin'.
-                            ;; The reason is that this simplifies maintenance
-                            ;; on our side (no need to manage a distro key
-                            ;; pair), and we can guarantee integrity of
-                            ;; 'regulatory.bin' by other means anyway, such as
-                            ;; 'guix gc --verify'.  See
-                            ;; <https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb>
-                            ;; for a discssion.
-                            "USE_OPENSSL=0"
-
-                            (string-append "PREFIX=" out)
-                            (string-append "SBINDIR=" out "/sbin/")
-                            (string-append "UDEV_RULE_DIR="
-                                           out "/lib/udev/rules.d")
-                            (string-append "LDFLAGS=-Wl,-rpath="
-                                           out "/lib -L.")
-                            (string-append "REG_BIN=" regdb
-                                           "/lib/crda/regulatory.bin")))))
+       #:make-flags (let ((out     (assoc-ref %outputs "out"))
+                          (regdb   (assoc-ref %build-inputs "wireless-regdb"))
+                          (target ,(%current-target-system)))
+                      (list
+                       (string-append
+                        "CC=" (if target
+                                  (string-append target "-gcc") "gcc"))
+                       "V=1"
+
+                       ;; Disable signature-checking on 'regulatory.bin'.
+                       ;; The reason is that this simplifies maintenance
+                       ;; on our side (no need to manage a distro key
+                       ;; pair), and we can guarantee integrity of
+                       ;; 'regulatory.bin' by other means anyway, such as
+                       ;; 'guix gc --verify'.  See
+                       ;; <https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb>
+                       ;; for a discssion.
+                       "USE_OPENSSL=0"
+
+                       (string-append "PREFIX=" out)
+                       (string-append "SBINDIR=" out "/sbin/")
+                       (string-append "UDEV_RULE_DIR="
+                                      out "/lib/udev/rules.d")
+                       (string-append "LDFLAGS=-Wl,-rpath="
+                                      out "/lib -L.")
+                       (string-append "REG_BIN=" regdb
+                                      "/lib/crda/regulatory.bin")
+                       "all_noverify"))))
     (native-inputs `(("pkg-config" ,pkg-config)
                      ("python" ,python-2)
                      ("wireless-regdb" ,wireless-regdb)))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 51/61] gnu: console-setup: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:09 +0000
Resent-Message-ID: <handler.36477.B36477.156637779925570 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637779925570
          (code B ref 36477); Wed, 21 Aug 2019 08:57:09 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:39 +0000
Received: from localhost ([127.0.0.1]:34730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ2-0006eG-Rr
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:39 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:37488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPH-0006Ts-21
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:52 -0400
Received: by mail-wr1-f47.google.com with SMTP id z11so1244362wrt.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=lwhfgbfqRdyuTQ8j7gBX1+dXb3ylK1tN+lL/hBN+Rck=;
 b=fEzkmoOhxr1YUehU+du5mnLBcdGp8Ks/vCUGCE4yKILKUhPOrRevNQGHDoH2QI8Z8B
 M0rhRCk5nUARt8WTAIabbySAUaWHMd25DdomkgJO3jhI23PbN/P/nyjYU8TXspHnrpOV
 2yMzJ1m6OnQz2xPo+pOmeJm/YZ0xa3XyTMljz81CUQxgsJ61DNCv7/AYRsX6X3jQo3WN
 OIxi0qqG5dQbmWkCtzopaPa+oAau6Nvf85bAy0LsbMih6dMLvg6J6YmX6dxWxxq3sXRi
 nuBIlRdgURzpDyoyYfX7/y5lyiEaEORyLCAnp6YN4zYTywXfXWBsE415ldYWl/sxyVvJ
 mdxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=lwhfgbfqRdyuTQ8j7gBX1+dXb3ylK1tN+lL/hBN+Rck=;
 b=OwUhvm0yud3s4u08yPdN37LYZsw7/WI0HxjoB97wSGLaB/8ijO4P6rFAVlktZS/FpP
 yDiEowvS/vEmWAxBG4eVGMfoP6z2J9QMOnvyMp4677X9yCQpeqCkdLVpwEk7qAGH1fuj
 LBsDaCgFMnENemUlAxxVXo7ZkTYOFGcxGAmN15qlTCbGNUhKMHJyZ768e2h3bwXQguC7
 nb70/bLz8SXjqw57UgMmv7aLavVsmnjVKNKhFtK/XD+/630XbzDu8rJ6v6lyMqYEojKG
 56kHLyzJxgie8eh8wl2u4cj7Y28UjqxmbWeiuMhFWikAxgpGhCNyVUdLFwHJYF3I2wvt
 XSCQ==
X-Gm-Message-State: APjAAAX/v1Bz+ceDykCyYRqdJpzP8l1Noj1MbWqI/1CLzEcgb6iRR9gF
 1Y2vqn/XqoWc9cI7ScpNSf+xmUrdSgs=
X-Google-Smtp-Source: APXvYqxYHrq292XTPQuCGVI/ZrhEaZxQQnFCQSLvfN+71p6EAhH5tcxDDs1iH+EtqAogm4C2YBIS/w==
X-Received: by 2002:a05:6000:1603:: with SMTP id
 u3mr4992638wrb.286.1566377745175; 
 Wed, 21 Aug 2019 01:55:45 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:44 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:45 +0200
Message-Id: <20190821085455.18508-51-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xorg.scm (console-setup)[native-inputs]: Add perl,
[arguments]: search for bash in both native-inputs and inputs.
---
 gnu/packages/xorg.scm | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index d4ea12be95..c695177c9a 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -6412,25 +6412,28 @@ output.")
                                " ")))
              #t))
          (add-before 'build 'make-doubled-bdfs
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key native-inputs inputs #:allow-other-keys)
              (invoke "make" "-C" "Fonts"
                      "doubled_bdfs"
                      (string-append "SHELL="
-                                    (assoc-ref inputs "bash")
+                                    (assoc-ref (or native-inputs inputs)
+                                               "bash")
                                     "/bin/bash"))))
          (replace 'install
-           (lambda* (#:key inputs outputs #:allow-other-keys)
+           (lambda* (#:key native-inputs inputs outputs #:allow-other-keys)
              (let ((out (assoc-ref %outputs "out")))
                (invoke "make" "install-linux"
                        (string-append "prefix=" out)
                        (string-append "SHELL="
-                                      (assoc-ref inputs "bash")
+                                      (assoc-ref (or native-inputs inputs)
+                                                 "bash")
                                       "/bin/bash"))))))))
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ("bdftopcf" ,bdftopcf)
        ("bdfresize" ,bdfresize)
-       ("sharutils" ,sharutils)))                 ;for 'uuencode'
+       ("sharutils" ,sharutils)                   ;for 'uuencode'
+       ("perl" ,perl)))
     (inputs
      `(("perl" ,perl)))                           ;used by 'ckbcomp'
     (synopsis "Set up the Linux console font and keyboard")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 50/61] gnu: cmake: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:09 +0000
Resent-Message-ID: <handler.36477.B36477.156637780025578 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780025578
          (code B ref 36477); Wed, 21 Aug 2019 08:57:09 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:40 +0000
Received: from localhost ([127.0.0.1]:34732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ3-0006eN-7M
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:39 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:40370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPF-0006Tq-Vj
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:52 -0400
Received: by mail-wr1-f66.google.com with SMTP id c3so1228103wrd.7
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wt01iLXERxC3NgljfLqUzZO/f3ByWWutDdotc+bTNv4=;
 b=jvjzja/G/nlPPK6RXc9ppGIEIj1eGxMQC7wmRnVVf6ZWWkK7n/e0NzQMPtW14ZxdPb
 89SlSCihObAEhe4dAqbqzDwX58kx6r+14BH9ORgZh84AxA5dkna/KaVTB089bgobAv9M
 jkU6gBYD5TjQeQIGCo1LWhoxOdc2kS/UlIvinq4j3+F5sQ9xkNeMT48NgZx5MHhZYi5/
 YF31B0hw55SugYgVHJd0W6260POGsdNNK9j1A8uiIBuH+XU4mKu5KFMo5UHlXn5AGX1W
 jsrLqxTqUO/hlQqoTi2BT629sVSm73bXPHmgffK+yEncp8s0SCDPHzofPpKejyhwBErB
 vhig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wt01iLXERxC3NgljfLqUzZO/f3ByWWutDdotc+bTNv4=;
 b=j6F4rOxXdJXIyRENZ4zwIcdGtFyMHA3GS7hduGxdbcOruzSrMzzwLN+Z+TZDPIPKKv
 PU/EhzRLXAPG/cymLADoT5A5xGzqfF2CyaQhk9UIF5p0BrhQ1oY2T5UTD+AdzYvBH/NG
 pdcIpDKpX6FekB/8sZxawGvmxl189oyEM6rn8c1RiZ5Jb2+O0W6L7xXQx7NCpVBtuBYI
 fGTkDepK6cMVm6wF8e4+WS77CMhX492RQdx1Te0bt4poEbrEg9a/PQcLvoy1MhQ+Dtsr
 yu4HnGRUAzGTNR3VxeFl0R1/2qdSZDOtr+OFUY2h+F6lFQ/zlaw+trF0w4lSyUoty0ls
 OmwA==
X-Gm-Message-State: APjAAAUdOnO0ALAQU8rlMlwQEwwBjAPymE+T1JNipMf3hTpXZgfDj82O
 EWHvChAnOL8CT60PA2C4cmgNdkYKZRE=
X-Google-Smtp-Source: APXvYqxU/2YyIp3zkI072B0XxFmmkEJIP9++mYjuoCbXXe1c7xgIv/v/8TMOcs/u2iMVkvfDk87+9Q==
X-Received: by 2002:a5d:52cc:: with SMTP id r12mr31678361wrv.272.1566377744151; 
 Wed, 21 Aug 2019 01:55:44 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:44 +0200
Message-Id: <20190821085455.18508-50-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/cmake.scm (cmake-minimal)[inputs]: Move all inputs to ...
[native-inputs]: ... here, except for ncurses.
---
 gnu/packages/cmake.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 9bf0273f00..cae66f2525 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2018 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -145,16 +146,17 @@
          (replace 'configure
            (lambda* (#:key (configure-flags '()) #:allow-other-keys)
              (apply invoke "./configure" configure-flags))))))
-    (inputs
+    (native-inputs
      `(("bzip2" ,bzip2)
        ("curl" ,curl)
        ("expat" ,expat)
        ("file" ,file)
        ("libarchive" ,libarchive)
        ("libuv" ,libuv)
-       ("ncurses" ,ncurses) ; required for ccmake
        ("rhash" ,rhash)
        ("zlib" ,zlib)))
+    (inputs
+     `(("ncurses" ,ncurses))) ; required for ccmake
     (native-search-paths
      (list (search-path-specification
             (variable "CMAKE_PREFIX_PATH")
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 52/61] gnu: mdadm: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:10 +0000
Resent-Message-ID: <handler.36477.B36477.156637780025585 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780025585
          (code B ref 36477); Wed, 21 Aug 2019 08:57:10 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:40 +0000
Received: from localhost ([127.0.0.1]:34734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ3-0006eV-Ri
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:40 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:46904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPH-0006Tu-Tl
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:52 -0400
Received: by mail-wr1-f49.google.com with SMTP id z1so1207786wru.13
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=p0iJWeQM4P49uByDIXzv59ogn92yPq4f2poEVFJ+0Zw=;
 b=sjytbJ5MbGcluzXP88eCWnbBdmQtKlafh9JTuWC/6CnCyBq8KguoZZMc+mxwnOZoS+
 KO893rdbNOIF56XCCrxQvxuAeBzctX1OBWs71+mrWzBCwQByzw+P6DFojh0vsFjLfpRL
 zOVqghamrkhqD8uuHAlamJ3c2UoMvWEzHy65031ZPTvFKSf2CDPSkX2fra2f2W/ownMA
 HyyXmy8nOhGbbDPuIvK2o2ErMl9uEKIoDGa6s2CotCaw7ahjGBjBthbDV5+zdBebUh31
 g1DMW1w1UijiAU7cmA5Vam61djeKRX2QEfR0gXADZWcudoqL7SlQrt7gx480WlsDBgfP
 sAmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=p0iJWeQM4P49uByDIXzv59ogn92yPq4f2poEVFJ+0Zw=;
 b=gDFbkpTMRh+Yn8N0ci8FG/VShNdub94su8kW65zkyYy0hfrKDL5BdNbT9lHnQZkHAZ
 hmICQje/21zQeb/9kXE/YUi5E5zaP6ujGD0iskXRxBonWO3vsyvEhzjmKUuNqTmk6yH0
 XxU5zUb9z6S7p+KIKXZbZ6GFacGo0tj+vFu6GiJgZkEguQTzFpo0sgsOYLXyFfucN3zS
 MjthsxLnGEZaf/XAYEH8sYM88DVuX5/HZwyCGPKlPnO9GOZ1dBQXvTCJ085c7dKeX620
 rX5MVGj7TJCSZcdI5NJH9oLx6AZszAC4eOGcQ0wkveGVSnDy77Kw/q7kP4oosOnpmXXS
 cyyA==
X-Gm-Message-State: APjAAAUbI/TBwSpZUymRBjqiLnWDU3f54wnKnjQPeWAp4+BeMt+K+GUn
 SIRZGw53GQGSo9WdO0/gcDA2JMH4s5Y=
X-Google-Smtp-Source: APXvYqyeM0f2lboaKhgp0r8JbY2KB9cVWYbe5MPCKEs0LIF5YQ+M8F7LZaqXnHkKWNvsAcyoCb9fXw==
X-Received: by 2002:a5d:6ccd:: with SMTP id c13mr33274430wrc.4.1566377745966; 
 Wed, 21 Aug 2019 01:55:45 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:45 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:46 +0200
Message-Id: <20190821085455.18508-52-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/linux.scm (mdadm)[arguments]: Search for coreutils in both
native-inputs and inputs.
---
 gnu/packages/linux.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 26cba842d3..4283894008 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -3525,8 +3525,9 @@ MPEG-2 and audio over Linux IEEE 1394.")
        #:phases
        (modify-phases %standard-phases
          (add-before 'build 'patch-program-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((coreutils (assoc-ref inputs "coreutils")))
+           (lambda* (#:key native-inputs inputs #:allow-other-keys)
+             (let ((coreutils (assoc-ref (or native-inputs inputs)
+                                         "coreutils")))
                (substitute* "udev-md-raid-arrays.rules"
                  (("/usr/bin/(readlink|basename)" all program)
                   (string-append coreutils "/bin/" program))))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 53/61] gnu: grub: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:12 +0000
Resent-Message-ID: <handler.36477.B36477.156637780025592 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780025592
          (code B ref 36477); Wed, 21 Aug 2019 08:57:12 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:40 +0000
Received: from localhost ([127.0.0.1]:34736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ4-0006ec-5J
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:40 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:56051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPI-0006Tw-TT
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:53 -0400
Received: by mail-wm1-f46.google.com with SMTP id f72so1257744wmf.5
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=4xnHTmjVDui5nVD3cucNF5qppjN5En3KEWtVRDGkeuA=;
 b=YmtN8ujR5H4l0hXa7znfVEFPqo9qpMUONyttzYo0xfmiWQH7ySGYZt5sZZipuAaLI9
 f/AI+PZeraaVAMHAloKnuKYdOC4M99f8enr5cbyQTc8nOom+AZzq8EMeppNFC+2t/22a
 MdkF65HNwOHLJB21cxVS2fmlM+9PF3ifsY44+lyhw8TeOUaiYe7Gp75oxTva02imSgCW
 AMvwIGqKxDaTJkNUiyqidZEc7yB9ntzST77Qj+6J1hGV+m26ghB7psmC93sFWBWAOBc1
 KxvBgRHggktgCIMmIIdCKNISjEKkGWkSDstFa3zes4wbTRiArERy14G0NHQf/dSUjXD/
 TWqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=4xnHTmjVDui5nVD3cucNF5qppjN5En3KEWtVRDGkeuA=;
 b=i8PGhu0kpm8PNG88O9BtaHm+YGCSRHLO9DTED3SD/JFZZQBCX3e5s9NdRhtPoSEm2S
 5pYCluJ+UyuOOjK27y7MpRK9EWsfWfPslgjLrBwFypHI5DRsU6rhLpBhEPBseY1WP5L2
 3eQBgorUrDSCuqROsPxoqgcO0CEb4ieNtP4vZXlyiXBYS4hQlaeCZ/i0O+cT1JjnyJ7I
 ITVWj2d731jrItIxKQtviqZkhAml8S7delG8jtxjiAYIDvMTOOkzAh1+q+L9owZtiIuU
 fMZU1YWeVxaLt/G5Nc5CE9r+EwBHm8cDbXnTQ7szP1W52ktjs5mBcfaIhWV/2I2c33Bz
 VI7w==
X-Gm-Message-State: APjAAAVIR4CClG2rugPudOiDNrt1MfSsTGSgoOQNeI1yxeH+GGvFgYIz
 S31TdsS/MXj4LsTYqdzqILd4ruJsjBE=
X-Google-Smtp-Source: APXvYqzwHgRgBTy8m05DJEiAe18xvBQXwat7mRdLR+nRyP73A1WICp3tvR4EdNGLhz8G/w4UcM31uQ==
X-Received: by 2002:a7b:c246:: with SMTP id b6mr4931645wmj.13.1566377747044;
 Wed, 21 Aug 2019 01:55:47 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:46 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:47 +0200
Message-Id: <20190821085455.18508-53-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bootloaders.scm (grub)[arguments]: Search for unifont in both
native-inputs and inputs.
---
 gnu/packages/bootloaders.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bootloaders.scm b/gnu/packages/bootloaders.scm
index 41a2de9706..b235e1bc78 100644
--- a/gnu/packages/bootloaders.scm
+++ b/gnu/packages/bootloaders.scm
@@ -99,7 +99,7 @@
        (list "PYTHON=true")
        #:phases (modify-phases %standard-phases
                   (add-after 'unpack 'patch-stuff
-                   (lambda* (#:key inputs #:allow-other-keys)
+                   (lambda* (#:key native-inputs inputs #:allow-other-keys)
                      (substitute* "grub-core/Makefile.in"
                        (("/bin/sh") (which "sh")))
 
@@ -114,7 +114,9 @@
                                        "/sbin/mdadm\"")))
 
                      ;; Make the font visible.
-                     (copy-file (assoc-ref inputs "unifont") "unifont.bdf.gz")
+                     (copy-file (assoc-ref (or native-inputs inputs)
+                                           "unifont")
+                                "unifont.bdf.gz")
                      (system* "gunzip" "unifont.bdf.gz")
 
                      ;; Give the absolute file name of 'ckbcomp'.
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 54/61] linux-initrd: Use native gzip.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:12 +0000
Resent-Message-ID: <handler.36477.B36477.156637780325602 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780325602
          (code B ref 36477); Wed, 21 Aug 2019 08:57:12 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:43 +0000
Received: from localhost ([127.0.0.1]:34738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ4-0006ej-G2
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:40 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:33590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPJ-0006Ty-Mg
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:54 -0400
Received: by mail-wm1-f42.google.com with SMTP id p77so4277988wme.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=ukNvIWXfhcbrIt7Aq6Kia6x3wETiN20GtljSYNw0bdE=;
 b=dYd5IWUY4qAzFE6O7qEbY4IVG1g1KXvo2u5sOMRhSuEGq0GdDwYdH5wzfOSZKh6L1Y
 NOltzjtMglKBqkb75TQjNuvxRwqFSfks/OsNp2pRRlIpu3dRb5ZnbkDYpom4H6rQe8pR
 Wg6GjPz3HUn1A736y80WUg0BiN2UnFh1fsN9sBweZFWurv6APCC+GEn7988yISc5jvOv
 E4z4y85U5qjZf8EbawYdeNqErLvlnbd18iIWqnN6fWeT7e3dWE07ZZjKS8jyj7EcHsc5
 /JlNvf1OZlAh/oYUHIw/Fs2JXt25bPrb90tKYU2BT8o5iGO+LHdue72FkSj1VdroJzSI
 NtTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=ukNvIWXfhcbrIt7Aq6Kia6x3wETiN20GtljSYNw0bdE=;
 b=QG/8D12vak7tqAwRAtLWgLff8GiEH/TsZc1un+Yh4Z1/3lP6FmVeTWVhSKu9J7Yq+F
 xGUdGuv9GZkzh9sb5waqpoZTYnycqmWIkoU2hWfZ9i6JdN/u1iGzBXVLDLZBP6/FephG
 p61oHXAh2MJdoGBVqCZxA52BRyWCTyqhYbSF3deYpkv8e8Lf1HmZ2soDJuA/3C8X3Xrz
 aIqdck6l1SY13+kEXenHL8Fnp4HP25F+1ltaBW61Ah99ER4QGY6a/yPHadpm49sbIqQz
 R9nozVssdSD7VtA5J7rZSI74yo4ZpByqr8v8vnKvlkNzSAbd+dPqsMDkfbuAJT/ROmcA
 ooFw==
X-Gm-Message-State: APjAAAWUgF10etvutzZe89zmsiCj2JpBiiQFInSNGCZY055uwuzk0uuF
 l1pdB3DrxsYmZmSXeFhEFkciURp60CY=
X-Google-Smtp-Source: APXvYqxoxGZGM8O+ELCgl7QxKDEIkeM7xBU+NEX2A46g4hbVXpQ32rg8h7BNuFVlnh6aAI+UCvWcLA==
X-Received: by 2002:a7b:c1c1:: with SMTP id a1mr4993856wmj.31.1566377747859;
 Wed, 21 Aug 2019 01:55:47 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:47 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:48 +0200
Message-Id: <20190821085455.18508-54-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/system/linux-initrd.scm (expression->initrd): Pass native gzip to
build-initrd procedure.
---
 gnu/system/linux-initrd.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/system/linux-initrd.scm b/gnu/system/linux-initrd.scm
index c90b87c023..34062a3517 100644
--- a/gnu/system/linux-initrd.scm
+++ b/gnu/system/linux-initrd.scm
@@ -99,7 +99,7 @@ the derivations referenced by EXP are automatically copied to the initrd."
                         #:init #$init
                         ;; Copy everything INIT refers to into the initrd.
                         #:references-graphs '("closure")
-                        #:gzip (string-append #$gzip "/bin/gzip")))))
+                        #:gzip (string-append #+gzip "/bin/gzip")))))
 
   (file-append (computed-file name builder
                               #:options
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 55/61] gnu: linux-libre: Enable built-in ext4 support.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:13 +0000
Resent-Message-ID: <handler.36477.B36477.156637780325609 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780325609
          (code B ref 36477); Wed, 21 Aug 2019 08:57:13 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:43 +0000
Received: from localhost ([127.0.0.1]:34740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ7-0006et-Aw
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:43 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:32793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPK-0006Tz-LW
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:55 -0400
Received: by mail-wr1-f43.google.com with SMTP id u16so1262147wrr.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=/Jwik5zoM/W/BFb8aJruUnY11C6zex3zb3wXecN1nQQ=;
 b=R57e+MUP7ozreiuGo6WVehvtGPJf4MpmF4KaJKffIJF7+ForK02nYIf8Xk3fZ1tXBc
 wUDzYQXIVME0QHOfEaZoomadicPlC9IwGlXOcj386N71IDSlzo2ZEdj3XGPPze5JaX9F
 Ti2Ry31ungDmPgtadJdiY4voGVJPTGg7O3yXQqBRpOeLQ7iJVtUWbgKdmN5qZsBHZ8uv
 9h+OysmD69/kcW6QD3sAqw/1OPrF+uxl/F8XCQxdiTHYmadU2+S6TmEAqIy9Aa4UURYQ
 sitT+lojdFkEn+jGt2rliY1bTE+5GAObJLJW4QalFpUXp2D50Qp/JLTkAnWbgceGW1d8
 HCJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=/Jwik5zoM/W/BFb8aJruUnY11C6zex3zb3wXecN1nQQ=;
 b=dS5fTFrA/+pxQ5o9f8aBi3kCgDamz3RSAN54LKx4Vo0478vjwF7gVgxyDBc1exVfMs
 1Jji63jeAtWSJ9kNG0GcC+4uuaMLO2uaXRYwk2DE2oq6RancoTmqmhfmNBhgctpRCf91
 8py/AUnKB3YtOGxBXCSpj6Sr8QCqa+ghpqiPJ3RviPlrfTBADNIy234jZ6T5jqB4gX46
 jApV3WtV8Ey3GZOBCeYnaNTxKyliGlr3Y2UFC0XgEMRdZXWp6IzyBJgyY/8dhrhn2ujX
 y8RcGf23C+4GdmUcwebe+/6GdOvUnT4YW52BE09HGBbj3/u8VROOGY5aAbQyv9TpR3k+
 Laug==
X-Gm-Message-State: APjAAAXU/2IGYmhEVaj8T+t92/AC14j8QCPPuxXTWvFU1kpql3cXGbsP
 MdTSoz3Xdp0kFV0WplUjuJwRCrYWByM=
X-Google-Smtp-Source: APXvYqw4YJsWZH48KQ56BTKUTiw0h560XbDLu+KKXnUSvdqXCa5pSfx0NczvQShUr6BmHWDXtWH5UA==
X-Received: by 2002:a5d:500c:: with SMTP id e12mr20122325wrt.213.1566377748705; 
 Wed, 21 Aug 2019 01:55:48 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:49 +0200
Message-Id: <20190821085455.18508-55-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

When running qemu-img from (gnu system vm) with an aarch64 kernel, mounting
ext4 partitions fails because no modprobe of ext4 module is made. Like for
other kernel configs, provide built-in support for ext4 partitions.

* gnu/packages/aux-files/linux-libre/5.2-arm64.conf: Enable built-in ext4,
like in intel and armhf configs.
---
 gnu/packages/aux-files/linux-libre/5.2-arm64.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/aux-files/linux-libre/5.2-arm64.conf b/gnu/packages/aux-files/linux-libre/5.2-arm64.conf
index bfd8c18ddb..4ad652a78f 100644
--- a/gnu/packages/aux-files/linux-libre/5.2-arm64.conf
+++ b/gnu/packages/aux-files/linux-libre/5.2-arm64.conf
@@ -8023,7 +8023,7 @@ CONFIG_VALIDATE_FS_PARSER=y
 CONFIG_FS_IOMAP=y
 # CONFIG_EXT2_FS is not set
 # CONFIG_EXT3_FS is not set
-CONFIG_EXT4_FS=m
+CONFIG_EXT4_FS=y
 CONFIG_EXT4_USE_FOR_EXT2=y
 CONFIG_EXT4_FS_POSIX_ACL=y
 CONFIG_EXT4_FS_SECURITY=y
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 56/61] gexp: Use cross extensions when cross-compiling.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:13 +0000
Resent-Message-ID: <handler.36477.B36477.156637780425616 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780425616
          (code B ref 36477); Wed, 21 Aug 2019 08:57:13 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:44 +0000
Received: from localhost ([127.0.0.1]:34742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ7-0006f0-Kv
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:43 -0400
Received: from mail-wm1-f53.google.com ([209.85.128.53]:50420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPL-0006U3-Gi
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:55 -0400
Received: by mail-wm1-f53.google.com with SMTP id v15so1277818wml.0
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=cvvFyfXxc0+gE+jTUwIPrClR0dbwyLH+FAo14RGWnBI=;
 b=C601qCrJNc2gNCvYtG517CHXhrz2v7RvcdEpMXeTTczPXJNmqTjOkyc8Np4rve8DrE
 X2GZMmpPEegHnnsvN4OtOfilqAfA8nPkECbuM/eBE14yJs2koDAqvbD3bx4bs+MsiKhp
 NpkoZXNaFlwck6pecdkM0lSoyoFRpO66urRtRE6yu1Coz6a75kGo8uISy4qu4u7Rh8Oe
 kTwXa0u8uHv7Og57qWlKi2o47eR+YzmMfa8OVi1rWN5oVGj8QCeH+IdHhN12veaGNTN0
 eu31SAXzjFlmyxGWZgwVR9nN6QuHIHF7nWMY0NL/6C8PqNipsXaA0G6yCWMPzU6jn48u
 yPJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=cvvFyfXxc0+gE+jTUwIPrClR0dbwyLH+FAo14RGWnBI=;
 b=MvfFJa2MYsqCYK3JLx/hDK05AEqlOP09DszS+hsCtmG19H1hNl8jMmnQPLr1BDyhF8
 EDvxeNGRoYqTjQzQV8RPF+fOMmcULI5/27tLAnpU365nvsYeonaPa86LhvqK98Z8ZD8M
 RM+LnX70x9cdJe3ebMQwE4tCanGQc4A0Nle2igHyS0sSNqHO58DC98fn0vmrAqY4AzSa
 sg0iJvRJXoVLu0bS9I7yLCZ/FIuIbnUUVMKPuOsZHW2hUApqAWkInMJmZHpXADfHq/dn
 JFihYoKUCHl8DiD282+45YelFSRbrRtnHxvfupcFbcXbo0350PLOuxrIfjwcUwpLYWNz
 RKQg==
X-Gm-Message-State: APjAAAW/xtvoIWJ6xEZeKkxDFg2vLETHX5SshIw4QrMYVQCm0R765dNx
 DCxveHSndmUWg4tsYvkwof8w+C0nZRU=
X-Google-Smtp-Source: APXvYqwhWOSEudWT1vXrZ7TFgm/3c/LqmWCgaOCKRUEac5mji+GiYiQEBZCiqcu0j3ybxZOrl1Wzgw==
X-Received: by 2002:a05:600c:228f:: with SMTP id
 15mr4488584wmf.160.1566377749581; 
 Wed, 21 Aug 2019 01:55:49 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:50 +0200
Message-Id: <20190821085455.18508-56-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 guix/gexp.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/guix/gexp.scm b/guix/gexp.scm
index d9bdde2e42..514422cb08 100644
--- a/guix/gexp.scm
+++ b/guix/gexp.scm
@@ -1513,7 +1513,7 @@ are searched for in PATH.  Return #f when MODULES and EXTENSIONS are empty."
                                                (string-append extension
                                                               "/share/guile/site/"
                                                               (effective-version)))
-                                             '((ungexp-native-splicing extensions)))
+                                             '((ungexp-splicing extensions)))
                                         %load-path)))
                         (set! %load-compiled-path
                           (cons (ungexp compiled)
@@ -1522,7 +1522,7 @@ are searched for in PATH.  Return #f when MODULES and EXTENSIONS are empty."
                                                               "/lib/guile/"
                                                               (effective-version)
                                                               "/site-ccache"))
-                                             '((ungexp-native-splicing extensions)))
+                                             '((ungexp-splicing extensions)))
                                         %load-compiled-path)))))))))
 
 (define* (gexp->script name exp
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 57/61] gexp: Pass target to compiled-modules in lower-gexp.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:14 +0000
Resent-Message-ID: <handler.36477.B36477.156637780425624 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780425624
          (code B ref 36477); Wed, 21 Aug 2019 08:57:14 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:44 +0000
Received: from localhost ([127.0.0.1]:34744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ7-0006f7-V4
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:44 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:54982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPM-0006U8-DR
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:57 -0400
Received: by mail-wm1-f54.google.com with SMTP id p74so1259341wme.4
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=ST4l1KbI9iHj9KXKzbTI80//GXml2ygK6ky/tShFgJQ=;
 b=fDiJ6CZZtkuV6idYxrJ2UuSqcFxtpNqO7rPBg1ejlQxdvqxtcPumW+w5l71OpbyHN3
 akiR1MGe+UgAjU+m+xM1K2u9P2keGq+jRq8i7jTFwRsqNvrQJhTBi8NN5bJRLEUpIzrm
 NnT2+xJDEBNM+escpt2NA3XlZTjoCgvHtmVBIRHq57RofMQEv6Ge50QFksoyJ+PNl3ar
 D9h++p2fdixY1bXPTYyAuDI6Ewxh4VP7ei+5vykdH3GgQMkUoPMg1+R8cwdJzdItMWi2
 0O91zKDfzxgWiXBtKft5wdB58yML9rcIrH6B7JaHAqwPysxC32ie0SahUGDWn8EB1Si3
 iwQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=ST4l1KbI9iHj9KXKzbTI80//GXml2ygK6ky/tShFgJQ=;
 b=colwv3Re3emlfxW1ZBJjjHbgMlFQ6D8Lcxd5uQ6eI3uQy742IeL36zVDKjiYuZZbau
 sAvvseO/wDs8w+aVcMCfkaDhgfCx0udUpl6ltIbrTM6vN7qSVgw3akbn0Nk5Z6tRbnpE
 iuld3D2CWIo4eZ9/1i+YkvWhAakSHJlxsya1lFg+p2ByxPG8Ak4zw6yEN0yNMOV+MNEp
 d6QpxZ0mM/qTYJIuJP7p9Y1M2baQMhn1SpGQvJEOS7L6bn+AyLV0QaFdYY1s5uyVY3Sa
 2jh15yxtUMcBno94jEmjlf3vheWM3Wra9QnQl29vGvupELp20Na9DlZsf9gcs8C86Elb
 2XIA==
X-Gm-Message-State: APjAAAXLA19E29R8D8TSb1Pxmo7DXok/mRXkPgeuVFILKNPggl+CsDaU
 3xG9Xbuy84rAUjAygmkd0v+ydqaQT/c=
X-Google-Smtp-Source: APXvYqxUPJf3jjpeS0tDwaHtaDbgow1Jk0p0T2P+sQhii84pLG+ZCmKLNJXbYYVXekHuaIWoT9YZRQ==
X-Received: by 2002:a7b:c148:: with SMTP id z8mr4985211wmi.168.1566377750424; 
 Wed, 21 Aug 2019 01:55:50 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:49 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:51 +0200
Message-Id: <20190821085455.18508-57-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/gexp.scm (lower-gexp): Pass target argument to compiled-modules.
---
 guix/gexp.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/guix/gexp.scm b/guix/gexp.scm
index 514422cb08..afa28779c8 100644
--- a/guix/gexp.scm
+++ b/guix/gexp.scm
@@ -727,6 +727,7 @@ derivations--e.g., code evaluated for its side effects."
                        (compiled (if (pair? %modules)
                                      (compiled-modules %modules
                                                        #:system system
+                                                       #:target target
                                                        #:module-path module-path
                                                        #:extensions extensions
                                                        #:guile guile
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 58/61] utils: Use target-arm64? and target-arm? helpers.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:14 +0000
Resent-Message-ID: <handler.36477.B36477.156637780425631 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780425631
          (code B ref 36477); Wed, 21 Aug 2019 08:57:14 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:44 +0000
Received: from localhost ([127.0.0.1]:34746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ8-0006fF-8b
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:44 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:41951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPN-0006Uo-6c
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:57 -0400
Received: by mail-wr1-f49.google.com with SMTP id j16so1229700wrr.8
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=cXSRfja10rg0I4hDCOE+6pUFl9D2a5/TMWty+UQVIQ4=;
 b=nPsaFRGy0upWNbDttg0pN35e9YEw/edreIKRdtQUr01GjWASf5x/JzV6asvw5BKnN2
 dK7MzSGPMvaOj77/65MOPxfdeR0L+GAuo9ljAnbD6fBTOOQNHw8y/mcQfYig56vGIol3
 XZDYIDXgO1xksxDnrb5lYAxn+rm6CJ+9fRMWaE8pwIzlva+7iNCAmo5HsxPE+QlJXfTO
 M3ozWxqqcktNhhEyGboTn5qfBctQ4Y9XUoXvLS+iD3sVGUp7cW3YbIEZZiXE2jL6yAfH
 /fWd2WYDwnavH9trWi5t6NCrzQ55Mt8c/t0Xwu/02Hv5s72zRSBn1GBtfknxUNJ9qKSH
 63/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=cXSRfja10rg0I4hDCOE+6pUFl9D2a5/TMWty+UQVIQ4=;
 b=PcK2kbYDv1SuL95xgmBiSHTHS3SUqqzeSwtm3M4b6auT93YXGg35EZqg/LKpzwYMts
 qU9HWt/Q0e0LfG5jEPj0OxNL+4ve41aQz2nWbjK0xopfoT0lfuKvXDU+1eAWOkOPEs7b
 KRoZ7i/HsOiBkJJi7xSfFdFspcecbNZHBsdm3inWdQzR7gR/USGjtk7e8l107w1Fro+t
 RPpSUhIk/GrQU1NG3JToZm4IfshgDQbYGl1QbgfYrf7Mx1pzbhkaSwX9+bz7+dzoMWoA
 G8H/3rER1olXF8bohVJQZ0ZBZEHZzEyajbUdx1cKjTRDM2yUIi1wjJyn3q63c6sVBk8m
 E7sA==
X-Gm-Message-State: APjAAAU6p1VgXVArPPeVU6XB3MEqM0Gm8AIoURc/bbdFewPeJ7g4Bjmz
 vRK+GNGbrXt6hI/H44/1MZNH0VYr5cs=
X-Google-Smtp-Source: APXvYqy5h6fGR/gEHlfQCEPQ5PHmP2s6V5A1xg2MZV95YCc0t2EQ11k12LmOdaEpITLOcLeZjNw9cA==
X-Received: by 2002:a05:6000:4d:: with SMTP id
 k13mr39618402wrx.196.1566377751333; 
 Wed, 21 Aug 2019 01:55:51 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:50 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:52 +0200
Message-Id: <20190821085455.18508-58-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/utils.scm (target-arm64?, target-arm?): New exported procedures.
---
 guix/utils.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/guix/utils.scm b/guix/utils.scm
index f480c3291f..3eb156ad4e 100644
--- a/guix/utils.scm
+++ b/guix/utils.scm
@@ -78,6 +78,8 @@
             package-name->name+version
             target-mingw?
             target-arm32?
+            target-arm64?
+            target-arm?
             target-64bit?
             version-compare
             version>?
@@ -493,6 +495,12 @@ a character other than '@'."
 (define (target-arm32?)
   (string-prefix? "arm" (or (%current-target-system) (%current-system))))
 
+(define (target-arm64?)
+  (string-prefix? "aarch64" (or (%current-target-system) (%current-system))))
+
+(define (target-arm?)
+  (or (target-arm32?) (target-arm64?)))
+
 (define (target-64bit?)
   (let ((system (or (%current-target-system) (%current-system))))
     (any (cut string-prefix? <> system) '("x86_64" "aarch64" "mips64" "ppc64"))))
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 59/61] system: vm: Add arm64 support.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:15 +0000
Resent-Message-ID: <handler.36477.B36477.156637780525638 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780525638
          (code B ref 36477); Wed, 21 Aug 2019 08:57:15 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:45 +0000
Received: from localhost ([127.0.0.1]:34748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ8-0006fM-I8
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:44 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:34198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPO-0006V8-76
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:58 -0400
Received: by mail-wr1-f47.google.com with SMTP id s18so1259141wrn.1
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=D9y4SeOncI+wFwwiB9xKA6Cngxs/F0jOUAfL7wM0Kpg=;
 b=W4OrAzfaztKe6J5Y52uVD3rOHU1XzA+dEfHmp21A+WS/dT0LU0uNeMQ6Bp2roV55av
 +iTcx7F/n/dqLrsDxv+fUfEO2Gn+3W1RUNuzEsXFon7W0LmSxIZ2XhKbT7u80SsatDqJ
 gdTbY7Q15MrmT4nI7Z5f5Jmm1j8xeWvVcroOqNDL8s1oJUsVwAiIyGWb7WEiELlum6Q6
 y/wTC+X6DSzxx0I8Dj3Y8yKWD8YVls5oLDEbCJf9TujEI9yVEdDkNVeQNewygoTJUFFl
 SnvZt6Ezxsm342B3pHSETpGgLbLKMiq7dzohaAvlli57TAWzDQKx37D92vkXoKI25Nil
 dCKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=D9y4SeOncI+wFwwiB9xKA6Cngxs/F0jOUAfL7wM0Kpg=;
 b=nmiglYGt4eIdpYTrcSagjTrws5OOMlKs6lMf6DfOR7bs5mfDeHCJcqsFplO0ZYVvNm
 ZExCOtzop/RaV5P3SH11fzytOcE+pX+4ViXm2SkGg+0rA8IAaw9AseuBpCfUyDkLkfid
 ToRXK9RpcQWd7x0PZKj992KEjugSacxMBuJ7XOD1qvvLy++L8+5/9vI+Z4zdRlz9CucZ
 Ji6V5ng8455kpAdPPRKMy2KcRCalVqnCJjpJopfywAaL2XAO0FQPNn+nrEN1Sf+V+VH8
 ijDbyio1FvIVpEZDnEAN8hMv1jzSKKyCaOOkzzXBF4echZMzvvYQMvO2SV0k18YwATR/
 dGdw==
X-Gm-Message-State: APjAAAWv9CJxI9jLWvMSkpx26wxmZrq/KOSqO3lNQduOZ+t6dzp1fIg/
 alOe6pE7beOeGN3uQMg89+lMLtjcpHY=
X-Google-Smtp-Source: APXvYqw1VSoAcei/q2ZyFQu96Yfx96qfC6r4+3lAw6ZO1Xfo+zCfeud4WogNSwkAOhPk8W6ne8Os1A==
X-Received: by 2002:a5d:4cc5:: with SMTP id c5mr11754409wrt.278.1566377752246; 
 Wed, 21 Aug 2019 01:55:52 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:51 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:53 +0200
Message-Id: <20190821085455.18508-59-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/build/vm.scm (load-in-linux-vm): Add target-arm64? argument and use it
to pass correct arguments to qemu.
* gnu/system/vm.scm (expression->derivation-in-linux-vm): Pass the new
target-arm64? argument added above. Do not add ESP partition on all ARM
targets. Do not pass grub-efi package to initialize-hard-disk on ARM targets.
---
 gnu/build/vm.scm  | 22 +++++++++++++++++-----
 gnu/system/vm.scm | 17 +++++++++++------
 2 files changed, 28 insertions(+), 11 deletions(-)

diff --git a/gnu/build/vm.scm b/gnu/build/vm.scm
index a5d9fefa62..6a1c164a41 100644
--- a/gnu/build/vm.scm
+++ b/gnu/build/vm.scm
@@ -82,6 +82,7 @@
                            make-disk-image?
                            single-file-output?
                            target-arm32?
+                           target-arm64?
                            (disk-image-size (* 100 (expt 2 20)))
                            (disk-image-format "qcow2")
                            (references-graphs '()))
@@ -97,16 +98,27 @@ access it via /dev/hda.
 REFERENCES-GRAPHS can specify a list of reference-graph files as produced by
 the #:references-graphs parameter of 'derivation'."
 
+  (define target-arm? (or target-arm32? target-arm64?))
+
   (define arch-specific-flags
     `(;; On ARM, a machine has to be specified. Use "virt" machine to avoid
       ;; hardware limits imposed by other machines.
-      ,@(if target-arm32? '("-M" "virt") '())
+      ,@(if target-arm?
+            '("-M" "virt")
+            '())
+
+      ;; On ARM64, we have to specify the CPU. "max" behaves as "host" when
+      ;; KVM is enabled, and like a system CPU with the maximum possible
+      ;; feature set otherwise.
+      ,@(if target-arm64?
+            '("-cpu" "max")
+            '())
 
       ;; Only enable kvm if we see /dev/kvm exists.  This allows users without
       ;; hardware virtualization to still use these commands.  KVM support is
-      ;; still buggy on some ARM32 boards. Do not use it even if available.
+      ;; still buggy on some ARM boards. Do not use it even if available.
       ,@(if (and (file-exists? "/dev/kvm")
-                 (not target-arm32?))
+                 (not target-arm?))
             '("-enable-kvm")
             '())
 
@@ -117,11 +129,11 @@ the #:references-graphs parameter of 'derivation'."
                       ;; The serial port name differs between emulated
                       ;; architectures/machines.
                       " console="
-                      (if target-arm32? "ttyAMA0" "ttyS0"))
+                      (if target-arm? "ttyAMA0" "ttyS0"))
 
       ;; NIC is not supported on ARM "virt" machine, so use a user mode
       ;; network stack instead.
-      ,@(if target-arm32?
+      ,@(if target-arm?
             '("-device" "virtio-net-pci,netdev=mynet"
               "-netdev" "user,id=mynet")
             '("-net" "nic,model=virtio"))))
diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index ac6e4ded92..07cee2d4f5 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -235,10 +235,12 @@ made available under the /xchg CIFS share."
                                   #:memory-size #$memory-size
                                   #:make-disk-image? #$make-disk-image?
                                   #:single-file-output? #$single-file-output?
-                                  ;; FIXME: ‘target-arm32?’ may not operate on
-                                  ;; the right system/target values.  Rewrite
+                                  ;; FIXME: ‘target-arm32?’ and
+                                  ;; ‘target-arm64?’ may not operate on the
+                                  ;; right system/target values.  Rewrite
                                   ;; using ‘let-system’ when available.
                                   #:target-arm32? #$(target-arm32?)
+                                  #:target-arm64? #$(target-arm64?)
                                   #:disk-image-format #$disk-image-format
                                   #:disk-image-size size
                                   #:references-graphs graphs))))))
@@ -452,10 +454,10 @@ system."
                       ;; bootloaders if we are not targeting ARM because UEFI
                       ;; support in U-Boot is experimental.
                       ;;
-                      ;; FIXME: ‘target-arm32?’ may be not operate on the right
+                      ;; FIXME: ‘target-arm?’ may be not operate on the right
                       ;; system/target values.  Rewrite using ‘let-system’ when
                       ;; available.
-                      (if #$(target-arm32?)
+                      (if #$(target-arm?)
                           '()
                           (list (partition
                                  ;; The standalone grub image is about 10MiB, but
@@ -466,10 +468,13 @@ system."
                                  ;; when mounting. The actual FAT-ness is based
                                  ;; on file system size (16 in this case).
                                  (file-system "vfat")
-                                 (flags '(esp))))))))
+                                 (flags '(esp)))))))
+                    (grub-efi #$@(if (target-arm?)
+                                     '(#f)
+                                     #~(#$grub-efi))))
                (initialize-hard-disk "/dev/vda"
                                      #:partitions partitions
-                                     #:grub-efi #$grub-efi
+                                     #:grub-efi grub-efi
                                      #:bootloader-package
                                      #$(bootloader-package bootloader)
                                      #:bootcfg #$bootcfg-drv
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 60/61] system: vm: Support cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:15 +0000
Resent-Message-ID: <handler.36477.B36477.156637780525646 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780525646
          (code B ref 36477); Wed, 21 Aug 2019 08:57:15 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:45 +0000
Received: from localhost ([127.0.0.1]:34750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ8-0006fT-UU
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:45 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:40394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPP-0006VW-6U
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:55:59 -0400
Received: by mail-wr1-f68.google.com with SMTP id c3so1228541wrd.7
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:55:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=cCtQCncHylGJKH97u8Zs7Y6eJAkhgnHnM6y+HwkFZoY=;
 b=RNNzy+XXtL3hOvTjE097pT2jisJ5zbndK3sKUaLcIomzQNSk9BUyIMItFoDi6mUvYi
 whaSmMec7N2YzLqf66D4q9M+IoldgY+pLUs0Z3vgxmG8LCsH8IVkS1XNcUskD5ZvWhRf
 s4MQu7v/4RbS8X4rtcM+Kbce6ZBNyCowpYsPTaRDzwVhuSqoXXsygiq8SWWrfmhCNa8Z
 Zoa1MogFv1tXCx1xf+GFmehhKZeOUm66pdqQSaiKkbrhky8PC/EYX7BNd0CYUmTizubr
 IfiheyR1YGoxjpp7CCBxVZiP+MSPmHnBPe5FubF99hVgyoMSHYaIibdCKul7ikqNrKmv
 xwpA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=cCtQCncHylGJKH97u8Zs7Y6eJAkhgnHnM6y+HwkFZoY=;
 b=dXzGttljQjBYN+OE55kD/vBCH03ssmnDu926/D4e/Yo+FmGmJJFnKoJRbBJ2Us8opm
 gdjpYAKjhsbFZDAWggPs/Xxq2JDSR5kMXn2A/cpPfeX24olEGQtc7kp0S53+ZTETR9Yt
 p7+cJGZLz7FYbYjsLAJL8BR8788a8TOxMTvKciMz+dLTfYAEq9Cs01MfEaliLNGU5oHp
 BKY/L3s1o9s+5Cs4x9E/hynUjz3H6xuK+v2o0euN1W2xx5g7XtxnaF5wz5kDYn/SVZO4
 RUlxlSIA7j2dvXR/SWHE4tsDPsFEnLDZs4EPaLJek+1AVciCK5uQQiaUvPYhki1/QJQH
 xqwQ==
X-Gm-Message-State: APjAAAWzbsQule34lG95WU5hz5Uxdsjk1/+qRjXofuGBXQpi5xXggDfD
 7E4S5sDWPT8rBKIkdVQ2aAex1KEtZbY=
X-Google-Smtp-Source: APXvYqyXd/rsgdTe+5yzHLoKhEqNfpOnkTp1cZvz9WwqOJZ+WCvw5DNNzbmvW6cvaFbooejjIrS6Gw==
X-Received: by 2002:a5d:554a:: with SMTP id g10mr450171wrw.9.1566377753275;
 Wed, 21 Aug 2019 01:55:53 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:52 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:54 +0200
Message-Id: <20190821085455.18508-60-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/system.scm (system-linux-image-file-name): Add support for cross-built
systems. Remove system argument that was ignored,
(operating-system-kernel-file): adapt by removing ignored os argument.
* gnu/system/vm.scm (expression->derivation-in-linux-vm): Add target argument,
move qemu from inputs list to a new native-inputs list and adapt
set-path-environment-variable call accordingly. Pass target to qemu-command
and gexp->derivation calls.
(iso9660-image): Move qemu from inputs to a new native-inputs list and adapt
set-path-environment-variable accordingly.
(qemu-image): Add target argument, move qemu from inputs list to a new
native-inputs list and adapt set-path-environment-variable call
accordingly. Pass target argument to expression->derivation-in-linux-vm call.
---
 gnu/system.scm    | 15 ++++++++-------
 gnu/system/vm.scm | 25 ++++++++++++++++++-------
 2 files changed, 26 insertions(+), 14 deletions(-)

diff --git a/gnu/system.scm b/gnu/system.scm
index 485896ba0a..85059119cc 100644
--- a/gnu/system.scm
+++ b/gnu/system.scm
@@ -439,20 +439,21 @@ from the initrd."
   "Return the list of swap services for OS."
   (map swap-service (operating-system-swap-devices os)))
 
-(define* (system-linux-image-file-name #:optional (system (%current-system)))
+(define* (system-linux-image-file-name)
   "Return the basename of the kernel image file for SYSTEM."
   ;; FIXME: Evaluate the conditional based on the actual current system.
-  (cond
-   ((string-prefix? "arm" (%current-system)) "zImage")
-   ((string-prefix? "mips" (%current-system)) "vmlinuz")
-   ((string-prefix? "aarch64" (%current-system)) "Image")
-   (else "bzImage")))
+  (let ((target (or (%current-target-system) (%current-system))))
+    (cond
+     ((string-prefix? "arm" target) "zImage")
+     ((string-prefix? "mips" target) "vmlinuz")
+     ((string-prefix? "aarch64" target) "Image")
+     (else "bzImage"))))
 
 (define (operating-system-kernel-file os)
   "Return an object representing the absolute file name of the kernel image of
 OS."
   (file-append (operating-system-kernel os)
-               "/" (system-linux-image-file-name os)))
+               "/" (system-linux-image-file-name)))
 
 (define* (operating-system-directory-base-entries os)
   "Return the basic entries of the 'system' directory of OS for use as the
diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index 07cee2d4f5..759745c277 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -143,7 +143,7 @@
 
 (define* (expression->derivation-in-linux-vm name exp
                                              #:key
-                                             (system (%current-system))
+                                             (system (%current-system)) target
                                              (linux linux-libre)
                                              initrd
                                              (qemu qemu-minimal)
@@ -214,7 +214,8 @@ made available under the /xchg CIFS share."
               (use-modules (guix build utils)
                            (gnu build vm))
 
-              (let* ((inputs  '#$(list qemu (canonical-package coreutils)))
+              (let* ((inputs  '#$(list (canonical-package coreutils)))
+                     (native-inputs '#+(list qemu))
                      (linux   (string-append #$linux "/"
                                              #$(system-linux-image-file-name)))
                      (initrd  #$initrd)
@@ -222,16 +223,19 @@ made available under the /xchg CIFS share."
                      (graphs  '#$(match references-graphs
                                    (((graph-files . _) ...) graph-files)
                                    (_ #f)))
+                     (target  #$(or (%current-target-system) (%current-system)))
                      (size    #$(if (eq? 'guess disk-image-size)
                                     #~(+ (* 70 (expt 2 20)) ;ESP
                                          (estimated-partition-size graphs))
                                     disk-image-size)))
 
-                (set-path-environment-variable "PATH" '("bin") inputs)
+                (set-path-environment-variable "PATH" '("bin")
+                                               (append inputs native-inputs))
 
                 (load-in-linux-vm loader
                                   #:output #$output
                                   #:linux linux #:initrd initrd
+                                  #:qemu (qemu-command target)
                                   #:memory-size #$memory-size
                                   #:make-disk-image? #$make-disk-image?
                                   #:single-file-output? #$single-file-output?
@@ -248,6 +252,7 @@ made available under the /xchg CIFS share."
     (gexp->derivation name builder
                       ;; TODO: Require the "kvm" feature.
                       #:system system
+                      #:target target
                       #:env-vars env-vars
                       #:guile-for-build guile-for-build
                       #:references-graphs references-graphs)))
@@ -299,9 +304,10 @@ INPUTS is a list of inputs (as for packages)."
            (setlocale LC_ALL "en_US.utf8")
 
            (let ((inputs
-                  '#$(append (list qemu parted e2fsprogs dosfstools xorriso)
+                  '#$(append (list parted e2fsprogs dosfstools xorriso)
                              (map canonical-package
                                   (list sed grep coreutils findutils gawk))))
+                 (native-inputs '#+(list qemu))
 
 
                  (graphs     '#$(match inputs
@@ -315,7 +321,8 @@ INPUTS is a list of inputs (as for packages)."
                             ((name thing output) `(,thing ,output)))
                           inputs)))
 
-             (set-path-environment-variable "PATH" '("bin" "sbin") inputs)
+             (set-path-environment-variable "PATH" '("bin" "sbin")
+                                            (append inputs native-inputs))
              (make-iso9660-image #$xorriso
                                  '#$grub-mkrescue-environment
                                  #$(bootloader-package bootloader)
@@ -346,6 +353,7 @@ INPUTS is a list of inputs (as for packages)."
 (define* (qemu-image #:key
                      (name "qemu-image")
                      (system (%current-system))
+                     (target (%current-target-system))
                      (qemu qemu-minimal)
                      (disk-image-size 'guess)
                      (disk-image-format "qcow2")
@@ -404,9 +412,10 @@ system."
            (setlocale LC_ALL "en_US.utf8")
 
            (let ((inputs
-                  '#$(append (list qemu parted e2fsprogs dosfstools)
+                  '#$(append (list util-linux parted e2fsprogs dosfstools)
                              (map canonical-package
                                   (list sed grep coreutils findutils gawk))))
+                 (native-inputs '#+(list qemu))
 
                  ;; This variable is unused but allows us to add INPUTS-TO-COPY
                  ;; as inputs.
@@ -416,7 +425,8 @@ system."
                             ((name thing output) `(,thing ,output)))
                           inputs)))
 
-             (set-path-environment-variable "PATH" '("bin" "sbin") inputs)
+             (set-path-environment-variable "PATH" '("bin" "sbin")
+                                            (append inputs native-inputs))
 
              (let* ((graphs     '#$(match inputs
                                      (((names . _) ...)
@@ -483,6 +493,7 @@ system."
                                      #:bootloader-installer
                                      #$(bootloader-installer bootloader)))))))
    #:system system
+   #:target target
    #:make-disk-image? #t
    #:disk-image-size disk-image-size
    #:disk-image-format disk-image-format
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 61/61] scripts: system: Add --target option.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 21 Aug 2019 08:57:16 +0000
Resent-Message-ID: <handler.36477.B36477.156637780525652 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156637780525652
          (code B ref 36477); Wed, 21 Aug 2019 08:57:16 +0000
Received: (at 36477) by debbugs.gnu.org; 21 Aug 2019 08:56:45 +0000
Received: from localhost ([127.0.0.1]:34752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0MQ9-0006fb-D6
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:45 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:41548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i0MPQ-0006Vq-71
 for 36477 <at> debbugs.gnu.org; Wed, 21 Aug 2019 04:56:00 -0400
Received: by mail-wr1-f65.google.com with SMTP id j16so1229844wrr.8
 for <36477 <at> debbugs.gnu.org>; Wed, 21 Aug 2019 01:56:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ATBSAAGOjyRP6A/DLGSBsGQxENa+fkdmJrQbDu2ADg8=;
 b=pLiyelGS2RruG5sEsvEvyDoYwLXZiqNCB6rt6G9E7sCKmpFuR4RjkcTl9USKvKzO3R
 hov4Ok5BmkFV+f+U+Cq9udv1nvhDcUPLTHEIjSfdbA8d3cPSd5NcnLNASZ3i48uTKdOd
 vtKaINMS1IKTmPAcCpMmqAQTDVnvkJ0Pq27glO/TfbKRYfbBBU/PbEplQfSXg5lbt6gl
 AVLL11hKZw8tq4YEEVBc5EMADpX6mbgnFH7wI7v+My3oTzmT5tI1yYJV2t6YhY6Tlecz
 56r2KP7Kq81u1XHHrLSnnulzOioDEg+5eZIB2GKKmf5KhR3v9qsot026VU2WQi079yHk
 slrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ATBSAAGOjyRP6A/DLGSBsGQxENa+fkdmJrQbDu2ADg8=;
 b=klAOy8cSZ+yxhFangr34qzIVw+0L0zTYfMilkm0zF7qlOcG0kMhRkB3fa5AkNaxGai
 pVplvGWZcrDIPviZA9gmctzT60B7x+prM+tp3GmGEWlurvipXLkBVsWYlydrwb91jdO1
 thOnOQgrFHRcO8xaEiviIAWcDplYfF39ldCMMOg2Myckq49Rwgz0O6AemIT3jJGQpWEb
 o+JAYo1mpev4FcPIF6sw9thcU4eux63uUt28vhIzREmhnEZtbo81IWPFem2IsVT4YbHd
 cQjBkrzkYC7iJW+/5R1SDEc3CjhbFobrMrUAyjGbGmTpAH7+8JODStRPO0J2NLxg3Ihj
 AGDg==
X-Gm-Message-State: APjAAAW8L/gR9f6WBqA4wkba0fjvtGPTQ2daX2e0ZAG/Va2dkkfS1k9z
 vvx4+FixC1j2ZmigQwLK968RICjM3bM=
X-Google-Smtp-Source: APXvYqyjxzj8Y2NQ03gMXUluF7sUxVrHqRMWX1Eb68bqfkgakHnxuDiRxN7I3f00ZvX6cPOmeVJOuA==
X-Received: by 2002:adf:d08e:: with SMTP id y14mr38729207wrh.309.1566377754348; 
 Wed, 21 Aug 2019 01:55:54 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id v3sm22110739wrq.34.2019.08.21.01.55.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Aug 2019 01:55:53 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Wed, 21 Aug 2019 10:54:55 +0200
Message-Id: <20190821085455.18508-61-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190821085455.18508-1-m.othacehe@HIDDEN>
References: <20190821085455.18508-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/system.scm (%options): Add target option,
(%default-options): ditto,
(process-action): Rename existing target variable to target-file and pass new
target variable to run-with-store procedure.
---
 guix/scripts/system.scm | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/guix/scripts/system.scm b/guix/scripts/system.scm
index 9fc3a10e98..f8040dd975 100644
--- a/guix/scripts/system.scm
+++ b/guix/scripts/system.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2014, 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2016 Alex Kost <alezost@HIDDEN>
 ;;; Copyright © 2016, 2017, 2018 Chris Marusich <cmmarusich@HIDDEN>
-;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2018 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019 Christopher Baines <mail@HIDDEN>
 ;;;
@@ -929,6 +929,8 @@ Some ACTIONS support additional ARGS.\n"))
       --full-boot        for 'vm', make a full boot sequence"))
   (display (G_ "
       --skip-checks      skip file system and initrd module safety checks"))
+  (display (G_ "
+      --target=TRIPLET   cross-build for TRIPLET--e.g., \"armel-linux-gnu\""))
   (display (G_ "
   -v, --verbosity=LEVEL  use the given verbosity LEVEL"))
   (newline)
@@ -1002,6 +1004,10 @@ Some ACTIONS support additional ARGS.\n"))
                  (lambda (opt name arg result)
                    (alist-cons 'system arg
                                (alist-delete 'system result eq?))))
+         (option '("target") #t #f
+                 (lambda (opt name arg result)
+                   (alist-cons 'target arg
+                               (alist-delete 'target result eq?))))
          (option '(#\r "root") #t #f
                  (lambda (opt name arg result)
                    (alist-cons 'gc-root arg result)))
@@ -1010,6 +1016,7 @@ Some ACTIONS support additional ARGS.\n"))
 (define %default-options
   ;; Alist of default option values.
   `((system . ,(%current-system))
+    (target . #f)
     (substitutes? . #t)
     (build-hook? . #t)
     (print-build-trace? . #t)
@@ -1043,6 +1050,7 @@ resulting from command-line parsing."
                         ((x . _) x)))
          (expr        (assoc-ref opts 'expression))
          (system      (assoc-ref opts 'system))
+         (target      (assoc-ref opts 'target))
          (os          (ensure-operating-system
                        (or file expr)
                        (cond
@@ -1059,7 +1067,7 @@ resulting from command-line parsing."
 
          (dry?        (assoc-ref opts 'dry-run?))
          (bootloader? (assoc-ref opts 'install-bootloader?))
-         (target      (match args
+         (target-file (match args
                         ((first second) second)
                         (_ #f)))
          (bootloader-target
@@ -1101,9 +1109,10 @@ resulting from command-line parsing."
                                                       (_ #f))
                                                     opts)
                              #:install-bootloader? bootloader?
-                             #:target target
+                             #:target target-file
                              #:bootloader-target bootloader-target
                              #:gc-root (assoc-ref opts 'gc-root)))))
+        #:target target
         #:system system))
     (warn-about-disk-space)))
 
-- 
2.17.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v2 00/61] Add --target support to guix system
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 12:51:02 +0000
Resent-Message-ID: <handler.36477.B36477.15674286507992 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Cc: Marius Bakke <mbakke@HIDDEN>, 36477 <at> debbugs.gnu.org
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.15674286507992
          (code B ref 36477); Mon, 02 Sep 2019 12:51:02 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 12:50:50 +0000
Received: from localhost ([127.0.0.1]:57551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4lnF-00024q-Nd
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 08:50:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i4lnD-00024b-DY
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 08:50:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34384)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i4ln7-0008PJ-78; Mon, 02 Sep 2019 08:50:41 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=55888 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i4ln4-0005cM-5S; Mon, 02 Sep 2019 08:50:38 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87zhlwmpmy.fsf@HIDDEN> <87wof6x5v4.fsf@HIDDEN>
Date: Mon, 02 Sep 2019 14:50:36 +0200
In-Reply-To: <87wof6x5v4.fsf@HIDDEN> (Mathieu Othacehe's message of "Wed,
 21 Aug 2019 10:47:11 +0200")
Message-ID: <874l1uamlf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> Here's a serie to add target support to guix system command. Most of the
> patches were reviewed in v1 by Marius and Ludo, but this serie adds some =
more
> patches to complete target support.

Sorry for the delay.

Could you already apply the patches that Marius and I already agreed to?
Double-check that they can go to =E2=80=98master=E2=80=99 without triggerin=
g a full
rebuild.

I=E2=80=99ll comment on the rest hopefully soon=E2=80=A6

Thanks,
Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 00/48] Add --target support to guix system
References: <87zhlwmpmy.fsf@HIDDEN>
In-Reply-To: <87zhlwmpmy.fsf@HIDDEN>
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:03 +0000
Resent-Message-ID: <handler.36477.B36477.156743843024571 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843024571
          (code B ref 36477); Mon, 02 Sep 2019 15:34:03 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:50 +0000
Received: from localhost ([127.0.0.1]:58682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL0-0006OD-2v
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:50 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:37195)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oKy-0006Np-4t
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:48 -0400
Received: by mail-wr1-f66.google.com with SMTP id z11so14452396wrt.4
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=r/R3EDHyBXxeNeFiBP4rQ17dhIfd86mtbSO8J+J8N08=;
 b=bYpquKMq1OKACLMwAOEh4CfmOdul+U+kgjKA9mDB+AmefX3RWNv2hzRMaYxXaz/qpk
 3VEOzTCZL+hidLrFL3H9wnxVAK1mqhb/UQrbWgofEXukSU/mpQI2gFJLG7VnjE632A0v
 NLJU3Gwa9FTMkRlfKxTfXD4vsI+NBHGkLseTNutS6DkG2/wqyIi+SGKRuhRHdr3xXWUW
 ZwvFH/JlWX/3ret2L/9xM4BsCKfIUG70RDxZl7rfUSjaNyOwylARDotCyZe9iaE8Ny/6
 P4FQT+aZZHWjjEZXOR2JILxsUa9Ra5y5t+vROMlMhvMZggRtb7TiiuapopnVujTNpfbE
 TgjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=r/R3EDHyBXxeNeFiBP4rQ17dhIfd86mtbSO8J+J8N08=;
 b=JunJvTtIlea2Yw3alq0sc1GNCJfjNMxOGY3E4wT99Zmz95Mpw2UP0Bw0r9tRk7En9e
 HA7dbQiEK02tcmv2pl1jTYv0a0gGNOsKxvGK+hTikjYGn3rv0HZG700So/pZcXdLzM5C
 dY1J5iXVZklYeu5DMHXTvzLWIEUoG1N/oeq2XzPRYei6tlYZOzDT2buZYCH1R0VdEMd9
 t5sYTKAbm7msi9EaJq0oFoFrvo/gEQCAbnJfdPwhdUfPXnI6/x2wjLHCanvxkiN4CXH3
 HQUuGLvaAbjqPRZQYN5EB7bpnZBAKRBouHEbwhFWGc1yqclRFstKTl0xo4gA+yZNBIOa
 jDxg==
X-Gm-Message-State: APjAAAUM80FXe37vpt/MWrG/1eTMjRxBceKwgoH0HT2ss1SX4EajNunV
 Ckg5GpLt8UcqkqTSMJTbyZIDC/Be
X-Google-Smtp-Source: APXvYqzsdA9TnxNk0m0wuVuJbm47NrN6fNie7ZZPKWW4kE/8UgUCXTeoSNYIcvd95/10HBhE5izCDw==
X-Received: by 2002:adf:9482:: with SMTP id 2mr36462823wrr.91.1567438422169;
 Mon, 02 Sep 2019 08:33:42 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:41 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:45 +0200
Message-Id: <20190902153333.11190-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Here's a v3. The only difference with v2, is that I pushed all the patches
from v2 that were reviewed and I rebased the serie on top of
core-updates-next.

Thanks,

Mathieu

Mathieu Othacehe (39):
  gnu: libgpg-error: Fix cross compilation.
  gnu: openssl: Fix cross-compilation.
  gnu: texinfo: Fix cross-compilation.
  gnu: cmake: Fix cross-compilation.
  gnu: libpaper: Fix aarch64 cross-compilation.
  gnu: groff: Fix cross compilation.
  gnu: bc: Fix cross-compilation.
  gnu: indent: Fix aarch64 cross-compilation.
  gnu: libsamplerate: Fix aarch64 cross-compilation.
  gnu: cyrus-sasl: Fix cross-compilation.
  gnu: mkfontdir: Fix aarch64 cross-compilation.
  gnu: icu4c: Fix cross-compilation.
  gnu: glibc-utf8-locales: Fix cross-compilation.
  gnu: boost: Fix cross-compilation.
  gnu: eudev: Fix cross-compilation.
  gnu: lvm2: Fix cross-compilation.
  gnu: bdb: Fix cross-compilation.
  gnu: openldap: Fix cross-compilation.
  gnu: swig: Fix cross-compilation.
  gnu: git: Fix cross-compilation.
  gnu: make-linux-libre: Fix cross-compilation.
  gnu: procps: Fix cross-compilation.
  gnu: doxygen: Fix cross-compilation.
  gnu: guile-sqlite3: Fix cross-compilation.
  gnu: guile-gcrypt: Fix cross-compilation.
  packages: Set outputs field as thunked.
  gnu: console-setup: Fix cross-compilation.
  gnu: mdadm: Fix cross-compilation.
  gnu: grub: Fix cross-compilation.
  linux-initrd: Use native gzip.
  gnu: linux-libre: Enable built-in ext4 support.
  gexp: Use cross extensions when cross-compiling.
  gexp: Pass target to compiled-modules in lower-gexp.
  utils: Use target-arm64? and target-arm? helpers.
  build: vm: Fix arm32 support.
  system: vm: Add arm64 support.
  system: vm: Support cross-compilation.
  scripts: system: Add --target option.
  wip: tools.

Pierre-Moana Levesque (9):
  gnu: texinfo-5: Fix cross-compilation.
  gnu: nghttp2: Fix cross-compilation.
  gnu: libtool: Fix cross-compilation.
  gnu: texinfo-4: Fix cross compilation
  gnu: libnl: Fix cross-compilation.
  gnu: crda: Fix cross-compilation
  gnu: guile-xcb: Fix cross-compilation.
  gnu: guile-wm: Fix cross-compilation.
  gnu: cmake: Fix cross-compilation.

 build-sorted-ok-ko-packages.sh                | 354 ++++++++++++++
 deps.scm                                      | 184 ++++++++
 gnu/build/vm.scm                              |  30 +-
 gnu/local.mk                                  |   5 +
 gnu/packages/algebra.scm                      |  15 +-
 gnu/packages/autotools.scm                    |  10 +-
 .../aux-files/linux-libre/5.2-arm64.conf      |   2 +-
 gnu/packages/base.scm                         |   4 +-
 gnu/packages/boost.scm                        |  59 ++-
 gnu/packages/bootloaders.scm                  |   6 +-
 gnu/packages/cmake.scm                        |  14 +-
 gnu/packages/code.scm                         |  18 +-
 gnu/packages/commencement.scm                 |  11 +-
 gnu/packages/cyrus-sasl.scm                   |  17 +-
 gnu/packages/dbm.scm                          |   6 +-
 gnu/packages/documentation.scm                |  12 +-
 gnu/packages/ghostscript.scm                  |  19 +
 gnu/packages/gnupg.scm                        |  47 +-
 gnu/packages/groff.scm                        |  40 +-
 gnu/packages/guile-wm.scm                     |   8 +-
 gnu/packages/guile.scm                        |   7 +-
 gnu/packages/icu4c.scm                        |  35 +-
 gnu/packages/linux.scm                        | 157 ++++---
 gnu/packages/openldap.scm                     |  38 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 +++++++
 gnu/packages/patches/boost-dumpversion.patch  |  24 +
 .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 +
 .../guile-gcrypt-fix-cross-compilation.patch  | 431 ++++++++++++++++++
 .../guile-sqlite3-fix-cross-compilation.patch |  55 +++
 gnu/packages/pulseaudio.scm                   |  22 +-
 gnu/packages/swig.scm                         |   1 +
 gnu/packages/texinfo.scm                      |  63 ++-
 gnu/packages/tls.scm                          |  62 ++-
 gnu/packages/version-control.scm              |  23 +-
 gnu/packages/web.scm                          |   8 +-
 gnu/packages/xorg.scm                         |  32 +-
 gnu/system.scm                                |  15 +-
 gnu/system/examples/mini-beaglebone.scm       |  61 +++
 gnu/system/examples/mini.scm                  |  54 +++
 gnu/system/linux-initrd.scm                   |   2 +-
 gnu/system/vm.scm                             |  42 +-
 guix/build-system/cmake.scm                   |   9 +-
 guix/gexp.scm                                 |   5 +-
 guix/packages.scm                             |   4 +-
 guix/scripts/system.scm                       |  15 +-
 guix/utils.scm                                |   8 +
 46 files changed, 2039 insertions(+), 178 deletions(-)
 create mode 100755 build-sorted-ok-ko-packages.sh
 create mode 100644 deps.scm
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/boost-dumpversion.patch
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
 create mode 100644 gnu/packages/patches/guile-gcrypt-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/guile-sqlite3-fix-cross-compilation.patch
 create mode 100644 gnu/system/examples/mini-beaglebone.scm
 create mode 100644 gnu/system/examples/mini.scm

-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 01/48] gnu: libgpg-error: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:04 +0000
Resent-Message-ID: <handler.36477.B36477.156743843124578 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843124578
          (code B ref 36477); Mon, 02 Sep 2019 15:34:04 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:51 +0000
Received: from localhost ([127.0.0.1]:58685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL0-0006OG-Hn
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:50 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:37388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oKz-0006Nr-6L
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:49 -0400
Received: by mail-wm1-f43.google.com with SMTP id d16so15056394wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=fbjhgLiIcSFl1jnVMgZJ0ZGtXkc4IJDs6xJwIiAuOxg=;
 b=rsjGgZoiRue05VDXz1fsHkOm9rFBFw1hO2w9PtesM9WXNec5AFPcHv4GcdDvAXTkdk
 q/O25/biwZ4TS67r/QjXqKlnWsSFeFapRuamPo1Zgb1dqO4xTZBgNWR5/tItlMQ8bU6h
 9RwfyZ5cmF9cuTAUMuPSkKrbR15Vu/7Hdctd7PPx/k0KXSrHQsVp7RBT7bW2mLUmp9Rw
 baQiFnkVCq0CMS0netAfH7w+X8eB7HA06GY9e1k+cGYMuMh7blwiu4cysgVX9dlWrSaN
 LLvPRU49PU/WuSJTKu6v9yBqg/MnzRebdQ/4ACTp+rXD9XS0G66Ehxi8ZSeG8CAg+3gM
 550Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=fbjhgLiIcSFl1jnVMgZJ0ZGtXkc4IJDs6xJwIiAuOxg=;
 b=CQu31/R4czrGTWkaN7/MAI6eYIyrk7ZNjzLvi5un5c/aIPt3mj0eu9VFoVEJ7kQqoo
 AZ1r34gxz80BdcSSYePTsDm4SY8+lJVhT4lE3MhCxIKGEVTXFXc0DUm0/fkoeN87bfzy
 y0X+c8HkSexwqHOBgyBC9yYedT7GGupBR4mjVqdizzbyIrpVHmKEmFaTdz518ZH9fCnL
 KDfwhc0jqx5N+9NisQ7VMJNxHlNp5O1oWyVgca3NR2DKzqQGWM68nbhVr7fVcpogN/Uh
 vMHw8C36nXFE2Hek1mwb65wBTMNvVdqKRvlY10Jc4oBKdbP9b76dTpetsrHpT7DCslVp
 ilpw==
X-Gm-Message-State: APjAAAVJ2sP2E6Vd+ad9iytLyuc6QbuFjbvUXgz5sZKLNRPGCTZXDVht
 7rFbmcgoUld254OxXWWD9WAIIwNr
X-Google-Smtp-Source: APXvYqwukO5sp4YVRvbmY+a7rXNBW2+ucCcr93dgjkYwjl9kufDpco8V8TJGx13f9oYSh1eUpwrlzg==
X-Received: by 2002:a7b:cb0a:: with SMTP id u10mr9676026wmj.16.1567438423273; 
 Mon, 02 Sep 2019 08:33:43 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:42 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:46 +0200
Message-Id: <20190902153333.11190-2-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190902153333.11190-1-m.othacehe@HIDDEN>
References: <20190902153333.11190-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a lock-obj header to
the target platform when cross-compiling,
[native-inputs]: add gettext that is needed when cross-compiling.
---
 gnu/packages/gnupg.scm | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index 95a35368fa..c7e6aabf79 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -15,7 +15,7 @@
 ;;; Copyright © 2017 Petter <petter@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
-;;; Copyright © 2018 Björn Höfling <bjoern.hoefling@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -96,6 +96,31 @@
             (("namespace=errnos") "pkg_namespace=errnos"))
           #t))))
     (build-system gnu-build-system)
+    (arguments
+     (if (%current-target-system)
+         `(#:modules ((ice-9 match)
+                      (guix build gnu-build-system)
+                      (guix build utils))
+           #:phases
+           (modify-phases %standard-phases
+             ;; When cross-compiling, some platform specific properties cannot
+             ;; be detected. Create a symlink to the appropriate platform
+             ;; file. See Cross-Compiling section at:
+             ;; https://github.com/gpg/libgpg-error/blob/master/README
+             (add-after 'unpack 'cross-symlinks
+               (lambda* (#:key target inputs #:allow-other-keys)
+                 (let ((triplet
+                        (match (string-take target
+                                            (string-index target #\-))
+                          ("armhf" "arm-unknown-linux-gnueabi")
+                          (x
+                           (string-append x "-unknown-linux-gnu")))))
+                   (symlink
+                    (string-append "lock-obj-pub." triplet ".h")
+                    "src/syscfg/lock-obj-pub.linux-gnu.h"))
+                 #t))))
+         '()))
+    (native-inputs `(("gettext" ,gettext-minimal)))
     (home-page "https://gnupg.org")
     (synopsis "Library of error values for GnuPG components")
     (description
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 02/48] gnu: openssl: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:05 +0000
Resent-Message-ID: <handler.36477.B36477.156743843224598 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843224598
          (code B ref 36477); Mon, 02 Sep 2019 15:34:05 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:52 +0000
Received: from localhost ([127.0.0.1]:58688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL1-0006Of-VN
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:52 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:55432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oL0-0006Nt-Be
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:51 -0400
Received: by mail-wm1-f67.google.com with SMTP id g207so11067232wmg.5
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=EvdAH9vjM6pVdtGB5ClO6MNOhkjgKNFwK19SilpDT1Y=;
 b=Jg0PqMRbuPmWMF6pEhfHAI4dE3izNNuia91KRovMCi1RBLWhwQowk6z3hoKvJfxpKQ
 sqibcfgn08bLBKAp0FzfZ7uIfuZBaxrjQTh+5t2LwcK02+aX0MakEBg5NhFDdy4X8qV+
 T78N/idhtGvYs2tFsYPxFSolDn3nCQ60ZrNwpIE5aZg8UksCEIjEs2LRzAMXQFKbTrwh
 rXLVRhM+zcrb8TMiw8Qlfdss5iEJx3jH1i7h7G3IYySYv5iFKGyHdzaKRytxc5nwztyU
 NZEbcS+3K9/eb7ThR6a5i8WJB9ELSIiKnUq/4QNiMEgLW44gbhDB5tn8W3blp+5mxsIH
 x2fA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=EvdAH9vjM6pVdtGB5ClO6MNOhkjgKNFwK19SilpDT1Y=;
 b=DcsSvIeFEqHsWpmLmB1HNkHg9C6Dg2nD+5C65uPVKBAHAjFoj1LYI9M29Fu9cL8UpZ
 zWeSYJ5mhqV7GtMpOfX6VBYw0+C43wZeTkAjjHNohISYuFIu0FlA7pZH6keuJcMKpwUQ
 fQ+nB4jo/FnNewe8BLfmRqE08ytk0e7kFX0wkNyNTy72WGL1OFr5EsjyEmdBiK7bvVHe
 NuvjBSl0yLOpX/kzPxNJo3Kr17yxirC+/bAAd/8osBpe3/jyw7ddzyx5Gxpr9kE6bx5k
 LAOMlGis0cDV2LRhStEmR3Ioe9XSpDGnFBePm6yIi8qPaUdW3+mVrge+kRs24TOFaVkM
 Buow==
X-Gm-Message-State: APjAAAXjEUkUBzbO0bLyzEb+4LoO/ZZoUccqu2GxcYKXZuy0EZBIMH9x
 LZEFeJuGs4UQZSsyLl0vMhf1jnIT
X-Google-Smtp-Source: APXvYqx/CzcZPNOGqTheypfmF+KIL3Xr6BdMCRToXBHW2PJ+mzHPeKs3eD0t8O0071LuLrAnuJLoOQ==
X-Received: by 2002:a1c:720e:: with SMTP id n14mr27713072wmc.54.1567438424527; 
 Mon, 02 Sep 2019 08:33:44 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:47 +0200
Message-Id: <20190902153333.11190-3-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190902153333.11190-1-m.othacehe@HIDDEN>
References: <20190902153333.11190-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tls.scm (openssl-next)[arguments]: Pass CROSS_COMPILE
environment variable and target system to configure script.
---
 gnu/packages/tls.scm | 62 ++++++++++++++++++++++++++++++++------------
 1 file changed, 45 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index f2e7f4ad0c..73aad0c230 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2018 Clément Lassieur <clement@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -300,6 +301,23 @@ required structures.")
       #:disallowed-references ,(list (canonical-package perl))
       #:phases
       (modify-phases %standard-phases
+	,@(if (%current-target-system)
+	      '((add-before
+		    'configure 'set-cross-compile
+		  (lambda* (#:key target outputs #:allow-other-keys)
+		    (setenv "CROSS_COMPILE" (string-append target "-"))
+		    (setenv "CONFIGURE_TARGET_ARCH"
+			    (cond
+			     ((string-prefix? "i686" target)
+			      "linux-x86")
+			     ((string-prefix? "x86_64" target)
+			      "linux-x86_64")
+			     ((string-prefix? "arm" target)
+			      "linux-armv4")
+			     ((string-prefix? "aarch64" target)
+			      "linux-aarch64")))
+		    #t)))
+	      '())
         (replace 'configure
           (lambda* (#:key outputs #:allow-other-keys)
             (let* ((out (assoc-ref outputs "out"))
@@ -309,7 +327,9 @@ required structures.")
                 (("/usr/bin/env")
                  (string-append (assoc-ref %build-inputs "coreutils")
                                 "/bin/env")))
-              (invoke "./config"
+              (invoke ,@(if (%current-target-system)
+			    '("./Configure")
+			    '("./config"))
                       "shared"       ;build shared libraries
                       "--libdir=lib"
 
@@ -320,7 +340,10 @@ required structures.")
                                      "/share/openssl-" ,version)
 
                       (string-append "--prefix=" out)
-                      (string-append "-Wl,-rpath," lib)))))
+                      (string-append "-Wl,-rpath," lib)
+		      ,@(if (%current-target-system)
+			    '((getenv "CONFIGURE_TARGET_ARCH"))
+			    '())))))
         (add-after 'install 'move-static-libraries
           (lambda* (#:key outputs #:allow-other-keys)
             ;; Move static libraries to the "static" output.
@@ -416,21 +439,26 @@ required structures.")
                    (("^MANDIR[[:blank:]]*=.*$")
                     (string-append "MANDIR = " out "/share/man\n")))
                  #t)))
-        (replace 'configure
-          ;; Override this phase because OpenSSL 1.0 does not understand -rpath.
-          (lambda* (#:key outputs #:allow-other-keys)
-            (let ((out (assoc-ref outputs "out")))
-              (invoke "./config"
-                      "shared"                 ;build shared libraries
-                      "--libdir=lib"
-
-                      ;; The default for this catch-all directory is
-                      ;; PREFIX/ssl.  Change that to something more
-                      ;; conventional.
-                      (string-append "--openssldir=" out
-                                     "/share/openssl-" ,version)
-
-                      (string-append "--prefix=" out)))))
+	   (replace 'configure
+	     ;; Override this phase because OpenSSL 1.0 does not understand -rpath.
+	     (lambda* (#:key outputs #:allow-other-keys)
+	       (let ((out (assoc-ref outputs "out")))
+		 (invoke ,@(if (%current-target-system)
+			       '("./Configure")
+			       '("./config"))
+			 "shared"                 ;build shared libraries
+			 "--libdir=lib"
+
+			 ;; The default for this catch-all directory is
+			 ;; PREFIX/ssl.  Change that to something more
+			 ;; conventional.
+			 (string-append "--openssldir=" out
+					"/share/openssl-" ,version)
+
+			 (string-append "--prefix=" out)
+			 ,@(if (%current-target-system)
+			       '((getenv "CONFIGURE_TARGET_ARCH"))
+			       '())))))
         (delete 'move-extra-documentation)
         (add-after 'install 'move-man3-pages
           (lambda* (#:key outputs #:allow-other-keys)
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 03/48] gnu: texinfo: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:06 +0000
Resent-Message-ID: <handler.36477.B36477.156743843424620 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843424620
          (code B ref 36477); Mon, 02 Sep 2019 15:34:06 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:54 +0000
Received: from localhost ([127.0.0.1]:58692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL4-0006P0-CY
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:54 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:51194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oL1-0006Nu-AR
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:51 -0400
Received: by mail-wm1-f68.google.com with SMTP id c10so3138064wmc.0
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Ajr8xf2vRDDxJ2Ol3st96lpfnw0F/3sbAMrDymCwnyc=;
 b=G9JNgFy/kPXx9QN3kl+7W15KcOZc62NKhDneAEG3rctx8dUw5/gTuEXpA3DTtz7Dl5
 RRis1A5RXIJAJkhh+3yXclz9v8xToR6+NFN9Usjvyk5JAaYYKu4LOL6AhOf3XXshOJCe
 Yfv1ENfSJiRrzVGYniQPSDobbVYa6YYu0K43iZlcCA+2ALrKNbyyw4ZrSX36JesTV635
 4phXpPped73Gk22jUYTJVQot9Eb5cNF++OFC6M8yGrNO6q57+vNQ19UXpkK/NJ0sneu0
 25MFN/j+QZCMa4IGX1mCek9D1FbsjrMG4DCkT0x9kMofaOw//d2Y85HB937oJ82AP6dS
 fCbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Ajr8xf2vRDDxJ2Ol3st96lpfnw0F/3sbAMrDymCwnyc=;
 b=coKua2DZwsnf3eRkfaJ+4gu7VSs9dDkmO/DmciU6wF2Bq09cNAELcQhGy2UrGwZLWX
 rfqhyPAzByI1ku34kilEOs5V8V57yvkpz4ugob0RumHoNz0JRSdF8ZYdtdzeoPvlUzZ1
 aR2KjinU0WIOvPVV/JVGR4SEDtY/qfd9dWgaTxerk/+D2SrKKSOkesz8+dAwXP9hUvIP
 g/sA/EPJW4QiH0iSET3FUI4NtqEgNloriheHFVyB7DibPiOFAvh6okLkzuGDwY7cNzd8
 2KiCTYKxnAy74sWfY4v0WM9OzSpfoa6pD9YgCW6+hKnQ8weYaE1Ld9y++WBdr09Djori
 t2ZA==
X-Gm-Message-State: APjAAAXyEjL96PnqbuCrNKggKJGRN4oCOMR8TMaQpZAYPdaxdKXPcYkT
 zivV0w5K6BhfB+2+B5/WpXNJA7IA
X-Google-Smtp-Source: APXvYqyS/npEVLs7ziY2h4K2z/WDRgEY8uFNv44GS8tRQA93UN5z2ONmEohXL78pUGHUB4FpiRBZfA==
X-Received: by 2002:a1c:1aca:: with SMTP id a193mr1882468wma.120.1567438425528; 
 Mon, 02 Sep 2019 08:33:45 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:45 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:48 +0200
Message-Id: <20190902153333.11190-4-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190902153333.11190-1-m.othacehe@HIDDEN>
References: <20190902153333.11190-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset environment
before running configure with the native compiler, in a cross-compilation
context,
[inputs]: move perl from here ...
[native-inputs]: ... to here. Also add ncurses that is needed in a
cross-compilation context to build texinfo native tools.
---
 gnu/packages/texinfo.scm | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index befdd78551..c93c7fc353 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -41,8 +41,28 @@
                (base32
                 "0rixv4c301djr0d0cnsxs8c1wjndi6bf9vi5axz6mwjkv80cmfcv"))))
     (build-system gnu-build-system)
-    (inputs `(("ncurses" ,ncurses)
-              ("perl" ,perl)))
+    (arguments
+     ;; When cross-compiling, the package is configured twice: once with the
+     ;; native compiler and once with the cross-compiler. During the configure
+     ;; with the native compiler, the environment is reset. This leads to
+     ;; multiple environment variables missing. Do not reset the environment
+     ;; to prevent that.
+     `(,@(if (%current-target-system)
+             '(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'fix-cross-configure
+                   (lambda _
+                     (substitute* "configure"
+                       (("env -i")
+                        "env "))
+                     #t))))
+             '())))
+    (inputs `(("ncurses" ,ncurses)))
+    ;; When cross-compiling, texinfo will build some of it's own binaries with
+    ;; the native compiler. This means ncurses is needed both in both inputs
+    ;; and native-inputs.
+    (native-inputs `(("perl" ,perl)
+                     ("ncurses" ,ncurses)))
 
     (native-search-paths
      ;; This is the variable used by the standalone Info reader.
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 04/48] gnu: cmake: Fix cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:06 +0000
Resent-Message-ID: <handler.36477.B36477.156743843524633 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843524633
          (code B ref 36477); Mon, 02 Sep 2019 15:34:06 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:55 +0000
Received: from localhost ([127.0.0.1]:58695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL4-0006P4-PH
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:55 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:37210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oL2-0006Nw-Bq
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:52 -0400
Received: by mail-wm1-f66.google.com with SMTP id d16so15056526wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=veZqU6dWskdofP94vEQ2ligOZQWONzY/eLOoYY8WvdA=;
 b=i3UwzybfNlhfZs+KPVKjQVO8uqycfZaVTQ2xkkBqWuXe0CJcJw0+hj69qjYqPlXhKq
 Fh7WUlxyHnI/RJEI10ZX8RMMm/p86GWAMaBaIMXbxFiEmYIIzQPnWiAIKeu0J8Xc6Nur
 6zxemd0GpNHtdz+MvXsVtO48ivaP5/y3Q9p/fYsy52WWJ6Ufqg0u3ZRnEI8Bfpo+CniW
 H7yoQk3Qjtf0S6qo+QpLm9SV9NiPP7+S2u53PNxWYfwwXBsYCOeHJ77a+ajhlMRZAB9v
 OFFXPc0Xt5MParOzTpMbIeZnxDYql7v0zp+2FVt2vAmyJC0skEIFSNNVBUYAR7dREigh
 VLow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=veZqU6dWskdofP94vEQ2ligOZQWONzY/eLOoYY8WvdA=;
 b=MkV3mJzpDpi34upAb9k5Ax9GR02sSqCCCxom+sWConlaYpcgd6+8ed1QLoNAb0cakA
 fWXfBLy2uE8pXsyYOmFK+SY7e28mK2C6VjxtTZovcWNZStWJD1bobTsVkHfD6UX//tdt
 WzrAz+i6lkCNYer/uzEqXD+pSSaJ025WlDPcPoA3SDpGxukhGmPy9EsxngZ7SgaiJn/D
 cfsn7Rq/jsKBBBdI8V8hnGAsHC/0AewjG2W6DtFRhXkd9b8xCc9A3EEHbFjkBndjQKGQ
 QXNS/FjxXNmmB26dqEK1Eidb4KspXOg2zKar/G+BFBCYSodMOio4O0NooR86JBtsV3/O
 QOAA==
X-Gm-Message-State: APjAAAUoTrExZhBsbIZyrdcYqBx8RxyvskFhy1VG7swDmuvDZ2VR1xNm
 W90PrAHG+6JtXi+DXu8ieZ4QElJo
X-Google-Smtp-Source: APXvYqwPl8jblMAbmIrQVtH9XlFWcz8pu8FVxo+H8vkXoppEN3Vx2AwobJFhADnmvOlr6RMSo/aXog==
X-Received: by 2002:a7b:cbcf:: with SMTP id n15mr36984389wmi.48.1567438426538; 
 Mon, 02 Sep 2019 08:33:46 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:46 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:49 +0200
Message-Id: <20190902153333.11190-5-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190902153333.11190-1-m.othacehe@HIDDEN>
References: <20190902153333.11190-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/cmake.scm (cmake-minimal-cross): New package.
* guix/build-system/cmake.scm (default-cmake): Add new target argument and use
it to select cmake-minimal or cmake-minimal-cross.
(lower): Pass target to default-cmake.
---
 gnu/packages/cmake.scm      | 8 ++++++++
 guix/build-system/cmake.scm | 9 ++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 1d8d829ec5..9bf0273f00 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -207,6 +207,14 @@ and workspaces that can be used in the compiler environment of your choice.")
     (outputs '("out" "doc"))
     (properties (alist-delete 'hidden? (package-properties cmake-minimal)))))
 
+(define-public cmake-minimal-cross
+  (package
+    (inherit cmake-minimal)
+    (name "cmake-minimal-cross")
+    (native-search-paths '())
+    (search-paths
+     (package-native-search-paths cmake-minimal))))
+
 (define-public emacs-cmake-mode
   (package
     (inherit cmake)
diff --git a/guix/build-system/cmake.scm b/guix/build-system/cmake.scm
index ca88fadddf..aa0f4187ec 100644
--- a/guix/build-system/cmake.scm
+++ b/guix/build-system/cmake.scm
@@ -43,16 +43,19 @@
   `((guix build cmake-build-system)
     ,@%gnu-build-system-modules))
 
-(define (default-cmake)
+(define (default-cmake target)
   "Return the default CMake package."
 
   ;; Do not use `@' to avoid introducing circular dependencies.
   (let ((module (resolve-interface '(gnu packages cmake))))
-    (module-ref module 'cmake-minimal)))
+    (module-ref module
+                (if target
+                    'cmake-minimal-cross
+                    'cmake-minimal))))
 
 (define* (lower name
                 #:key source inputs native-inputs outputs system target
-                (cmake (default-cmake))
+                (cmake (default-cmake target))
                 #:allow-other-keys
                 #:rest arguments)
   "Return a bag for NAME."
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 05/48] gnu: libpaper: Fix aarch64 cross-compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:07 +0000
Resent-Message-ID: <handler.36477.B36477.156743843524645 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743843524645
          (code B ref 36477); Mon, 02 Sep 2019 15:34:07 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:33:55 +0000
Received: from localhost ([127.0.0.1]:58697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL5-0006PG-7o
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:55 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:55624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oL3-0006Ny-Bq
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:53 -0400
Received: by mail-wm1-f46.google.com with SMTP id g207so11067381wmg.5
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=uEJlu+nj8wYQv4Io36GWgKbWiTaW16j8T1ZQciMpFfY=;
 b=jD5LiqqgN8c2O0XixAlCQqsG8N7mgWvB6Sv0Ux/2mqI8cCT6sAj5rpzEwE4tjkz46d
 heUO4n58mRa+HauNUP6KPFEjFMJR26nWXylh5YEtJB3nlMC6KA6p8sh26nSSyjMUDkN8
 0cM38ivalf9eff5s5ZcS2CIzgT762SSgiKQa2fnqW6Nryi+DJGKzniEbwx46BcrZAR3m
 z+Eb2QBbaLWOtA5NB6bbGnbjqyQ5KDkvc+Y3lh2uuQWtkCtVuw+iw1M3VEks5cz1AiX4
 tQI1mfsTGv4SyIfTX7VNQ+sgDjSIPNSeIsM3ye4S7mlBxoNGHyJ0a9+PkyxgB6hauPz0
 yKpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=uEJlu+nj8wYQv4Io36GWgKbWiTaW16j8T1ZQciMpFfY=;
 b=Dw25F8jM0nIwCJxtFARYSTFouq5TsSdMoPEAAb4oWUv2yvgKQbvBEg+wxWkoZSsXT9
 +DIwXQ215cygStKFRGGLqqK6j1zxYB8fzYbaiTOr+JcVl0EnZsoJEvas9Exn4XfYCAWC
 BKiHYtM+HTl7UFDtKgkqlcuuI0uigdKw06km5L4Xhd6I8JhtqrYYhLuWvX1VpNy7EAE5
 aX1q1mPRNYRNX29/zma+1WsGBGHWgthqNUfygIAJLks6AH0kEpFlnlgwQ6DV/E3Y15qX
 oGzaYHVCIAe25NFA+6MK5f1myG99U9xhY22SoZWMINNN3/x3BAev8XwtPI47MY4q6chV
 lVfw==
X-Gm-Message-State: APjAAAUeXxDAw14b/9q8zcwMr/J0l/XjJD0vHwml2ryHlD5gzEFKZvKz
 Of6kgE012t6qs6pTxL9SXywx6RYi
X-Google-Smtp-Source: APXvYqyYD5izd6yfN4kqKEKg0I6DwgF/FFXccIvzK5vwiTBo6P9p18jslSmy60MMe7IMKbUMEFTinQ==
X-Received: by 2002:a7b:c0d4:: with SMTP id s20mr8634626wmh.110.1567438427528; 
 Mon, 02 Sep 2019 08:33:47 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:47 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Date: Mon,  2 Sep 2019 17:32:50 +0200
Message-Id: <20190902153333.11190-6-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190902153333.11190-1-m.othacehe@HIDDEN>
References: <20190902153333.11190-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/ghostscript.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 817104cde1..e6879eada9 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -84,6 +85,24 @@ Consortium standard (ICC), approved as ISO 15076-1.")
             (sha256 (base32
                      "0zhcx67afb6b5r936w5jmaydj3ks8zh83n9rm5sv3m3k8q8jib1q"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (for-each (lambda (file)
+                        (install-file
+                         (string-append (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                      '("config.sub" "config.guess"))
+            #t)))))
    (synopsis "Library for handling paper sizes")
    (description
     "The paper library and accompanying files are intended to provide a simple
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36477] [PATCH v3 06/48] gnu: groff: Fix cross compilation.
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 02 Sep 2019 15:34:07 +0000
Resent-Message-ID: <handler.36477.B36477.156743844124663 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36477
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36477 <at> debbugs.gnu.org
Cc: mbakke@HIDDEN, Mathieu Othacehe <m.othacehe@HIDDEN>, ludo@HIDDEN
Received: via spool by 36477-submit <at> debbugs.gnu.org id=B36477.156743844124663
          (code B ref 36477); Mon, 02 Sep 2019 15:34:07 +0000
Received: (at 36477) by debbugs.gnu.org; 2 Sep 2019 15:34:01 +0000
Received: from localhost ([127.0.0.1]:58701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4oL6-0006PZ-Kq
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:34:00 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:34863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1i4oL4-0006O5-BN
 for 36477 <at> debbugs.gnu.org; Mon, 02 Sep 2019 11:33:54 -0400
Received: by mail-wr1-f68.google.com with SMTP id g7so14485624wrx.2
 for <36477 <at> debbugs.gnu.org>; Mon, 02 Sep 2019 08:33:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=MLoKM26KiDKSQJBPaWe+0gl5V43a258D4sP2wVkGi5c=;
 b=E+h2QSkwjPskIoMy9bj8dAvs+Ug0aVLWT/oXnq5DjtUtGw0AfoqT7+MIa31+uUJ+MH
 Mgqu2bskKIWPioc9o4oBGU5mTqSLsAnDUYdCJUnDmDo+iU7Qi662wZUhl3LeMTEag4Al
 egww1gqcWX/+LaR17gjSBBNqrCp12HuIrSbVO4f/qXpLXG7iqj5gX9QEDepMujH5fW8F
 wSF0+uWAtqFwzKkOpYUn/dfbCt0/+OsPjIRhEHOeHp/dQCdYB7YPslCAMxp5K/cBTxpV
 LDroI8rl5dx7ao6GnVXBncwmXM2mWSP3kLWp2OUfQmfdsKpYQoqy5G4T8XRM1l5UAJ1M
 k8AQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=MLoKM26KiDKSQJBPaWe+0gl5V43a258D4sP2wVkGi5c=;
 b=Wtlmo0850xf0mI/NstGV6tVF6IGDp1BvnTimUw6heWQmmJPzId7IkjqyMcmqlNPUNh
 t3oG8tvtlBEuSmDATDASEscdG6zCJ/TAatmU78tdCmamsARiG8mYEOCDzzovVc/q65bw
 i6nXuzO4yRkYgtKSiRAyYzwIREm44qSlHeLppkJXyrFxE1wlcSNS40ixbOrcL0VFPsx4
 Jyk9FATfJ0/a4w1KTTgt3mHbqVbEq+0h5y0B4hEffh7CSjjMMxUFOi1xIY2WZ2BPB/At
 tX7yf/QDoWZboMUV4vEA+vn113AilUmpFIp+iXC3w10cz/DCcPS1wG869v7NHKLX4/2v
 TAqA==
X-Gm-Message-State: APjAAAXiI0z5Z8s/4EVsQ0oG0BmxCCKmLAbi6yROHG9BWYklImz4A8RE
 LjDgjRtfw0RBl1Y4Q4pHb9uUHqdZ
X-Google-Smtp-Source: APXvYqxSQaigKSHLAB6IqS3kLw+eRxhZZvCyN5DDCAc5zNVY6gbgaEkD/m0Fe97GBeVaFmlH2M58mg==
X-Received: by 2002:a5d:5387:: with SMTP id d7mr20529868wrv.312.1567438428510; 
 Mon, 02 Sep 2019 08:33:48 -0700 (PDT)
Received: from localhost.localdomain ([80.12.63.115])
 by smtp.gmail.com with ESMTPSA id b26sm17232265wmj.14.2019.09.02.08.33.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Sep 2019 08:33:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
Da